<?php
App::uses('AppController', 'Controller');

class TayaProController extends AppController {
	public function index() {
			
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to access this section.', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		//$this->loadModel('TayaPro');
		
		

 $result = $this->check_license(TAYAPRO_MODE,TAYAPRO_LICENSE_KEY);
 if( $result <=0 ){
     
     echo 'Tayapro license key is expired!';
     exit;
 }
	
		$funnels = $this->TayaPro->find('all', array('conditions' => array('user_id' => $uid, 'status' => '1')));
		$this->set(compact('funnels', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}
	
	
	
	
public	function check_license($mode,$license_key){
$domainname = $_SERVER['SERVER_NAME']; 
$ip = getenv('HTTP_CLIENT_IP')?:getenv('HTTP_X_FORWARDED_FOR')?:getenv('HTTP_X_FORWARDED')?:getenv('HTTP_FORWARDED_FOR')?:getenv('HTTP_FORWARDED')?:getenv('REMOTE_ADDR');
$endpoint_url = 'http://tayapro.com/license_verify.php';

$ch = curl_init($endpoint_url);

$data = array(
    'domain_name' => $domainname,
    'licensekey' => $license_key,
    'ip'   => $ip,
	'mode'   => $mode,
);
$payload = json_encode(array("user" => $data));

curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));

curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
return curl_exec($ch);
curl_close($ch);

}
	
}
?>