<?php
App::uses('AppController','Controller');
/**
 * Eventshome Controller
 *
 * @property Category $Category
 */
class SpeakersController extends AppController {


var $uses = array('Speaker','Country','SpeakerCat');

	/* --------------------------------------------------------------- START :: ADMIN PANEL FUNCTIONS --------------------------------------- */

	public function admin_index()
	{
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		
		$sp = $this->Speaker->find('all');
		//pr($sp);exit;
		$this->set(compact('sp'));
	}
/*****************************  admin add ******************************/





public function admin_add(){
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		/*$total_cat="";
		$total=$this->Category->find('count') +1;
		for($i=1;$i<=$total;$i++){
			$total_cat[$i]=$i;
		}*/
		$sp_cat = $this->SpeakerCat->find('list', array('fields' =>array('id','sp_cat_name')));
		$countryz = $this->Country->find('list', array('fields' =>array('id','name')));
		
		$this->set(compact('countryz','sp_cat'));
		
		if (!empty($this->request->data)){
			$get_sp_name = $this->Speaker->find('first', array('conditions' => array('Speaker.name' => $this->request->data['Speaker']['name'])));
			if($get_sp_name){
				$this->Session->setFlash(__('ERROR :: Same speaker already exists.', true));
			}
			else{
				$flag = true;
				
				if(isset($this->request->data['Speaker']['speaker_image']['tmp_name']) && is_uploaded_file($this->request->data['Speaker']['speaker_image']['tmp_name'])) 
				{
					$extention = strtolower(strrchr($this->request->data['Speaker']['speaker_image']['name'],"."));
					$fileDetail = $this->request->data['Speaker']['speaker_image'];
					$this->request->data['Speaker']['speaker_image'] = "";
					
					if(!in_array($extention, $this->validImageFormats)) 
					{
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				} 
				else 
				{
					$this->request->data['Speaker']['speaker_image'] = '';
				}

          if($flag) 
			{
				$this->Speaker->create();
				//$display_order_exist=$this->Category->find('first',array('conditions'=>array('Category.display_order'=>$this->request->data['Category']['display_order'])));
				if ($this->Speaker->save($this->request->data)){					
					
					if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) 
						{						
							$fileName = $this->Speaker->id.'-'.str_replace(' ', '-', stripslashes(trim($fileDetail['name'])));
							move_uploaded_file($fileDetail['tmp_name'], SPEAKER_IMAGES . $fileName);
							$this->Speaker->saveField('speaker_image', $fileName);
						}	
					
					$this->Session->setFlash(__('The speaker has been saved successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'index'));
				   } 
				else{
					$this->Session->setFlash(__('ERROR :: The Event could not be saved. Please, try again.', true));
				}
			}
		}
		

		/*if (empty($this->request->data)){
			$this->request->data['Category']['display_order']=$total;
		}*/
	//	pr($country);
		
	}

}

/**********************   admin add ********************/
	
/********************** admin edit ********************/
	
	
	public function admin_edit($id = null){
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}

		
		
		$this->Speaker->id = $id;
		$sp_detail = $this->Speaker->read();
		
		$sp_cat = $this->SpeakerCat->find('list', array('fields' =>array('id','sp_cat_name')));
		$cntry = $this->Country->find('list', array('fields' =>array('id','name')));
		//pr($cntry);exit;
		//$event_detail = $this->Eventshome->read($id);
		//pr($event_detail);exit;
		
		if (!$id && empty($this->request->data)){
			$this->Session->setFlash(__('ERROR :: Invalid Event.', true));
			$this->redirect(array('action' => 'index'));
		}
		if (!empty($this->request->data)){			
			$get_sp = $this->Speaker->find('first', array('conditions' => array('Speaker.name' => $this->request->data['Speaker']['name'], 'Speaker.id <>' => $this->request->data['Speaker']['id'])));
			if($get_sp){
				$this->Session->setFlash(__('ERROR :: Same speaker already exists.', true));
			}
			else{
				
				$flag=true;
				
				if(isset($this->request->data['Speaker']['speaker_image']['tmp_name']) && is_uploaded_file($this->request->data['Speaker']['speaker_image']['tmp_name'])) 
				{
					$extention = strtolower(strrchr($this->request->data['Speaker']['speaker_image']['name'],"."));
					$fileDetail = $this->request->data['Speaker']['speaker_image'];
					$this->request->data['Speaker']['speaker_image'] = "";
					
					if(!in_array($extention, $this->validImageFormats)) 
					{
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				} 
				else 
				{
					$this->request->data['Speaker']['speaker_image'] = $sp_detail['Speaker']['speaker_image'];
				}
				
			if($flag) 
			{
				$this->Speaker->create();
				
				if ($this->Speaker->save($this->request->data)){
					if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) 
						{						
							$fileName = $this->Speaker->id.'-'.str_replace(' ', '-', stripslashes(trim($fileDetail['name'])));
							move_uploaded_file($fileDetail['tmp_name'], SPEAKER_IMAGES . $fileName);
							$this->Speaker->saveField('speaker_image', $fileName);
							
							if($this->request->data['Speaker']['speaker_image'] != '' && $this->request->data['Speaker']['speaker_image'] != $fileName){
							if(file_exists(SPEAKER_IMAGES . $sp_detail['Speaker']['speaker_image'])){
								unlink(SPEAKER_IMAGES . $sp_detail['Speaker']['speaker_image']);
								}
							}
                          /*if($this->request->data['Eventshome']['event_photo']=='')
						  {
						  	
							$this->request->data['Eventshome']['event_photo'] =$event_detail['Eventshome']['event_photo'];
						  }*/
						  						$this->request->data['Speaker']['speaker_image'] = $fileName;
						}	
					
					$this->Session->setFlash(__('The Speaker has been updated successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'index'));
				   } 
				else{
					$this->Session->setFlash(__('ERROR :: The Speaker could not be updated. Please, try again.', true));
				}
			}
		}
	}
		if (empty($this->request->data)) {
			$this->request->data = $this->Speaker->read();
			
		}
		
		$this->set(compact('cntry','sp_detail','sp_cat'));
	
	}
	
	
/********************************* admin edit ***********************************/

/***********admin delete ***********/

public function admin_delete($id=null)
{
	
if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		$this->Speaker->id = $id;
	
		
		$event = $this->Speaker->read(null, $id);
		//pr($report); exit;
		if ($this->Speaker->delete()){
			
			
			if($event['Speaker']['speaker_image'] != ""){			
				if(file_exists(SPEAKER_IMAGES . $event['Speaker']['speaker_image'])){
					unlink(SPEAKER_IMAGES . $event['Speaker']['speaker_image']);
				}
			}
		
			
				$this->Session->setFlash(sprintf(__('The Speaker has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('controller' => 'speakers', 'action' => 'admin_index'));
	  } 
}
    


/************admin delete *******/

}
?>