<?php
class CartsController extends AppController{
   //var $name = 'Cart';
   var $layout = 'default';
   var $helpers = array('Html', 'Url');
   var $components = array('Url', 'Session');
   public $uses = array('Product', 'User', 'Cart', 'Seminar','Order', 'Sumhit', 'Webinar', 'Workshop', 'Publishing','Course');
   
   
   
   function beforeFilter(){
	   /*$this->setUser();
	   if(@$this->params['admin'] != 1)
	      $this->Auth->allow('*');*/
		  
	   $this->myRandomNumber = rand();  
   }
   
  /* function setUser() {
      if($this->Auth->user() != null) {
	      $this->params['user'] = $this->Auth->user();
	   } else {
	      $this->params['user'] = false;
	   }
      if(@$this->params['admin'] != 1) {
	      $this->layout = 'default';
	      $this->Auth->logoutRedirect = '/';
	   } else {
	      $this->layout = 'admin';
	      if($this->Auth->user('admin') != '1') 
	         $this->Auth->logout();
	      $this->Auth->logoutRedirect = '/admin/users/login';
	      //$this->Auth->loginRedirect = '/admin/categories';
	   }
   }*/
	
   function index(){
   	  //pr($this->Session);
      $cart = $this->get();
	  //pr($cart['Cart']);
      if(isset($cart['Cart'])){
         //$this->render('index');      
      	 $this->set(compact('cart'));
	  }
	  if(!isset($cart['Cart'])){
         $this->render('empty');      
      	 //$this->set(compact('cart'));
	  }
	  
      //$this->set('total', $this->_total($cart));
   }
   
   function _total($cart){
      $total = 0;
      if(!isset($cart['Cart'])) return 0;
      foreach($cart['Cart'] as $item)
         $total += $item['price'] * $item['quantity'];
      return $total;
   }
   
   function getCart(){
      $cart = $this->get();
      $total = $this->_total($cart);
      if(isset($this->params['requested']))
         return array($cart, $total);
      else{
         $this->set('cart', $cart);
         $this->set('total', $this->_total($cart));
         $this->render('index');
      }
   }  
   
    function start(){
      $cart = ClassRegistry::init('Cart');
      //$cart->recursive = 2;
		if($this->Session->read('cart.id')){
		   $current = $cart->find( array('Cart.session' => $this->Session->read('cart.id')) );
		   if(isset($current['Cart']))
		      return $current;
		}
		$cart->create();
		$data = array();
		$data['Cart']['session'] = $this->Session->read('Config.rand');
		$this->Session->write('cart.id', $this->Session->read('Config.rand'));
		$cart->save($data);
		$id = $cart->getLastInsertId();
		return $cart->find(array('Cart.id' => $id));
   }
   
   function get(){
      $cart = ClassRegistry::init('Cart');
		if($this->Session->read('cartid')){
		   $cart->recursive = 2;
		   $current = $cart->find('first', array('conditions' => array('Cart.sessionid' => $this->Session->read('cartid'))));	   
		   if(isset($current['Cart']))
		      return $current;
		}
      //return null;
   }
   
   function delete(){
      $current = $this->get();
      $cart = ClassRegistry::init('Cart');
      $cart->delete($current['Cart']['id']);
      $this->Session->delete('cartid');
   }  

   function add(){
      //$cart = $this->start();
	 /* if($this->Session->read('cartid')){
		   $current = $this->Cart->find( array('Cart.sessionid' => $this->Session->read('cartid')) );
		   if(isset($current['Cart']))
		      return $current;
		}*/
	  $sid = $this->myRandomNumber;	
	  $this->request->data['Cart']['sessionid'] = $this->myRandomNumber;	  
	  $this->Session->write('cartid', $sid);
	  //pr($this->Session->read('cartid'));exit(); 		
      $product_id = $this->request->data['Cart']['product_id'];
	  
      //$id = $this->_check($cart, $product_id);
      /*if($id > 0)
         $this->request->data['Cart']['id'] = $id;*/
      $product = $this->Product->find('first', array('conditions' => array('Product.id' => $product_id)));
      $this->request->data['Cart']['quantity'] = 1;
	  $this->request->data['Cart']['user_id'] = $this->Session->read('Auth.User.id');
	  $this->request->data['Cart']['name'] = $product['Product']['product_name'];
      $this->request->data['Cart']['price'] = $product['Product']['price'];
	  $this->request->data['Cart']['subtotal'] = $product['Product']['price'] * 1;
	  $this->Cart->create();
	  if($this->Cart->save($this->request->data))
         $this->redirect('/carts');
	 // $this->set('cart', $cart);
      //$this->request->data['Cart']['id'] = $cart['Cart']['id'];
	  //pr($cart);
      /*if($this->Cart->save($this->request->data))
         $this->redirect('/carts');*/
   }
   
   function remove(){
      $this->delete($this->request->data['Cart']['id']);
      $this->redirect('/carts');
   } 
   
   function change(){
      if($this->request->data['Cart']['quantity'] < 1) {
         $this->Cart->delete($this->request->data['Cart']['id']);
         $this->redirect('/carts');
      } 
	  else{
         if($this->Cart->save($this->request->data))
            $this->redirect('/carts');
      }
   }
   
   function _check($cart, $product_id){
      $id = -1;
      foreach($cart['Cart'] as $item) {
         if($item['product_id'] == $product_id)
            $id = $item['id'];
      }
      return $id;
   }
   
   /*function _quantity($cart, $product_id){
      $quantity = 0;
      foreach($cart['Cart'] as $item){
         if($item['product_id'] == $product_id)
            $quantity = $item['quantity'];
      }
      return $quantity;
   }   */
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

   function addtoCART(){
      $this->layout = '';
	  
	  $type = $_POST['type'];
	  $id = $_POST['id'];
	  $qt= 1;
	  
	  $data=$this->Session->read('cart');
	 // pr($data); exit;
	  
	if($data){
		if(isset($data[$type][$id]) && !empty($data[$type][$id])){
			//$data[1][$this->request->data['id']]=$data[1][$this->request->data['id']]+1;
			switch($this->request->data['type']){
			case 'product':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This product already exist in Your Cart."; exit;
			break;
			case 'seminer':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This seminer already exist in Your Cart."; exit;
			break;
			case 'publish':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This publishing already exist in Your Cart."; exit;
			break;			
			
			case 'summit':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This summits already exist in Your Cart."; exit;
			break;			
			
			case 'webinar':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This Webinner already exist in Your Cart."; exit;
			break;				
			
			case 'workshop':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This workshop already exist in Your Cart."; exit;
			break;	
			
			case 'course':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This course already exist in Your Cart."; exit;
			break;		
			
			}
		}else{
			
			$data[$type][$id]=$qt;
			$dd= $type;
			
			switch($type){
			case 'product':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This product added in Your Cart Successfully."; 
			break;
			case 'seminer':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This seminer added in Your Cart Successfully."; 
			break;
			case 'publish':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This publishing added in Your Cart Successfully."; 
			break;			
			
			case 'publish':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This publishing added in Your Cart Successfully."; 
			break;				
			
			case 'summit':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This summits added in Your Cart Successfully."; 
			break;		
	
			case 'webinar':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This Webinner added in Your Cart Successfully."; 
			break;		

			case 'workshop':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This workshop added in Your Cart Successfully."; 
			break;
			
			case 'course':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This course added in Your Cart Successfully."; 
			break;
			
			}
		}
		
	}else{
			$data[$type][$id]=$qt;
			$dd= $type;
			
			
			switch($type){
			case 'product':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This product added in Your Cart Successfully."; 
			break;
			case 'seminer':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This seminer added in Your Cart Successfully."; 
			break;
			case 'publish':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This publishing added in Your Cart Successfully."; 
			break;			
			
			case 'publish':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This publishing added in Your Cart Successfully."; 
			break;
			
			case 'summit':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This summits added in Your Cart Successfully."; 
			break;			
						
			case 'webinar':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This Webinner added in Your Cart Successfully."; 
			break;
			
			case 'workshop':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This workshop added in Your Cart Successfully."; 
			break;		
			
			case 'course':
				//$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				echo "This course added in Your Cart Successfully."; 
			break;		
						
			}		

	}	  

	  $this->Session->write('cart',$data);

	  //echo $dd.'@'.((count($data) > 0 ? ((isset($data['product']) && !empty($data['product'])) ? count($data['product']).' product' : '').(((isset($data['seminer']) && !empty($data['seminer'])) && (isset($data['product']) && !empty($data['product']))) ? ' & ' : '').((isset($data['seminer']) && !empty($data['seminer'])) ? count($data['seminer']).' seminer' : '') : 'No Items'));
	  exit;
	  $this->AutoRender = false;
   }
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

	function deleteitem2(){
		$this->layout = '';
		
	$type = $_POST['type'];
	$id = $_POST['id']; 
		$data=$this->Session->read('cart');
		//pr($data);

		if($data){

			unset($data[$type][$id]);
			
			if(array_key_exists('product', $data)) {
				$pro = count($data['product']);
				if($pro == 0){
					unset($data['product']);
				}
			}
			
			if(array_key_exists('seminer', $data)) {
				$sem = count($data['seminer']);
				if($sem == 0){
					unset($data['seminer']);
				}
			}
			
			if(array_key_exists('webinar', $data)) {
				$sem = count($data['webinar']);
				if($sem == 0){
					unset($data['webinar']);
				}
			}			
			
			if(array_key_exists('workshop', $data)) {
				$sem = count($data['workshop']);
				if($sem == 0){
					unset($data['workshop']);
				}
			}			
			
			if(array_key_exists('summit', $data)) {
				$sem = count($data['summit']);
				if($sem == 0){
					unset($data['summit']);
				}
			}			
			
			if(array_key_exists('publish', $data)) {
				$sem = count($data['publish']);
				if($sem == 0){
					unset($data['publish']);
				}
			}			
			
			if(array_key_exists('course', $data)) {
				$sem = count($data['course']);
				if($sem == 0){
					unset($data['course']);
				}
			}			
			
			
			
			
			$cn_data = count($data);
			if($cn_data > 0){
				$this->Session->write('cart',$data);
				echo 1; exit;
			} else {
				$this->Session->write('cart',"");
				echo 2; exit;
			}
		}	
		  
		$this->AutoRender = false;
	}
	
	
	function deleteitem(){
		$this->layout = '';
		
		$type = $_POST['type'];
		$id = $_POST['id'];
		$data=$this->Session->read('cart');

		if($data){

			unset($data[$type][$id]);
			
			if(array_key_exists('product', $data)) {
				$pro = count($data['product']);
				if($pro == 0){
					unset($data['product']);
				}
			}
			
			if(array_key_exists('seminer', $data)) {
				$sem = count($data['seminer']);
				if($sem == 0){
					unset($data['seminer']);
				}
			}
			
			if(array_key_exists('webinar', $data)) {
				$sem = count($data['webinar']);
				if($sem == 0){
					unset($data['webinar']);
				}
			}			
			
			if(array_key_exists('workshop', $data)) {
				$sem = count($data['workshop']);
				if($sem == 0){
					unset($data['workshop']);
				}
			}			
			
			if(array_key_exists('summit', $data)) {
				$sem = count($data['summit']);
				if($sem == 0){
					unset($data['summit']);
				}
			}			
			
			if(array_key_exists('publish', $data)) {
				$sem = count($data['publish']);
				if($sem == 0){
					unset($data['publish']);
				}
			}			
			
			if(array_key_exists('course', $data)) {
				$sem = count($data['course']);
				if($sem == 0){
					unset($data['course']);
				}
			}			
			
			
			
			
			$cn_data = count($data);
			if($cn_data > 0){
				$this->Session->write('cart',$data);
				echo 1; exit;
			} else {
				$this->Session->write('cart',"");
				echo 2; exit;
			}
		}	
		  
		$this->AutoRender = false;
	}
	

//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////
	function checkout2(){
		$this->layout = '';

		$data=$this->Session->read('cart');
		//pr($data);exit;
		if($data){

			$k = 0; $gr_tot =0;
			if (array_key_exists('product', $data)) {
				foreach($data['product'] as $key => $value){
					$this_prod =  $this->Product->find('first', array('conditions' => array('Product.id' => $key, 'Product.blocked' => array(1,0))));
					//pr($this_prod); exit;
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Product']['id'];
					$cart[$k]['name'] = $this_prod['Product']['product_name'];
					$cart[$k]['amount'] = $this_prod['Product']['price'];
					$cart[$k]['order_status'] = 0;
					if( $this_prod['Product']['product_type_id'] == 1){
						$cart[$k]['product_type'] = 'books';
					} else {
						$cart[$k]['product_type'] = 'dispensery';
					}
					$k++;
					$gr_tot = $gr_tot + $this_prod['Product']['price'];
		  
				}
			}

			if (array_key_exists('seminer', $data)) {
				
				foreach($data['seminer'] as $key => $value){
					$this_prod = $this->Seminar->find('first', array('conditions' => array('Seminar.id' => $key, 'Seminar.status' => array(1,0))));
					//pr($this_prod); exit;
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Seminar']['id'];
					$cart[$k]['name'] = $this_prod['Seminar']['title'];
					$cart[$k]['amount'] = $this_prod['Seminar']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'seminer';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Seminar']['reg_cost'];
				}				
			}
			
			if (array_key_exists('publish', $data)) {
				
				foreach($data['publish'] as $key => $value){
					$this_prod = $this->Publishing->find('first', array('conditions' => array('Publishing.id' => $key, 'Publishing.status' => array(1,0))));
					//pr($this_prod); exit;
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Publishing']['id'];
					$cart[$k]['name'] = $this_prod['Publishing']['title'];
					$cart[$k]['amount'] = $this_prod['Publishing']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'publish';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Publishing']['reg_cost'];
				}				
			}			
			//$this->Sumhit->recursive = 2;
			if (array_key_exists('summit', $data)) {
				
				foreach($data['summit'] as $key => $value){
					$this_prod = $this->Sumhit->find('first', array('conditions' => array('Sumhit.id' => $key, 'Sumhit.status' => array(1,0))));
					//pr($this_prod);
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Sumhit']['id'];
					$cart[$k]['name'] = $this_prod['Sumhit']['title'];
					$cart[$k]['amount'] = $this_prod['Sumhit']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'summit';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Sumhit']['reg_cost'];
				}				
			}				
			
			if (array_key_exists('webinar', $data)) {
				
				foreach($data['webinar'] as $key => $value){
					$this_prod = $this->Webinar->find('first', array('conditions' => array('Webinar.id' => $key, 'Webinar.status' => array(1,0))));
					//pr($this_prod);
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Webinar']['id'];
					$cart[$k]['name'] = $this_prod['Webinar']['title'];
					$cart[$k]['amount'] = $this_prod['Webinar']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'webinar';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Webinar']['reg_cost'];
				}				
			}			
			
			if (array_key_exists('workshop', $data)) {
				
				foreach($data['workshop'] as $key => $value){
					$this_prod = $this->Workshop->find('first', array('conditions' => array('Workshop.id' => $key, 'Workshop.status' => array(1,0))));
					//pr($this_prod);
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Workshop']['id'];
					$cart[$k]['name'] = $this_prod['Workshop']['title'];
					$cart[$k]['amount'] = $this_prod['Workshop']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'workshop';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Workshop']['reg_cost'];
				}				
			}	
			
			if (array_key_exists('course', $data)) {
				
				foreach($data['course'] as $key => $value){
					$this_prod = $this->Course->find('first', array('conditions' => array('Course.id' => $key, 'Course.status' => array(1,0))));
					//pr($this_prod);
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Course']['id'];
					$cart[$k]['name'] = $this_prod['Course']['title'];
					$cart[$k]['amount'] = $this_prod['Course']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'course';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Course']['reg_cost'];
				}				
			}		
			
		}	
		$rand = $this->generateRandomString(16);
		//pr($cart);exit;
		foreach ($cart as $order){
			//$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['user_password']);
			
			$this->request->data['Order']['user_id'] 		= $this->Session->read('Auth.User.id');
			$this->request->data['Order']['product_id'] 	= $order['product_id'];
			$this->request->data['Order']['owner_id'] 		= $order['owner_id'];
			$this->request->data['Order']['product_type'] 	= $order['product_type'];
			$this->request->data['Order']['amount'] 		= $order['amount'];
			$this->request->data['Order']['payment_id'] 	= $rand;
			$this->request->data['Order']['payment_date'] 	= date('Y-m-d h:i:s');
			$this->request->data['Order']['order_status'] 	= 0;
			
			$this->Order->create();
			$this->Order->save($this->request->data);

		}


		$this->Session->write('gr_tot',"");
		$this->Session->write('cart',"");
		//$this->Session->write('paypal_cart',$data);
		//$this->Session->write('paypal_prods',$cart);
		
		//pr($cart);exit;
		
		$this_user_id = $this->Session->read('Auth.User.id');
		$this->set(compact('cart','gr_tot','this_user_id','rand'));
	}
	
		function checkout(){
		$this->layout = '';

		$data=$this->Session->read('cart');
		//pr($data);exit;
		if($data){

			$k = 0; $gr_tot =0;
			if (array_key_exists('product', $data)) {
				foreach($data['product'] as $key => $value){
					$this_prod =  $this->Product->find('first', array('conditions' => array('Product.id' => $key, 'Product.blocked' => array(1,0))));
					//pr($this_prod); exit;
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Product']['id'];
					$cart[$k]['name'] = $this_prod['Product']['product_name'];
					$cart[$k]['amount'] = $this_prod['Product']['price'];
					$cart[$k]['order_status'] = 0;
					if( $this_prod['Product']['product_type_id'] == 1){
						$cart[$k]['product_type'] = 'books';
					} else {
						$cart[$k]['product_type'] = 'dispensery';
					}
					$k++;
					$gr_tot = $gr_tot + $this_prod['Product']['price'];
		  
				}
			}

			if (array_key_exists('seminer', $data)) {
				
				foreach($data['seminer'] as $key => $value){
					$this_prod = $this->Seminar->find('first', array('conditions' => array('Seminar.id' => $key, 'Seminar.status' => array(1,0))));
					//pr($this_prod); exit;
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Seminar']['id'];
					$cart[$k]['name'] = $this_prod['Seminar']['title'];
					$cart[$k]['amount'] = $this_prod['Seminar']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'seminer';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Seminar']['reg_cost'];
				}				
			}
			
			if (array_key_exists('publish', $data)) {
				
				foreach($data['publish'] as $key => $value){
					$this_prod = $this->Publishing->find('first', array('conditions' => array('Publishing.id' => $key, 'Publishing.status' => array(1,0))));
					//pr($this_prod); exit;
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Publishing']['id'];
					$cart[$k]['name'] = $this_prod['Publishing']['title'];
					$cart[$k]['amount'] = $this_prod['Publishing']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'publish';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Publishing']['reg_cost'];
				}				
			}			
			//$this->Sumhit->recursive = 2;
			if (array_key_exists('summit', $data)) {
				
				foreach($data['summit'] as $key => $value){
					$this_prod = $this->Sumhit->find('first', array('conditions' => array('Sumhit.id' => $key, 'Sumhit.status' => array(1,0))));
					//pr($this_prod);
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Sumhit']['id'];
					$cart[$k]['name'] = $this_prod['Sumhit']['title'];
					$cart[$k]['amount'] = $this_prod['Sumhit']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'summit';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Sumhit']['reg_cost'];
				}				
			}				
			
			if (array_key_exists('webinar', $data)) {
				
				foreach($data['webinar'] as $key => $value){
					$this_prod = $this->Webinar->find('first', array('conditions' => array('Webinar.id' => $key, 'Webinar.status' => array(1,0))));
					//pr($this_prod);
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Webinar']['id'];
					$cart[$k]['name'] = $this_prod['Webinar']['title'];
					$cart[$k]['amount'] = $this_prod['Webinar']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'webinar';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Webinar']['reg_cost'];
				}				
			}			
			
			if (array_key_exists('workshop', $data)) {
				
				foreach($data['workshop'] as $key => $value){
					$this_prod = $this->Workshop->find('first', array('conditions' => array('Workshop.id' => $key, 'Workshop.status' => array(1,0))));
					//pr($this_prod);
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['product_id'] = $this_prod['Workshop']['id'];
					$cart[$k]['name'] = $this_prod['Workshop']['title'];
					$cart[$k]['amount'] = $this_prod['Workshop']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'workshop';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Workshop']['reg_cost'];
				}				
			}	
			
			if (array_key_exists('course', $data)) {
				
				foreach($data['course'] as $key => $value){
					$this_prod = $this->Course->find('first', array('conditions' => array('Course.id' => $key, 'Course.status' => array(1,0))));
					//pr($this_prod); //exit;
					$cart[$k]['user_id'] = $this->Session->read('Auth.User.id');
					//$cart[$k]['owner_id'] = $this_prod['User']['id'];
					$cart[$k]['owner_id'] = $this_prod['Course']['user_id'];
					$cart[$k]['product_id'] = $this_prod['Course']['id'];
					$cart[$k]['name'] = $this_prod['Course']['title'];
					$cart[$k]['amount'] = $this_prod['Course']['reg_cost'];
					$cart[$k]['order_status'] = 0;
					$cart[$k]['product_type'] = 'course';
					$k++;
					$gr_tot = $gr_tot + $this_prod['Course']['reg_cost'];
				}				
			}		
			
		}	
		$rand = $this->generateRandomString(16);
		//pr($cart);exit;
		foreach ($cart as $order){
			//$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['user_password']);
			
			$this->request->data['Order']['user_id'] 		= $this->Session->read('Auth.User.id');
			$this->request->data['Order']['product_id'] 	= $order['product_id'];
			$this->request->data['Order']['owner_id'] 		= $order['owner_id'];
			$this->request->data['Order']['product_type'] 	= $order['product_type'];
			$this->request->data['Order']['amount'] 		= $order['amount'];
			$this->request->data['Order']['payment_id'] 	= $rand;
			$this->request->data['Order']['payment_date'] 	= date('Y-m-d h:i:s');
			$this->request->data['Order']['order_status'] 	= 0;
			
			$this->Order->create();
			$this->Order->save($this->request->data);

		}


		$this->Session->write('gr_tot',"");
		$this->Session->write('cart',"");
		//$this->Session->write('paypal_cart',$data);
		//$this->Session->write('paypal_prods',$cart);
		
		//pr($cart);exit;
		
		$this_user_id = $this->Session->read('Auth.User.id');
		$this->set(compact('cart','gr_tot','this_user_id','rand'));
	}

function addtoCARTPDF(){
      $this->layout = '';
	  
	 // $type = $_POST['type'];
	 // $id = $_POST['id'];
	 $type = $this->params['pass'][0];
	 $id = $this->params['pass'][1];
	  $qt= 1;
	  
	  $data=$this->Session->read('cart');
	  
	if($data){
		if(isset($data[$type][$id]) && !empty($data[$type][$id])){
			//$data[1][$this->request->data['id']]=$data[1][$this->request->data['id']]+1;
			//switch($this->request->data['type']){
switch($type){
			case 'product':
				$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				//echo "This product already exist in Your Cart."; exit;
			break;
			case 'seminer':
				$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				//echo "This product already exist in Your Cart."; exit;
			break;
			case 'publish':
				$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				//echo "This product already exist in Your Cart."; exit;
			break;			
			
			case 'summit':
				$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				//echo "This product already exist in Your Cart."; exit;
			break;			
			
			case 'webinar':
				$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				//echo "This product already exist in Your Cart."; exit;
			break;				
			
			case 'workshop':
				$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				//echo "This product already exist in Your Cart."; exit;
			break;	
			
			case 'course':
				$this->Session->setFlash(__('ERROR :: This product already exist in Your Cart', true));
				//echo "This product already exist in Your Cart."; exit;
			break;		
			
			}
		}else{
			
			$data[$type][$id]=$qt;
			$dd= $type;
			
			switch($type){
			case 'product':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;
			case 'seminer':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;
			case 'publish':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;			
			
			case 'publish':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;				
			
			case 'summit':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;		
	
			case 'webinar':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;		

			case 'workshop':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;
			
			case 'course':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;
			
			}
		}
		
	}else{
			$data[$type][$id]=$qt;
			$dd= $type;
			
			
			switch($type){
			case 'product':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;
			case 'seminer':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;
			case 'publish':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;			
			
			case 'publish':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;
			
			case 'summit':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;			
						
			case 'webinar':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;
			
			case 'workshop':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;		
			
			case 'course':
				$this->Session->setFlash(__('This product added in Your Cart Successfully.', true),'default', array('class' => 'success'));
			break;		
						
			}	
			

	}	  

	  $this->Session->write('cart',$data);
	  $this->redirect(array('controller' => $type.'s', 'action' => 'view_product',$id));	
	  //echo $dd.'@'.((count($data) > 0 ? ((isset($data['product']) && !empty($data['product'])) ? count($data['product']).' product' : '').(((isset($data['seminer']) && !empty($data['seminer'])) && (isset($data['product']) && !empty($data['product']))) ? ' & ' : '').((isset($data['seminer']) && !empty($data['seminer'])) ? count($data['seminer']).' seminer' : '') : 'No Items'));
	  exit;
	  $this->AutoRender = false;
   }
  
}
?>