<?php
class CheckoutController extends AppController{
   var $name = 'Checkout';
   var $uses = array('Order', 'OrderItem', 'Cart', 'User', 'Product');
   var $layout = 'default';
   var $components = array('Session');
   
   function beforeFilter(){
      //$this->setUser();
      $this->Auth->authError = 'Please Login to Checkout';
   }
   
   function index(){
      $cart = $this->Cart->find('first', array('conditions' => array('Cart.sessionid' => $this->Session->read('cartid'))));
	  
      if(!isset($cart['Cart'])){
         $this->Session->setFlash('You cannot check out because there are no items in your shopping cart.');
         $this->redirect('/');
      }
	  else{
	  	 $this->set(compact('cart'));	
	  }
	  $go="";
	  $id="";
      if(!empty($this->request->data)){
	  	 //pr($this->request->data);
         $this->request->data['Order']['user_id'] = $this->Auth->user('id');
		 //$this->request->data['Order']['order_item_count'] = $this->Auth->user('id');
		 //$this->request->data['Order']['total'] = $this->Auth->user('id');
		 $this->Order->Create();
         if($this->Order->save($this->request->data)){
			$order_id = $this->Order->getLastInsertId();
			$go=1;
			$id=$this->Order->id;
            $this->_populate($this->Order->getLastInsertId(), $cart);
         	//$this->Cart->delete();
         	//$this->redirect('/checkout/complete/' . $order_id);
         }
      }
	  $this->set(compact('go','id'));
   }
   
   /*function shipping(){
      //$this->layout = 'AJAX';
      $cart = $this->Cart->get();
      $this->Shipping->get('usps', '10022', '20008', $cart);
   }*/
   
   function _populate($order_id, $cart){
		foreach($cart as $item){
			$data['OrderItem']['product_id'] = $item['product_id'];
			$data['OrderItem']['price'] = $item['price'];
			$data['OrderItem']['subtotal'] = $item['subtotal'];
			$data['OrderItem']['name'] = $item['name'];
			$data['OrderItem']['order_id'] = $order_id;
			if(!$this->OrderItem->save($data)){
				die('Could not write data');
			}
			$this->OrderItem->id = false;
		}
	}
	
	function complete($id = null){	 
	
	   if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
	   }	  
	   
	   
	   $this->Order->recursive = 2;
	   $order = $this->Order->find('first', array('conditions' => array('Order.id' => $id)));
	   
	   if(!empty($_GET)){
			//pr($_GET);
			$id = $_GET['cm'];
			$transaction = $_GET['tx'];
			$status = $_GET['st'];
			$paidon = date('Y-m-d h:i:s');
			$this->Order->id = $id;
 			$this->Order->saveField("transaction",$transaction);
			$this->Order->saveField("status",$status);
			$this->Order->saveField("modified",$paidon);
	   }
	   //if($order['Order']['user_id'] == $this->Auth->user('id')){
	      //$this->set('total', $this->orderTotal($order));
		  
	   $uid = $this->Session->read('Auth.User.id');
	   $this->loadModel("Order");
		//$this->User->getOrders($id);
	   $order = $this->Order->query("SELECT * FROM `ss_carts` , `ss_products` , `ss_orders` , `ss_order_items` WHERE 
	                               `ss_products`.`id` = `ss_order_items`.`product_id` AND `ss_order_items`.`order_id` = 
								   `ss_orders`.`id` AND `ss_carts`.`product_id` = `ss_products`.`id` AND 
								   `ss_carts`.`user_id` = `ss_orders`.`user_id` AND `ss_carts`.`user_id` = " . $uid);		
       //pr($order);exit;	  
	   $this->set(compact('order'));
	   
	   $email=$order[0]['ss_orders']['email'];
	   $mail_from = 'admin@swapscan.com';
	   $product = $order[0]['ss_carts']['name'];
	   $quantity = $order[0]['ss_carts']['quantity'];
	   $price = $order[0]['ss_carts']['price'];
	   $total = $order[0]['ss_carts']['subtotal'];
	   $mail_Body = '<section id="search-content">
						<div class="container">
							<div class="row">
								<h2>Your order has been placed.</h2>
								<p>Your order has been successfully placed. Here are your order details:</p>
								<table border=1>
								  <th>Product</th>
								  <th>Quantity</th>
								  <th>Price</th>
									  <tr>				  	        
										 <td>' . $product . '</td>					 				        
										 <td>' . $quantity . '</td>
										 <td> $' . number_format($price, 2) . '</td>
									  </tr>
								   <tr>
									  <td colspan = "3">Total</td>
									  <td>$' . number_format($total, 2). ' </td>
								   </tr>
								</table>
							</div>
						</div>
					</section>';
	   @$this->Send_HTML_Mail($email, $mail_from, '', 'Order Details', $mail_Body);			
	   //exit;
	   
	   //} 
	  // else{
	   //   $this->render('simple');
	  // }
	}
}
?>