<?php
App::uses('AppController', 'Controller');
/**
* Products Controller
*
* @property Product $Product
*/
class  DispensaryController  extends AppController {
	public $uses = array('Product', 'User', 'Transaction', 'Message','Funnel');
/* --------------------------------------------------------------- START :: ADMIN PANEL FUNCTIONS --------------------------------------- */
	function beforeFilter(){
    	$this->myRandomNumber = rand();
	}
/**
* index method
*
* @return void
*/
	public function admin_index(){
		$this->layout = 'admin';
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$sumhits = $this->Sumhits->find('all', array('conditions' => array('Sumhits.status' => '1')));
		$this->set('sumhits', $this->paginate());
	}
/* --------------------------------------------------------------- END :: ADMIN PANEL FUNCTIONS --------------------------------------- */
	function add(){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$flag = true;
		$fileName = '';
		if(!empty($this->request->data)){
			$flag = true;
			//pr($this->request->data);exit;
			
			if(@$this->request->data['photo'] !=""){
				$file_basename= basename($this->request->data['photo']);
			}
			
			
			
			$upc = $this->request->data['Product']['upc'];
				
				if($upc != ""){
					if(ctype_alnum($upc) !=1)
					{
						$this->Session->setFlash(sprintf(__('ERROR :: Upc field must with (A to Z or 1-9).', true)));
						$flag = false;
					}
					
					if (strlen($upc)>13) {
						$this->Session->setFlash(sprintf(__('ERROR :: Upc field maximum content 13 character.', true)));
						$flag = false;
					}
				}
			
			
			
			/*if(isset($this->request->data['Product']['image']['tmp_name']) && is_uploaded_file($this->request->data['Product']['image']['tmp_name'])){
				
				$image_info = getimagesize($this->request->data['Product']['image']['tmp_name']);
				if($image_info[0] < 250){ $this->Session->setFlash(__('ERROR :: Image Minimum Dimention: 200 X 200.', true)); $flag = false; }
				if($image_info[1] < 250){ $this->Session->setFlash(__('ERROR :: Image Minimum Dimention: 200 X 200.', true)); $flag = false; }				
				
				$extention = strtolower(strrchr($this->request->data['Product']['image']['name'], "."));
				$fileDetail = $this->request->data['Product']['image'];
				$this->request->data['Product']['image'] = " ";					
				if(!in_array($extention, $this->validImageFormats)){
					$flag = false;
					$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
				}
			}
			else{
				$this->request->data['Product']['image'] = $this->request->data['Product']['image'];
			}*/				
			$this->request->data['Product']['user_id'] = $this->Session->read('Auth.User.id');
			$this->request->data['Product']['post_date'] = date('Y-m-d h:i:s');
$this->request->data['Product']['product_link'] = $this->request->data['Product']['product_link'];
			$this->request->data['Product']['blocked'] = 0;
			
			
			if($flag){
				$this->Product->create();
				if($this->Product->save($this->request->data)){
					
					if($file_basename !=""){
						$this->Product->saveField('image', $file_basename);
					}
					
					
						$this->Session->setFlash(__('Dispensery has been added successfully.', true),'default', array('class' => 'success'));
						$this->redirect(array('action' => ''));
				} else {
				  $this->Session->setFlash(__('ERROR :: Dispensery could not be added. Please, try again.', true));
				}
			}
		}	
$funnels = $this->Funnel->find('all', array('conditions' => array( 'Funnel.status' => '1')));
		$this->set(compact('funnels'));
	}



	function edit($id = null){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$flag = true;
		$fileName = '';
		if(!empty($this->request->data)){
			$flag = true;
			//pr($this->request->data);exit;
			
			if(@$this->request->data['photo'] !=""){
				$file_basename= basename($this->request->data['photo']);
				
				$pre_image = $this->request->data['Product']['pre_image'];
				if($pre_image != ""){
					unlink(DISPENSERY_IMAGES . $this->request->data['Product']['pre_image']);
				}
				
			}
			
			
			$upc = $this->request->data['Product']['upc'];
				if($upc != ""){
					if(ctype_alnum($upc) !=1)
					{
						$this->Session->setFlash(sprintf(__('ERROR :: Upc field must with (A to Z or 1-9).', true)));
						$flag = false;
					}
					
					if (strlen($upc)>13) {
						$this->Session->setFlash(sprintf(__('ERROR :: Upc field maximum content 13 character.', true)));
						$flag = false;
					}
				}
			
			/*if(isset($this->request->data['Product']['image']['tmp_name']) && is_uploaded_file($this->request->data['Product']['image']['tmp_name'])){
				
				$image_info = getimagesize($this->request->data['Product']['image']['tmp_name']);
				if($image_info[0] < 250){ $this->Session->setFlash(__('ERROR :: Image Minimum Dimention: 200 X 200.', true)); $flag = false; }
				if($image_info[1] < 250){ $this->Session->setFlash(__('ERROR :: Image Minimum Dimention: 200 X 200.', true)); $flag = false; }	
							
				$extention = strtolower(strrchr($this->request->data['Product']['image']['name'], "."));
				$fileDetail = $this->request->data['Product']['image'];
				$this->request->data['Product']['image'] = '';					
				if(!in_array($extention, $this->validImageFormats)){
					$flag = false;
					$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
				}
			}
			else{
				$this->request->data['Product']['image'] = $this->request->data['Product']['pre_image'];
			}*/				
			
			
			
			
			$this->request->data['Product']['user_id'] = $this->Session->read('Auth.User.id');
			//$this->request->data['Product']['post_date'] = date('Y-m-d h:i:s');
			$this->request->data['Product']['blocked'] = 0;
$this->request->data['Product']['product_link'] = $this->request->data['Product']['product_link'];
						
			if($flag){
				$this->Product->create();
				if($this->Product->save($this->request->data)){
					if($file_basename !=""){
						$this->Product->saveField('image', $file_basename);
					} 
					
						$this->Session->setFlash(__('Dispensery has been edited successfully.', true),'default', array('class' => 'success'));
						$this->redirect(array('controller' => 'users', 'action' => 'dispensary', $this->Session->read('Auth.User.id')));
						//$this->redirect(array('action' => ''));
				} else {
				  $this->Session->setFlash(__('ERROR :: Dispensery could not be edited. Please, try again.', true));
				}
			}
		} else {
		
			$this->request->data = $this->Product->read(null, $id);
			$this->request->data['Product']['pre_image'] = $this->request->data['Product']['image'];
			
			//pr($book);exit;
			//$this->set(compact('prod'));

$funnels = $this->Funnel->find('all', array('conditions' => array('Funnel.user_id' => $this->Session->read('Auth.User.id'), 'Funnel.status' => '1')));
$this->set(compact('prod','funnels'));
		}		
		
	}




public function delete($id = null){
		//echo $id;
		
		
		$this->Product->id = $id;
		if (!$this->Product->exists()){
			throw new NotFoundException(__('Invalid product'));
		}
		
		
		$report = $this->Product->read(null, $id);
		//pr($report); exit;
		if ($this->Product->delete()){

			if($report['Product']['image'] != ""){
				if(file_exists(DISPENSERY_IMAGES . $report['Product']['image'])){
					unlink(DISPENSERY_IMAGES . $report['Product']['image']);
				}
			}
			
				$this->Session->setFlash(sprintf(__('The Dispensary has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				//$this->redirect(array('controller' => 'dispensary', 'action' => 'index'));
		
		}
		else{
		$this->Session->setFlash(__('Dispensary was not deleted'));
}

$this->redirect(array('controller' => 'users', 'action' => 'dispensary', $this->Session->read('Auth.User.id')));
		//$this->redirect(array('action' => 'index'));
	}






	function sumhitsdetail($id = null){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$seminars = $this->Seminar->find('all', array('conditions' => array('Seminar.id' => $id, 'Seminar.status' => '1')));
		$this->set(compact('seminars', 'id', 'uid', 'curdate'));
		$go = "";
		$uid = "";									
		if(!empty($this->request->data)){
			$uid = $this->Session->read('Auth.User.id');
			$title = $this->request->data['Seminar']['title'];
			$reg_cost = $this->request->data['Seminar']['reg_cost'];
			$organizer = $this->request->data['Seminar']['user_id'];
			$go = 1;
			$id = $this->request->data['Seminar']['semid'];
		}
		$this->set(compact('go', 'uid', 'id', 'title', 'reg_cost', 'organizer'));
	}
	public function thankyou(){
		if(!empty($_GET)){
			$id = explode("@", $_GET['cm']);
			$transaction = $_GET['tx'];
			$status = $_GET['st'];
			$paidon = date('Y-m-d h:i:s');
			$this->request->data['Transaction']['sem_id'] = $id[0];
			$this->request->data['Transaction']['web_id'] = '0';
			$this->request->data['Transaction']['work_id'] = '0';
			$this->request->data['Transaction']['cou_id'] = '0';
			$this->request->data['Transaction']['pub_id'] = '0';
			$this->request->data['Transaction']['ticket'] = $this->myRandomNumber;
			$this->request->data['Transaction']['type'] = '1';
			$this->request->data['Transaction']['user_id'] = $this->Session->read('Auth.User.id');
			$this->request->data['Transaction']['transaction_id'] = $transaction;
			$this->request->data['Transaction']['status'] = $status;
			$this->request->data['Transaction']['paidon'] = $paidon;
			$this->request->data['Transaction']['amount'] = $_GET['amt'];
			$this->request->data['User']['send_date'] = $paidon;
			$this->request->data['User']['from_user'] = $id[1];
			$this->request->data['User']['to_user'] = $this->Session->read('Auth.User.id');
			$this->request->data['User']['message'] = "Your ticket number for the Seminar is " . $this->request->data['Transaction']['ticket'];
			$this->Transaction->create();
		 	if($this->Transaction->save($this->request->data)){
				$this->Session->setFlash(__('Seminar has been updated successfully.', true),'default', array('class' => 'success'));
				$this->Message->create();
				if($this->Message->save($this->request->data['User'])){
				}
		 		$this->redirect('/users/dashboard/');
		 	}
		 	else{
		 		$this->Session->setFlash(__('ERROR :: Seminar could not be updated. Please, try again.', true));
		 	}
		}
	}
	public function notify(){
		$this->layout = false;
		if(!empty($_GET)){
			$id = explode("@", $_GET['cm']);
			$transaction = $_GET['tx'];
			$status = $_GET['st'];
			$paidon = date('Y-m-d h:i:s');
			$this->request->data['Transaction']['sem_id'] = $id[0];
			$this->request->data['Transaction']['web_id'] = '0';
			$this->request->data['Transaction']['work_id'] = '0';
			$this->request->data['Transaction']['cou_id'] = '0';
			$this->request->data['Transaction']['pub_id'] = '0';
			$this->request->data['Transaction']['type'] = '1';
			$this->request->data['Transaction']['user_id'] = $this->Session->read('Auth.User.id');
			$this->request->data['Transaction']['transaction_id'] = $transaction;
			$this->request->data['Transaction']['status'] = $status;
			$this->request->data['Transaction']['paidon'] = $paidon;
			$this->request->data['Transaction']['amount'] = $_GET['amt'];
			$this->request->data['User']['from_user'] = $id[1];
			$this->request->data['User']['to_user'] = $this->Session->read('Auth.User.id');
			$this->request->data['User']['message'] = "Your ticket number for the Seminar is " . $this->request->data['Transaction']['ticket'];
			$this->Transaction->create();
		 	if($this->Transaction->save($this->request->data)){
				$this->Session->setFlash(__('Seminar has been updated successfully.', true),'default', array('class' => 'success'));
		 		$this->Message->create();
				if($this->Message->save($this->request->data['User'])){
				}
		 		$this->redirect('/users/dashboard/');
		 	}
		 	else{
		 		$this->Session->setFlash(__('ERROR :: Seminar could not be updated. Please, try again.', true));
		 	}
		}
		exit;
	}
	/*archive*/

	public function archive($id=null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$this->Transaction->recursive = 3;
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$dates = $this->Product->find('all', array('conditions' => array('Product.user_id' => $uid, 'Product.blocked' => 0, 'Product.product_type_id' => 2)));
		
		$archives = $this->Product->find('all',
													array(
													'conditions' => array('Product.user_id'=>$uid),
													'fields'=>array('DATE_FORMAT(Product.post_date, \'%Y %M\') AS  arch','count(Product.id) AS numblogs'),
													'order' => array('Product.post_date'=>'ASC'),
													'group'=>array('arch')
													));
													
	  // pr($archives);exit;												
		
		$this->set(compact('seminars', 'id', 'uid', 'get_user', 'curdate', 'reg_infos','archives'));
	}


	/*detail*/
	public function detail($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
				$date_var = explode("-", $id);
				if($date_var[1] == "January"){
					$d = $date_var[0]."-01";
				} else if($date_var[1] == "February"){
					$d = $date_var[0]."-02";
				} else if($date_var[1] == "March"){
					$d = $date_var[0]."-03";
				} else if($date_var[1] == "April"){
					$d = $date_var[0]."-04";
				} else if($date_var[1] == "May"){
					$d = $date_var[0]."-05";
				} else if($date_var[1] == "June"){
					$d = $date_var[0]."-06";
				} else if($date_var[1] == "July"){
					$d = $date_var[0]."-07";
				} else if($date_var[1] == "August"){
					$d = $date_var[0]."-08";
				} else if($date_var[1] == "September"){
					$d = $date_var[0]."-09";
				} else if($date_var[1] == "October"){
					$d = $date_var[0]."-10";
				} else if($date_var[1] == "November"){
					$d = $date_var[0]."-11";
				} else if($date_var[1] == "December"){
					$d = $date_var[0]."-12";
				}
		
		
		
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$this->Transaction->recursive = 3;
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$dts = $this->Product->find('all', array('conditions' => array('Product.post_date LIKE' => $d.'%','Product.user_id' => $uid,'Product.product_type_id' => 2)));
		
		//pr($dts);exit;
		
		
		$this->set(compact('seminars', 'id', 'uid', 'get_user', 'curdate', 'reg_infos', 'dts', 'd'));
	}
	/*registrants*/
	public function registrants($id=null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$this->Transaction->recursive = 3;
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$seminars = $this->Seminar->find('all', array('conditions' => array('Seminar.user_id' => $id, 'Seminar.status' => '1')));
		$this->set(compact('seminars', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}
	/*payments*/
	public function payments($id=null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$total = $this->Transaction->find('list', array('fields' => 'Transaction.amount', 'conditions' => array('Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$seminars = $this->Seminar->find('all', array('conditions' => array('Seminar.user_id' => $id, 'Seminar.status' => '1')));
		$this->set(compact('seminars', 'id', 'uid', 'get_user', 'curdate', 'reg_infos', 'total'));
	}
}