<?php
App::uses('AppController','Controller');
/**
 * Eventshome Controller
 *
 * @property Category $Category
 */
class EventDelegatesController extends AppController {


var $uses = array('EventDelegate');



/***********  admin  index  ************/

public function admin_index()
	{
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
		//$this->Eventshome->recursive = 0;
		//$this->paginate = array('order' => array('display_order' => 'asc'));		
		
		$del = $this->EventDelegate->find('all'); 
		$this->set(compact('del'));
	}


/***********  admin  index  ************/

/***********  admin add  ************/
public function admin_add()
{
	
	
	if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		if (!empty($this->request->data)){
			$get_ev_del = $this->EventDelegate->find('first', array('conditions' => array('EventDelegate.delegate_title' => $this->request->data['EventDelegate']['delegate_title'])));
			if($get_ev_del){
				$this->Session->setFlash(__('ERROR :: Same Event Delegate already exists.', true));
			}
			else{
				$this->EventDelegate->create();
				//$display_order_exist=$this->Category->find('first',array('conditions'=>array('Category.display_order'=>$this->request->data['Category']['display_order'])));
				if ($this->EventDelegate->save($this->request->data)){
					
					$this->Session->setFlash(__('The Same Event Delegate has been saved successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'admin_index'));
					
				    }
				else {
				$this->Session->setFlash(__('ERROR :: The Same Event Delegate could not be saved. Please, try again.', true));
				
				}
			  }	
		}
	
}

/***********  admin add  ************/

/***********  admin edit  ************/

public function admin_edit($id=null)
{
	if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
	$this->EventDelegate->id=$id;
	$del_detail= $this->EventDelegate->read();
		
		if (!$id && empty($this->request->data)){
			$this->Session->setFlash(__('ERROR :: Invalid Delegate.', true));
			$this->redirect(array('action' => 'admin_index'));
		}
		if (!empty($this->request->data)){			
			$get_delegate = $this->EventDelegate->find('first', array('conditions' => array('EventDelegate.delegate_title' => $this->request->data['EventDelegate']['delegate_title'], 'EventDelegate.id <>' => $this->request->data['EventDelegate']['id'])));
			if($get_delegate){
				$this->Session->setFlash(__('ERROR :: Same Event Delegate already exists.', true));
			}
			else{
				
					
			
				$this->EventDelegate->create();
				
				if ($this->EventDelegate->save($this->request->data)){
					
					
					$this->Session->setFlash(__('The Event Delegate has been updated successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'admin_index'));
				   } 
				else{
					$this->Session->setFlash(__('ERROR :: The Event Delegate could not be updated. Please, try again.', true));
				}
			
		     }
	    }
		
		if (empty($this->request->data)) {
			$this->request->data = $this->EventDelegate->read();
			
		}
		
		//$this->set(compact('del_detail'));
	
	}
//}

/***********  admin edit ************/


/***********  admin  delete   ************/

public function admin_delete($id=null)
{
	
	if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
		$this->EventDelegate->id = $id;
		$event = $this->EventDelegate->read();
		//pr($event); exit;
		if ($this->EventDelegate->delete()){
			
						
				$this->Session->setFlash(sprintf(__('The Event Delegate has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('action' => 'admin_index'));
	  } 
}
/*********** admin  delete ************/

/***********************************     End :: Admin Functions     ***************************/



/******************** Start :: Frontend  ******************/
public function index(){
	
	$delegate = $this->EventDelegate->find('all',array('conditions'=>array('EventDelegate.is_active'=>'1')));
	//pr($delegate);exit;
	$this->set(compact('delegate'));
}





/*********************** End :: Frontend **************/
}
?>