<?php
App::uses('AppController','Controller');
/**
 * Eventshome Controller
 *
 * @property Category $Category
 */
class EventurlsController extends AppController {


var $uses = array('Eventshome','Eventurl');



/***********  event  url ************/

public function admin_index($id=null)
	{
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
		//$this->Eventshome->recursive = 0;
		//$this->paginate = array('order' => array('display_order' => 'asc'));		
		
		//pr($cat);
		$this->Eventshome->id = $id;
		$ev = $this->Eventshome->read();
		//pr($ev);exit;
		//$this->Eventurl->id = $id;
		//$eventurl = $this->Eventurl->read();
	//pr($eventurl);exit;
		$this->set(compact('eventurl','ev'));
	}


/***********  event  url ************/

/***********  event add  url ************/
public function admin_add($id=null)
{
	
	
	if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		//$this->Eventurl->id = $id;
		//$event = $this->Eventurl->read();
		
		$event = $this->Eventshome->find('first', array('fields' =>array('id','event_title'),'conditions'=>array('Eventshome.id'=>$id)));
		
		$this->set(compact('event'));
		//$this->set(compact('countryz'));
		
		if (!empty($this->request->data)){
			$get_ev_url = $this->Eventurl->find('first', array('conditions' => array('Eventurl.url_title' => $this->request->data['Eventurl']['url_title'], 'Eventurl.url' => $this->request->data['Eventurl']['url'])));
			if($get_ev_url){
				$this->Session->setFlash(__('ERROR :: Same Event Url already exists.', true));
			}
			else{
				$this->Eventurl->create();
				//$display_order_exist=$this->Category->find('first',array('conditions'=>array('Category.display_order'=>$this->request->data['Category']['display_order'])));
				if ($this->Eventurl->save($this->request->data)){
					
					$this->Session->setFlash(__('The Eventurl has been saved successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'admin_index',$id));
					
				    }
				else {
				$this->Session->setFlash(__('ERROR :: The Eventurl could not be saved. Please, try again.', true));
				
				}
			  }	
		}
		 
		
		
	
	
	
}

/***********  event add  url ************/

/***********  event edit  url ************/

public function admin_edit($id=null)
{
	if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
	//	$this->Eventhome->id = $id;
	//	$event_detail = $this->Eventhome->read();
		
		//$event_detail = $this->Eventshome->read($id);
		//pr($event_detail);exit;
		$this->Eventurl->id = $id;
		
		$url_detail = $this->Eventurl->read();
	//	pr($url_detail);exit;
		
		if (!$id && empty($this->request->data)){
			$this->Session->setFlash(__('ERROR :: Invalid Eventurl.', true));
			$this->redirect(array('action' => 'admin_index',$url_detail['Eventshome']['id']));
		}
		if (!empty($this->request->data)){			
			$get_event = $this->Eventurl->find('first', array('conditions' => array('Eventurl.url_title' => $this->request->data['Eventurl']['url_title'], 'Eventurl.id <>' => $this->request->data['Eventurl']['id'])));
			if($get_event){
				$this->Session->setFlash(__('ERROR :: Same Event Url already exists.', true));
			}
			else{
				
					
			
				$this->Eventurl->create();
				
				if ($this->Eventurl->save($this->request->data)){
					
					
					$this->Session->setFlash(__('The Event Url has been updated successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'admin_index',$url_detail['Eventshome']['id']));
				   } 
				else{
					$this->Session->setFlash(__('ERROR :: The Event Url could not be updated. Please, try again.', true));
				}
			
		     }
	    }
		
		if (empty($this->request->data)) {
			$this->request->data = $this->Eventurl->read();
			
		}
		
		$this->set(compact('url_detail'));
	
	}
//}

/***********  event edit  url ************/


/***********  event delete  url ************/

public function admin_delete($id=null)
{
	
	if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
		$this->Eventurl->id = $id;
		$event = $this->Eventurl->read();
		//pr($event); exit;
		if ($this->Eventurl->delete()){
			
						
				$this->Session->setFlash(sprintf(__('The Event url has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('action' => 'admin_index',$event['Eventshome']['id']));
	  } 
}
/***********  event delete  url ************/



}
?>