<?php
App::uses('AppController','Controller');
/**
 * OtherMenu Controller
 *
 * @property Category $Category
 */
class OthermenusController extends AppController {


var $uses = array('OtherMenu','Country','OtherMenuUrl','Speaker','EventDelegate');

	/* --------------------------------------------------------------- START :: ADMIN PANEL FUNCTIONS --------------------------------------- */

	public function admin_index()
	{
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		$otherevent = $this->OtherMenu->find('all');

		$this->set('otherevent', $this->paginate());
	}
/*****************************  admin add ******************************/





public function admin_add(){
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		/*$total_cat="";
		$total=$this->Category->find('count') +1;
		for($i=1;$i<=$total;$i++){
			$total_cat[$i]=$i;
		}*/
		$countryz = $this->Country->find('list', array('fields' =>array('id','name')));
		
		$sp = $this->Speaker->find('list', array('fields' =>array('id','name')));
		//pr($this->request->data);exit;
		
		if (!empty($this->request->data)){
			$get_event_name = $this->OtherMenu->find('first', array('conditions' => array('OtherMenu.event_title' => $this->request->data['OtherMenu']['event_title'])));
			if($get_event_name){
				$this->Session->setFlash(__('ERROR :: Same event already exists.', true));
			}
			else{
				$flag = true;
				
				if($this->request->data['OtherMenu']['speaker']!="")
				{
					$speaker = implode(',', $this->request->data['OtherMenu']['speaker']);
					$this->request->data['OtherMenu']['speaker'] = $speaker;
				//echo $speaker;exit;
				
				}
				else{
					$this->request->data['OtherMenu']['speaker'] ='';
				}
				
				
				if(isset($this->request->data['OtherMenu']['event_photo']['tmp_name']) && is_uploaded_file($this->request->data['OtherMenu']['event_photo']['tmp_name'])) 
				{
					$extention = strtolower(strrchr($this->request->data['OtherMenu']['event_photo']['name'],"."));
					$fileDetail = $this->request->data['OtherMenu']['event_photo'];
					$this->request->data['OtherMenu']['event_photo'] = "";
					
					if(!in_array($extention, $this->validImageFormats)) 
					{
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				} 
				else 
				{
					$this->request->data['OtherMenu']['event_photo'] = '';
				}

          if($flag) 
			{
				$this->OtherMenu->create();
				//$display_order_exist=$this->Category->find('first',array('conditions'=>array('Category.display_order'=>$this->request->data['Category']['display_order'])));
				if ($this->OtherMenu->save($this->request->data)){					
					
					if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) 
						{						
							$fileName = $this->OtherMenu->id.str_replace(' ', '_', stripslashes(trim($fileDetail['name'])));
							move_uploaded_file($fileDetail['tmp_name'], OtherMenu_PHOTOS . $fileName);
							$this->OtherMenu->saveField('event_photo', $fileName);
						}	
					
					$this->Session->setFlash(__('The Event has been saved successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'index'));
				   } 
				else{
					$this->Session->setFlash(__('ERROR :: The Event could not be saved. Please, try again.', true));
				}
			}
		}
		

		/*if (empty($this->request->data)){
			$this->request->data['Category']['display_order']=$total;
		}*/
	//	pr($country);
		
	}

	$this->set(compact('countryz','sp'));

}

/**********************   admin add ********************/
	
/********************** admin edit ********************/
	
	
	public function admin_edit($id = null){
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}

		
		
		$this->OtherMenu->id = $id;
		$event_detail = $this->OtherMenu->read();
		
		
		$cntry = $this->Country->find('list', array('fields' =>array('id','name')));
		$sp = $this->Speaker->find('list', array('fields' =>array('id','name')));
		//pr($cntry);exit;
		//$event_detail = $this->OtherMenu->read($id);
		//pr($event_detail);exit;
		
		if (!$id && empty($this->request->data)){
			$this->Session->setFlash(__('ERROR :: Invalid Event.', true));
			$this->redirect(array('action' => 'index'));
		}
		if (!empty($this->request->data)){			
			$get_event = $this->OtherMenu->find('first', array('conditions' => array('OtherMenu.menu_id' => $this->request->data['OtherMenu']['menu_id'], 'OtherMenu.id <>' => $this->request->data['OtherMenu']['id'])));
			if($get_event){
				$this->Session->setFlash(__('ERROR :: Same Event already exists.', true));
		}
		else{
			
			$flag=true;
			$this->OtherMenu->create();
			if($this->OtherMenu->save($this->request->data)){
				$this->Session->setFlash(__('The Event has been updated successfully.', true), 'default', array('class' => 'success'));
				$this->redirect(array('action' => 'index'));
			} else {
			  $this->Session->setFlash(__('ERROR :: Menu Item could not be edited. Please, try again.', true));
			}
		}
	}
		if (empty($this->request->data)) {
			$this->request->data = $this->OtherMenu->read();
			
		}
		
		$this->set(compact('cntry','other_menus','sp'));
	
	}
	
	
/********************************* admin edit ***********************************/

/***********admin delete ***********/

public function admin_delete($id=null)
{
	
if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		$this->OtherMenu->id = $id;
	
		
		$event = $this->OtherMenu->read(null, $id);
		//pr($report); exit;
		if ($this->OtherMenu->delete()){
				$this->Session->setFlash(sprintf(__('The Menu Item has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('controller' => 'OtherMenus', 'action' => 'admin_index'));
	  } 
}
    


/************admin delete *******/

public function index()
{
	
	$this->OtherMenu->recursive = 0;
		
	$eventhome = $this->OtherMenu->find('all');
	
	
	
	//$this->set(compact('event'));
}

public function details($url=null)
{
	
	//$this->OtherMenu->recursive = 0;
		
	//$event_details = $this->OtherMenu->read(null,$id);
  //$sp_details = $this->OtherMenu->find('first',array('fields'=>array('id','speaker'),'conditions'=>array('OtherMenu.event_seo_url'=>$id,'OtherMenu.event_is_active'=>'1')));		
	$delegate = $this->EventDelegate->find('all',array('conditions'=>array('EventDelegate.is_active'=>'1')));
		
	$event_details = $this->OtherMenu->find('first',array('conditions'=>array('OtherMenu.event_seo_url'=>$url,'OtherMenu.event_is_active'=>'1')));

	if(!empty($event_details['OtherMenu']['speaker']))
	{	
	
		$sp_id = explode(',',$event_details['OtherMenu']['speaker']);
	
		$sp_details = $this->Speaker->find('all',array('conditions'=>array('Speaker.id'=>$sp_id)));
	
	}
	
	//pr($sp_id);exit;	
	//pr($sp_details);exit;	
	
	
	$this->set(compact('event_details','sp_details','delegate'));
}
/********************  Frontend  ***************/


}


?>