<?php
App::uses('AppController', 'Controller');
/**

* Products Controller
*
* @property Product $Product9830838470
*/
class SpecialitiesController extends AppController {

	public $uses = array('Speciality',  'User' );
/* --------------------------------------------------------------- START :: ADMIN PANEL FUNCTIONS --------------------------------------- */
/**
* index method
*
* @return void
*/
///////////////////////////////////////////////////////////
	/*public function admin_index(){
		$this->layout = 'admin';
		if($this->Session->read('Auth.User.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$courses = $this->Course->find('all', array('conditions' => array('Course.status' => '1')));
		$this->set('courses', $this->paginate());
	}*/
	
///////////////////////////////////////////////////////////
	public function admin_deactivate($id = null){
		if($this->Session->read('Auth.Admin.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}

		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action' => $type));
		}
		//echo "xx";exit;
	
		
		$this->Speciality->id = $id;
		
		if($this->Speciality->saveField('status', '0')){
			$this->Session->setFlash(sprintf(__('The Speciality has been successfully suspended.', true), ''), 'default', array('class' => 'success'));
			$this->redirect(array('controller' => 'specialities', 'action' => 'index',$id));
		}
		else{
			$this->Session->setFlash(sprintf(__('The Speciality could not be suspended. Please try again!', true), ''), 'default', array('class' => ''));
			$this->redirect(array('controller' => 'specialities', 'action' => 'index',$id));
		}
	}

////////////////////////////////////////////////////////////////////////////

	
		public function admin_activate($id = null){
		if($this->Session->read('Auth.Admin.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}

		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action' => $type));
		}
		//echo "xx";exit;
	
		
		$this->Speciality->id = $id;
		
		if($this->Speciality->saveField('status', '1')){
			$this->Session->setFlash(sprintf(__('The Speciality has been successfully activated.', true), ''), 'default', array('class' => 'success'));
			$this->redirect(array('controller' => 'specialities', 'action' => 'index',$id));
		}
		else{
			$this->Session->setFlash(sprintf(__('The Speciality could not be activated. Please try again!', true), ''), 'default', array('class' => ''));
			$this->redirect(array('controller' => 'specialities', 'action' => 'index',$id));
		}
	}

//////////////////////////////////////////////////////////////////////
	public function admin_index($id=null){
	
		//s$this->layout = 'admin';
		
		
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		
	
	    $this->set('Speciality',$this->paginate());
		
		
	

	}
	
	public function admin_delete($id=null)
	{
	    if($this->Session->read('Auth.Admin.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		if(!$id)
		{
		  $this->Session->setFlash(__('ERROR :: Invalid Message', true));
		  $this->redirect('/admin/specialities');
		}
		if($this->Speciality->delete($id))
		{
		$this->Session->setFlash(__('The Speciality has been saved successfully.', true), 'default', array('class' => 'success'));
	    $this->redirect('/admin/specialities');
		
		}
		else
		{
		   $this->Session->setFlash(__('ERROR :: The Message could not be deleted.Please try again', true));
		   $this->redirect('/admin/messages');
		}
		
	}	
	
	
	public function admin_edit($id=null,$page_id=null)
	{
	
	
		if($this->Session->read('Auth.User.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action' => 'index'));
		}
		
		    if(!empty($this->request->data))
			{
		
					if ($this->Ad->save($this->request->data)){
					
			
						$this->Session->setFlash(__('The Ad has been updated successfully.', true),'default', array('class' => 'success'));
						$this->redirect(array('action' => 'index',$page_id));
					}
				 else {
				$this->Session->setFlash(__('ERROR :: The Ad could not be updated. Please, try again.', true));
				}
			}
			
			$this->request->data = $this->Ad->read(null, $id);
			$this->set(compact('page_id'));
			
			}
	


	
	
//////////////////////////////////////////////////////////////////
		public function admin_add(){
		//$this->layout = 'admin';
		if($this->Session->read('Auth.Admin.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		if (!empty($this->request->data)){
		
		      
			   $this->request->data['Speciality']['name']=trim($this->request->data['Speciality']['name']);
			$get_name=$this->Speciality->find('first',array('conditions'=>array('Speciality.name'=>trim($this->request->data['Speciality']['name'])))); 
			
			if($get_name)
			{
			    	
					$this->Session->setFlash(__('ERROR :: Speciality already exits. Please, try again.', true));
			}
			
			else
			{   
			       $this->Speciality->create();
	      
		           if ($this->Speciality->save($this->request->data)){

					
					$this->Session->setFlash(__('The Speciality has been saved successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'index'));
					
				}
				
				
				else{
					$this->Session->setFlash(__('ERROR :: The Speciality could not be saved. Please, try again.', true));
				}
				
			}	
		
		}
		
		
	}	
//////////////////////////////////////////////////////////
/*	public function admin_edit($id = null){
		
				
		if($this->Session->read('Auth.User.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		

		
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Message.', true));
			$this->redirect(array('action' => 'index'));
		}
		if (!empty($this->request->data)){
		
		

				if ($this->Message->save($this->request->data)){

					
					$this->Session->setFlash(__('The Message has been updated successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'index'));
					
				}
				else{
					$this->Session->setFlash(__('ERROR :: The Message could not be saved. Please, try again.', true));
				}
			}
	
			$this->request->data = $this->Message->read(null, $id);
           // pr($this->request->data);exit;			
			
	}*/	
///////////////////////////////////////////////////////////
	function admin_delete_course($id = null){

		if($this->Session->read('Auth.User.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id for This Course.', true));
			$this->redirect('/courses/view_course/');
			//$this->redirect(array('action' => $rd));
		} else {
			$this->Course->delete($id);
			$this->Session->setFlash(__('The Course has been Deleted successfully.', true), 'default', array('class' => 'success'));
			$this->redirect(array('action' => 'view_course'));
		}
	}			
/* --------------------------------------------------------------- END :: ADMIN PANEL FUNCTIONS --------------------------------------- */
	public function message(){
	
	    if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		$this->layout='profile';
	   
	}


	
}