<?php
App::uses('AppController', 'Controller');
/**
* Users Controller		
*
* @property User $User
*/
class UsersController extends AppController{
	var $uses = array('User', 'Friend', 'Postalcodes', 'Phone', 'Message', 'UserReview', 'Approval', 'Product', 'Order', 'Publishing', 'Seminar', 'Sumhits', 'Webinar', 'Funnel', 'Workshop', 'Course', 'Transaction', 'Group', 'Groupapproval', 'Groupmember', 'Request','SiteSetting','Speciality','Service','Coaching','Energy','Ehr','Affiliates');
	/* --------------------------------------------------------------- START :: ADMIN PANEL FUNCTIONS --------------------------------------- */
	public function admin_login(){
		if($this->request->is('post')){
			//pr($this->request->data);exit;
			if($this->Auth->login()){
			
				//pr($this->Session->read('Auth.User.id'));exit;
				
				$this->Session->setFlash(__('You are successfully logged in', true));
				$this->redirect($this->Auth->redirect());
			}
			else{
				$this->Session->setFlash(__('ERROR :: Invalid username and password, try again', true));
			}
		}
	}
	public function admin_logout(){
		if($this->Auth->logout()){
			$this->Session->setFlash(__('You are successfully logged out', true));
		$this->redirect('/admin');
		}
	}
	
	public function admin_home(){
		//pr($this);
		//pr($this->Session->read('Auth.User')); exit;
		//echo "<pre>"; print_r($this->Session->read('Auth.User')); echo "<pre>"; exit;
	}
	
	
	public function admin_change_password(){
		$id = $this->Session->read('Auth.User.id');
		if($this->Session->read('Auth.User.id')){
			$flag = true;
			if (!$id && empty($this->request->data)){
				$this->Session->setFlash(__('Invalid admin', true));
				$this->redirect(array('action' => 'admin_home'));
			}
			if (!empty($this->request->data)){
				//echo $id;
				//pr($this->request->data);exit;
				if($this->request->data['User']['old_password']!= '' || $this->request->data['User']['new_password']!='' || $this->request->data['User']['confirm_password']!=''){
					if($this->request->data['User']['old_password']==''){
						$this->Session->setFlash(__('ERROR :: Please enter old password.', true));
						$flag = false;
					}
					else if($this->request->data['User']['new_password']==''){
						$this->Session->setFlash(__('ERROR :: Please enter new password.', true));
						$flag = false;
					}
					else if($this->request->data['User']['confirm_password']==''){
						$this->Session->setFlash(__('ERROR :: Please enter confirm password.', true));
						$flag = false;
					}
					else if($this->request->data['User']['new_password'] != $this->request->data['User']['confirm_password']){
						$this->Session->setFlash(__("ERROR :: Password and Confirm password does not match. Please try again.", true));
						$flag = false;
					} else {
						$oldPassword = $this->User->find('first', array('conditions' => array("User.id" => $id)));
						echo $oldPassword['User']['password'];
														
						
						if(isset($oldPassword['User']['password'])){			   
							if($oldPassword['User']['password'] != Security::hash(Configure::read('Security.salt').$this->request->data['User']['old_password'])){
								$this->Session->setFlash(__("ERROR :: Old password does not match. Please try again.", true));
								$flag = false;
							} 
						
						else{
							$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['new_password']);
							$this->request->data['User']['id'] = $this->Session->read('Auth.User.id');
							$flag = true;
						}
						}
					}
				}
				if ($flag){
					if ($this->User->save($this->request->data)){
						$this->Session->setFlash(__('The change password has been saved', true), 'default', array('class' => 'success'));
						$this->redirect(array('action' => 'change_password'));
					}
					else{
						$this->Session->setFlash(__('The user could not be saved. Please, try again.', true));
					}
				}
			}
		} else{
			$this->Session->setFlash(__('You are not authorized to access that location.', true));
			$this->redirect(array('controller' => 'users', 'action' => 'admin_home'));
		}
	}
	public function admin_export($id = null){
		if($this->Session->read('Auth.Admin.user_type')!=1
			){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		$this->User->recursive = 0;
		$this->layout = false;
		$this->autoLayout = false;
		
		/*if($id == 6){
			$id = array(3,4,5);
		}*/
		$users = $this->User->find('all', array('fields' => array('User.username', 'User.first_name', 'User.last_name', 'User.email', 'User.registration_date', 'User.phone_number'), 'conditions' => array('User.user_type' => $id)));
		//$users = $this->User->find('all', array('fields' => array('User.first_name', 'User.last_name', 'User.email', 'User.registration_date', 'User.phone_number'), 'conditions' => array('User.user_type' => $id)));
		
		
		
		header("Content-type: application/csv");
		if($id==2){
			$fileName = 'doctors_'.date("Ymd");
		}
		else if($id==3){
			$fileName = 'platinum_patients_'.date("Ymd");
		}
		else if($id==4){
			$fileName = 'gold_patients_'.date("Ymd");
		}
		else if($id==5){
			$fileName = 'patients_'.date("Ymd");
		}
		/*else if($id==6){
			$fileName = 'patients_'.date("Ymd");
		}*/		
		
		
		header("Content-Disposition: attachment; filename=".$fileName.".csv");
		$this->set('users', $users);
	}
	
	function admin_delete($id = null, $rd = null){
		if($this->Session->read('Auth.Admin.user_type')!=1
			){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		if($rd == 2){
			$ut = "Doctors";
			$rd = "index";
		}
		else if($rd == 3){
			$ut = "Platinaum Patient";
			$rd = "patient";
		}
		else if($rd == 4){
			$ut = "Gold Patient";
			$rd = "patient";
		}
		else if($rd == 5){
			$ut = "Free Patient";
			$rd = "patient";
		}
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id for '.$ut.'.', true));
			$this->redirect(array('controller'=>'users','action'=>$rd));
		}
		$this->request->data = $this->User->read(null, $id);
		if ($this->User->delete($id)){
			if($this->request->data['User']['photo']!=''){
				if(file_exists(USER_IMAGES . $this->request->data['User']['photo'])){
					unlink(USER_IMAGES . $this->request->data['User']['photo']);
				}
			}
			
			if($this->request->data['User']['document']!=''){
				if(file_exists(USER_DOCS . $this->request->data['User']['document'])){
					unlink(USER_DOCS . $this->request->data['User']['document']);
				}
			}			
			
			$this->Session->setFlash(__('The '.$ut.' has been deleted successfully.', true), 'default', array('class' => 'success'));
			$this->redirect(array('action'=>$rd));
		}
		$this->Session->setFlash(__('ERROR :: The '.$ut.' was not deleted.', true));
		$this->redirect(array('action' => $rd));
	}
	public function admin_suspend($id = null, $type = null){
		if($this->Session->read('Auth.Admin.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		if($type == 2){
			$type = "index";
		}
		else if($type == 3){
			$type = "patient";
		}
		else if($type == 4){
			$type = "patient";
		}
		else if($type == 5){
			$type = "patient";
		}
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action'=>$type));
		}
		$this->User->recursive = 0;
		$report = $this->User->read(null, $id);
		$this->User->id = $id;
		if($this->User->saveField('suspend','1')){
			$this->Session->setFlash(sprintf(__('The user has been successfully suspended.', true), ''), 'default', array('class' => 'success'));
			$mail_To = $report['User']['email'];
			$mail_From = $this->Session->read('Auth.User.email');
			$mail_subject = "Account has been suspended.";
			$mail_Body1 = "Dear ".$report['User']['first_name'].",<br>Your account has been suspended";
			$mail_Body = nl2Br($mail_Body1);
			$this->Send_HTML_Mail($mail_To, $mail_From, '', $mail_subject, $mail_Body);
			$this->redirect(array('controller' => 'users', 'action' => $type));
		}
		else{
			$this->Session->setFlash(sprintf(__('The user could not be suspended. Please try again!', true), ''), 'default', array('class' => ''));
			$this->redirect(array('controller' => 'users', 'action' => $type));
		}
	}
	public function admin_activate($id = null, $type = null){
		if($this->Session->read('Auth.Admin.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		if($type == 2){
			$type = "index";
		}
		else if($type == 3){
			$type = "patient";
		}
		else if($type == 4){
			$type = "patient";
		}
		else if($type == 5){
			$type = "patient";
		}
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action'=>$type));
		}
		$this->User->recursive = 0;
		$report = $this->User->read(null, $id);
		$this->User->id = $id;
		if($this->User->saveField('suspend','0')){
			$this->Session->setFlash(sprintf(__('The user has been successfully activated.', true), ''), 'default', array('class' => 'success'));
			$mail_To = $report['User']['email'];
			$mail_From = $this->Session->read('Auth.User.email');
			$mail_subject = "Account has been activated.";
			$mail_Body1 = "Dear ".$report['User']['first_name'].",<br>Your account has been activated.";
			$mail_Body =nl2Br($mail_Body1);
			$this->Send_HTML_Mail($mail_To, $mail_From,'', $mail_subject, $mail_Body);
			$this->redirect(array('controller' => 'users', 'action' => $type));
		}
		else{
			$this->Session->setFlash(sprintf(__('The user could not be activated.Please try again!', true), ''), 'default', array('class' => ''));
			$this->redirect(array('controller' => 'users', 'action' => $type));
		}
	}

	/*for Doctors Start Here         #############################################################################################################*/
	
	
		public function admin_videomacactivate($id = null, $type = null){
		if($this->Session->read('Auth.Admin.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
			$type = "index";
		
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action'=>$type));
		}
		$this->User->recursive = 0;
		$report = $this->User->read(null, $id);
		$this->User->id = $id;
		if($this->User->saveField('videomac_status','1')){
			$this->Session->setFlash(sprintf(__('The user has been successfully enabled for Telemac Video.', true), ''), 'default', array('class' => 'success'));
			$mail_To = $report['User']['email'];
			$mail_From = $this->Session->read('Auth.User.email');
			$mail_subject = "Account has been suspended.";
			$mail_Body1 = "Dear ".$report['User']['first_name'].",<br>Your account has been activated for Telemac Video";
			$mail_Body = nl2Br($mail_Body1);
			$this->Send_HTML_Mail($mail_To, $mail_From, '', $mail_subject, $mail_Body);
			$this->redirect(array('controller' => 'users', 'action' => $type));
		}
		else{
			$this->Session->setFlash(sprintf(__('The user could not be enable for telemac video. Please try again!', true), ''), 'default', array('class' => ''));
			$this->redirect(array('controller' => 'users', 'action' => $type));
		}
	}


public function admin_videomacsuspend($id = null, $type = null){
		if($this->Session->read('Auth.Admin.user_type') != 1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
			$type = "index";
		
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action'=>$type));
		}
		$this->User->recursive = 0;
		$report = $this->User->read(null, $id);
		$this->User->id = $id;
		if($this->User->saveField('videomac_status','0')){
			$this->Session->setFlash(sprintf(__('The user has been successfully disabled for Telemac Video.', true), ''), 'default', array('class' => 'success'));
			$mail_To = $report['User']['email'];
			$mail_From = $this->Session->read('Auth.User.email');
			$mail_subject = "Account has been suspended.";
			$mail_Body1 = "Dear ".$report['User']['first_name'].",<br>Your account has been diabled for Telemac Video";
			$mail_Body = nl2Br($mail_Body1);
			$this->Send_HTML_Mail($mail_To, $mail_From, '', $mail_subject, $mail_Body);
			$this->redirect(array('controller' => 'users', 'action' => $type));
		}
		else{
			$this->Session->setFlash(sprintf(__('The user could not be disabled for telemac video. Please try again!', true), ''), 'default', array('class' => ''));
			$this->redirect(array('controller' => 'users', 'action' => $type));
		}
	}
	public function admin_index(){
		if($this->Session->read('Auth.Admin.user_type')!=1
			){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}

		//pr($this->Session->read('Auth.User.id'));exit;
		$this->User->recursive = 0;
		if(!empty($this->request->data) || $this->Session->read('doctor_search') ){
			
			      if(!empty($this->request->data)){
				       $this->Session->write('doctor_search',$this->request->data);
				
			      }else{
				       $this->request->data=$this->Session->read('doctor_search');
				
			      }
			$temp=explode(' ',trim($this->request->data['User']['search']));
			$whereClause="";
			for($i=0;$i<count($temp);$i++){
				$whereClause.='User.first_name like '."'%".$temp[$i]."%'".' OR User.last_name like '."'%".$temp[$i]."%'";
				
				if($i != count($temp) - 1){
					$whereClause.=" OR ";
				}
			}
			$this->paginate = array('conditions' =>array('('.$whereClause.')',array('User.user_type' => 2)),'order' => array('id' => 'desc'),'limit'=>10);
		}else{
			$this->paginate = array('order' => array('id' => 'desc'), 'conditions' => array('User.user_type' => 2),'limit'=>10);
			//pr($this->paginate);exit;
		}
		$this->set('users', $this->paginate());
	}
	
	public function admin_add(){
		if($this->Session->read('Auth.Admin.user_type')!=1
			){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$fileName = '';
		if (!empty($this->request->data)){
			//pr($this->request->data);exit;
			//$get_username = $this->User->find('first', array('conditions' => array('User.username' => $this->request->data['User']['username'])));
			$get_email = $this->User->find('first', array('conditions' => array('User.email' => $this->request->data['User']['email'])));
			/*if($get_username){
				$this->Session->setFlash(__('ERROR :: Same username already exists.', true));
			}
			else */
			if($get_email){
				$this->Session->setFlash(__('ERROR :: Same email address already exists.', true));
			}
			else if($this->request->data['User']['user_password'] != $this->request->data['User']['confirm_password']){
				$this->Session->setFlash(__('ERROR :: Password missmatched.', true));
			} else {

				$flag = true;
				if($this->request->data['photo'] = ""){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo', true), implode(", ", $this->validImageFormats)));
				}
				/*if(isset($this->request->data['User']['photo']['tmp_name']) && is_uploaded_file($this->request->data['User']['photo']['tmp_name'])){
					$extention = strtolower(strrchr($this->request->data['User']['photo']['name'],"."));
					$fileDetail = $this->request->data['User']['photo'];
					$this->request->data['User']['photo'] = "";
					if(!in_array($extention, $this->validImageFormats)){
						echo "ww";
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				} else {
					$this->request->data['User']['photo'] = '';
				}*/
				//pr($this->validImageFormats);
				//echo $extention;
				//pr($this->request->data); 
				$file_basename= basename($this->request->data['photo']);
				//exit;
				
				if($flag){
				
					$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['user_password']);
					$this->User->create();
					if ($this->User->save($this->request->data)){
						//if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])){
							//echo $fileName = $this->User->id."user_image".$file_basename;
							
							//$fileHand = fopen($this->request->data['photo'], 'r');
    						//fclose($fileHand);
							//rename ('user_image/'.$file_basename, $fileName);
							//echo $fileName = basename($this->request->data['photo']);
							//move_uploaded_file($fileDetail['tmp_name'], USER_IMAGES . $fileName);
							$this->User->saveField('photo', $file_basename);
							//exit;
						//}
						$this->Session->setFlash(__('User has been saved successfully.', true), 'default', array('class' => 'success'));
						$this->redirect(array('action' => 'index'));
					}
					else{
						$this->Session->setFlash(__('ERROR :: User could not be saved. Please, try again.', true));
					}
				}
				
				
				
				
			}
		}
		
	}
	public function admin_edit($id = null){
		if($this->Session->read('Auth.Admin.user_type')!=1
			){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action'=>'index'));
		}
		$fileName = '';
		if (!empty($this->request->data)){
		
			//pr($this->request->data);exit;
		
		
		
			$get_email = $this->User->find('first', array('conditions' => array('User.email' => $this->request->data['User']['email'], 'User.id <>' => $id)));
			if($get_email){
				$this->Session->setFlash(__('ERROR :: Same email address already exists.', true));
			}
			
			
			else if($this->request->data['User']['user_password']=='' && $this->request->data['User']['confirm_password']!=''){
				$this->Session->setFlash(__('ERROR :: Please enter password.', true));
			}
			else if($this->request->data['User']['user_password']!='' && $this->request->data['User']['confirm_password']==''){
				$this->Session->setFlash(__('ERROR :: Please enter confirm password.', true));
			}
			else if($this->request->data['User']['user_password']!='' && $this->request->data['User']['confirm_password']!='' &&
			($this->request->data['User']['user_password'] != $this->request->data['User']['confirm_password'])){
				$this->Session->setFlash(__('ERROR :: Password missmatched.', true));
			}
			else{
				$flag = true;
				/*if(isset($this->request->data['User']['photo']['tmp_name']) && is_uploaded_file($this->request->data['User']['photo']['tmp_name'])){
					$extention = strtolower(strrchr($this->request->data['User']['photo']['name'],"."));
					$fileDetail = $this->request->data['User']['photo'];
					$this->request->data['User']['photo'] = "";
					if(!in_array($extention, $this->validImageFormats)){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				}
				else{
					$this->request->data['User']['photo'] = $this->request->data['User']['prev_photo'];
				}*/
				if($this->request->data['User']['user_password']!=''){
					$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['user_password']);
				}
				else{
					$this->request->data['User']['password'] = $this->request->data['User']['user_password'];
				}
				$file_basename= basename($this->request->data['photo']);
				
				if($flag){
					$this->User->create();
					if ($this->User->save($this->request->data)){
						if($file_basename!=""){
							//$fileName = $this->User->id."user_image".$extention;
							//move_uploaded_file($fileDetail['tmp_name'], USER_IMAGES . $fileName);
							$this->User->saveField('photo', $file_basename);
							//$this->User->saveField('photo', $fileName);
							if($this->request->data['User']['prev_photo']!='' && $this->request->data['User']['prev_photo']!=$file_basename){
								if(file_exists(USER_IMAGES . $this->request->data['User']['prev_photo'])){
									unlink(USER_IMAGES . $this->request->data['User']['prev_photo']);
								}
							}
							//$this->request->data['User']['prev_photo'] = $fileName;
						}
						$this->Session->setFlash(__('Doctor has been updated successfully.', true),'default', array('class' => 'success'));
						$this->redirect(array('action' => 'index'));
					} else {
						$this->Session->setFlash(__('ERROR :: Doctor could not be updated. Please, try again.', true));
					}
				}
				
				
			}
		}
		
		$Speciality=$this->Speciality->find('list',array('conditions'=>array('Speciality.status'=>1),'fields'=>array('Speciality.name','Speciality.name')));
		
		    $this->set(compact('Speciality'));
			$this->request->data = $this->User->read(null, $id);
			$this->request->data['User']['user_password'] = $this->request->data['User']['password'];
			$this->request->data['User']['prev_photo'] = $this->request->data['User']['photo'];
			//pr($this->request->data);exit;

	}
	/*for Patients Start Here         #############################################################################################################*/
	public function admin_patient(){
		if($this->Session->read('Auth.Admin.user_type')!=1
			){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$this->User->recursive = 0;
		if(!empty($this->request->data) || $this->Session->read('user_search')){
			
			 if(!empty($this->request->data) ){
				       $this->Session->write('user_search',$this->request->data);
				
			      }else{
				       $this->request->data=$this->Session->read('user_search');
				
			      }
			
			$temp=explode(' ',trim($this->request->data['User']['search']));
			$whereClause="";
			for($i=0;$i<count($temp);$i++){
				$whereClause.='User.first_name like '."'%".$temp[$i]."%'".' OR User.last_name like '."'%".$temp[$i]."%'";
				if($i!=count($temp)-1){
					$whereClause.=" OR ";
				}
			}
			$this->paginate = array('conditions' =>array('('.$whereClause.')',array('User.user_type' =>5)),'order' => array('id' => 'desc'),'limit'=>10);
		}else{
			$this->paginate = array('order' => array('id' => 'desc'), 'conditions' => array('User.user_type' => 5),'limit'=>10);
		}
		$this->set('users', $this->paginate());
	}
	
	public function admin_add_patient(){
		if($this->Session->read('Auth.Admin.user_type')!=1
			){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$fileName = '';
		if (!empty($this->request->data)){
		
		
			$file_basename= basename($this->request->data['photo']);
			//echo $file_basename;
			//pr($this->request->data);exit;
			
			$flag = true;
			//$get_username = $this->User->find('first', array('conditions' => array('User.username' => $this->request->data['User']['username'])));
			$get_email = $this->User->find('first', array('conditions' => array('User.email' => $this->request->data['User']['email'])));
			/*if($get_username){
				$this->Session->setFlash(__('ERROR :: Same username already exists.', true));
				$flag = false;
			}
			else*/ 
			if($get_email){
				$this->Session->setFlash(__('ERROR :: Same email address already exists.', true));
				$flag = false;
			}
			
			else if($this->request->data['User']['user_password'] != $this->request->data['User']['confirm_password']){
				$this->Session->setFlash(__('ERROR :: Password missmatched.', true));
			} else {
			
			
				
				/*if(isset($this->request->data['User']['photo']['tmp_name']) && is_uploaded_file($this->request->data['User']['photo']['tmp_name'])){
					$extentionp = strtolower(strrchr($this->request->data['User']['photo']['name'],"."));
					$fileDetailp = $this->request->data['User']['photo'];
					$this->request->data['User']['photo'] = "";
					if(!in_array($extentionp, $this->validImageFormats)){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				} else {
					$this->request->data['User']['photo'] = '';
				}*/
				
				/*if(isset($this->request->data['User']['document']['tmp_name']) && is_uploaded_file($this->request->data['User']['document']['tmp_name'])){
					$extentiond = strtolower(strrchr($this->request->data['User']['document']['name'],"."));
					$fileDetaild = $this->request->data['User']['document'];
					$this->request->data['User']['document'] = "";
					if(!in_array($extentiond, $this->validDocsFormats)){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload Document only having %s extensions.', true), implode(", ", $this->validDocsFormats)));
					}
				} else {
					$this->request->data['User']['document'] = '';
				}*/
				
				$file_basename= basename($this->request->data['photo']);
				if($flag){
					$this->request->data['User']['user_type'] = 5;
					$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['user_password']);
					$this->User->create();
					if ($this->User->save($this->request->data)){
					
							/*if(isset($fileDetailp) && is_uploaded_file($fileDetailp['tmp_name'])){
								$fileNamep = $this->User->id."user_image".$extentionp;
								move_uploaded_file($fileDetailp['tmp_name'], USER_IMAGES . $fileNamep);
								$this->User->saveField('photo', $fileNamep);
							}*/
							$this->User->saveField('photo', $file_basename);
							
							if(isset($fileDetaild) && is_uploaded_file($fileDetaild['tmp_name'])){
								$fileNamed = $this->User->id.str_replace(' ', '', stripslashes(trim($fileDetaild['name'])));
								move_uploaded_file($fileDetaild['tmp_name'], USER_DOCS . $fileNamed);
								$this->User->saveField('document', $fileNamed);
							}
						
						$this->Session->setFlash(__('User has been saved successfully.', true), 'default', array('class' => 'success'));
						$this->redirect(array('action' => 'patient'));
					} else {
						$this->Session->setFlash(__('ERROR :: The '.$ut.' could not be saved. Please, try again.', true));
					}
				}
			}
		}
	}
	
	public function admin_edit_patient($id = null){
		if($this->Session->read('Auth.Admin.user_type')!=1
			){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action'=>'index'));
		}
		$fileName = '';
		if (!empty($this->request->data)){
			//pr($this->request->data);exit;
			
			
			$file_basename= basename($this->request->data['photo']);
			
			$get_email = $this->User->find('first', array('conditions' => array('User.email' => $this->request->data['User']['email'], 'User.id <>' => $id)));
			if($get_email){
				$this->Session->setFlash(__('ERROR :: Same email address already exists.', true));
			}
			else if($this->request->data['User']['user_password']=='' && $this->request->data['User']['confirm_password']!=''){
				$this->Session->setFlash(__('ERROR :: Please enter password.', true));
			}
			else if($this->request->data['User']['user_password']!='' && $this->request->data['User']['confirm_password']==''){
				$this->Session->setFlash(__('ERROR :: Please enter confirm password.', true));
			}
			else if($this->request->data['User']['user_password']!='' && $this->request->data['User']['confirm_password']!='' && 
			($this->request->data['User']['user_password'] != $this->request->data['User']['confirm_password'])){
				$this->Session->setFlash(__('ERROR :: Password missmatched.', true));
			}
			else{
				$flag = true;
				if(isset($this->request->data['User']['photo']['tmp_name']) && is_uploaded_file($this->request->data['User']['photo']['tmp_name'])){
					$extentionp = strtolower(strrchr($this->request->data['User']['photo']['name'],"."));
					$fileDetailp = $this->request->data['User']['photo'];
					$this->request->data['User']['photo'] = "";
					if(!in_array($extentionp, $this->validImageFormats)){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				} else {
					$this->request->data['User']['photo'] = $this->request->data['User']['prev_photo'];
				}
				
				
				/*if(isset($this->request->data['User']['document']['tmp_name']) && is_uploaded_file($this->request->data['User']['document']['tmp_name'])){
					$extentiond = strtolower(strrchr($this->request->data['User']['document']['name'],"."));
					$fileDetaild = $this->request->data['User']['document'];
					$this->request->data['User']['document'] = "";
					if(!in_array($extentiond, $this->validDocsFormats)){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload Documents only having %s extensions.', true), implode(", ", $this->validDocsFormats)));
					}
				} else {
					$this->request->data['User']['document'] = $this->request->data['User']['prev_doc'];
				}*/				
				
				if($this->request->data['User']['user_password']!=''){
					$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['user_password']);
				}
				else{
					$this->request->data['User']['password'] = $this->request->data['User']['user_password'];
				}
				
				
				if($flag){				
					$this->request->data['User']['user_type'] = 5;
					
					$this->User->create();
					if ($this->User->save($this->request->data)){
						/*if(isset($fileDetailp) && is_uploaded_file($fileDetailp['tmp_name'])){
							$fileNamep = $this->User->id.str_replace(' ', '', stripslashes(trim($fileDetailp['name'])));
							move_uploaded_file($fileDetailp['tmp_name'], USER_IMAGES . $fileNamep);
							$this->User->saveField('photo', $fileNamep);
							if($this->request->data['User']['prev_photo']!='' && $this->request->data['User']['prev_photo']!=$fileNamep){
								if(file_exists(USER_IMAGES . $this->request->data['User']['prev_photo'])){
									unlink(USER_IMAGES . $this->request->data['User']['prev_photo']);
								}
							}
							$this->request->data['User']['prev_photo'] = $fileNamep;
						}*/
						
						$this->User->saveField('photo', $file_basename);
						
						/*if(isset($fileDetaild) && is_uploaded_file($fileDetaild['tmp_name'])){
							$fileNamed = $this->User->id.str_replace(' ', '', stripslashes(trim($fileDetaild['name'])));
							move_uploaded_file($fileDetaild['tmp_name'], USER_DOCS . $fileNamed);
							$this->User->saveField('document', $fileNamed);
							if($this->request->data['User']['prev_doc']!='' && $this->request->data['User']['prev_doc']!=$fileNamed){
								if(file_exists(USER_DOCS . $this->request->data['User']['prev_doc'])){
									unlink(USER_DOCS . $this->request->data['User']['prev_doc']);
								}
							}
							$this->request->data['User']['prev_doc'] = $fileNamed;
						}*/					
						$this->Session->setFlash(__('Patient has been updated successfully.', true),'default', array('class' => 'success'));
						$this->redirect(array('action' => 'patient'));
					}
					else{
						$this->Session->setFlash(__('ERROR :: Patient could not be updated. Please, try again.', true));
					}
				}
			}
		}
		$this->request->data = $this->User->read(null, $id);
		$this->request->data['User']['user_password'] = $this->request->data['User']['password'];
		$this->request->data['User']['prev_photo'] = $this->request->data['User']['photo'];
		$this->request->data['User']['prev_doc'] = $this->request->data['User']['document'];

	}
	/* --------------------------------------------------------------- END :: ADMIN PANEL FUNCTIONS --------------------------------------- */
	public function login($con="",$func="",$id=""){
		$this->layout = "default";
		if($this->request->is('post')){
				
			if($this->Auth->login()){
				
				unset($this->request->data);
				//pr($this->Session->read('Auth.User.id'));exit;

				$this->User->id=$this->Session->read('Auth.User.id');
				$this->User->saveField('is_login', 1);
				
				$this->User->saveField('check_on', date('Y-m-d H:i:s'));
				
				$this->Session->setFlash(sprintf(__('You have successfully logged in.',true),''), 'default', array('class' => ''));
				if($con!="" && $func!="" && $id!="")
				{
				//$this->redirect(array('controller' => $con, 'action' =>$func,$id));
				$this->redirect('/');
				}
				else
				{
					$this->redirect(array('controller' =>'users', 'action' =>'dashboard'));
				}
				//$this->redirect($this->Auth->redirect());
			}
			else{
				$this->Session->setFlash(__('ERROR :: Invalid username and password, try again', true));
				$this->redirect('/');
			}
		}
	}
	public function logout(){
			
		$this->User->id=$this->Session->read('Auth.User.id');
		
		if($this->Auth->logout()){
			$this->User->saveField('is_login', 0);
			$this->User->saveField('check_on', '');
			$this->Session->setFlash(sprintf(__('You have successfully logged out.', true), ''), 'default', array('class' => ''));
			//$this->Session->setFlash(__('You are successfully logged out', true));
			$this->redirect('/');
			//$this->redirect($this->Auth->logout());		
		}
	
	}
	
	/*for doctors*/
	public function signup(){
//$this->layout = false;
	//$this->render = false;
		if($this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		//$go = "";
	//	$id = "";
		if(!empty($this->request->data)){
			$get_email = $this->User->find('first', array('conditions' => array('User.email' => $this->request->data['User']['email'])));
			if($get_email){
				$this->Session->setFlash(sprintf(__('ERROR :: Same email address already exists.', true)));
				$this->redirect('/');
			}
			else{
				$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['Password']);
				$this->request->data['User']['user_type'] = $this->request->data['User']['user_type'];
				$this->request->data['User']['status'] = "1";
				$this->request->data['User']['registration_date'] = date('Y-m-d h:i:s');
				$this->User->create();
				if ($this->User->save($this->request->data)){
				//	$go = 1;
				//	$id = $this->User->id;
				//echo "++++++++++++";
				//exit;
				//$this->Session->setFlash(sprintf(__('You have successfully logged out.', true), ''), 'default', array('class' => ''));

					$this->Session->setFlash(__('Your profile has been updated successfully.', true), 'default', array('class' => 'success'));
								$this->redirect(array('action' => 'dashboard'));
							//$this->redirect('/');
				}
			}
		}
	//	$this->set(compact('go','id'));
	}
	public function regsuccess(){
		if($this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		/*if(!empty($_GET)){
			$id = $_GET['cm'];
			$transaction = $_GET['tx'];
			$status = $_GET['st'];
			$paidon = date('Y-m-d h:i:s');
			$this->User->id = $id;
			$this->User->saveField("transaction_id",$transaction);
			$this->User->saveField("payment_status",$status);
			$this->User->saveField("paid_on",$paidon);
			$this->User->saveField("status",1);
		}*/
	}
	public function doctornotify(){
		$this->layout = false;
		if(!empty($_GET)){
			$id = $_GET['cm'];
			$transaction = $_GET['tx'];
			$status = $_GET['st'];
			$paidon = date('Y-m-d h:i:s');
			$this->User->id = $id;
			$this->User->saveField("transaction_id",$transaction);
			$this->User->saveField("payment_status",$status);
			$this->User->saveField("paid_on",$paidon);
			$this->User->saveField("status",1);
		}
		exit;
	}
	/*Doctors Store*/
	public function bookshelfxx($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$books = $this->Product->find('all', array('conditions' => array('Product.user_id' => $id, 'Product.product_type_id' => '1', 'Product.blocked' => '0')));
		$latests = $this->Product->find('all', array('limit' => 2, 'conditions' => array('Product.user_id' => $id, 'Product.product_type_id' => '1', 'Product.blocked' => '0')));
		$this->set(compact('books', 'latests'));
		$this->set(compact('id', 'uid'));
	}
	
	public function bookshelf($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$books = $this->Product->find('all', array('conditions' => array('Product.user_id' => $uid, 'Product.product_type_id' => '1', 'Product.blocked' => '0')));
		//pr($books);exit;
		
		$this->set(compact('books', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}	
	
	public function dispensary($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$dispensary = $this->Product->find('all', array('conditions' => array('Product.user_id' => $uid, 'Product.product_type_id' => 2, 'Product.blocked' => 0)));
		//pr($dispensary);exit;
		
		$this->set(compact('dispensary', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}		
	
	public function order(){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$id = $this->Session->read('Auth.User.id');
		
		$this->Order->recursive = 0;
		$this->paginate = array('conditions' => array('Order.order_status' => 1,'Order.user_id' => $id), 'order' => array('Order.payment_date' => 'DESC'),'limit'=>20);
		
		$order=$this->paginate('Order');
		//pr($order);exit;
		$uid = $this->Session->read('Auth.User.id');
		
		$this->User->recursive = 1;
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		$this->set(compact('order','my_user_detail','get_user_detail2'));
		
		
		//$this->loadModel("User");
		/*$orders = $this->User->query("SELECT * FROM `ss_products` , `ss_orders` , `ss_order_items` WHERE `ss_products`.`id` =
							`ss_order_items`.`product_id` AND `ss_order_items`.`order_id` = `ss_orders`.`id` AND
							`ss_products`.`user_id` = " . $id);*/
		//$this->set(compact('orders', 'id'));
	}
	/*for patients*/
	public function patientsignup(){
		//pr($this->Session->read('Auth.User.id');exit;
		if($this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$go = "";
		$id = "";
		$user_type="";
		if(!empty($this->request->data)){
			//pr($this->request->data);exit;
			
			$user_type = 5;
			//$user_type = $this->request->data['User']['user_type'];
			$get_email = $this->User->find('first', array('conditions' => array('User.email' => $this->request->data['User']['email'])));
			
			if($get_email){
				

				//pr($get_email);exit;
				$this->Session->setFlash(__('ERROR :: Same email address already exists.', true));
				$this->redirect('/patientsignup');
			}
			else{
				$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['password']);
				//$this->request->data['User']['status'] = "0";
				$this->request->data['User']['status'] = "1";
				$this->request->data['User']['registration_date'] = date('Y-m-d h:i:s');
				$this->User->create();
				if ($this->User->save($this->request->data)){
					/*$go=1;
					$id=$this->User->id;*/
					
		$this->Session->setFlash(sprintf(__('You have been registered successfully.Please Login', true), ''), 'default', array('class' => 'success'));
		$this->redirect('/');
					
				}
			}
		}
		$this->set(compact('go', 'id', 'user_type'));
	}
	
	public function patientthankyou(){
		if($this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		if(!empty($_GET)){
			//pr($_GET);
			//echo "paid";exit;
			$id = $_GET['cm'];
			$transaction = $_GET['tx'];
			$status = $_GET['st'];
			$paidon = date('Y-m-d h:i:s');
			$this->User->id = $id;
			$this->User->saveField("transaction_id",$transaction);
			$this->User->saveField("payment_status",$status);
			$this->User->saveField("paid_on",$paidon);
			$this->User->saveField("status",1);
			$this->Session->setFlash(sprintf(__('You have registered successfully.', true), ''), 'default', array('class' => ''));
			$this->redirect('/');
		}
		if(empty($_GET)){
			//pr($_GET);
			//echo "free";exit;
			$this->Session->setFlash(sprintf(__('You have registered successfully.', true), ''), 'default', array('class' => ''));
			$this->redirect('/');
		}
	}
	
	public function patientnotify(){
		$this->layout = false;
		if(!empty($_GET)){
			$id = $_GET['cm'];
			$transaction = $_GET['tx'];
			$status = $_GET['st'];
			$paidon = date('Y-m-d h:i:s');
			$this->User->id = $id;
			$this->User->saveField("transaction_id",$transaction);
			$this->User->saveField("payment_status",$status);
			$this->User->saveField("paid_on",$paidon);
			$this->User->saveField("status",1);
		}
		exit;
	}
	

	
	public function forgot_password(){
		if($this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
	    $main_site_setting=$this->SiteSetting->find('first');
		//pr($main_site_setting);exit;
		$this->layout = 'default';
		if(!empty($this->request->data)){
			$user = $this->User->find('first', array('conditions' => array('User.email' => trim($this->request->data['User']['email']))));
			if($user){
				$email=trim($this->request->data['User']['email']);
				$new_password = $this->generate_password();
				$dt['User']['id'] = $user['User']['id'];
				$dt['User']['password'] = Security::hash(Configure::read('Security.salt').$new_password);
				if($this->User->save($dt)){
					$mail_Body = '
					<table cellspacing="0" cellpadding="0" style="background-color:#fcfcfc; width:560px; height:410px; border-collapse:collapse; border:1px solid #c0c0c0;">
						<tr>
							<td style="height:50px; padding:5px;" valign="top" align="left">
								<a href="'.Router::URL('/', true).'"><img src="'.Router::URL('/', true).'logo_images/logo.png" width="150px" width="46px" border="0" alt="'.Router::URL('/', true).'" /></a>
							</td>
						</tr>
						<tr>
							<td align="center" valign="top" style="height:3px;">
								<div style="border-top:2px solid #0094c3; width:544px; height:3px;"></div>
							</td>
						</tr>
						<tr>
							<td style="height:25px; padding-left:15px; padding-top:25px; font-family:Arial; font-size:13px;" valign="top" align="left">Dear '.$user['User']['first_name'].',</td>
						</tr>
						<tr>
							<td style="height:70px; padding-left:15px; padding-right:15px; padding-top:25px; font-family:Arial; font-size:13px;" valign="top" align="left">Your new password is : <b>'.$new_password.'</b></td>
						</tr>
						<tr>
							<td style="height:25px; padding-left:15px; padding-top:25px; font-family:Arial; font-size:13px;" valign="top" align="left"><b>I-aiim</b> Staff</td>
						</tr>
						<tr>
							<td align="center" valign="top" style="height:20px;">
								<div style="border-bottom:1px solid #c0c0c0; width:544px; height:15px; margin-top:5px;"></div>
							</td>
						</tr>
						<tr height="30">
							<td align="center" style="height:20px; padding-top:9px; font-family:verdana; font-size:11px; color:#888888;" valign="top">
								<b><a href="'.DOMAIN_PATH.'" target="_blank">Click Here To Login</a></b>
							</td>
						</tr>
						<tr height="4"><td style="height:4px;"></td></tr>
						<tr>
							<td align="center" valign="top" style="height:3px;">
								<div style="border-top:1px solid #c0c0c0; width:544px; height:3px; margin-top:5px;"></div>
							</td>
						</tr>
						<tr>
							<td style="padding-left:10px; padding-top:5px; font-family:Arial; font-size:9px; color:#9F9F9F;" valign="top" align="left">
										&nbsp;&nbsp;&copy;&nbsp;2014 i-aiim.com. All Rights Reserved.
							</td>
						</tr>
						<tr height="8"><td style="height:8px;"></td></tr>
					</table>';
					/*echo $mail_Body;
					echo $main_site_setting["SiteSetting"]["site_general_email"];
					echo $email;exit;*/
					@$this->Send_HTML_Mail($email, 'I-AIIM <'.$main_site_setting["SiteSetting"]["site_general_email"].'>', '', 'I-AIIM New Password', $mail_Body);
					$this->Session->setFlash(sprintf(__('New Password has been sent to your email address successfully.', true), ''), 'default', array('class' => ''));
					/*echo '<script>window.parent.location.reload();parent.$.fn.colorbox.close();</script>';*/
					$this->redirect(array('controller' => 'pages', 'action' => 'home'));
					//$this->Session->setFlash(sprintf(__('Your new password mailed in your mail id successfully.', true), ''), 'default', array('class' => ''));
					
					//exit;
				}
				else{
					$this->Session->setFlash(__('Error Occurred.', true));
				}
			}
			else{
				$this->Session->setFlash(__('ERROR :: Email address not exists.', true));
			}
		}
	}
	
	/*message*/
	public function compose_message($id = 0){
		if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/users/inbox');
		}
		$uid = $this->Session->read('Auth.User.id');

		$friend = $this->Friend->find('all',array('conditions'=>array('Friend.user_id'=>$uid, 'Friend.active'=>1),'group' => array('Friend.user_id')));
		//pr($friend);exit;
		/*$friend = $this->Friend->find('list', array(
													'recursive' => 2, 
													'fields' => array('User.id', 'User.email'), 
													'conditions'=>array('Friend.user_id'=>$uid, 'Friend.active'=>1)
													));*/

		//pr($friend);exit;
		
		/*$conditions['or'][] = array(
			'OR' => array(
				array('Approval.sent_to' => $uid),
				array('Approval.sent_from' => $uid)
				),
				'Approval.status' => '1'
			);*/
		//$approved = $this->Approval->find('all', array('conditions' => $conditions));
		$this->set(compact('friend', 'uid'));
		
		
		
		
		if(!empty($this->request->data)){
			//pr($this->request->data);exit;
			$this->request->data['Message']['send_date']=date('Y-m-d h:i:s');
			$this->Message->create();
			$this->Message->id=$id;
			if($this->Message->save($this->request->data)){
				
				$this->Session->setFlash(__('Message Sent successfully', true));
				$this->redirect('/users/inbox');
			}
		}
		$this->set('message', $this->Message->read());

	}
	
	public function send_message($id = 0){
		if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/users/inbox');
		}
		$uid = $this->Session->read('Auth.User.id');
		// $conditions['or'][] = array(
		// 	'OR' => array(
		// 		array('Approval.sent_to' => $id),
		// 		array('Approval.sent_from' => $id)
		// 		),
		// 		'Approval.status' => '1'
		// 	);
		$approved = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->set(compact('approved', 'uid', 'id'));
		//$this->Message->id = $id;
		if(!empty($this->request->data)){
			$this->request->data['User']['send_date']=date('Y-m-d h:i:s');
			$this->request->data['User']['reply_of']=$id;
			$this->Message->create();
			if($this->Message->save($this->request->data['User'])){
				$this->Session->setFlash(__('Message Send successfully', true));
				$this->redirect('/users/inbox');
			}
		}
		$this->set('message', $this->Message->read());
	}
	
	public function message_view($id = 0){
		if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/users/inbox');
		}
		
		//echo $id;exit;
		
		//$this->Message->id = $id;
		//$this->Message->saveField('is_read', 1);
		
		$this->Message->updateAll(array('is_read'=>1), array('Message.id'=>$id));
		//$this->User->updateAll(array('status'=>0), array('User.id'=>1,'User.id' => 2));
		
		
		$message=$this->Message->find('first',array('conditions'=>array('Message.id'=>$id)));
		
		
		
		$this->set(compact('message'));
		//$this->set('message',$this->Message->read());
	}
	
	public function inbox(){
		if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/users/inbox');
		}
		$message=$this->Message->find('all',array('conditions'=>array('Message.to_user'=>$this->Session->read('Auth.User.id')),'order'=>array('Message.send_date'=>'DESC')));
		//pr($message);exit;
		$this->set(compact('message'));
	}
	
	public function outbox(){
		if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/users/inbox');
		}
		$message=$this->Message->find('all',array('conditions'=>array('Message.from_user'=>$this->Session->read('Auth.User.id')),'order'=>array('Message.send_date'=>'DESC')));
		//pr($message);exit;
		$this->set(compact('message'));
	}
	
	public function notification(){
		if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		//echo $this->Session->read('Auth.User.id');
		$id = $this->Session->read('Auth.User.id');
		$this->Request->recursive = 1;
		$req=$this->Request->find('all',array('conditions'=>array('Request.to_user'=>$this->Session->read('Auth.User.id'), 'Request.active'=> '0'), 
												  'order'=>array('Request.send_date'=>'DESC')));
		
		//pr($req);exit;
		//$this->Approval->recursive = 2;
		//$notification = $this->Approval->find('all',array('conditions'=>array('Approval.sent_to' => $id, 'Approval.status' => '0'), 'order'=>array('Approval.sent_on'=>'DESC')));
		$this->set(compact('req'));
	}
	
	public function notification_accept($id = null){
		
		$this->Request->id = $id;
		$this->Request->recursive = 1;
		$req_data = $this->Request->find('first',array('conditions'=>array('Request.id'=>$this->Request->id, 'Request.active'=> '0')));
		
		//echo $this->Request->id;
		//pr($req_data);exit;
		
		$me = $this->Session->read('Auth.User.id');		
		$frn = $req_data['FromUser']['id'];
		
		
		$this->request->data['Friend']['accept_date']=date('Y-m-d h:i:s');
		$this->request->data['Friend']['user_id']=$me;
		$this->request->data['Friend']['friend_id']=$frn;
		
		
		$this->Friend->create();
		if($this->Friend->save($this->request->data)){
			
			$this->request->data['Friend']['accept_date']=date('Y-m-d h:i:s');
			$this->request->data['Friend']['user_id']=$frn;
			$this->request->data['Friend']['friend_id']=$me;
			
			$this->Friend->create();
			if($this->Friend->save($this->request->data)){
					$this->Request->saveField('active', 1); 
					$this->Request->saveField('accept_date', date('Y-m-d h:i:s'));
					$this->Session->setFlash(__('Request Accepted successfully', true));
					$this->redirect(array('controller' => 'users', 'action' => 'notification'));
			} else {
				$this->Session->setFlash(__('ERROR :: Request Not Accepted', true));
				$this->redirect(array('controller' => 'users', 'action' => 'notification'));
			}
				
		} else {
			$this->Session->setFlash(__('ERROR :: Request Not Accepted', true));
			$this->redirect(array('controller' => 'users', 'action' => 'notification'));
		}
		
		
		
		
		/*$this->Request->id = $id;
		if($this->Request->saveField('active', 1)){
			$this->Request->saveField('accept_date', date('Y-m-d h:i:s'))
			$this->Session->setFlash(__('Request Accepted successfully', true));
			$this->redirect(array('controller' => 'users', 'action' => 'notification'));
		} else {
			$this->Session->setFlash(__('ERROR :: Request Not Accepted', true));
			$this->redirect(array('controller' => 'users', 'action' => 'notification'));
		}*/
		
	}
	
	public function notification_reject($id = null){
	
		$this->Request->id = $id;
		$this->Request->id = $id;
		if($this->Request->saveField('active', 2)){
			$this->Request->saveField('reject_date', date('Y-m-d h:i:s'));
			$this->Session->setFlash(__('Request Rejected successfully', true));
			$this->redirect(array('controller' => 'users', 'action' => 'notification'));
		} else {
			$this->Session->setFlash(__('ERROR :: Request Not Rejected', true));
			$this->redirect(array('controller' => 'users', 'action' => 'notification'));
		}	
	}
	
	public function notification_view($id = 0){
		if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$this->Approval->id=$id;
		$this->Approval->saveField('status', 1);
		$this->redirect('/users/dashboard');
	}
	
	
	public function get_my_cart(){
		$this->layout = '';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		//$this->Session->write('cart',"");
		$data=$this->Session->read('cart'); $cnt = 0;
		if($data){
			//$pro = $data['product']; $sem = $data['seminer']; $cnt =count($pro)+count($sem);
			if (array_key_exists('product', $data)) {
				$pro = $data['product']; $cnt = $cnt + count($pro);
			}
			if (array_key_exists('seminer', $data)) {
				$sem = $data['seminer']; $cnt = $cnt + count($sem);
			}		
			if (array_key_exists('webinar', $data)) {
				$sem = $data['webinar']; $cnt = $cnt + count($sem);
			}	
			if (array_key_exists('workshop', $data)) {
				$sem = $data['workshop']; $cnt = $cnt + count($sem);
			}			
			if (array_key_exists('summit', $data)) {
				$sem = $data['summit']; $cnt = $cnt + count($sem);
			}			
			if (array_key_exists('publish', $data)) {
				$sem = $data['publish']; $cnt = $cnt + count($sem);
			}	
			if (array_key_exists('course', $data)) {
				$sem = $data['course']; $cnt = $cnt + count($sem);
			}		
			
			echo '<i class="fa fa-shopping-cart"></i><a href="' . Router::URL('/users/mycart/',true) . '">'.'  '.$cnt.' Product in Cart</a>'; exit;
		} else {
			echo '<i class="fa fa-shopping-cart"></i>   <a href="' . Router::URL('/users/mycart/',true) . '"> Cart is Empty</a>'; exit;
		}
		$this->AutoRender = false;
	}		
	
	
	public function mycart(){
		//$this->layout = '';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		/*if(!$this->Session->read('cart')){
			$this->Session->setFlash(__('ERROR :: Your Cart is Empty', true));
			$this->redirect('/users/mycart/');
		}*/		
		
		//$this->Session->write('cart',"");
		$data=$this->Session->read('cart');
		//pr($data);//exit;
		
		$i = 0; $gr_tot =0;
		$mycart=array();
		if(isset($data) && $data)
		{
		if (array_key_exists('product', $data)) {
			foreach($data['product'] as $key => $value){
				$mycart[$i] = $this->Product->find('first', array('conditions' => array('Product.id' => $key, 'Product.blocked' => array(1,0))));
				$this_prod =  $this->Product->find('first', array('conditions' => array('Product.id' => $key, 'Product.blocked' => array(1,0))));
				$i++;
				$gr_tot = $gr_tot + $this_prod['Product']['price'];
				//echo $key; echo "<br/>";
				//echo $value; echo "<br/>";		  
			}
		}
		
		
		if (array_key_exists('seminer', $data)) {
			foreach($data['seminer'] as $key => $value){
				$mycart[$i] = $this->Seminar->find('first', array('conditions' => array('Seminar.id' => $key, 'Seminar.status' => array(1,0))));
				$this_prod = $this->Seminar->find('first', array('conditions' => array('Seminar.id' => $key, 'Seminar.status' => array(1,0))));
				$i++;
				$gr_tot = $gr_tot + $this_prod['Seminar']['reg_cost'];
				//echo $key; echo "<br/>";
				//echo $value; echo "<br/>";		  
			}
		}		
		
////////////////////////////////////////////////////////////////////////////////////
		if (array_key_exists('webinar', $data)) {
			foreach($data['webinar'] as $key => $value){
				$mycart[$i] = $this->Webinar->find('first', array('conditions' => array('Webinar.id' => $key, 'Webinar.status' => array(1,0))));
				$this_prod = $this->Webinar->find('first', array('conditions' => array('Webinar.id' => $key, 'Webinar.status' => array(1,0))));
				$i++;
				$gr_tot = $gr_tot + $this_prod['Webinar']['reg_cost'];
				//echo $key; echo "<br/>";
				//echo $value; echo "<br/>";		  
			}
		}
		
		if (array_key_exists('workshop', $data)) {
			foreach($data['workshop'] as $key => $value){
				$mycart[$i] = $this->Workshop->find('first', array('conditions' => array('Workshop.id' => $key, 'Workshop.status' => array(1,0))));
				$this_prod = $this->Workshop->find('first', array('conditions' => array('Workshop.id' => $key, 'Workshop.status' => array(1,0))));
				$i++;
				$gr_tot = $gr_tot + $this_prod['Workshop']['reg_cost'];
				//echo $key; echo "<br/>";
				//echo $value; echo "<br/>";		  
			}
		}

		if (array_key_exists('summit', $data)) {
			foreach($data['summit'] as $key => $value){
				$mycart[$i] = $this->Sumhits->find('first', array('conditions' => array('Sumhits.id' => $key, 'Sumhits.status' => array(1,0))));
				$this_prod = $this->Sumhits->find('first', array('conditions' => array('Sumhits.id' => $key, 'Sumhits.status' => array(1,0))));
				$i++;
				$gr_tot = $gr_tot + $this_prod['Sumhits']['reg_cost'];
				//echo $key; echo "<br/>";
				//echo $value; echo "<br/>";		  
			}
		}

		if (array_key_exists('publish', $data)) {
			foreach($data['publish'] as $key => $value){
				$mycart[$i] = $this->Publishing->find('first', array('conditions' => array('Publishing.id' => $key, 'Publishing.status' => array(1,0))));
				$this_prod = $this->Publishing->find('first', array('conditions' => array('Publishing.id' => $key, 'Publishing.status' => array(1,0))));
				$i++;
				$gr_tot = $gr_tot + $this_prod['Publishing']['reg_cost'];
				//echo $key; echo "<br/>";
				//echo $value; echo "<br/>";		  
			}
		}
		
			if (array_key_exists('course', $data)) {
			//echo "11111111111111"; exit;
			foreach($data['course'] as $key => $value){
				$mycart[$i] = $this->Course->find('first', array('conditions' => array('Course.id' => $key, 'Course.status' => array(1,0))));
				$this_prod = $this->Course->find('first', array('conditions' => array('Course.id' => $key, 'Course.status' => array(1,0))));
				$i++;
				$gr_tot = $gr_tot + $this_prod['Course']['reg_cost'];
				//echo $key; echo "<br/>";
				//echo $value; echo "<br/>";		  
			}
		}


		}



   //pr($mycart);
   //exit;


		
		
		
		
		
		
		
		
		
		
		
		$this->Session->write('gr_tot',$gr_tot);
		


		//echo $gr_tot;
		
		//pr($mycart); exit;
		//pr($data);exit;
		$this->set(compact('mycart'));
		
	}	
	
	public function paypal_success($id = null,$rand = null){		
		
		//pr($this->request->data);
		
		//pr($_REQUEST);exit;
		/*$this->Order->updateAll(
								array('Order.payment_id' => "'$rand'"), 
								array('Order.transaction_id' => $_REQUEST['txn_id'])
							);*/
		
		$this->request->data['Order']['transaction_id'] 	= @$_REQUEST['txn_id'];
		$this->request->data['Order']['order_status'] 		= 1;
		$ord_id = array();
		$ord_id = $this->Order->find('all', array('conditions' => array('Order.user_id' => $id, 'Order.payment_id' => $rand, 'Order.order_status' => 0)));
		foreach($ord_id as $ord){
			$this->Order->id = $ord['Order']['id'];
			//$this->request->data['Order']['id'] = $ord['Order']['id'];
			$this->Order->save($this->request->data);
		}
		
		
		
		/*echo $id; echo "<br/>";
		echo $rand;
		pr($ord_id);
		pr($_REQUEST);exit;*/

/*****Send Mail ******/


$user = $this->User->find('first', array('conditions' => array('User.id' => trim($id))));
			
				$email=trim($user['User']['email']);				
				




$ord_detls = $this->Order->find('all', array('conditions' => array('Order.user_id' => $id, 'Order.payment_id' => $rand, 'Order.order_status' => 0)));
$orddetails_mail ='';
foreach($ord_detls as $ordls){


$orddetails_mail .= '<tr>
	<td style="padding-left:15px; font-family:Arial; font-size:13px;" valign="top" align="left"><b>'.$ordls['Order']['product_type'].'</b></td>
<td style="padding-left:15px; font-family:Arial; font-size:13px;" valign="top" align="left">'.$ordls['Order']['amount'].'</td>
						</tr>';


 }
				
					$mail_Body = '
					<table cellspacing="0" cellpadding="0" style="background-color:#fcfcfc; width:560px; height:410px; border-collapse:collapse; border:1px solid #c0c0c0;">
						<tr>
							<td style="height:50px; padding:5px;" valign="top" align="left">
								<a href="'.Router::URL('/', true).'"><img src="'.Router::URL('/', true).'logo_images/logo.png" width="150px" width="46px" border="0" alt="'.Router::URL('/', true).'" /></a>
							</td>
						</tr>
						<tr>
							<td align="center" valign="top" style="height:3px;">
								<div style="border-top:2px solid #0094c3; width:544px; height:3px;"></div>
							</td>
						</tr>
						<tr>
							<td style="height:25px; padding-left:15px; padding-top:25px; font-family:Arial; font-size:13px;" valign="top" align="left">Dear '.$user['User']['first_name'].',</td>
						</tr>
						<tr>
							<td style="height:70px; padding-left:15px; padding-right:15px; padding-top:25px; font-family:Arial; font-size:13px;" valign="top" align="left">Your payment successfully done. Transaction ID: <b>'.$_REQUEST['txn_id'].'</b></td>
						</tr>




<tr>
							<td style="height:25px; padding-left:15px; padding-top:25px; font-family:Arial; font-size:13px;" valign="top" align="left">

<table>
<tr>
							<td style="height:25px; padding-left:15px; padding-top:25px; font-family:Arial; font-size:13px;" valign="top" align="left" colspan="2"><b>Transaction Details</b></td>
						</tr>
'.$orddetails_mail.'
</table>
</td>
						</tr>












						<tr>
							<td style="height:25px; padding-left:15px; padding-top:25px; font-family:Arial; font-size:13px;" valign="top" align="left"><b>I-aiim</b> Staff</td>
						</tr>
						<tr>
							<td align="center" valign="top" style="height:20px;">
								<div style="border-bottom:1px solid #c0c0c0; width:544px; height:15px; margin-top:5px;"></div>
							</td>
						</tr>
						<tr height="30">
							<td align="center" style="height:20px; padding-top:9px; font-family:verdana; font-size:11px; color:#888888;" valign="top">
								<b><a href="'.DOMAIN_PATH.'" target="_blank">Click Here To Login</a></b>
							</td>
						</tr>
						<tr height="4"><td style="height:4px;"></td></tr>
						<tr>
							<td align="center" valign="top" style="height:3px;">
								<div style="border-top:1px solid #c0c0c0; width:544px; height:3px; margin-top:5px;"></div>
							</td>
						</tr>
						<tr>
							<td style="padding-left:10px; padding-top:5px; font-family:Arial; font-size:9px; color:#9F9F9F;" valign="top" align="left">
										&nbsp;&nbsp;&copy;&nbsp;2014 i-aiim.com. All Rights Reserved.
							</td>
						</tr>
						<tr height="8"><td style="height:8px;"></td></tr>
					</table>';
					
					@$this->Send_HTML_Mail($email, 'I-AIIM <'.$main_site_setting["SiteSetting"]["site_general_email"].'>', '', 'IAII Registration', $mail_Body);


/*****Send mail end ****/
		
		
		/*$this->Session->write('gr_tot',"");
		$this->Session->write('cart',"");
		$this->Session->write('paypal_cart',$data);
		$this->Session->write('paypal_prods',$cart);*/
		
		
		
		$this->Session->setFlash(__('Payment maid successfully.', true), 'default', array('class' => 'success'));
		$this->redirect(array('controller' => 'users', 'action' => 'dashboard'));
	}
	
	public function paypal_unsuccess(){
	
	
		/*$this->Session->write('gr_tot',"");
		$this->Session->write('cart',"");
		$this->Session->write('paypal_cart',$data);
		$this->Session->write('paypal_prods',$cart);*/
	
	
	
		$this->Session->setFlash(__('User has been updated successfully.', true), 'default', array('class' => 'success'));
		$this->redirect(array('controller' => 'users', 'action' => 'dashboard'));
	
	}	
	
	
	
	
	
	/*profile*/  
	public function dashboard(){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		if (!empty($this->request->data)){
			//pr($this->request->data); exit;
			
			if($this->request->data['photo'] !=""){
				$file_basename= basename($this->request->data['photo']);
			}
			
				
				//$this->request->data['User']['id'] = $this->request->data['User']['id'];
				$this->request->data['User']['photo'] = $file_basename;
				
				$this->User->create();
				if($this->User->save($this->request->data)){
				echo "ok";exit;
				}
		
		}
		
		//echo "xx";exit;
		
		
		
		
		
		//$this->Session->write('cart',"");
		//$data=$this->Session->read('cart');
		//pr($data);exit;
		
		//echo $this->Session->read('Auth.User.user_type');//exit;
		
		//pr($this->Session->read('Auth.User'));exit;
		$id = $this->Session->read('Auth.User.id');
		$reviews = $this->UserReview->find('count', array('conditions' => array('UserReview.user_id' => $id)));
		$this->set(compact('reviews', 'id'));
		
		/*if(!empty($this->request->data)){
			$get_email = $this->User->find('first', array('conditions' => array('User.email' => $this->request->data['User']['email'], 'User.id <>' => $id)));
			if($get_email){
				$this->Session->setFlash(__('ERROR :: Same email address already exists.', true));
			}
			else{
			}
		}*/
		
		if (empty($this->request->data)){
			$this->request->data =  $this->User->read(null, $this->Session->read('Auth.User.id'));
			$this->request->data['User']['user_password'] = $this->request->data['User']['password'];
		}
	}
	

	public function editprofile($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$this->layout = "default";
		/*if(!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action'=>'home'));
		}
		if($id){
			$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
			if($get_user){
				$this->set(compact('get_user'));
				//pr($get_user);exit;
				//$this->Session->setFlash(__('Edit Your profile Now.', true));
			}
			else{
				$this->Session->setFlash(__('Error occurred. No Such User.', true));
			}
		}*/
		$fileNamep = '';
		$fileNamed = '';
		if (!empty($this->request->data)){
			//pr($this->request->data); exit;

			$flag = true;
			
			$get_email = $this->User->find('first', array('conditions' => array('User.email' => $this->request->data['User']['email'], 'User.id <>' => $this->Session->read('Auth.User.id'))));

			if($get_email){
				$this->Session->setFlash(__('ERROR :: Same email address already exists.', true));
				$flag = false;
			}	
			
			if ($this->request->data['User']['user_password']!='' && $this->request->data['User']['confirm_password']!=$this->request->data['User']['user_password']){
				$this->Session->setFlash(__('ERROR :: Confirm Password not matched.', true));
				$flag = false;
			} 
			
			if ($this->request->data['User']['confirm_password']!='' && $this->request->data['User']['confirm_password']!=$this->request->data['User']['user_password']){
				$this->Session->setFlash(__('ERROR :: Please enter password.', true));
				$flag = false;								
			} 
				
					if(isset($this->request->data['User']['photo']['tmp_name']) && is_uploaded_file($this->request->data['User']['photo']['tmp_name'])){
						$extentionp = strtolower(strrchr($this->request->data['User']['photo']['name'],"."));
						$fileDetailp = $this->request->data['User']['photo'];
						$this->request->data['User']['photo'] = "";
						if(!in_array($extentionp, $this->validImageFormats)){
							$flag = false;
							$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
						}
					} else { $this->request->data['User']['photo'] = $this->request->data['User']['prev_photo']; }
					
					if(isset($this->request->data['User']['document']['tmp_name']) && is_uploaded_file($this->request->data['User']['document']['tmp_name'])){
						$extentiond = strtolower(strrchr($this->request->data['User']['document']['name'],"."));
						$fileDetaild = $this->request->data['User']['document'];
						$this->request->data['User']['document'] = "";
						if(!in_array($extentiond, $this->validDocsFormats)){
							$flag = false;
							$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
						}
					} else { $this->request->data['User']['document'] = $this->request->data['User']['prev_document']; }			





if(isset($this->request->data['User']['my_video']['tmp_name']) && is_uploaded_file($this->request->data['User']['my_video']['tmp_name'])){
						$extentionv = strtolower(strrchr($this->request->data['User']['my_video']['name'],"."));
						$fileDetailv = $this->request->data['User']['my_video'];
						$this->request->data['User']['my_video'] = "";
$vdo_extnson = array('mp4','MP4','WebM','webm','Ogg','ogg');
						if(!in_array($extentionv, $vdo_extnson)){
							$flag = false;
							$this->Session->setFlash(sprintf(__('ERROR :: Please upload video only having %s extensions.', true), implode(", ", $this->validImageFormats)));
						}
					} else { 
						if(isset($this->request->data['User']['prev_video']))
							$this->request->data['User']['my_video'] = $this->request->data['User']['prev_video']; 
						else
							$this->request->data['User']['my_video'] = ''; 
						
					}
			

	
				
				if($this->request->data['User']['country']=='' && $this->request->data['User']['prev_country']!=''){
					$this->request->data['User']['country'] = $this->request->data['User']['prev_country']; }
				
				if($this->request->data['User']['state']=='' && $this->request->data['User']['prev_state']!=''){
					$this->request->data['User']['state'] = $this->request->data['User']['prev_state']; }		
		
				if (isset($this->request->data['User']['speciality']) && $this->request->data['User']['speciality']=='' && $this->request->data['User']['prev_speciality']!=''){
					$this->request->data['User']['speciality'] = $this->request->data['User']['prev_speciality'];
				}		
				
				
				if($this->request->data['User']['user_password']!=''){
					$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['user_password']);
				} else {
					$this->request->data['User']['password'] = $this->request->data['User']['prev_password'];
				}
				
				unset($this->request->data['User']['photo']);
				unset($this->request->data['User']['document']);
				unset($this->request->data['User']['prev_password']);
				unset($this->request->data['User']['prev_country']);
				unset($this->request->data['User']['prev_state']);
				unset($this->request->data['User']['prev_speciality']);		
unset($this->request->data['User']['prev_video']);			
				
				//pr($this->request->data);//exit;
				if($flag){
					//pr($this->request->data);exit;
						$this->User->create();
						if ($this->User->save($this->request->data)){
							
							if(isset($fileDetailp) && is_uploaded_file($fileDetailp['tmp_name'])){
								$fileNamep = $this->User->id."user_image".$extentionp;
								//echo $fileNamep;// exit
								move_uploaded_file($fileDetailp['tmp_name'], USER_IMAGES . $fileNamep);
								$this->User->saveField('photo', $fileNamep);
								if($this->request->data['User']['prev_photo']!='' && $this->request->data['User']['prev_photo']!=$fileNamep){
									if(file_exists(USER_IMAGES . $this->request->data['User']['prev_photo'])){
										unlink(USER_IMAGES . $this->request->data['User']['prev_photo']);
									}
								}
								$this->request->data['User']['prev_photo'] = $fileNamep;
							}



if(isset($fileDetailv) && is_uploaded_file($fileDetailv['tmp_name'])){
								$fileNamep = $this->User->id."user_video".$extentionv;
								//echo $fileNamep;// exit
								move_uploaded_file($fileDetailv['tmp_name'], USER_IMAGES . $fileNamep);
								$this->User->saveField('my_video', $fileNamev);
								if($this->request->data['User']['prev_video']!='' && $this->request->data['User']['prev_video']!=$fileNamev){
									if(file_exists(USER_IMAGES . $this->request->data['User']['prev_video'])){
										unlink(USER_IMAGES . $this->request->data['User']['prev_video']);
									}
								}
								$this->request->data['User']['prev_video'] = $fileNamev;
							}


		
							if(isset($fileDetaild) && is_uploaded_file($fileDetaild['tmp_name'])){
								$fileNamed = $this->User->id."user_doc".$extentiond;

								move_uploaded_file($fileDetaild['tmp_name'], USER_DOCS . $fileNamed);
								$this->User->saveField('document', $fileNamed);
								if($this->request->data['User']['prev_document']!='' && $this->request->data['User']['prev_document']!=$fileNamed){
									if(file_exists(USER_DOCS . $this->request->data['User']['prev_document'])){
										unlink(USER_DOCS . $this->request->data['User']['prev_document']);
									}
								}
								$this->request->data['User']['prev_document'] = $fileNamed;
							}					
							
							$this->Session->setFlash(__('User has been updated successfully.', true),'default', array('class' => 'success'));
							$this->redirect(array('controller' => 'users', 'action' => 'dashboard'));
						} else {
							$this->Session->setFlash(__('ERROR :: Patient could not be updated. Please, try again.', true));
						}
					}
				
				
				
				
		
		} 
			$this->request->data = $this->User->read(null, $this->Session->read('Auth.User.id'));
			$this->request->data['User']['user_password'] = $this->request->data['User']['password'];
			$this->request->data['User']['prev_photo'] = $this->request->data['User']['photo'];
			$this->request->data['User']['prev_document'] = $this->request->data['User']['document'];
$this->request->data['User']['prev_video'] = $this->request->data['User']['my_video'];
			$Speciality=$this->Speciality->find('list',array('conditions'=>array('Speciality.status'=>1),'fields'=>array('Speciality.name','Speciality.name')));
	
		$this->set(compact('Speciality','content'));
			//echo $this->request->data['User']['prev_photo']; echo "<br/>";
			//echo $this->request->data['User']['user_password']; echo "<br/>";
			//pr($this->request->data);exit;
		
	}



	public function profile($id = null ){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		if(!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action'=>'home'));
		}
		$reviews = $this->UserReview->find('count', array('conditions' => array('UserReview.user_id' => $id)));
		$this->set(compact('reviews', 'id'));
		if($id){
			$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
			if($get_user){
				$this->set(compact('get_user'));
				//$this->Session->setFlash(__('ERROR :: Same email address already exists.', true));
			}
			else{
				$this->Session->setFlash(__('Error occurred. No Such User.', true));
			}
		}
	}
	
	public function reports($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		if(!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id.', true));
			$this->redirect(array('action'=>'home'));
		}
		$reviews = $this->UserReview->find('count', array('conditions' => array('UserReview.user_id' => $id)));
		$this->set(compact('reviews', 'id'));
		if($id){
			$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
			if($get_user){
				$this->set(compact('get_user'));
				//$this->Session->setFlash(__('ERROR :: Same email address already exists.', true));
			}
			else{
				$this->Session->setFlash(__('Error occurred. No Such User.', true));
			}
		}
	}

	
	public function update_document(){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$id = $this->Session->read('Auth.User.id');
		if (!empty($this->request->data)){
			//START :: photo uploading code.....
			$flag=true;
			$fileDetail ="";
			if (isset($this->request->data['User']['img']['tmp_name']) && is_uploaded_file($this->request->data['User']['img']['tmp_name'])){
				$extention = strtolower(strrchr($this->request->data['User']['img']['name'],"."));
				$fileDetail = $this->request->data['User']['img'];
				if(!in_array($extention, $this->validImageFormats)){
					$flag = false;
					$this->Session->setFlash(__('ERROR :: Please upload file only having '.implode(", ", $this->validImageFormats).' extensions.', true));
				}
				//USER_IMAGES_URL
			}
			else{
				$flag = false;
				$this->Session->setFlash(__('ERROR :: Please upload file', true));
			}
			if($flag && $fileDetail){
				if($this->request->data['User']['documents']){
					unlink(USER_IMAGES_URL. $this->request->data['User']['documents']);
				}
				$this->request->data['User']['document']=time().'_'.str_replace(' ', '', stripslashes(trim($fileDetail['name'])));
				if($this->User->save($this->request->data)){
					if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])){
						move_uploaded_file($fileDetail['tmp_name'], USER_IMAGES_URL. $this->request->data['User']['document']);
					}
					$this->Session->setFlash(__('Your documents has been updated successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => '/dashboard'));
				}
				else{
					$this->Session->setFlash(__('ERROR :: Your documents could not saved.Please try again', true));
				}
				echo '<script>parent.$.fn.colorbox.close();</script>';
			}
			//END :: photo uploading code.....
		}
		if (empty($this->request->data)){
			$this->request->data['User'] =  $this->Session->read('Auth.User');
		}
	}
	
	public function approved(){
		if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$id = $this->Session->read('Auth.User.id');
		$this->Approval->recursive = 2;
		$conditions['or'][] = array(
				'OR' => array(
					array('Approval.sent_to' => $id),
					array('Approval.sent_from' => $id)
					),
					'Approval.status' => '1'
				);
		$approved=$this->Approval->find('all', array('conditions' => $conditions));
		$this->set(compact('approved', 'id'));
	}
	/*profile_end*/
	/*search*/
/*	public function makeImage($type=null,$newheight=0,$newwidth=0,$filename=null){
		$this->layout=false;
		switch($type){
			case 'banner':
				$filename=BANNER_IMAGES.$filename;
			break;
			case 'logo':
				$filename=LOGO_IMAGES.$filename;
			break;
			case 'group_image':
				$filename=GROUP_IMAGES.$filename;
			break;
			case 'user':
				$filename=USER_IMAGES.$filename;
			break;
			case 'group_post_image':
				$filename=GROUP_POST_IMAGES.$filename;
			break;
			case 'product':
				$filename=PROD_IMAGES.$filename;
			break;
			case 'sumhit':
				$filename=SUMHITS_IMAGES.$filename;
			break;
			case 'book_image':
				$filename=BOOKS_IMAGES.$filename;
			break;
			case 'dispensary_image':
				$filename=DISPENSERY_IMAGES.$filename;
			break;
			case 'img':
				$filename='img/'.$filename;
			break;
		}
		$im = new Imagick();
		pr($im);
		$im->setResolution(144,144);
		$thumb = imagecreatetruecolor($newwidth, $newheight);
		list($width, $height) = getimagesize($filename);
		$extention = strtolower(strrchr($filename,"."));
		switch($extention){
			case '.jpeg':
				header('Content-Type: image/jpeg');
				$source = imagecreatefromjpeg($filename);
				imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
				//imagejpeg($thumb);
				//imagedestroy($thumb);
				$im->readImage($thumb);
                $im->setImageFormat("jpeg");
			break;
			case '.jpg':
				header('Content-Type: image/jpeg');
				$source = imagecreatefromjpeg($filename);
				imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
				$im->readImage($thumb);
                $im->setImageFormat("jpg");
			break;
			case '.png':
				header('Content-Type: image/png');
				$source = imagecreatefrompng($filename);
				imagealphablending($source, false);
				imagesavealpha($source, true);
				imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
				//imagepng($thumb);
				$im->readImage($thumb);
                $im->setImageFormat("png");
			break;
			case '.gif':
				header('Content-Type: image/gif');
				$source = imagecreatefromgif($filename);
				imagealphablending($source, false);
				imagesavealpha($source, true);
				imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
				///imagegif($thumb);
				$im->readImage($thumb);
                $im->setImageFormat("gif");
			break;
		}
		//imagedestroy($thumb);
	




echo $im;

		exit;
	}*/
	
	public function makeImage($type=null,$newheight=0,$newwidth=0,$filename=null){
		$this->layout=false;
		switch($type){
			case 'banner':
				$filename=BANNER_IMAGES.$filename;
			break;
			case 'logo':
				$filename=LOGO_IMAGES.$filename;
			break;
			case 'group_image':
				$filename=GROUP_IMAGES.$filename;
			break;
			case 'user':
				$filename=USER_IMAGES.$filename;
			break;
			case 'group_post_image':
				$filename=GROUP_POST_IMAGES.$filename;
			break;
			case 'product':
				$filename=PROD_IMAGES.$filename;
			break;
			case 'sumhit':
				$filename=SUMHITS_IMAGES.$filename;
			break;
			case 'book_image':
				$filename=BOOKS_IMAGES.$filename;
			break;
			case 'dispensary_image':
				$filename=DISPENSERY_IMAGES.$filename;
			break;
			case 'img':
				$filename='img/'.$filename;
			break;
		}
		$thumb = imagecreatetruecolor($newwidth, $newheight);
		list($width, $height) = getimagesize($filename);
		$extention = strtolower(strrchr($filename,"."));
		switch($extention){
			case '.jpeg':
				header('Content-Type: image/jpeg');
				$source = imagecreatefromjpeg($filename);
				imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
				imagejpeg($thumb);
				imagedestroy($thumb);
			break;
			case '.jpg':
				header('Content-Type: image/jpeg');
				$source = imagecreatefromjpeg($filename);
				imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
				imagejpeg($thumb);
				imagedestroy($thumb);
			break;
			case '.png':
				header('Content-Type: image/png');
				$source = imagecreatefrompng($filename);
				imagealphablending($source, false);
				imagesavealpha($source, true);
				imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
				imagepng($thumb);
			break;
			case '.gif':
				header('Content-Type: image/gif');
				$source = imagecreatefromgif($filename);
				imagealphablending($source, false);
				imagesavealpha($source, true);
				imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $width, $height);
				imagegif($thumb);
			break;
		}
		imagedestroy($thumb);
		exit;
	}
	
	
	
		/*public function makeImage($type=null,$newheight=0,$newwidth=0,$filename=null){
		$this->layout=false;
		switch($type){
			case 'banner':
				$filename=BANNER_IMAGES.$filename;
			break;
			case 'logo':
				$filename=LOGO_IMAGES.$filename;
			break;
			case 'group_image':
				$filename=GROUP_IMAGES.$filename;
			break;
			case 'user':
				$filename=USER_IMAGES.$filename;
			break;
			case 'group_post_image':
				$filename=GROUP_POST_IMAGES.$filename;
			break;
			case 'product':
				$filename=PROD_IMAGES.$filename;
			break;
			case 'sumhit':
				$filename=SUMHITS_IMAGES.$filename;
			break;
			case 'book_image':
				$filename=BOOKS_IMAGES.$filename;
			break;
			case 'dispensary_image':
				$filename=DISPENSERY_IMAGES.$filename;
			break;
			case 'img':
				$filename='img/'.$filename;
			break;
		}
	   $thumb = imagecreatetruecolor($newwidth, $newheight);
      // imagecopyresized($thumb, $filename, 0, 0, 0, 0, $newwidth, $newheight, $newwidth, $newheight);
	   //imagedestroy($filename);
       // imagedestroy($filename);
		
		//list($width, $height) = getimagesize($filename);
		$extention = strtolower(strrchr($filename,"."));
		switch($extention){
			case '.jpeg':
				header('Content-Type: image/jpeg');
				$source = imagecreatefromjpeg($filename);
				imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $newwidth, $newheight);
				imagejpeg($thumb);
				//imagedestroy($thumb);
			break;
			case '.jpg':
				header('Content-Type: image/jpeg');
				$source = imagecreatefromjpeg($filename);
				 imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $newwidth, $newheight);
				imagejpeg($thumb);
				//imagedestroy($thumb);
			break;
			case '.png':
				header('Content-Type: image/png');
				$source = imagecreatefrompng($filename);
				imagealphablending($source, false);
				//imagesavealpha($source, true);
			     imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $newwidth, $newheight);
				imagepng($thumb);
			break;
			case '.gif':
				header('Content-Type: image/gif');
				$source = imagecreatefromgif($filename);
				//imagealphablending($source, false);
				//imagesavealpha($source, true);
				imagecopyresized($thumb, $source, 0, 0, 0, 0, $newwidth, $newheight, $newwidth, $newheight);
				imagegif($thumb);
			break;
		}
		imagedestroy($thumb);
		exit;
	}*/
	
	
	
	
	function show_image($width, $height,$image ) {
        //$this->helper('file');                   why need this?
        //$image_content = read_file($image);      We does not want to use this as output.

        //resize image 
		 $image =USER_IMAGES.$image;
		//     exit;     
		list($width1, $height1) = getimagesize($image);
        $image = imagecreatefromjpeg($image);
        $thumbImage = imagecreatetruecolor($width, $height);
		
        imagecopyresized($thumbImage, $image, 0, 0, 0, 0, $width, $height, $width1, $height1);
        imagedestroy($image);
     
        header('Content-Type: image/jpeg');  
        imagejpeg($thumbImage); 
        imagedestroy($thumbImage);
        exit;
  }
	
	
	function show_image1($height, $width, $image) {
                   
      
        $image =USER_IMAGES.$image;
        $image = imagecreatefromjpeg($image);
        $thumbImage = imagecreatetruecolor(150, 150);
        imagecopyresized($thumbImage, $image, 0, 0, 0, 0, 150, 50, $width, $height);
        imagedestroy($image);
        //imagedestroy($thumbImage); do not destroy before display :)
      //  ob_end_clean();  // clean the output buffer ... if turned on.
        header('Content-Type: image/jpeg');  
        imagejpeg($thumbImage); //you does not want to save.. just display
        imagedestroy($thumbImage); //but not needed, cause the script exit in next line and free the used memory
        exit;
}

	public function user_search(){
		
		$cond=array();
		
		//pr($this->Session->read('data'));
				
		if(!empty($this->request->data) || $this->Session->read('data')){
			
			if(!empty($this->request->data)){
				$this->Session->write('data',$this->request->data);
				
			}else{
				$this->request->data=$this->Session->read('data');
				
			}
			
		//	pr($this->Session->read('data'));
			
			//echo $this->request->data['User']['user_type'];exit;
			//pr($this->request->data);exit;
			$type = $this->request->data['User']['user_type'];
			$firstname = $this->request->data['User']['first_name'];
			$speciality = $this->request->data['User']['speciality'];
			$country = @$this->request->data['User']['country'];
			$state = $this->request->data['User']['state'];
			$city = $this->request->data['User']['city'];
			$zipcode = $this->request->data['User']['zipcode'];
			
			$whereClause = array();
				//if($type == '0'){
					
					/*if($this->Session->read('Auth.User.id')){
						$whereClause['User.id !='] = $this->Session->read('Auth.User.id');
					}*/
					
					$whereClause['User.suspend'] = 0;
					$whereClause['User.status'] = 1;
					$whereClause['User.user_type'] = $type;
					
					if($firstname != ""){
						$firstname = explode(' ', $firstname);
						$orclasue = array();
						if(isset($firstname['0']) && ($firstname['0']!="")) {
							$orclasue['User.first_name LIKE'] = '%'.$firstname['0'].'%';
						}
						if(isset($firstname['1']) && ($firstname['1']!="")) {
							$orclasue['User.last_name LIKE'] = '%'.$firstname['1'].'%';
						}
						$whereClause['OR'] = $orclasue;
					}
			
					if($country != ""){
						$whereClause['User.country'] = $country;
					}			
					if($state != ""){
						$whereClause['User.state'] = $state;
					}							
					if($city != ""){
						$whereClause['User.city'] = $city;
					}			
					if($zipcode != ""){
						$whereClause['User.zipcode'] = $zipcode;
					}
					if($speciality != ""){
						$whereClause['User.speciality'] = $speciality;
					}				
						//pr($whereClause);exit;			
					//$users = $this->User->find('all', array('conditions'=> $whereClause));
					$this->paginate = array('conditions' => $whereClause,'limit'=>5);
					//pr($this->paginate);exit;
					$this->set('users', $this->paginate());
					//pr($this->paginate());exit;
				
	/*			} else if($type == '1'){
				
					if($this->Session->read('Auth.User.id')){
						$whereClause['User.id !='] = $this->Session->read('Auth.User.id');
					}				
					
					$whereClause['User.suspend'] = 0;
					$whereClause['User.status'] = 1;
					
					$whereClause = array('User.user_type' => array(3, 4, 5));
					
					
					if($firstname != ""){
						$firstname = explode(' ', $firstname);
						$orclasue = array();
						if(isset($firstname['0']) && ($firstname['0']!="")) {
							$orclasue['User.first_name LIKE'] = '%'.$firstname['0'].'%';
						}
						if(isset($firstname['1']) && ($firstname['1']!="")) {
							$orclasue['User.last_name LIKE'] = '%'.$firstname['1'].'%';
						}
						$whereClause['OR'] = $orclasue;
					}
					if($country != ""){
						$whereClause['User.country'] = $country;
					}			
					if($state != ""){
						$whereClause['User.state'] = $state;
					}							
					if($city != ""){
						$whereClause['User.city'] = $city;
					}			
					if($zipcode != ""){
						$whereClause['User.zipcode'] = $zipcode;
					}
					if($speciality != ""){
						$whereClause['User.speciality'] = $speciality;
					}
					//$users = $this->User->find('all', array('conditions' => $whereClause));
					//pr($whereClause);exit;
					$this->paginate = array('conditions' => $whereClause,'limit'=>5);
					$this->set('users', $this->paginate());
				}*/
			
			//$this->set(compact('users'));
		}
		//pr($this->paginate());exit;
	/*	if(empty($this->request->data)){
		   
			$conditions = array('User.user_type' => '2, 3, 4, 5');
			$this->paginate=array('conditions' => $conditions,'limit'=>5);
			//pr($this->paginate);exit;
			$this->set('users', $this->paginate());
			
		}*/
		
		$id = $this->Session->read('Auth.User.id');
		//echo $id;exit;
		$curuser = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->Approval->recursive = 2;
		$approvals = $this->Approval->find('all', array('conditions' => array('Approval.status' => '1', 'Approval.sent_from' => $id)));
		
		//pr($whereClause); exit;
		//pr($this->paginate());exit;
		$this->set(compact('approvals', 'id', 'curuser'));
	}
	
	
/*	public function user_search(){
		$cond=array();
		if(!empty($this->request->data)){
			//pr($this->request->data);exit;
			$type = $this->request->data['User']['user_type'];
			$firstname = $this->request->data['User']['first_name'];
			$speciality = $this->request->data['User']['speciality'];
			$country = $this->request->data['User']['country'];
			$state = $this->request->data['User']['state'];
			$city = $this->request->data['User']['city'];
			$zipcode = $this->request->data['User']['zipcode'];

			
			if($type == '0'){
				$conditions['or'][] = array(
				'OR' => array(
					array('User.first_name LIKE' => '%'.$firstname.'%'),
					array('User.last_name LIKE' => '%'.$firstname.'%'),
					array('User.country' => $country),
					array('User.state' => $state),
					array('User.city' => $city),
					array('User.zipcode' => $zipcode),
					array('User.speciality' => $speciality)
					),
					'User.user_type' => '2'
				);
				$users = $this->User->find('all', array('conditions'=> $conditions));
			}
			else if($type == '1'){
				$conditions['or'][] = array(
				'OR' => array(
					array('User.first_name LIKE' => '%'.$firstname.'%'),
					array('User.last_name LIKE' => '%'.$firstname.'%'),
					array('User.country' => $country),
					array('User.state' => $state),
					array('User.city' => $city),
					array('User.zipcode' => $zipcode),
					array('User.speciality' => $speciality),
					array('User.user_type' => '3'),
					array('User.user_type' => '4'),
					array('User.user_type' => '5')
					)
				);
				$users = $this->User->find('all', array('conditions' => $conditions));
			}
			$this->set(compact('users'));
		}
		if(empty($this->request->data)){
			$conditions = array('User.user_type' => '2, 3, 4, 5');
			$users = $this->User->find('all', array('conditions' => $conditions));
			$this->set('users', $this->paginate());
		}
		
		$id = $this->Session->read('Auth.User.id');
		//echo $id;exit;
		$curuser = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->Approval->recursive = 2;
		$approvals = $this->Approval->find('all', array('conditions' => array('Approval.status' => '1', 'Approval.sent_from' => $id)));
		
		
		$this->set(compact('approvals', 'id', 'curuser'));
	}	*/
	
	
	public function review($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$reviews = $this->UserReview->find('all', array('conditions' => array('UserReview.user_id' => $id,'UserReview.status' => 1)));
		$this->set(compact('reviews', 'id', 'uid'));
	}
	public function group(){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		//pr($this->Session->read('Auth.User'));exit;
		$uid = $this->Session->read('Auth.User.id');
		$id = $uid;
		$groups = $this->Group->find('all', array('conditions' => array('Group.user_id' => $uid,'Group.status' => 1)));
		$userdetails = $this->User->find('first', array('fields' => 'User.user_type', 'conditions' => array('User.id' => $uid)));
		
		
		$this->Groupmember->recursive = 2;
		$group_member = $this->Groupmember->find('all', array('conditions' => array('Groupmember.sent_from' => $uid, 'Groupmember.status' => 1)));
		//pr($group_member); exit;
		
		$this->set(compact('groups', 'id', 'uid', 'userdetails','group_member'));
	}
	
	
	public function groupnotification(){
	    if($this->Session->read('Auth.User.id')==""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
	    

		$groupnotifications = $this->Groupmember->find('all',array('conditions' => array('Groupmember.sent_to' => $this->Session->read('Auth.User.id'), 
		'Groupmember.status' => '0')));
	    //pr($groupnotifications); exit;
		
		$this->set(compact('groupnotifications'));
	     if(!empty($this->request->data)){
				//pr($this->request->data); exit;
				
				$this->Groupmember->id = $this->request->data['Groupmember']['id'];
				$gid = $this->request->data['Groupmember']['id'];
				// $gstatus = $this->request->data['Groupapproval']['status'];
				// $orders=$this->Order->find('first',array('conditions'=>array('Order.id'=>$oid, 'Order.order_confirmation' =>$ostatus)));
				// //pr($orders);
				 if(array_key_exists('confirm', $this->request->data)) {
					//$this->Groupmember->saveField('status', 1);			 
					//$this->Groupapproval->updateAll(array('Groupapproval.status' => '1'), array('Groupapproval.id' => $gid));
					$this->Groupmember->updateAll(array('Groupmember.status' => '1'), array('Groupmember.id' => $gid));
					$this->Session->setFlash(__('Group Member Accepted successfull.', true),'default', array('class' => 'success'));
					$this->redirect(array('controller' => 'users', 'action' => 'groupnotification'));
					
				 } else if(array_key_exists('cancel', $this->request->data)) {
					//$this->Groupmember->saveField('status', 2);
					//$this->Groupapproval->updateAll(array('Groupapproval.status' => '2'), array('Groupapproval.id' => $gid));
					$this->Groupmember->updateAll(array('Groupmember.status' => '2'), array('Groupmember.id' => $gid));
					$this->Session->setFlash(__('Group Member Rejected successfull.', true),'default', array('class' => 'success'));
					$this->redirect(array('controller' => 'users', 'action' => 'groupnotification'));
				}
	     }
	}
	
	
	public function event(){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$this->Transaction->recursive = 2;
		$events = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.status' => 'Completed')));
		$this->set(compact('events', 'uid'));
	}
	
	
	/*publishing*/
	public function publishing($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '5', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$publishings = $this->Publishing->find('all', array('conditions' => array('Publishing.user_id' => $uid, 'Publishing.status' => '1')));
		
		//pr($publishings);exit;
		$this->set(compact('publishings', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}
	
	
	/*seminar*/
	public function seminar($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$seminars = $this->Seminar->find('all', array('conditions' => array('Seminar.user_id' => $uid, 'Seminar.status' => '1')));
		//pr($seminars);exit;
		
		$this->set(compact('seminars', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}
	
	public function sumhits($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$sumhits = $this->Sumhits->find('all', array('conditions' => array('Sumhits.user_id' => $uid, 'Sumhits.status' => '1')));
		//pr($seminars);exit;
		
		$this->set(compact('sumhits', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}	
	
	
	
	/*webinar*/
	public function webinar($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '2', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$webinars = $this->Webinar->find('all', array('conditions' => array('Webinar.user_id' => $uid, 'Webinar.status' => '1')));
		$this->set(compact('webinars', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}
	
	/*funnel*/
	public function funnel($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '2', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$funnels = $this->Funnel->find('all', array('conditions' => array('Funnel.user_id' => $uid, 'Funnel.status' => '1')));
		$this->set(compact('funnels', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}
	
	
	/*workshop*/
	public function workshop($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '3', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$workshops = $this->Workshop->find('all', array('conditions' => array('Workshop.user_id' => $uid, 'Workshop.status' => '1')));
		
		//pr($workshops);exit;
		
		$this->set(compact('workshops', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}
	/*course*/
	public function course($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '4', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->paginate=array('conditions' => array('Course.user_id' => $id, 'Course.status' => '1'),'limit'=>6,'order'=>array('Course.id'=>'DESC'));
		$this->set('courses',$this->paginate('Course'));
		//pr($courses);exit;
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}
	/*archive*/
	public function archive($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$seminars = $this->Seminar->find('all', array('conditions' => array('Seminar.user_id' => $id, 'Seminar.status' => '1')));
		$this->set(compact('seminars', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}
	
///////////////////////////////////////////////////////////////////////New Codes/////////////////////////////////////////////////	
	
	public function view_search_user_detail($id = null){
		/*if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You have to login first', true));
			
			$this->redirect('/users/login/users/view_search_user_detail/'.$id);
		}*/
		$uid = $this->Session->read('Auth.User.id');
		
		$this->User->recursive = 1;
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
	}		
	
	
	public function view_search_user_products($id = null){
		/*if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}*/
		$uid = $this->Session->read('Auth.User.id');
		
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
	}	
	
	public function view_search_user_seminers($id = null){
		/*if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));

			$this->redirect('/');
		}*/
		$uid = $this->Session->read('Auth.User.id');
		
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
	}
	
	
	public function view_search_user_courses($id = null){
		/*if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));

			$this->redirect('/');
		}*/
		$uid = $this->Session->read('Auth.User.id');
		
		$get_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		//pr($get_user_detail);exit;
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail'));
	}
	
	
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
	public function view_search_user_publish($id = null){
		/*if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}*/
		$uid = $this->Session->read('Auth.User.id');
		
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
	}	
	
	public function view_search_user_summit($id = null){
		/*if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}*/
		$uid = $this->Session->read('Auth.User.id');
		
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
	}	
	
	public function view_search_user_webinner($id = null){
		/*if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}*/
		$uid = $this->Session->read('Auth.User.id');
		
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
	}
	
	public function view_search_user_funnel($id = null){
		$uid = $this->Session->read('Auth.User.id');
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		$this->set(compact('my_user_detail', 'get_user_detail2'));
	}	
	
	public function view_search_user_workshop($id = null){
		/*if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}*/
		$uid = $this->Session->read('Auth.User.id');
		
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
	}	
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	public function view_search_user_groups($id = null){
		/*if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}*/
		$uid = $this->Session->read('Auth.User.id');
		
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		//pr($get_user_detail);exit;
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
	}	
		
		
	public function save_chat_msg($id = null){
		
		$this->layout = '';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		//pr($_POST);exit;
		//echo trim($_POST['receiver_id']);
		//$this_to_user = $this->User->find('first', array('condition' => array('User.id' => trim($_POST['receiver_id']))));
		///pr($this_to_user);exit;
		//$this_to_user_islogin = $this_to_user['User']['is_login'];
		
		
		$this->request->data['Message']['from_user'] 	= $this->Session->read('Auth.User.id');
		$this->request->data['Message']['to_user'] 		= trim($_POST['receiver_id']);
		$this->request->data['Message']['message'] 		= trim($_POST['msg']);
		$this->request->data['Message']['send_date'] 	= date('y-m-d h:i:s');
		$this->request->data['Message']['is_read'] 		= 0;
		$this->request->data['Message']['reply_of'] 	= 0;
		$this->request->data['Message']['approval_id'] 	= 0;		
		unset($_POST);
		$this->Message->create();
		if ($this->Message->save($this->request->data)){
			//$this->Session->setFlash(__('This Message Saved successfully', true), 'default', array('class' => 'success'));
			echo 0; exit;
		}
		//echo 0;
		$this->AutoRender = false;
	}	
	

	public function send_request($id = null){
		
		$this->layout = '';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		$id = trim($_POST['receiver_id']);
		//echo $id;echo "--";echo $this->Session->read('Auth.User.id');exit;
		
		$req_exist = $this->Request->find('first', array('conditions' => 
														array('Request.from_user' => $this->Session->read('Auth.User.id'),
															  'Request.to_user' => $id)));
		
		
		//$req_exist = $this->Request->find('first' array('conditions' => array('Request.from_user'=>$this->Session->read('Auth.User.id'), 'Request.to_user'=>$id)));
		
		if($req_exist){
			echo 1; exit;
		} else {
			$this->request->data['Request']['from_user'] 	= $this->Session->read('Auth.User.id');
			$this->request->data['Request']['to_user'] 		= trim($_POST['receiver_id']);
			$this->request->data['Request']['send_date'] 	= date('y-m-d h:i:s');
			$this->request->data['Request']['active'] 		= 0;
			
			unset($_POST);
			$this->Request->create();
			if ($this->Request->save($this->request->data)){
				//$this->Session->setFlash(__('This Message Saved successfully', true), 'default', array('class' => 'success'));
				echo 0; exit;
			}
		}
		$this->AutoRender = false;
	}


	public function get_new_chat($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		
		$uid = $this->Session->read('Auth.User.id');
		
		$this->layout = '';
		//echo $id;exit;
		$this->Message->recursive = 2;
		$new_msg = $this->Message->find('all', array('conditions' => array(array('Message.to_user' => $id), array('Message.is_read' => 0))));
		
		$this->set(compact('new_msg'));
	}	
	
	
	
	
	
	public function search_compose_chat($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}

		
		
		$fr_user = $this->User->find('first', array('conditions' => array("User.id" => $id)));
		$fullname = $fr_user['User']['first_name']." ".$fr_user['User']['last_name'];
		
		//pr($fr_user);exit;
		
		//echo $id;exit;
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$this->Message->recursive = 2;
		$uid = $this->Session->read('Auth.User.id');
		//echo $uid;
		$sql = "SELECT * FROM `ss_messages` WHERE (from_user=" . $this->Session->read('Auth.User.id') . 
						" and to_user=" .$id. ") or (from_user=" . $id . " and to_user=" . $this->Session->read('Auth.User.id') . ")
						 order by send_date DESC";
		
		$all_my_msg = $this->Message->query($sql);
		//pr($all_my_msg);exit;
		
		
		$sqlall = "SELECT from_user,to_user FROM `ss_messages` WHERE (from_user=" . $this->Session->read('Auth.User.id') . ") or (to_user=" . $this->Session->read('Auth.User.id') . ") 
				  order by send_date DESC";
				  
		$all_msg = $this->Message->query($sqlall);		  
		
		$chat_list = array();		  
		foreach($all_msg as $list){
			if($list['ss_messages']['from_user'] != $this->Session->read('Auth.User.id')){
				$chat_list[] = $list['ss_messages']['from_user'];
			} else {
				$chat_list[] = $list['ss_messages']['to_user'];
			}
		}				  
				  
		$new_chat_list = (array_unique($chat_list));		  
		//pr($new_chat_list);exit;		  
		//$this->User->recursive->1;
		$this->User->recursive = 0;
		$i =0;
		foreach($new_chat_list as $user_id){
			$my_old_chats[$i] = $this->User->find('first', array('conditions' => array("User.id" => $user_id)));
			$frnd = $this->Friend->find('first', array('conditions' => array("Friend.friend_id" => $user_id, "Friend.user_id" => $this->Session->read('Auth.User.id'))));
			if(count($frnd) >0){
				$my_old_chats[$i]['Frnd'] = 1;
			}
			$i++;
		}
		//pr($my_old_chats);exit;				  
				  
		//echo $id;exit;
		$this->set(compact('all_my_msg','id','my_old_chats','fullname'));
	}			
	
	
	public function get_new_msg($id = null) {
		if($this->Session->read('Auth.User.id')){
			$this->Message->recursive = 2;
			$this_user_detail = $this->User->find('first', array('conditions' => array('User.id' => $this->Session->read('Auth.User.id'))));
			$this_chat_user_detail = $this->User->find('first', array('conditions' => array('User.id' => $id)));
			/*pr($this_user_detail);
			pr($this_chat_user_detail); exit;*/
			
		$fr_user = $this->User->find('first', array('conditions' => array("User.id" => $id)));
		$fullname = $fr_user['User']['first_name']." ".$fr_user['User']['last_name'];			
			
		$sqla = "SELECT * FROM `ss_messages` WHERE (from_user=" . $this->Session->read('Auth.User.id') . ") or (to_user=" . $this->Session->read('Auth.User.id') . ")";
		$my_all_chats = $this->Message->query($sqla);
		$i = 1;
		foreach($my_all_chats as $val){
				if($val['ss_messages']['from_user'] == $this->Session->read('Auth.User.id')){
					$friend[$i]	= $val['ss_messages']['to_user'];
				} else {
					$friend[$i]	= $val['ss_messages']['from_user'];
				}
		$i++;
		}
		$my_frnd = (array_unique($friend));
		//pr($my_frnd);exit;
			
			
		foreach($my_frnd as $value){
			$id = $value;
			//echo $id; echo "<br/>";
			$this_frnd = $this->User->find('first', array('conditions' => array('User.id' => $id)));
			//pr($this_frnd);exit;
			$pic[$id] = $this_frnd['User']['photo'];
			
			$this_frnd = $this->User->find('first', array('conditions' => array('User.id' => $id)));
			$txta = "SELECT * FROM `ss_messages` WHERE (from_user=".$this->Session->read('Auth.User.id')." and to_user=" .$id. ") 
					or (from_user=".$id." and to_user=".$this->Session->read('Auth.User.id').") order by send_date DESC";
					
					
			$all_my_msg[$id] = $this->Message->query($txta);
		}
			
		//pr($all_my_msg);exit;
			
			if($all_my_msg) {
				$main_arr = array();
				foreach($all_my_msg as $k=>$val) {
					//echo $k;
					if($val) {
						$str_msg = '';
						foreach($val as $kk=>$vall) {
							//echo $vall['ss_messages']['send_date'];
							//pr($vall);exit;
							$dt_ft = explode(" ",$vall['ss_messages']['send_date']);
							$dt_d = explode("-", $dt_ft['0']);
							$dt_t = explode(":", $dt_ft['1']);
							$mkt = mktime($dt_t['0'], $dt_t['1'], $dt_t['2'], $dt_d['1'], $dt_d['2'], $dt_d['0']);
							
							if($vall['ss_messages']['from_user'] == $this->Session->read('Auth.User.id')) {
								$style = 'style="float:right; margin:5px;"';
								$name = $this->Session->read('Auth.User.first_name')." ".$this->Session->read('Auth.User.last_name');
								$img = "img/blankuser.png";
								//$img = $this_user_detail['User']['photo'];
							} else {
								$name = $fullname;
								$img = "img/blankuser.png";
								//$img = $this_chat_user_detail['User']['photo'];
								$style = 'style="float:left; margin:5px;"';
							}						

							$str_msg .= '<p><img class="align-left" src="'.DOMAIN_PATH.$img.'"'.
										$style.' width="50" height="50">';
							$str_msg .= '<p style="float:left; width:80%; background:#C0EDFA; padding:10px;">'.
							$vall['ss_messages']['message'].'</p>';
							$str_msg .= '<p>
											<div class="grid">
												<div class="col_4"><i class="icon-calendar"></i> Date: '.
												date('j F Y', $mkt).'</div>
												<div class="col_4"><i class="icon-time"></i> Time: '.
												date('h:ia', $mkt).'</div>
												<div class="col_4"><i class="icon-time"></i>'.
												$name.'</div>
												<div class="col_4"></div>
											</div>
										</p>';
							$str_msg .= '<hr class="alt2" style="margin:0px;"/></p>';
						}
					}
					$main_arr[$k] = $str_msg;
				}
			}			

			//pr($main_arr[$k]);exit;
			echo json_encode($main_arr);//exit;
		}
		$this->autoRender = '';
	}	
	
	
	public function group_join_request(){
		$this->layout = '';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		if (!empty($this->request->data)){
		
			$this->request->data['Groupmember']['sent_from'] 	= $this->Session->read('Auth.User.id');
			$this->request->data['Groupmember']['sent_to'] 		= trim($_POST['receiver_id']);
			$this->request->data['Groupmember']['sent_date'] 	= date('Y-m-d h:i:s');
			$this->request->data['Groupmember']['group_id'] 	= trim($_POST['group_id']);
			$this->request->data['Groupmember']['is_admin'] 	= 0;
			
			
			
			$gr = $this->Group->read(null, trim($_POST['group_id']));
			//pr ($gr);exit;
			$grtype = $gr['Group']['type'];
			
			if($grtype == 1){
				$this->request->data['Groupmember']['status'] 	= 1;
			} else if($grtype == 2){
				$this->request->data['Groupmember']['status'] 	= 0;
			}
			
			//echo $grtype; echo "<br/>";
			//echo $this->request->data['Groupmember']['status']; //exit;
			
			$get_req_data = $this->Groupmember->find('first', array('conditions' => array('Groupmember.sent_from' => $this->Session->read('Auth.User.id'),
																						  'Groupmember.sent_to' => trim($_POST['receiver_id']),
																						  'Groupmember.group_id' => trim($_POST['group_id']))));					
		
			if($get_req_data){
				echo 1; exit;
			} else {
				unset($_POST);
				$this->Groupmember->create();
				if ($this->Groupmember->save($this->request->data)){
					$this->Session->setFlash(__('success!!', true), 'default', array('class' => 'success'));
					echo 0; exit;
				}
			}
		}
		$this->AutoRender = false;
	}	
	
	public function check_user() {
		
		$this->layout = '';
		//pr($_POST);exit; 
		$email = $this->User->find('first', array('conditions'=>array('User.email' => $_POST['email'])));

		if(count($email) > 0) {
			$this->Session->write('Auth.User',$email['User']);
			$this->Session->setFlash(__('You are successfully logged in', true));
			echo 0;	exit;		
		} else {
			echo 1; exit;
		}
		$this->autoRender = '';
	}	
	
	public function fbsignup(){
		$this->layout = "default";
		if($this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		//pr($_POST);exit;
		$this->Session->write('Auth.Scuser',$_POST);
		echo 0;
		//$this->redirect(array('controller' => 'users', 'action' => 'signup'));	
		$this->autoRender = '';	
	}
	
	public function twtsignup(){
		$this->layout = "default";
		if($this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		//pr($_POST);exit;
		$this->Session->write('Auth.Fbuser',$_POST);
		echo 0;
		//$this->redirect(array('controller' => 'users', 'action' => 'signup'));	
		$this->autoRender = '';	
	}	
	
	public function lisignup(){
		$this->layout = "";
		if($this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		//pr($_POST);exit;
		$this->Session->write('Auth.Scuser',$_POST);
		echo 0;
		//$this->redirect(array('controller' => 'users', 'action' => 'signup'));	
		$this->autoRender = '';	
	}	
	
	
	
	
	public function signup2(){
	
		//pr($this->Session->read('Auth.Fbuser'));exit;
		$this->layout = "default";
		if($this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		//pr($this->Session->read('Auth.Scuser'));exit;
		
		
		
		$go = ""; $id = ""; $user_type = ""; $amt = ""; $fname = ""; $lname = "";
		$social_id = $this->Session->read('Auth.Scuser.social_id');
		$fname = $this->Session->read('Auth.Scuser.fname');
		$lname = $this->Session->read('Auth.Scuser.lname');
		$social_type = $this->Session->read('Auth.Scuser.social_type');
		if($social_type != 'twitter'){
			$email = $this->Session->read('Auth.Scuser.email');
		}
		
		
		//echo $social_id;echo "<br/>";
		//echo $social_type;exit;
		if(!empty($this->request->data)){
			//pr($this->request->data);exit;
			$get_email = $this->User->find('first', array('conditions' => array('User.email' => $this->request->data['User']['email'])));
			if($get_email){
				$this->Session->setFlash(sprintf(__('ERROR :: Same email address already exists.', true)));
			}
			else{
				$this->request->data['User']['password'] = Security::hash(Configure::read('Security.salt').$this->request->data['User']['password']);
				
				
				
				if($this->request->data['User']['category'] == "d"){
					$this->request->data['User']['user_type'] = "2";
					
				}
				if($this->request->data['User']['category'] == "p"){
					$this->request->data['User']['user_type'] = "5";
					//unset($this->request->data['User']['category']);
				}
				//unset($this->request->data['User']['category']);								  
				//pr($this->request->data);exit;
				
				//$this->request->data['User']['suspend'] = "1";
				$this->request->data['User']['status'] = "1";				
				$this->request->data['User']['registration_date'] = date('Y-m-d h:i:s');
				
				//pr($this->request->data);exit;
				
				/*if($this->request->data['User']['user_type'] == 2){
					$amt = .50;
				} else if($this->request->data['User']['user_type'] == 3){
					$amt = 2;
				} else if($this->request->data['User']['user_type'] == 4){
					$amt = 1;
				}*/
				
				$this->User->create();
				if ($this->User->save($this->request->data)){
					//$go = 1;
					//$id = $this->User->id;
					//$user_type = $this->request->data['User']['user_type'];
					/*#########################################################################################################*/
					$this->Session->setFlash(__('You have registered successfully', true), 'default', array('class' => 'success'));
					$this->redirect('/');
					/*#########################################################################################################*/
				}
			}
		}
		$this->set(compact('go', 'social_id', 'user_type', 'social_type', 'fname', 'lname', 'email', 'amt'));
	}
	
	//    Product  --  Sumhits   Webinar   Workshop   Publishing    Seminar
	public function payment(){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}	
	
		$my_id = $this->Session->read('Auth.User.id');

		$this->Order->recursive = 1;
		$my_sales = $this->Order->find('all', array('conditions' => array('Order.order_status' => 1, 'Order.owner_id' => $my_id)));
		
		$this->paginate = array('conditions' => array('Order.order_status' => 1, 'Order.owner_id' => $my_id), 'order' => array('Order.payment_date' => 'DESC'),'limit'=>20);
		
		//$my_prod = $this->Product->find('all', array('conditions' => array('Product.user_id' => $my_id)));
		$payment=$this->paginate('Order');
		
	
		$this->set(compact('payment'));
	}	
	
	/*public function order_xxxxx(){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$id = $this->Session->read('Auth.User.id');
		
		$this->Order->recursive = 0;
		$this->paginate = array('conditions' => array('Order.order_status' => 1,'Order.user_id' => $id), 'order' => array('Order.payment_date' => 'DESC'),'limit'=>20);
		
		$order=$this->paginate('Order');
		//pr($order);exit;
		$this->set(compact('order'));

	}*/	
	
	
	public function name_search()
	{
	
	  $json[] = array();
	 // $_GET['term']="s";
		if($_GET['term'])
			 {
	
	      $val=$_GET['term'];
          $name=$this->User->find('all',array('conditions'=>array("User.first_name Like '".$val."%' AND User.id != '1'  AND User.status = '1'")));

	   if($name)
			   {
			   foreach($name as $nm)
			      {
				       $json[]=array('value'=>$nm['User']['first_name'].' '.$nm['User']['last_name'],'label'=>$nm['User']['first_name'].' '.$nm['User']['last_name']);
				  }
		        //  pr($json);
	     		echo json_encode($json);
             }    
	}


	exit;

  
	}
	
	
	public function check_on_time()
	{
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		         if($_POST['id'])
				 {
			      $this->User->id=$_POST['id'];
			      $this->User->saveField('check_on', date('Y-m-d H:i:s'));
				 }
				 exit;
		
	}
	
	public function pic_change_old()
	{
	     if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		  }
		  //$this->layout='profile_picture';
		  $flag = true;
		  if(!empty($this->request->data['photo']))
		  {
			 //pr($_FILES);exit;
			// pr($this->request->data['photo']); 
			 $name = $this->request->data['User']['photo']  = basename($this->request->data['photo']);
			 
			$this->User->id=$this->Session->read('Auth.User.id');
			
			
			// $this->request->data =  $this->User->read(null, $this->Session->read('Auth.User.id'));
		//  $prev_photo=$this->request->data['User']['photo'];
		  
		  
		  
			$this->User->saveField('photo',$name);

			$this->Session->setFlash(__('Your Profile Picture Uploaded Successfully.', true));

			}
			
			else{
			$this->Session->setFlash(__('ERROR :: Please select a photo to upload.', true));
			
			}
		  $this->redirect('/users/dashboard/');	
		 /* $this->request->data =  $this->User->read(null, $this->Session->read('Auth.User.id'));
		  $prev_photo=$this->request->data['User']['photo'];
		  $id = $this->Session->read('Auth.User.id');
		  $reviews = $this->UserReview->find('count', array('conditions' => array('UserReview.user_id' => $id)));
		  $this->set(compact('reviews', 'id','prev_photo'));*/
		 // $this->layout='';
	   
	}
	
	
	public function pic_change()
	{
	     
			$name = $_POST['prf_img'];
			 
			$this->User->id=$this->Session->read('Auth.User.id');
		  
			$this->User->saveField('photo',$name);

			exit;
	   
	}
	public function  registration()
	{
	echo "++++++++++"; exit;
	}
	
		public function service($id = null){

		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '4', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->paginate=array('conditions' => array('Service.did' => $id, 'Service.status' => '1'),'limit'=>20,'order'=>array('Service.id'=>'DESC'));
		$this->set('services',$this->paginate('Service'));
		//pr($courses);exit;
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','services'));
	}

	
		public function view_search_user_sevices($id = null){
		/*if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}*/
		$uid = $this->Session->read('Auth.User.id');
		
		$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
	}	
	
public function coaching($id = null){

		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '4', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->paginate=array('conditions' => array('Coaching.did' => $id, 'Coaching.status' => '1'),'limit'=>20,'order'=>array('Coaching.id'=>'DESC'));
		$this->set('coachings',$this->paginate('Coaching'));
		//pr($courses);exit;
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','coachings'));
	}

public function view_search_user_coaching($id = null){

		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '4', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->paginate=array('conditions' => array('Coaching.did' => $id, 'Coaching.status' => '1'),'limit'=>20,'order'=>array('Coaching.id'=>'DESC'));
		$this->set('coachings',$this->paginate('Coaching'));
		//pr($courses);exit;
$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','coachings'));
	}

	public function energy($id = null){

		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '4', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->paginate=array('conditions' => array('Energy.did' => $id, 'Energy.status' => '1'),'limit'=>20,'order'=>array('Energy.id'=>'DESC'));
		$this->set('energys',$this->paginate('Energy'));
		//pr($courses);exit;
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','energys'));
	}

public function view_search_user_energy($id = null){

		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '4', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->paginate=array('conditions' => array('Energy.did' => $id, 'Energy.status' => '1'),'limit'=>20,'order'=>array('Energy.id'=>'DESC'));
		$this->set('energys',$this->paginate('Energy'));
		//pr($courses);exit;
$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','energys'));
	}

public function ehr($id = null){

		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '4', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->paginate=array('conditions' => array('Ehr.did' => $id, 'Ehr.status' => '1'),'limit'=>20,'order'=>array('Ehr.id'=>'DESC'));
		$this->set('ehrs',$this->paginate('Ehr'));
		//pr($courses);exit;
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','ehrs'));
	}

public function view_search_user_ehr($id = null){

		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '4', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->paginate=array('conditions' => array('Ehr.did' => $id, 'Ehr.status' => '1'),'limit'=>20,'order'=>array('Ehr.id'=>'DESC'));
		$this->set('ehrs',$this->paginate('Ehr'));
		//pr($courses);exit;
$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','ehrs'));
	}
	
	
	public function affiliates($id = null){

		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '4', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->paginate=array('conditions' => array('Affiliates.did' => $id, 'Affiliates.status' => '1'),'limit'=>20,'order'=>array('Affiliates.id'=>'DESC'));
		$this->set('ehrs',$this->paginate('Affiliates'));
		//pr($courses);exit;
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','ehrs'));
	}

public function view_search_user_affiliates($id = null){

		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.user_id' => $uid, 'Transaction.type' => '4', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->paginate=array('conditions' => array('Affiliates.did' => $id, 'Affiliates.status' => '1'),'limit'=>100,'order'=>array('Affiliates.id'=>'DESC'));
		$this->set('ehrs',$this->paginate('Affiliates'));
		//pr($courses);exit;
$get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','ehrs'));
	}

}