<?php
App::uses('AppModel', 'Model');
/**
 * Product Model
 *
 * @property Type $Type
 * @property Category $Category
 * @property User $User
 * @property Tags $Tags
 * @property ProductImage $ProductImage
 */
class Course extends AppModel {

/**
 * Validation rules
 *
 * @var array
 */

	public $belongsTo = array(
		'User2' => array(
			'className' => 'User',
			'foreignKey' => 'user_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		)
	);
	
	public $hasMany = array(
		'Section' => array(
			'className' => 'Section',
			'foreignKey' => 'cousse_id'
		),
		'Comment' => array(
			'className' => 'Comment',
			'foreignKey' => 'user_id'
		),	
		'Comment2' => array(
			'className' => 'Comment',
			'foreignKey' => 'topic_id',
			'conditions' => array('Comment2.status'=>1)
		),	
	
	);

/**
 * hasMany associations
 *
 * @var array
 */
/*	public $hasOne = array(
		'ProductImage' => array(
			'className' => 'ProductImage',
			'foreignKey' => 'product_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		)
	);*/

}
