<?php
App::uses('AppModel', 'Model');
/**
 * Product Model
 *
 * @property Type $Type
 * @property Category $Category
 * @property User $User
 * @property Tags $Tags
 * @property ProductImage $ProductImage
 */
class Group extends AppModel {

/**
 * Validation rules
 *
 * @var array
 */

	public $belongsTo = array(
		'User' => array(
			'className' => 'User',
			'foreignKey' => 'user_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		)
	);

/**
 * hasMany associations
 *
 * @var array
 */
	public $hasMany = array(
		'Groupmember' => array(
			'className' => 'Groupmember',
			'foreignKey' => 'group_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
		'Grouppost' => array(
			'className' => 'Grouppost',
			'foreignKey' => 'group_id',
			'conditions' => array('Grouppost.status'=>1),
			'fields' => '',
			'order' => ''
		)		
	);

	public function getLastQuery()
	{
		$dbo = $this->getDatasource();
		$logs = $dbo->getLog();
		$lastLog = end($logs['log']);
		return $lastLog['query'];
	}
}
