<?php
App::uses('AppModel', 'Model');

/**
 * Product Model
 *
 * @property Type $Type
 * @property Category $Category
 * @property User $User
 * @property Tags $Tags
 * @property ProductImage $ProductImage
 */

class Request extends AppModel {
	
	public $belongsTo = array(
		'FromUser' => array(
			'className' => 'User',
			'foreignKey' => 'from_user',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		),
		'ToUser' => array(
			'className' => 'User',
			'foreignKey' => 'to_user',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		)
	);
}
?>