<?php
App::uses('AppModel', 'Model');
/**
 * Product Model
 *
 * @property Type $Type
 * @property Category $Category
 * @property User $User
 * @property Tags $Tags
 * @property ProductImage $ProductImage
 */
class Seminar extends AppModel {

/**
 * Validation rules
 *
 * @var array
 */

	public $belongsTo = array(
		'User' => array(
			'className' => 'User',
			'foreignKey' => 'user_id',
			'conditions' => '',
			'fields' => '',
			'order' => ''
		)
	);

/**
 * hasMany associations
 *
 * @var array
 */
	public $hasOne = array(
		'ProductImage' => array(
			'className' => 'ProductImage',
			'foreignKey' => 'product_id',
			'dependent' => false,
			'conditions' => '',
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		)
	);

}
