<?php
App::uses('AppModel', 'Model');
/**
* User Model
*
* @property ProductImage $ProductImage
* @property Product $Product
*/
class User extends AppModel {
	public function getOrders($id=null){
		/** Choose either of 2 lines below **/
		return $this->query("SELECT * FROM `ss_products` , `ss_orders` , `ss_order_items` WHERE `ss_products`.`id` =
							`ss_order_items`.`product_id` AND `ss_order_items`.`order_id` = `ss_orders`.`id` AND
							`ss_products`.`user_id` = " . $id); // if table name is `locations`
	}
	//The Associations below have been created with all possible keys, those that are not needed can be removed
/**
* hasMany associations
*
* @var array
*/










	public $hasMany = array(
		'Group' => array(
			'className' => 'Group',
			'foreignKey' => 'user_id',
			'dependent' => false,
			'conditions' => array('Group.status'=>1),
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),	
		'Product' => array(
			'className' => 'Product',
			'foreignKey' => 'user_id',
			'dependent' => false,
			'conditions' =>array('Product.blocked'=>0),
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		'Seminar' => array(
			'className' => 'Seminar',
			'foreignKey' => 'user_id',
			'dependent' => false,
			'conditions' => array('Seminar.status'=>1),
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		
		'Course' => array(
			'className' => 'Course',
			'foreignKey' => 'user_id',
			'dependent' => false,
			'conditions' => array('Course.status'=>1),
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		
		
		'Webinar' => array(
			'className' => 'Webinar',
			'foreignKey' => 'user_id',
			'dependent' => false,
			'conditions' => array('Webinar.status'=>1),
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),	
		
		'Funnel' => array(
			'className' => 'Funnel',
			'foreignKey' => 'user_id',
			'dependent' => false,
			'conditions' => array('Funnel.status'=>1),
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),		
		'Workshop' => array(
			'className' => 'Workshop',
			'foreignKey' => 'user_id',
			'dependent' => false,
			'conditions' => array('Workshop.status'=>1),
			'fields' =>'',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),		
		'Sumhit' => array(
			'className' => 'Sumhit',
			'foreignKey' => 'user_id',
			'dependent' => false,
			'conditions' => array('Sumhit.status'=>1),
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),		
		'Publishings' => array(
			'className' => 'Publishing',
			'foreignKey' => 'user_id',
			'dependent' => false,
			'conditions' => array('Publishings.status'=>1),
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
		'Service' => array(
			'className' => 'Service',
			'foreignKey' => 'did',
			'dependent' => false,
			'conditions' => array('Service.status'=>1),
			'fields' => '',
			'order' => '',
			'limit' => '',
			'offset' => '',
			'exclusive' => '',
			'finderQuery' => '',
			'counterQuery' => ''
		),
	);
}