<?php
App::uses('AppController', 'Controller');
require 'vendor/autoload.php';
use \Firebase\JWT\JWT;
class MeetingsController extends AppController {
	
	public $api_url = 'https://api.zoom.us/v2/';
		
	public $zoom_api_key = 'bSOEbo7mQrOgeW6dBy8XZg';

	public $zoom_api_secret = '5vXowr6VKvK3yp5TlLguvF9BU8I1VE2qGZRs';
	
	public function add() {
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$fileName = '';
		$flag = true;
		
		$uid = $this->Session->read('Auth.User.id');
		$User = ClassRegistry::init('User');		
		$get_user_detail2 = $User->find('first',array('conditions' => array('User.id' => $uid)));
		$my_user_detail = $User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','energys'));
		
		if(!empty($this->request->data)){
			
			if($this->request->data['Meetings/create']['topic'] == '')
				$flag = false;
			if($this->request->data['Meetings/create']['duration'] == '')
				$flag = false;
			if($this->request->data['Meetings/create']['agenda'] == '')
				$flag = false;
			if($this->request->data['meeting_timezone'] == '')
				$flag = false;
				
			if($flag){
				
				$UserEmail = $this->Session->read('Auth.User.email');
				$topic = $this->request->data['Meetings/create']['topic'];
				$duration = $this->request->data['Meetings/create']['duration'];
				$agenda = $this->request->data['Meetings/create']['agenda'];
				$timezone = $this->request->data['meeting_timezone'];
				$recording = '';
			
				$start_time = $this->request->data['meeting_year'].'-'.$this->request->data['meeting_month'].'-'.$this->request->data['meeting_date'].'T'.$this->request->data['meeting_hour'].':'.$this->request->data['meeting_minute'].':'.$this->request->data['meeting_second'].'Z';
				
				$response = $this->createMeeting($UserEmail, array('topic'=>$topic, 'start_time'=>$start_time, 'duration'=>$duration, 'agenda'=>$agenda, 'timezone'=>$timezone, "settings"=>array('auto_recording'=>'local')));
				
				if(isset($response->id) && $response->id != ''){
					$this->Session->setFlash(__('Meeting has been scheduled successfully.', true),'default', array('class' => 'success'));
					$this->redirect('/zoom/');
				}
				else{
					$this->Session->setFlash(__('ERROR :: Meeting could not be scheduled. Please, try again.', true));
				}
			}
			else
			{
				$this->Session->setFlash(__('ERROR :: Please fill all the mendatory field for creating meeting.', true));
			}
		}
	}
	function generateJWTKey() {
		$key    = $this->zoom_api_key;
		$secret = $this->zoom_api_secret;

		$token = array(
			"iss" => $key,
			"exp" => time() + 60 //60 seconds as suggested
		);

		return JWT::encode( $token, $secret );
	}
	
	function recordings(){
		$UserEmail = $this->Session->read('Auth.User.email');
		$ch = curl_init($this->api_url.'/users/'.$UserEmail.'/recordings');
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	  
		// add token to the authorization header
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Authorization: Bearer ' . $this->generateJWTKey()
		));
		$response = curl_exec($ch);
		$response = json_decode($response);
		
		print_r($response);
		
		return $response;
	}
	
	function createMeeting($UserID, $UserDetails) {
		//list users endpoint GET https://api.zoom.us/v2/users
		
		$payload = json_encode($UserDetails);
		
		$ch = curl_init($this->api_url.'/users/'.$UserID.'/meetings');
		
		curl_setopt($ch, CURLOPT_POST, 1);
		
		curl_setopt( $ch, CURLOPT_POSTFIELDS, $payload );
		
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	  
		// add token to the authorization header
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Authorization: Bearer ' . $this->generateJWTKey(),
			'Content-Type: application/json',                                                                                
			'Content-Length: ' . strlen($payload)
		));
		$response = curl_exec($ch);
		$response = json_decode($response);
		return $response;
	}
	
	public function start($MeetingURLEncoded) {
		$MeetingURL = base64_decode($MeetingURLEncoded);
		$uid = $this->Session->read('Auth.User.id');
		$User = ClassRegistry::init('User');		
		$get_user_detail2 = $User->find('first',array('conditions' => array('User.id' => $uid)));
		$my_user_detail = $User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','energys'));
		$this->set('MeetingURL', $MeetingURL);	
		//exit;
	}
}
?>