<?php
class TwitterController extends AppController {


/**
 * Name
 *
 * @var string
 */
	public $name = 'Twitter';

/**
 * Uses
 * 
 * @var string
 */
	public $uses = array('User','SiteSetting');
	
/**
 * Consumer Secret from Twitter App
 * Set from within the Config/twitter.php file.
 * 
 * @var string
 */
	public $consumerKey = '';
	
/**
 * Consumer Secret from Twitter App
 * Set from within the Config/twitter.php file.
 * 
 * @var string
 */
	public $consumerSecret = '';
/**
 * Plugin that contains the model that saves authorization values. 
 * 
 * @var string
 */
	public $savePlugin = 'Users';
	
/**
 * Model to save authorization values to. 
 * Table must have user_id, type, and value fields
 * 
 * @var string
 */
	public $saveModel = 'UserConnect';
	
/**
 * components
 * 
 * @var string
 */
	public $components = array('Twitter.Twitter');
	
/**
 * Controller construct (loads config file)
 * 
 * @return null
 */
	public function __construct($request = null, $response = null) {
		parent::__construct($request, $response);	
		Configure::load('Twitter.twitter', 'default', false);
		$sitesettings=$this->SiteSetting->find('first');

		$this->consumerKey = 'lwOT1vYKggQeqWj8zfuUMc2t2';/*'BjIoF6q1gK6H3WUlVfE56YH5C';*///$sitesettings['SiteSetting']['twitter_consumer_key'];
		$this->consumerSecret ='7RZfmeZJt5bevW9tQbe5xU8dkXqe8QKXAfa6HTDAbnVI8vohGi';/*'YJLgqvkakyK3FRBUAIOX1XUzhAUwsomBguBWhcyKMn1XtUObpU';*///$sitesettings['SiteSetting']['twitter_consumer_secret'];
	}
	
/**
 * connect method
 */
	public function connect() {
		CakeSession::delete('Twitter.User');
		//echo 1;exit;
		if (!empty($this->consumerKey) && !empty($this->consumerSecret)) {
			
			$this->Twitter->setupApp($this->consumerKey, $this->consumerSecret); 
			$this->Twitter->connectApp(Router::url(array('action' => 'authorization'), true));
		} else {
			echo 'App key and secret key are not set';
			break;
		}
	}
	
/**
 * authorization method
 */
	public function authorization() { 
	
	//echo 2223;exit;
		//echo 'hi';exit;
		//$this->layout=false;
		//echo $this->request->query['oauth_token']; 
		if ($this->request->query['oauth_token'] && $this->request->query['oauth_verifier']) {
			//pr($this->request->query);exit;
			$this->Twitter->authorizeTwitterUser($this->request->query['oauth_token'], $this->request->query['oauth_verifier']);
			# connect the user to the application
			try {
				$user = $this->Twitter->getTwitterUser(true);
                 //echo 1111111;
			   // pr($user);exit;
				
				$userExist=$this->User->find('first',array('conditions'=>array('User.social_id'=>$user['profile']['id'],'User.social_type'=>'twitter','User.status'=>1)));

				if($userExist){

					//pr($userExist);exit;

					$this->Session->write('Auth.User', $userExist['User']);
					$this->Session->setFlash(sprintf(__('You have been successfully logged in.', true), ''), 'default', array('class' => ''));
					
					//if($userExist['User']['user_type']==2){
					echo '<script>window.opener.parent.location.href="'.Router::url('/users/dashboard').'";window.close();</script>';	
					         
					//}else{
						/*echo '<script>window.opener.parent.location.href="'.Router::url('/users/dashboard').'";window.opener.parent.$.fn.colorbox.close();window.close();</script>';*/	
					//}
					//exit;
				}else{
					pr($user);exit;
					$temp=explode(' ',$user['profile']['name']);
					$fname=$temp[0];
					array_shift($temp);
					$lname=implode(' ',$temp);

					//pr($temp);exit;

						/*$user_form['first_form']['social_id']=$user['profile']['id'];
						$user_form['first_form']['social_type']='Twitter';
						$user_form['first_form']['first_name']=$fname;
						$user_form['first_form']['last_name']=$lname;*/
						
						
						$user_form['social_id']=$user['profile']['id'];
						$user_form['social_type']='twitter';
						$user_form['fname']=$fname;
						$user_form['lname']=$lname;
						
						
						$this->Session->write('Auth.Scuser',$user_form);
						
						//$this->Session->write('user_form.first_form',$user_form['first_form']);

					echo '<script>window.opener.location.href="'.Router::url('/users/signup/').'";window.close();</script>';
					//$this->redirect();		
				}
				
				//$this->redirect(array('action' => 'dashboard'));
			} catch (Exception $e) {
				$this->Session->setFlash($e->getMessage());
				echo '<script type="text/javascript">window.opener.location.href="'.Router::URL('/login',true).'";window.close();</script>';exit;
			}
		} else {
			$this->Session->setFlash('Invalid request.');
			echo '<script type="text/javascript">window.opener.location.href="'.Router::URL('/login',true).'";window.close();</script>';exit;
		}
	}
	
/**
 * dashboard method
 * 
 */
	public function dashboard() {
		if (!empty($this->request->data['Twitter']['status'])) {
			if ($this->Twitter->updateStatus($this->request->data['Twitter']['status'])) {
				$this->Session->setFlash('Status updated.');
			} else {	
				$this->Session->setFlash('Status update failed');
			}			
		}
		
		
		$status = true;
		$reload = false;
		$credentialCheck = false;
		$user = false;
		
		if (!empty($this->saveModel)) {
			$credentialCheck = $this->Twitter->accountVerifyCredentials();
			if (!empty($credentialCheck['error'])) {
				$status = false;
				
				App::uses($this->saveModel, $this->savePlugin . '.Model');
				$UserConnect = new UserConnect;
				
				$user = $UserConnect->find('first', array(
					'conditions' => array(
						'UserConnect.type' => 'twitter',
						'UserConnect.user_id' => CakeSession::read('Auth.User.id'),
						),
					));
				$twitterUser = CakeSession::read('Twitter.User');
						
				if (!empty($user) && empty($twitterUser)) {
					$twitterUser = unserialize($user['UserConnect']['value']);
					CakeSession::write('Twitter.User.oauth_token', $twitterUser['oauth_token']);
					CakeSession::write('Twitter.User.oauth_token_secret', $twitterUser['oauth_token_secret']);
					$reload = true;
				} else if (!empty($user)) {
					$reload = false;
				}
			} else {
				$status = true;
			}
		}
		$this->set(compact('status', 'reload', 'credentialCheck', 'user')); 
	}
	
/**
 * Save the user data to the application.
 * Configure the saveModel and savePlugin at the top of this controller.
 * 
 * @return bool
 * @todo 	Make this model name variable so that anyone using this plugin can easily change the table it saves data to.
 */
	protected function _connectUser($profileData, $token, $verifier) {
		if (!empty($this->saveModel)) {
			App::uses($this->saveModel, $this->savePlugin . '.Model');
			$UserConnect = new UserConnect;
			$data['UserConnect']['type'] = 'twitter';
			$data['UserConnect']['value'] = serialize(array_merge(array('token' => $token), array('verifier' => $verifier), $profileData));
		
			if ($UserConnect->add($data)) {
				if ($this->Twitter->updateStatus('I just connected my Zuha website to Twitter. @GetZuha')) {
					return true;
				} else {
					throw new Exception(__('test status message failed'));
				}
			} else {
				throw new Exception(__('no user to tie this twitter account to (probably need to auto create a user on our end'));
			}
		} else {
			return true;
		}
	}
}	
