<?php
/**
 * CategoryFixture
 *
 */
class CategoryFixture extends CakeTestFixture {

/**
 * Fields
 *
 * @var array
 */
	public $fields = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => null, 'key' => 'primary'),
		'category_name' => array('type' => 'string', 'null' => false, 'default' => null, 'collate' => 'latin1_swedish_ci', 'charset' => 'latin1'),
		'display_order' => array('type' => 'integer', 'null' => true, 'default' => null),
		'active' => array('type' => 'integer', 'null' => false, 'default' => '1', 'comment' => '1-Active,0-Inactive'),
		'is_offer_enabled' => array('type' => 'integer', 'null' => false, 'default' => '1', 'comment' => '0-disable, 1-enable'),
		'indexes' => array(
			'PRIMARY' => array('column' => 'id', 'unique' => 1)
		),
		'tableParameters' => array('charset' => 'latin1', 'collate' => 'latin1_swedish_ci', 'engine' => 'MyISAM')
	);

/**
 * Records
 *
 * @var array
 */
	public $records = array(
		array(
			'id' => 1,
			'category_name' => 'Lorem ipsum dolor sit amet',
			'display_order' => 1,
			'active' => 1,
			'is_offer_enabled' => 1
		),
	);

}
