<div class="content-box">
	<div class="content-box-header">
		<h3>Manage Approvals</h3>
		<ul class="content-box-tabs">
			<li><?php echo $this->Html->link(__('List Approvals', true), array('controller' => 'approvals', 'action' => 'index'), array('class' => 'default-tab'));?></li>
			<li><?php echo $this->Html->link(__('Add Approval', true), array('controller' => 'approvals', 'action' => 'add'));?></li>
		</ul>
		<div class="clear"></div>
	</div>
	<div class="content-box-content">
		<div class="tab-content default-tab" id="tab1">												
			<table>
				<thead>
					<tr>
						<th style="width:50px;"><?php echo $this->Paginator->sort('id');?></th>
						<!--<th style="width:200px;"><?php echo $this->Paginator->sort('property');?></th>
						<th style="width:200px;"><?php echo $this->Paginator->sort('user');?></th>
						<th style="width:200px;"><?php echo $this->Paginator->sort('price');?></th>-->
						
						<th style="width:200px;"><?php echo $this->Paginator->sort('From');?></th>
						<th style="width:200px;"><?php echo $this->Paginator->sort('To');?></th>
						<th style="width:200px;"><?php echo $this->Paginator->sort('Date');?></th>
						<th style="width:200px;"><?php echo $this->Paginator->sort('Status');?></th>
						
						<th>Action</th>
					</tr>									
				</thead>
				<?php
				if($approvals){
				?>
				<tbody>			
					<?php
					$i = 0;
					//pr($approvals);exit;
					foreach ($approvals as $approval){
						$class = null;
						if ($i++ % 2 == 0){
							$class = ' class="altrow"';
						}
					?>
					<tr<?php echo $class;?>>
						<td valign="top" style="width:50px;"><?php echo $approval['Approval']['id']; ?>&nbsp;</td>
						<!--<td valign="top" style="width:50px;"><?php echo $orders['Property']['property_title']; ?>&nbsp;</td>
						<td valign="top" style="width:50px;"><?php echo $orders['User']['email']; ?>&nbsp;</td>
						<td valign="top" style="width:50px;"><?php echo $orders['Order']['total_price']; ?>&nbsp;</td>-->
						
						<td valign="top" style="width:50px;"><?php echo $approvals['Approval']['sent_from']; ?>&nbsp;</td>
						<td valign="top" style="width:50px;"><?php echo $approvals['Approval']['sent_to']; ?>&nbsp;</td>
						<td valign="top" style="width:50px;"><?php echo $approvals['Approval']['sent_on']; ?>&nbsp;</td>
						<?php if($approval['Approval']['status']==0){ ?>
						<td valign="top" style="width:50px;color:#FF6600"><?php echo "Rejected"; ?>&nbsp;</td>
                        <?php } if($approval['Approval']['status']==1){ ?>
						<td valign="top" style="width:50px;color:#00CC00"><?php echo "Accepted"; ?>&nbsp;</td>
                        <?php } ?>
												
						<td class="actions" valign="top">
							<?php echo $this->Html->link($this->Html->image('pencil.png'), array('action' => 'admin_edit', $approval['Approval']['id']), array('escape' => false)); ?>
							<?php echo $this->Html->link($this->Html->image('cross.png'), array('action' => 'admin_delete', $approval['Approval']['id']), array('escape' => false, 'class' => 'ask')); ?>
							
						</td>
					</tr>
					<?php } ?>
				</tbody>
				<?php if($this->Paginator->numbers()){ ?>
				<tfoot>
					<tr>
						<td colspan="9">
							<div class="bulk-actions align-left"></div>
							<div class="pagination">

								<p>
								<?php
								echo $this->Paginator->counter(array(
								'format' => __('Page %page% of %pages%, showing %current% records out of %count% total, starting on record %start%, ending on %end%', true)
								));
								?>
								</p>

								<p>

								<?php echo $this->Paginator->prev('<< ' . __('previous', true), array(), null, array('class'=>'disabled'));?>
								<?php echo $this->Paginator->numbers(array('class'=>'number', 'separator' => ''));?>
								<?php echo $this->Paginator->next(__('next', true) . ' >>', array(), null, array('class' => 'disabled'));?>

								</p>

							</div>
							<div class="clear"></div>
						</td>
					</tr>
				</tfoot>	
				<?php } } else { ?>
				<tbody><tr><td colspan="9"><?php echo '<font color="#FF0000"><b>No record found.</b></font>';?></td></tr></tbody>
				<?php } ?>
			</table>
		</div>
	</div> 
	<div class="clear"></div>
</div>