<script type="text/javascript">
	$(function(){
		$("#GroupAddForm").validationEngine({
			inlineValidation: false
			});
	});
</script>
<style>
	.name_field_bg{
		background-image:url(<?=DOMAIN_PATH?>img/name_field.jpg);
		width:131px;
		height:35px;
		margin-right:8px;
		border:none;
		padding:0px 5px;
		float:left;
		margin-left:5px;
	}
	.icon_holder{cursor:pointer;}
</style>
<section id="content">
    <div class="container">
        <div class="row">
            <div class="span12 indent-2">
                <div class="navbar navbar-inverse">
                	<?php echo $this->element('doctors_menu'); ?>
                    <div style="clear:both; height:10px; width:100%; background-color:#FFFFFF"></div>
                    <?php echo $this->element('doctors_group_menu'); ?>                        
                </div>
            </div>
        </div>
    </div>
</section>
<section id="content" class="main-content">
	<div class="container">
    	<?php echo $this->Form->create('Group', array('enctype'=>'multipart/form-data'))?>
	    <div class="row">
		   	<div class="span10 offset1">
		        <p>
		        	<strong>Logo:</strong>
					Your logo will appear in the Groups Directory and on your group pages.
				</p>
				<p>
					<?php echo $this->Form->input('image', array('label' => false, 'div' => false, 'class' => 'span form-control', 'type' => 'file' ,'placeholder' => 'Add Logo')); ?>
					<br><strong> Note:</strong> PNG, JPEG, or GIF only; max size 100 KB
				</p>
				<p>
					<label>
					    <input type="checkbox" name="CheckboxGroup1" class="validate[required]" value="checkbox" id="CheckboxGroup1_0">
					    * I acknowledge and agree that the logo/image I am uploading does not infringe upon any third party copyrights, trademarks, or other proprietary rights or otherwise violate the User Agreement.
					</label>
					<div class="span4 left-0">
						<?php echo $this->Form->input('title', array('label' => false, 'div' => false, 'class' => 'form-control placeholder validate[required]', 'placeholder' => 'Group Name:'))?>
						Note: "IAII" is not allowed to be used in your group name.
					</div>
				</p>
			</div>
			<div class="span10 offset1">
				<p>
					<strong>Summary:</strong>
					Enter a brief description about your group and its purpose. Your summary about this group will appear in the Groups Directory.
				</p>
			</div>
			<div class="span10 offset1">
				<?php echo $this->Form->input('topic',array('label' => false, 'div' => false, 'class' => 'form-control placeholder validate[required]', 'placeholder' => 'Message', 'type' => 'textarea'))?>
				* Description:
				Your full description of this group will appear on your group pages.
			</div>
			<div class="span10 offset1">
				<?php echo $this->Form->input('description',array('label' => false, 'div' => false, 'class' => 'form-control placeholder validate[required]', 'placeholder' => 'Description', 'type' => 'textarea'))?>
			</div>
			<!--<div class="span10 offset1">
				<?php echo $this->Form->input('owners_email', array('label' => false, 'div' => false, 'class' => 'form-control placeholder validate[required]', 'placeholder' => 'Group Owner Email'))?>
			</div>-->
			<div class="span10 offset1">
				<br />
				<?php
					$options = array(
						'1' => '<strong>Open:</strong> Any | All member can join this group without requiring approval from Group Admin.',
						'2' => '<strong>Close:</strong> No | All member can not join this group without requiring approval from Group Admin.'
					);
					$attributes = array( 'legend' => false, 'class' => 'validate[required] text_box' );
					echo $this->Form->radio('type', $options, $attributes);
				?>
				<br />
				<br />
			</div>
			<div class="span10 offset1">
				<p>
					<strong>Discussions</strong> In | AII groups can either be open to the world to see and share, or restricted to members only.
				</p>

				<p><?php echo $this->Form->submit('Create an Open Group', array('class' => 'btn_ btn-primary'));?></p>
			</div>
	    </div>
		<?php echo $this->Form->end();?>
    </div>
</section>