<script language="JavaScript">
    $(document).ready(function(){
        $("#GroupGroupnotificationForm").validationEngine({scroll:true});
    });
</script>
    <section id="content">
        <div class="container">
            <div class="row">
                <div class="span12 indent-2">
                    <div class="navbar navbar-inverse">
                        <div class="container">
                            <div class="span12">
                                <ul id="menu">
                                    <li><a href="<?php echo $this->Html->url('/users/dashboard/'); ?>">Profile</a></li>
                                    <li><a href="<?php echo $this->Html->url('/users/inbox/'); ?>">Inbox</a></li>
                                    <li><a href="<?php echo $this->Html->url('/users/notification/'); ?>">Notification</a></li>
                                    <li><a href="<?php echo $this->Html->url('/users/bookshelf/'.$this->Session->read('Auth.User.id')); ?>">Book Shelf</a></li>
                                    <li><a href="<?php echo $this->Html->url('/users/dispensary/'.$this->Session->read('Auth.User.id')); ?>">Dispensary</a></li>
                                    <li><a href="<?php echo $this->Html->url('/products/add/'); ?>">Add Products</a></li>
                                    <li><a href="<?php echo $this->Html->url('/users/review/'.$this->Session->read('Auth.User.id')); ?>">Reviews</a></li>
                                    <li><a href="#">Educations</a>
                                        <ul class="sub-menu">
                                            <li><a href="<?php echo $this->Html->url('/users/publishing/'.$this->Session->read('Auth.User.id')); ?>">Publishing Academy </a></li>
                                            <li><a href="<?php echo $this->Html->url('/users/seminar/'.$this->Session->read('Auth.User.id')); ?>">Seminars</a></li>
                                            <li><a href="<?php echo $this->Html->url('/users/webinar/'.$this->Session->read('Auth.User.id')); ?>">Webinars</a></li>
                                            <li><a href="<?php echo $this->Html->url('/users/workshop/'.$this->Session->read('Auth.User.id')); ?>">Workshops</a></li>
                                            <li><a href="<?php echo $this->Html->url('/users/course/'.$this->Session->read('Auth.User.id')); ?>">Courses</a></li>
                                        </ul>
                                    </li>
                                    <li><a href="<?php echo $this->Html->url('/users/order/'); ?>">Order</a></li>
                                    <li><a href="<?php echo $this->Html->url('/users/approved/'); ?>">Approved Users</a></li>
                                    <li><a href="<?php echo $this->Html->url('/users/group/'.$this->Session->read('Auth.User.id')); ?>">Group</a></li>
                                    <li><a href="<?php echo $this->Html->url('/users/groupnotification/'); ?>">Group Notification</a></li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<section id="content" class="main-content">
    <div class="container">
        <div class="row">
            <div class="span12">
                <table class="table my_reservations table-striped">
                    <tbody>
                        <tr>
                            <th class="status">Status</th>
                            <th class="location">Group Name</th>
                            <th class="guest">Person Detail</th>
                            <th class="details">Action</th>
                        </tr>
                        <tr>
                            <td>
                                <?="Admin"; ?>
                            </td>
                            <td>
                                <?=$groups['Group']['title'];?>
                            </td>
                            <td>
                                <span class="guest_photo">
                                    <img width="50" height="50" alt="" src="<?=$this->Html->url('/'.($groups['User']['photo'] ? USER_IMAGES_URL.$groups['User']['photo'] : 'img/blankuser.png'))?>">
                                </span>
                                <span class="guest_details">
                                    <a href="<?php echo $this->Html->url('/users/profile/'.$groups['User']['id']); ?>" style="color:#000;">
                                        <?=$groups['User']['first_name'].' '.$groups['User']['last_name'];?>
                                    </a>
                                    <br>
                                    <!-- <a href="<?php echo $this->Html->url('/');?>compose_message/<?php echo $groupnotification['User']['id'];?>" class="button-steel">Send Message</a> -->
                                </span>
                            </td>
                            <td><a href="" class="btn_ btn-primary">Contact</a></td>
                            <!--<td><a href="<?php //echo $this->Html->url('/');?>users/send_message/<?php echo $groups['User']['id'];?>" class="btn_ btn-primary">Contact</a></td>-->
                        </tr>
                        <?php if($groupmembers){ ?>
                        <?php foreach($groupmembers as $groupmember){ ?>
                        <tr>
                            <td>
                                <?php if($groupmember['Groupmember']['status'] == '0') echo "Pending Approval"; else echo "Member"; ?>
                            </td>
                            <td>
                                <?=$groupmember['Group']['title'];?>
                            </td>
                            <td>
                                <span class="guest_photo">
                                    <img width="50" height="50" alt="" src="<?=$this->Html->url('/'.($groupmember['User']['photo'] ? USER_IMAGES_URL.$groupmember['User']['photo'] : 'img/blankuser.png'))?>">
                                </span>
                                <span class="guest_details">
                                    <a href="<?php echo $this->Html->url('/users/profile/'.$groupmember['User']['id']); ?>" style="color:#000;">
                                        <?=$groupmember['User']['first_name'].' '.$groupmember['User']['last_name'];?>
                                    </a>
                                    <br>
                                    <!-- <a href="<?php echo $this->Html->url('/');?>compose_message/<?php echo $groupnotification['User']['id'];?>" class="button-steel">Send Message</a> -->
                                </span>
                            </td>
                            <?php echo $this->Form->create('Group')?>
                            <?php echo $this->Form->hidden('id', array('value' => $groupmember['Groupmember']['id']));?>
                            <td>
                            <?php if ( in_array($this->Session->read('Auth.User.id'), $grpmembers) && $groupmember['Group']['user_id'] == $this->Session->read('Auth.User.id') ){ ?>
                                <?php if($groupmember['Groupmember']['is_admin'] == '0'){ ?>
                                <?=$this->Form->submit('Make Admin', array('class'=>'btn_ btn-primary','div'=>false, 'name'=>'confirm'));
                                 } else{ ?>
                                <?=$this->Form->submit('Cancle Admin', array('class'=>'btn_ btn-primary','div'=>false, 'name'=>'cancel')); } ?>
                            <? } ?>
                            </td>
                        </tr>
                        <?php echo $this->Form->end();?>
                        <?php } } //else echo "No Member Found."; ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</section>