<div class="content-box">
	<div class="content-box-header">
		<h3>Manage Newsletter</h3>
		<ul class="content-box-tabs">
			<li><?php echo $this->Html->link(__('List Newsletters', true), array('controller' => 'newsletters', 'action' => 'index'), array('class' => 'default-tab'));?></li>
			<li><?php echo $this->Html->link(__('Add Newsletter', true), array('controller' => 'newsletters', 'action' => 'add'));?></li>
			<li><?php echo $this->Html->link(__('Send Newsletter', true), array('controller' => 'newsletters', 'action' => 'send')); ?> </li>
		</ul>
		<div class="clear"></div>
	</div>
	<div class="content-box-content">
		<div class="tab-content default-tab" id="tab1">												
			<table>
				<thead>
					<tr>
						<th style="width:50px;"><?php echo $this->Paginator->sort('id');?></th>
						<th style="width:200px;"><?php echo $this->Paginator->sort('newsletter_category');?></th>
						<th style=""><?php echo $this->Paginator->sort('content');?></th>
						<th>Action</th>
					</tr>									
				</thead>
				<?php
				if($newsletters)
				{
				?>
				<tbody>			
					<?php
					$i = 0;
					foreach ($newsletters as $newsletter)
					{
						$class = null;
						if ($i++ % 2 == 0) {
							$class = ' class="altrow"';
						}
					?>
					<tr<?php echo $class;?>>
						<td valign="top" style="width:50px;"><?php echo $newsletter['Newsletter']['id']; ?>&nbsp;</td>
						<td valign="top" style="width:200px;"><?php echo $newsletter['Newsletter']['newsletter_category']; ?>&nbsp;</td>
						<td valign="top"><?php echo $newsletter['Newsletter']['content']; ?>&nbsp;</td>
						<td class="actions" valign="top">
							<?php echo $this->Html->link($this->Html->image('pencil.png'), array('action' => 'edit', $newsletter['Newsletter']['id']), array('escape' => false)); ?>
							<?php echo $this->Html->link($this->Html->image('cross.png'), array('action' => 'admin_delete', $newsletter['Newsletter']['id']), array('escape' => false, 'class' => 'ask')); ?>
						</td>
					</tr>
					<?php
					}
					?>
				</tbody>
				<?php 
				if($this->Paginator->numbers())
				{
				?>
				<tfoot>
					<tr>
						<td colspan="4">
							<div class="bulk-actions align-left"></div>
							<div class="pagination">

								<p>
								<?php
								echo $this->Paginator->counter(array(
								'format' => __('Page %page% of %pages%, showing %current% records out of %count% total, starting on record %start%, ending on %end%', true)
								));
								?>
								</p>

								<p>

								<?php echo $this->Paginator->prev('<< ' . __('previous', true), array(), null, array('class'=>'disabled'));?>
								<?php echo $this->Paginator->numbers(array('class'=>'number', 'separator' => ''));?>
								<?php echo $this->Paginator->next(__('next', true) . ' >>', array(), null, array('class' => 'disabled'));?>

								</p>

							</div>
							<div class="clear"></div>
						</td>
					</tr>
				</tfoot>	
				<?php
				}
				}
				else
				{
				?>
				<tbody><tr><td colspan="4"><?php echo '<font color="#FF0000"><b>No record found.</b></font>';?></td></tr></tbody>
				<?php
				}
				?>
			</table>
		</div>
	</div> 
	<div class="clear"></div>
</div>