<script type="text/javascript">
$(document).ready(function() 
	{
		$("#UserIndexForm").validationEngine({scroll:true});
	});
</script>
<div class="content-box">
	<div class="content-box-header">
		<h3>Manage Product Listings</h3>
		<ul class="content-box-tabs">
			<li><?php echo $this->Html->link(__('List Products', true), array('controller' => 'products', 'action' => 'index'), array('class' => 'default-tab')); ?> </li>
		</ul>
		<div class="clear"></div>
	</div>
	<div class="content-box-content">
		
		<p>
			<?php echo $this->Form->create('Product', array('id' => 'ProductIndexForm', 'name' => 'ProductIndexForm'));?>
			<?php echo $this->Form->input('category_id', array('options' => $cat_options, 'empty' => 'All', 
				'label' => 'Filter Category', 'onchange' => 'document.ProductIndexForm.submit()'));?>
			<?php echo $this->Form->end();?>
		</p>
		<p>
			<?php echo $this->Form->create('Product', array('id' => 'UserIndexForm','action' => 'index'));?>
			<?php echo $this->Form->input('search', array('label' => 'Filter User','class' => 'validate[required] text-input small-input'));?>
			<div style="height:10px;"></div>
			<?php echo $this->Form->submit('Search', array('class' => 'button'));?>
			<?php echo $this->Form->end();?>
		</p>

		<div class="tab-content default-tab" id="tab1">												
			<table>
				<thead>
					<tr>
						<th><?php echo $this->Paginator->sort('id');?></th>
						<th><?php echo $this->Paginator->sort('product_name');?></th>
						<th style="color:#e07b1f"><?php echo __('Product Added By');?></th>
						<th style="color:#e07b1f"><?php echo __('Category');?></th>
						<th><?php echo $this->Paginator->sort('price','Price (in $)');?></th>
						<th style="color:#e07b1f"><?php echo __('Status');?></th>
						<!-- <th>Action</th> -->
					</tr>									
				</thead>
				<?php
				if($products)
				{
				?>
				<tbody>			
					<?php
					$i = 0;
					foreach ($products as $product)
					{
						$class = null;
						if ($i++ % 2 == 0) {
							$class = ' class="altrow"';
						}
					?>
					<tr<?php echo $class;?>>
						<td valign="top"><?php echo $product['Product']['id']; ?>&nbsp;</td>		
						<td valign="top"><?php echo $product['Product']['product_name']; ?>&nbsp;</td>
						<td valign="top"><?php echo $product['User']['first_name'].' '.$product['User']['last_name']; ?>&nbsp;</td>
						<td valign="top"><?php echo $product['Category']['category_name']; ?>&nbsp;</td>
						<td valign="top"><?php echo $product['Product']['price']; ?>&nbsp;</td>
						<td valign="top">
							<?php
							if($product['Product']['blocked'] == 0)
							 {
								echo $this->Html->link($this->Html->image('deactivate.png', array('alt'=> __('Deactive', true), 'title'=> __('Click To Deactive', true), 'border' => '0', 'vertical-align' => 'middle')), array('controller' => 'products', 'action' => 'admin_deactivate', $product['Product']['id']), array('escape' => false, 'class' => ''), sprintf(__('', false),  '')); 
							 }
							 else
							 {
								echo $this->Html->link($this->Html->image('activate.png', array('alt'=> __('Activate', true), 'title'=> __('Click To Activate', true), 'border' => '0', 'vertical-align' => 'middle')), array('controller' => 'products', 'action' => 'admin_activate', $product['Product']['id']), array('escape' => false, 'class' => ''), sprintf(__('', false),  '')); 
							 }
							?>												
						</td>
						<!-- <td class="actions" valign="top">
							<?php echo $this->Html->link($this->Html->image('pencil.png'), array('action' => 'edit', $product['Product']['id']), array('escape' => false)); ?>
							<?php echo $this->Html->link($this->Html->image('cross.png'), array('action' => 'admin_delete', $product['Product']['id'], 4), array('escape' => false, 'class' => 'ask')); ?>
						</td> -->
					</tr>
					<?php
					}
					?>
				</tbody>
				<?php 
				if($this->Paginator->numbers())
				{
				?>
				<tfoot>
					<tr>
						<td colspan="6">
							<div class="bulk-actions align-left"></div>
							<div class="pagination">

								<p>
								<?php
								echo $this->Paginator->counter(array('format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')));
								?>
								</p>

								<p>

								<?php echo $this->Paginator->prev('<< ' . __('previous', true), array(), null, array('class'=>'disabled'));?>
								<?php echo $this->Paginator->numbers(array('class'=>'number', 'separator' => ''));?>
								<?php echo $this->Paginator->next(__('next', true) . ' >>', array(), null, array('class' => 'disabled'));?>

								</p>

							</div>
							<div class="clear"></div>
						</td>
					</tr>
				</tfoot>	
				<?php
				}
				}
				else
				{
				?>
				<tbody><tr><td colspan="6"><?php echo '<font color="#FF0000"><b>No record found.</b></font>';?></td></tr></tbody>
				<?php
				}
				?>
			</table>
		</div>
	</div> 
	<div class="clear"></div>
</div>