<div class="content-box">
	<div class="content-box-header">
		<h3>Tag Types</h3>
		<ul class="content-box-tabs">
			<li><?php echo $this->Html->link(__('List Tag Types', true), array('controller' => 'tag_types', 'action' => 'index'), array('class' => 'default-tab'));?></li>
			<li><?php echo $this->Html->link(__('Add Tag Types', true), array('controller' => 'tag_types', 'action' => 'add'));?></li>
		</ul>
		<div class="clear"></div>
	</div>
	<div class="content-box-content">
		<div class="tab-content default-tab" id="tab1">	
			<table>
				<thead>
					<tr>
						<th><?php echo $this->Paginator->sort('tag_type');?></th>
						<th style="color:#e07b1f">Category Name</th>
						<th><?php echo $this->Paginator->sort('active');?></th>
						<th style="color:#e07b1f">Action</th>
					</tr>									
				</thead>
				<?php
				if($tagTypes)
				{
				?>
				<tbody>		
					<?php
					$i = 0;
					foreach ($tagTypes as $tagType)
					{
						$class = null;
						if ($i++ % 2 == 0) {
							$class = ' class="altrow"';
						}
					?>
					<tr<?php echo $class;?>>
						<td valign="top"><?php echo $tagType['TagType']['tag_type']; ?>&nbsp;</td>
						<td valign="top"><?php echo $tagType['Category']['category_name']; ?>&nbsp;</td>
						<td><?php echo ($tagType['TagType']['active']==1 ? 'Active' : 'Inactive'); ?></td>
						<td class="actions" valign="top">
							<?php echo $this->Html->link($this->Html->image('pencil.png'), array('action' => 'edit', $tagType['TagType']['id']), array('escape' => false)); ?>
							<?php //echo $this->Html->link($this->Html->image('cross.png'), array('action' => 'admin_delete', $category['Category']['id']), array('escape' => false, 'class' => 'ask')); ?>
						</td>
					</tr>
					<?php
					}
					?>
				</tbody>
				<?php 
				if($this->Paginator->numbers())
				{
				?>
				<tfoot>
					<tr>
						<td colspan="4">
							<div class="bulk-actions align-left"></div>
							<div class="pagination">
								<p>
								<?php
								echo $this->Paginator->counter(array('format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')));
								?>
								</p>

								<p>

								<?php echo $this->Paginator->prev('<< ' . __('previous', true), array(), null, array('class'=>'disabled'));?>
								<?php echo $this->Paginator->numbers(array('class'=>'number', 'separator' => ''));?>
								<?php echo $this->Paginator->next(__('next', true) . ' >>', array(), null, array('class' => 'disabled'));?>

								</p>

							</div>
							<div class="clear"></div>
						</td>
					</tr>
				</tfoot>	
				<?php
				}
				}
				else
				{
				?>
				<tbody><tr><td colspan="4"><?php echo '<font color="#FF0000"><b>No record found.</b></font>';?></td></tr></tbody>
				<?php
				}
				?>
			</table>
		</div>
	</div> 
	<div class="clear"></div>
</div>