<script type="text/javascript">
$(document).ready(function() 
	{
		$("#UserIndexForm").validationEngine({scroll:true});
	});
</script>

<div class="page-header">
	<div class="header-links hidden-xs">
		<a href="<?= DOMAIN_PATH;?>" target="__blank"><i class="icon-external-link"></i>Visit Site</a>
		<!--<a href="<?=DOMAIN_PATH?>admin/site_settings/general"><i class="icon-cog"></i>Site Settings</a>-->
		<a href="<?=DOMAIN_PATH?>admin/users/change_password"><i class="icon-lock"></i>Change Password</a>
		<a href="<?= DOMAIN_PATH.'admin/users/logout';?>"><i class="icon-signout"></i> Logout</a>
	</div>
	<h1><i class="icon-group"></i>Manage User Reviews</h1>
</div>


<ol class="breadcrumb">
	<li><?php echo $this->Html->link(__('User Reviews', true), array('controller' => 'user_reviews', 'action' => 'index'), array('class' => 'default-tab')); ?></li>
</ol>

<div class="main-content">
	<div class="widget">
		<h3 class="section-title first-title"><i class="icon-user"></i>List Reviews</h3>		
		
	
		<div class="widget-content-white glossed">
			<div class="padded">
	<div class="content-box-content">
		
		
        
        
		<p>
			<?php echo $this->Form->create('UserReview', array('id' => 'UserIndexForm','action' => 'index'));?>
			<?php echo $this->Form->input('search', array('label' => 'Filter User','class' => 'validate[required] text-input small-input'));?>
			<div style="clear:both;height:10px;"></div>
			<span ><input type="radio" name="data[UserReview][user]" id="user1" checked="checked" value="user_id"></span>&nbsp;<span>Given To</span>

			<span style="margin-left:20px;"><input type="radio" name="data[UserReview][user]" id="user2" value="given_by" <?php echo ((isset($this->request->data['UserReview']['user']) && $this->request->data['UserReview']['user']=='given_by') ? 'checked="checked"':'');?>></span>&nbsp;<span>Given By</span>

			<div style="clear:both;height:10px;"></div>
			<?php echo $this->Form->submit('Search', array('class' => 'button'));?>
			<?php echo $this->Form->end();?>
		</p>
        

		<div class="tab-content default-tab" id="tab1">												
			<table border="1" width="100%">
				<thead>
					<tr>
						 <th style="text-align:center;"><?php echo $this->Paginator->sort('id'); ?></th> 
						
						<th style="width:80px;text-align:center;"><?php echo $this->Paginator->sort('review'); ?></th>
						<th style="color:#e07b1f;text-align:center;"><?php echo __('Given To'); ?></th>
						<th style="color:#e07b1f;text-align:center;"><?php echo __('Given By'); ?></th>
						<th style="text-align:center;"><?php echo $this->Paginator->sort('given_date'); ?></th>
									
						<th style="color:#e07b1f; text-align:center;"><?php echo __('Actions'); ?></th>
					</tr>									
				</thead>
			<?php 	if($userReviews)
				{
				?>
				<tbody>			
					<?php
					$i = 0;
					foreach ($userReviews as $userReview)
					{
						$class = null;
						if ($i++ % 2 == 0) {
							$class = ' class="altrow"';
						}
					?>
					<tr<?php echo $class;?>>
						 <td style="text-align:center;" valign="top"><?php echo $userReview['UserReview']['id']; ?>&nbsp;</td>	 	
						<!--<td valign="top"><?php echo $userReview['Product']['product_name']; ?>&nbsp;</td>-->
						<td style="text-align:center;" valign="top">
							<?php 
							$y = $userReview['UserReview']['rating'];
							$x = 5-$y;
							
							echo str_repeat('<img src="'.DOMAIN_PATH.'img/s_reviews_small.png" width="15" height="15" border="0" alt="">', $y);
							echo str_repeat('<img src="'.DOMAIN_PATH.'img/s_reviews_small_gray.png" width="15" height="15" border="0" alt="">', $x);
							?>
						</td>
						<td style="text-align:center;" valign="top"><?php echo $userReview['User']['first_name'].' '.$userReview['User']['last_name']; ?>&nbsp;</td>
						<td style="text-align:center;" valign="top"><?php echo $userReview['GivenBy']['first_name'].' '.$userReview['GivenBy']['last_name']; ?>&nbsp;</td>
						<td style="text-align:center;" valign="top"><?php echo $userReview['UserReview']['given_date']; ?>&nbsp;</td>
						<!--<td valign="top"><?php echo $userReview['UserReview']['comments']; ?>&nbsp;</td>-->
						<td style="text-align:center;" class="actions" valign="top">
                        <a class="someClass ask" style="text-decoration:none" href="<?=$this->Html->url('/admin/user_reviews/activate/'.$userReview['UserReview']['id'])?>" title="<?=($userReview['UserReview']['status'] == 1 ? 'Click To Deactivate' : 'Click To Activate')?>"><span class="label label-<?=($userReview['UserReview']['status'] == 1 ? 'success' : 'warning')?>"><?=($userReview['UserReview']['status'] == 1 ? 'Active' : 'Inactive')?></span></a> 
                        
							 <?php echo $this->Html->link($this->Html->image('view.jpeg',array('height'=>'20px','width'=>'20px')), array('action' => 'view', $userReview['UserReview']['id']), array('escape' => false)); ?> 
							<?php echo $this->Html->link($this->Html->image('cross.png', array('action' => 'Click to Delete')), array('action' => 'admin_delete', $userReview['UserReview']['id']), array('escape' => false, 'class' => 'ask')); ?>
						</td>
					</tr>
					<?php
					}
					?>
				</tbody>
				<?php 
				if($this->Paginator->numbers())
				{
				?>
				<tfoot>
					<tr>
						<td colspan="7">
							<div class="bulk-actions align-left"></div>
							<div class="pagination">

								<p>
								<?php
								echo $this->Paginator->counter(array('format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')));
								?>
								</p>

								<p>

								<?php echo $this->Paginator->prev('<< ' . __('previous', true), array(), null, array('class'=>'disabled'));?>
								<?php echo $this->Paginator->numbers(array('class'=>'number', 'separator' => ''));?>
								<?php echo $this->Paginator->next(__('next', true) . ' >>', array(), null, array('class' => 'disabled'));?>

								</p>

							</div>
							<div class="clear"></div>
						</td>
					</tr>
				</tfoot>	
				<?php
				}
				}
				else
				{
				?>
				<tbody><tr><td colspan="7"><?php echo '<font color="#FF0000"><b>No record found.</b></font>';?></td></tr></tbody>
				<?php
				}
				?>
			</table>
		</div>
	</div> 
	<div class="clear"></div>
</div>