<script type="text/javascript">
	$(document).ready(function(){
		$("#UserIndexForm").validationEngine({scroll:true});
	});
</script>
<div class="page-header">
	<div class="header-links hidden-xs">
		<a href="<?= DOMAIN_PATH;?>" target="__blank"><i class="icon-external-link"></i>Visit Site</a>
		<a href="<?=DOMAIN_PATH?>admin/users/change_password"><i class="icon-lock"></i>Change Password</a>
		<a href="<?= DOMAIN_PATH.'admin/users/logout';?>"><i class="icon-signout"></i> Logout</a>
	</div>
	<h1><i class="icon-group"></i>Manage Doctors</h1>
</div>
<ol class="breadcrumb">
	<li><a href="<?= DOMAIN_PATH.'admin/users/add';?>">Add Doctors</a></li>
</ol>
<div class="main-content">
	<div class="widget">
		<h3 class="section-title first-title"><i class="icon-user"></i>List Doctors</h3>
		<div class="padded">
			<?php echo $this->Form->create('User', array('id' => 'UserIndexForm','action' => 'admin_index'));?>
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('search', array('label' => 'Filter Doctors','class' => 'validate[required] form-control'));?>
					</div>
				</div>
				<div style="clear:both"></div>
				<?php echo $this->Form->submit('Submit', array('class' => 'btn btn-primary'));?>
				<?php echo $this->Form->end();?>
			</div>
		</div>
		<div class="padded">
			<?php echo $this->Form->create('User', array('action' => 'admin_export/2'));?>
			<?php echo $this->Form->submit('Export all doctors in CSV file', array('class' => 'btn btn-primary'));?>
			<?php echo $this->Form->end();?>
		</div>
		<div class="widget-content-white glossed">
			<div class="padded">
				<table class="table table-striped table-bordered table-hover">
					<thead>
						<tr>
							<th><?php echo $this->Paginator->sort('id');?></th>
							<th><?php echo $this->Paginator->sort('photo');?></th>
							<th><?php echo $this->Paginator->sort('name');?></th>
							<th><?php echo $this->Paginator->sort('email');?></th>
							<th style="width:200px;">Action</th>
						</tr>
					</thead>
					<?php if($users){ ?>
					<tbody>
						<?php $i=1;?>
						<?php foreach ($users as $user){ ?>
						<tr>
							<td><?php echo $i; ?>&nbsp;</td>
							<td>
								<?php
									if($user['User']['photo']!=''){
										echo $this->Html->image(DOMAIN_PATH.USER_IMAGES_URL.$user['User']['photo'], array('width' => '130', 'height' => '130', 'style' => 'border:1px solid gray'));
									}
									else{
										echo $this->Html->image(DOMAIN_PATH.'img/blankuser.png', array('width' => 'auto', 'style' => 'border:1px solid gray'));
									}
								?>&nbsp;
							</td>
							<td><?php echo $user['User']['first_name'].' '.$user['User']['last_name']; ?>&nbsp;</td>
							<td class="text-right"><?php echo $user['User']['email']; ?>&nbsp;</td>
							<td class="text-right">
                            <a class="someClass ask" style="text-decoration:none" href="<?=$this->Html->url('/admin/users/'.($user['User']['suspend'] == 1 ? 'activate' : 'suspend')
							.'/'.$user['User']['id'].'/2')?>" title="<?=($user['User']['suspend'] == 1 ? 'Click To Activate' : 'Click To Suspend')?>">
                            <span class="label label-<?=($user['User']['suspend'] == 1 ? 'warning' : 'success')?>"><?=($user['User']['suspend'] == 1 ? 'Suspend' : 'Active')?>
                            </span></a>
                            
                            <a class="someClass ask" style="text-decoration:none" href="<?=$this->Html->url('/admin/users/'.($user['User']['videomac_status'] == 1 ? 'videomacsuspend' : 'videomacactivate')
							.'/'.$user['User']['id'].'/2')?>" title="<?=($user['User']['videomac_status'] == 1 ? 'Click To Activate' : 'Click To Suspend')?>">
                            <span class="label label-<?=($user['User']['videomac_status'] == 1 ? 'warning' : 'success')?>"><?=($user['User']['videomac_status'] == 1 ? 'TeleMac Video Suspend' : 'TeleMac Video Active')?>
                            </span></a>
                                
								<a href="<?=$this->Html->url('/admin/users/edit/'.$user['User']['id'])?>" class="btn btn-default btn-xs someClass"  
                                title="Click To Edit"><i class="icon-pencil"></i> edit</a>
                                
								<a href="<?=$this->Html->url('/admin/users/delete/'.$user['User']['id'].'/2')?>" class="btn btn-danger btn-xs ask someClass" 
                                title="Click To Delete"><i class="icon-remove"></i></a>
							</td>
						</tr>
						<?php
						$i++;
						}
						?>
					</tbody>
					<?php if($this->Paginator->numbers()){ ?>
					<tfoot>
						<tr>
							<td colspan="6">
								<div class="pagination">
									<p>
									<?php
										echo $this->Paginator->counter(array('format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')));
									?>
									</p>
									<p>
									<?php echo $this->Paginator->prev('<< ' . __('previous', true), array(), null, array('class'=>'disabled'));?>
									<?php echo $this->Paginator->numbers(array('class'=>'number', 'separator' => ''));?>
									<?php echo $this->Paginator->next(__('next', true) . ' >>', array(), null, array('class' => 'disabled'));?>
									</p>
								<div class="clear"></div>
							</td>
						</tr>
					</tfoot>
					<?php } } else{ ?>
					<tbody><tr><td colspan="6"><?php echo '<font color="#FF0000"><b>No record found.</b></font>';?></td></tr></tbody>
					<?php }	?>
				</table>
			</div>
		</div>
	</div>
</div>