<script type="text/javascript">
	$(document).ready(function(){
		$("#UserIndexForm").validationEngine({scroll:true});
	});
</script>
<div class="page-header">
	<div class="header-links hidden-xs">
		<a href="<?= DOMAIN_PATH;?>" target="__blank"><i class="icon-external-link"></i>Visit Site</a>
		<a href="<?=DOMAIN_PATH?>admin/users/change_password"><i class="icon-lock"></i>Change Password</a>
		<a href="<?= DOMAIN_PATH.'admin/users/logout';?>"><i class="icon-signout"></i> Logout</a>
	</div>
	<h1><i class="icon-group"></i>Manage Patients</h1>
</div>
<ol class="breadcrumb">
	<li><a href="<?= DOMAIN_PATH.'admin/users/add_patient';?>">Add Patients</a></li>
</ol>
<div class="main-content">
	<div class="widget">
		<h3 class="section-title first-title"><i class="icon-user"></i>List Patients</h3>
		<div class="padded">
			<?php echo $this->Form->create('User', array('id' => 'UserIndexForm','action' => 'admin_patient'));?>
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('search', array('label' => 'Filter Patients','class' => 'validate[required] form-control'));?>
					</div>
				</div>
				<div style="clear:both"></div>
				<?php echo $this->Form->submit('Submit', array('class' => 'btn btn-primary'));?>
				<?php echo $this->Form->end();?>
			</div>
		</div>
		<div class="padded">
			<table width="200" border="0">
              <tr>
                <td>
					<?php echo $this->Form->create('User', array('action' => 'admin_export/5'));?>
                    <?php echo $this->Form->submit('Export free patient in CSV file', array('class' => 'btn btn-primary'));?>
                    <?php echo $this->Form->end();?>                
                </td>
                <td></td>
                <td>
					<?php echo $this->Form->create('User', array('action' => 'admin_export/4'));?>
                    <?php echo $this->Form->submit('Export gold patient in CSV file', array('class' => 'btn btn-primary'));?>
                    <?php echo $this->Form->end();?>              
                </td>
                <td></td>
                <td>
					<?php echo $this->Form->create('User', array('action' => 'admin_export/3'));?>
                    <?php echo $this->Form->submit('Export platinum patient in CSV file', array('class' => 'btn btn-primary'));?>
                    <?php echo $this->Form->end();?>               
                </td>
              </tr>
            </table>
		</div>
		<div class="widget-content-white glossed">
			<div class="padded">
				<table class="table table-striped table-bordered table-hover">
					<thead>
						<tr>
							<th><?php echo $this->Paginator->sort('id');?></th>
							<th><?php echo $this->Paginator->sort('photo');?></th>
							<th><?php echo $this->Paginator->sort('name');?></th>
							<th><?php echo $this->Paginator->sort('email');?></th>
							<th><?php echo $this->Paginator->sort('user_type');?></th>
							<th style="width:200px;">Action</th>
						</tr>
					</thead>
					<?php if($users){ ?>
					<tbody>
						<?php foreach ($users as $user){ ?>
						<tr>
							<td><?php echo $user['User']['id']; ?>&nbsp;</td>
							<td>
								<?php
									if($user['User']['photo']!=''){
										echo $this->Html->image(DOMAIN_PATH.USER_IMAGES_URL.$user['User']['photo'], array('width' => '130', 'height' => '130', 
										'style' => 'border:1px solid gray'));
									}
									else{
										echo $this->Html->image(DOMAIN_PATH.'img/blankuser.png', array('width' => 'auto', 'style' => 'border:1px solid gray'));
									}
								?>&nbsp;
							</td>
							<td><?php echo $user['User']['first_name'].' '.$user['User']['last_name']; ?>&nbsp;</td>
							<td class="text-right"><?php echo $user['User']['email']; ?>&nbsp;</td>
							<td><?php if($user['User']['user_type'] == "3") echo "Platinum"; else if($user['User']['user_type'] == "4") echo "Gold"; else if($user['User']['user_type'] == "5") echo "Free"; ?></td>
                            
                            
                            
							<td class="text-right">
                            
								<?php /*?><a class="someClass ask" style="text-decoration:none" href="<?=$this->Html->url('/admin/users/'.($user['User']['suspend'] == 1 ? 
								'activate' : 'suspend').'/'.$user['User']['id'].'/4')?>" title="<?=($user['User']['suspend'] == 1 ? 'Click To Activate' : 
								'Click To Suspend')?>"><span class="label label-<?=($user['User']['suspend'] == 1 ? 'warning' : 'success')?>">
								<?=($user['User']['suspend'] == 1 ? 'Suspend' : 'Active')?></span></a><?php */?>
                                
                                
                                <?php if($user['User']['user_type'] == "3"){?>
                                        <a class="someClass ask" style="text-decoration:none" href="<?=$this->Html->url('/admin/users/'.($user['User']['suspend'] == 1 ? 
                                        'activate' : 'suspend').'/'.$user['User']['id'].'/3')?>" title="<?=($user['User']['suspend'] == 1 ? 'Click To Activate' : 
                                        'Click To Suspend')?>"><span class="label label-<?=($user['User']['suspend'] == 1 ? 'warning' : 'success')?>">
                                        <?=($user['User']['suspend'] == 1 ? 'Suspend' : 'Active')?></span></a>                                
                                 <?php } else if($user['User']['user_type'] == "4"){?>
                                        <a class="someClass ask" style="text-decoration:none" href="<?=$this->Html->url('/admin/users/'.($user['User']['suspend'] == 1 ? 
                                        'activate' : 'suspend').'/'.$user['User']['id'].'/4')?>" title="<?=($user['User']['suspend'] == 1 ? 'Click To Activate' : 
                                        'Click To Suspend')?>"><span class="label label-<?=($user['User']['suspend'] == 1 ? 'warning' : 'success')?>">
                                        <?=($user['User']['suspend'] == 1 ? 'Suspend' : 'Active')?></span></a>                                
                                 <?php } else if($user['User']['user_type'] == "5"){?>
                                        <a class="someClass ask" style="text-decoration:none" href="<?=$this->Html->url('/admin/users/'.($user['User']['suspend'] == 1 ? 
                                        'activate' : 'suspend').'/'.$user['User']['id'].'/5')?>" title="<?=($user['User']['suspend'] == 1 ? 'Click To Activate' : 
                                        'Click To Suspend')?>"><span class="label label-<?=($user['User']['suspend'] == 1 ? 'warning' : 'success')?>">
                                        <?=($user['User']['suspend'] == 1 ? 'Suspend' : 'Active')?></span></a>                                
                                 <?php } ?>
                                
                                <a href="<?=$this->Html->url('/admin/users/edit_patient/'.$user['User']['id'])?>" class="btn btn-default btn-xs someClass"  
                                title="Click To Edit"><i class="icon-pencil"></i> edit</a>
                                
                                <?php if($user['User']['user_type'] == "3"){?>
                                        <a href="<?=$this->Html->url('/admin/users/delete/'.$user['User']['id'].'/3')?>" class="btn btn-danger btn-xs ask someClass" 
                                        title="Click To Delete"><i class="icon-remove"></i></a>
                                 <?php } else if($user['User']['user_type'] == "4"){?>
                                        <a href="<?=$this->Html->url('/admin/users/delete/'.$user['User']['id'].'/4')?>" class="btn btn-danger btn-xs ask someClass" 
                                        title="Click To Delete"><i class="icon-remove"></i></a>
                                 <?php } else if($user['User']['user_type'] == "5"){?>
                                        <a href="<?=$this->Html->url('/admin/users/delete/'.$user['User']['id'].'/5')?>" class="btn btn-danger btn-xs ask someClass" 
                                        title="Click To Delete"><i class="icon-remove"></i></a>
                                 <?php } ?>                                
                                
							</td>
						</tr>
						<?php }	?>
					</tbody>
					<?php if($this->Paginator->numbers()){ ?>
					<tfoot>
						<tr>
							<td colspan="6">
								<div class="pagination">
									<p>
									<?php
										echo $this->Paginator->counter(array('format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')));
									?>
									</p>
									<p>
									<?php echo $this->Paginator->prev('<< ' . __('previous', true), array(), null, array('class'=>'disabled'));?>
									<?php echo $this->Paginator->numbers(array('class'=>'number', 'separator' => ''));?>
									<?php echo $this->Paginator->next(__('next', true) . ' >>', array(), null, array('class' => 'disabled'));?>
									</p>
								</div>
								<div class="clear"></div>
							</td>
						</tr>
					</tfoot>
					<?php } } else{ ?>
					<tbody><tr><td colspan="6"><?php echo '<font color="#FF0000"><b>No record found.</b></font>';?></td></tr></tbody>
					<?php }	?>
				</table>
			</div>
		</div>
	</div>
</div>