<script type="text/javascript">
	$(document).ready(function(){
		$("#UserIndexForm").validationEngine({scroll:true});
	});
</script>
<div class="content-box">
	<div class="content-box-header">
		<h3>Manage Users</h3>
		<ul class="content-box-tabs">
			<li>
				<?php echo $this->Html->link(__('List Users', true), array('controller' => 'users', 'action' => 'index'), array('class' => '')); ?>
			</li>
			<li>
				<?php echo $this->Html->link(__('List Moderators', true), array('controller' => 'users', 'action' => 'moderators'), array('class' => '')); ?>
			</li>
			<li>
				<?php echo $this->Html->link(__('List Sub Admins', true), array('controller' => 'users', 'action' => 'subadmins'), array('class' => 'default-tab')); ?>
			</li>
			<li>
				<?php echo $this->Html->link(__('List Newspaper Users', true), array('controller' => 'users', 'action' => 'newspaperusers'), array('class' => '')); ?>
			</li>
			<li>
				<?php echo $this->Html->link(__('Add Users', true), array('controller' => 'users', 'action' => 'add'), array('class' => '')); ?>
			</li>
			<li>
				<?php echo $this->Html->link(__('Add Sub Admin / Moderator / Newspaper User', true), array('controller' => 'users', 'action' => 'addsubadminormoderator'), array('class'=>''));?>
			</li>
		</ul>
		<div class="clear"></div>
	</div>
	<div class="content-box-content">
		<p>
		<?php echo $this->Form->create('User', array('action' => 'admin_export/2'));?>
		<?php echo $this->Form->submit('Export all sub admins in CSV file', array('class' => 'button'));?>
		<?php echo $this->Form->end();?>
		</p>
		<p>
		<?php echo $this->Form->create('User', array('id' => 'UserIndexForm','action' => 'admin_subadmins'));?>
		<?php echo $this->Form->input('search', array('label' => 'Filter Sub Admin','class' => 'validate[required] text-input small-input'));?>
		<div style="height:10px;"></div>
		<?php echo $this->Form->submit('Search', array('class' => 'button'));?>
		<?php echo $this->Form->end();?>
		</p>
		<div class="tab-content default-tab" id="tab1">
			<table>
				<thead>
					<tr>
						<th><?php echo $this->Paginator->sort('id');?></th>
						<th><?php echo $this->Paginator->sort('photo');?></th>
						<th><?php echo $this->Paginator->sort('username');?></th>
						<th><?php echo $this->Paginator->sort('name');?></th>
						<th><?php echo $this->Paginator->sort('email');?></th>
						<th style="color:#e07b1f">Action</th>
					</tr>
				</thead>
				<?php
				if($users){
				?>
				<tbody>
					<?php
					$i = 0;
					foreach ($users as $user){
						$class = null;
						if ($i++ % 2 == 0) {
							$class = ' class="altrow"';
						}
					?>
					<tr<?php echo $class;?>>
						<td valign="top"><?php echo $user['User']['id']; ?>&nbsp;</td>
						<td valign="top">
							<?php
							if($user['User']['photo']!=''){
								echo $this->Html->image(DOMAIN_PATH.USER_IMAGES_URL.$user['User']['photo'], array('width' => '100', 'height' => '100', 'style' => 'border:1px solid gray'));
							}
							else{
								echo $this->Html->image(DOMAIN_PATH.'img/blankuser.png', array('width' => '100', 'height' => '100', 'style' => 'border:1px solid gray'));
							}
							?>&nbsp;
						</td>
						<td valign="top"><?php echo $user['User']['username']; ?>&nbsp;</td>
						<td valign="top"><?php echo $user['User']['first_name'].' '.$user['User']['last_name']; ?>&nbsp;</td>
						<td valign="top"><?php echo $user['User']['email']; ?>&nbsp;</td>
						<td class="actions" valign="top">
							<?php echo $this->Html->link($this->Html->image('pencil.png', array('title'=> __('Click To Edit', true))), array('action' => 'editsubadminormoderator', $user['User']['id']), array('escape' => false)); ?>
							<?php echo $this->Html->link($this->Html->image('cross.png', array('title'=> __('Click To Delete', true))), array('action' => 'admin_delete', $user['User']['id'], 2), array('escape' => false, 'class' => 'ask')); ?>
							<?php
							if($user['User']['suspend'] == 0){
								echo $this->Html->link($this->Html->image('deactivate.png', array('alt'=> __('Suspend', true), 'title'=> __('Click To Suspend', true), 'border' => '0', 'vertical-align' => 'middle')), array('controller' => 'users', 'action' => 'admin_suspend', $user['User']['id'], 2), array('escape' => false, 'class' => 'ask'), sprintf(__('', false),  ''));
							}
							else{
								echo $this->Html->link($this->Html->image('activate.png', array('alt'=> __('Activate', true), 'title'=> __('Click To Activate', true), 'border' => '0', 'vertical-align' => 'middle')), array('controller' => 'users', 'action' => 'admin_activate', $user['User']['id'], 2), array('escape' => false, 'class' => 'ask'), sprintf(__('', false),  ''));
							}
							?>
						</td>
					</tr>
					<?php
					}
					?>
				</tbody>
				<?php
				if($this->Paginator->numbers()){
				?>
				<tfoot>
				<tr>
					<td colspan="6">
						<div class="bulk-actions align-left"></div>
						<div class="pagination">
							<p>
							<?php
							echo $this->Paginator->counter(array('format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')));
							?>
							</p>
							<p>
							<?php echo $this->Paginator->prev('<< ' . __('previous', true), array(), null, array('class'=>'disabled'));?>
							<?php echo $this->Paginator->numbers(array('class'=>'number', 'separator' => ''));?>
							<?php echo $this->Paginator->next(__('next', true) . ' >>', array(), null, array('class' => 'disabled'));?>
							</p>
						</div>
						<div class="clear"></div>
					</td>
				</tr>
				</tfoot>
				<?php
				}
				}
				else{
				?>
				<tbody><tr><td colspan="7"><?php echo '<font color="#FF0000"><b>No record found.</b></font>';?></td></tr></tbody>
				<?php
				}
				?>
			</table>
		</div>
	</div>
	<div class="clear"></div>
</div>