<!-- 1. Include the LinkedIn JavaScript API and define a onLoad callback function -->
<script type="text/javascript" src="http://platform.linkedin.com/in.js">
  api_key: 75i89mo3ti8hn3
  onLoad: onLinkedInLoad
  authorize: false
</script>

<script type="text/javascript">
  // 2. Runs when the JavaScript framework is loaded
  function onLinkedInLoad() {
    IN.Event.on(IN, "auth", onLinkedInAuth);
  }

  // 2. Runs when the viewer has authenticated
  function onLinkedInAuth() {
    IN.API.Profile("me")
      .fields("id", "firstName", "lastName", "emailAddress")
	  /*.fields("id", "firstName", "lastName", "emailAddress", "pictureUrl", "headline", "specialties", "summary", "positions")*/
      .result(displayProfiles)
      .error(displayProfilesErrors);
  }
  
  // 2. Runs when the Profile() API call returns successfully
  function displayProfiles(profiles) {
    var profilesDiv = document.getElementById("profiles");
  	console.log(profiles.values);
    var members = profiles.values;
	//alert(members);
    for (var member in members) {
	
	var id 		= members[member].id;
	var email	= members[member].emailAddress;
	var fname 	= members[member].firstName;
	var lname 	= members[member].lastName;
	
	//alert(email);
	var type = 'linkedin';
	$.ajax({
		type: "POST",
		url: "<?=DOMAIN_PATH?>users/check_user/",
		data: {email:email, type:type}
	}).done(function( msg ) {
		if(msg == 0) {
			location.href='<?=DOMAIN_PATH?>users/dashboard/';
		} else if(msg == 1) {
			$.ajax({
				type: "POST",
				url: "<?=DOMAIN_PATH?>users/lisignup/",
				data: { social_id:id, fname:fname, lname:lname, email:email, social_type:type}
			}).done(function(msgs) {
				if(msgs == 0) {
					location.href='<?=DOMAIN_PATH?>users/signup/';
				} 
			});			

		}
	});

   } 
  }
  
  function displayProfilesErrors(error) {
    
	alert("<p>Oops! There is no Valid Linkedin Profile</p>");
	
	/*profilesDiv = document.getElementById("profiles");
    profilesDiv.innerHTML = "<p>Oops!</p>";
    console.log(error);*/
  }

</script>


<!--#####################			FaceBook Login Code Start Here					-->
<script>
  window.fbAsyncInit = function() {
	  FB.init({
		appId      : '1588704638017790',//'785298784866734',		//320684741412075 -- localhost     785299544866658 -- dev10 iaii
		cookie     : true,  // enable cookies to allow the server to access 
							// the session
		xfbml      : true,  // parse social plugins on this page
		version    : 'v2.0' // use version 2.0
	  });
  };  

  // Load the SDK asynchronously
  (function(d, s, id) {
    var js, fjs = d.getElementsByTagName(s)[0];
    if (d.getElementById(id)) return;
    js = d.createElement(s); js.id = id;
    js.src = "//connect.facebook.net/en_US/sdk.js";
    fjs.parentNode.insertBefore(js, fjs);
  }(document, 'script', 'facebook-jssdk'));


  function lo() {
  	//alert("lo");
  	FB.login(function(response) {
	   if (response.authResponse) {
		 //console.log('Welcome!  Fetching your information.... ');
		 FB.api('/me', function(response) {
		   if(response) {
		   	//console.log(response);
			var  id = response.id;
			var  name = response.first_name+" "+response.last_name;
			var type = 'facebook';
			//alert(id);
			$.ajax({
				type: "POST",
				url: "<?=DOMAIN_PATH?>users/check_user/",
				data: {name: name, email:response.email}
			}).done(function( msg ) {
				if(msg == 0) {
					location.href='<?=DOMAIN_PATH?>users/dashboard/';
				} else if(msg == 1) {
					$.ajax({
						type: "POST",
						url: "<?=DOMAIN_PATH?>users/fbsignup/",
						data: { social_id: response.id, fname: response.first_name, lname: response.last_name, email:response.email, social_type:type}
					}).done(function( msgs ) {
						if(msgs == 0) {
							location.href='<?=DOMAIN_PATH?>users/signup/';
						} 
					});
				}
				console.log(msg);
			});
		   }
		   console.log(response);
		   //console.log('Good to see you, ' + response.name + '.');
		 });
	   } else {
		 //console.log('User cancelled login or did not fully authorize.');
	   }
	 },{scope:'email'});
  }	
</script>
<!--#####################			FaceBook Login Code End Here			-->

<script language="JavaScript">
	$(document).ready(function(){
		$("#UserLoginForm").validationEngine({scroll:true});
	});
</script>

<script>
  function lotwitter() {
  	//alert("twitter");
	window.open('http://i-aiim.com/dev/iaii/twitter/twitter/connect', '', 'toolbar=0,status=0,width=550,height=400');
	//window.open('http://localhost/iaii/twitter/twitter/connect', '', 'toolbar=0,status=0,width=550,height=400');
  }	

</script>

<section id="search-content">
  <div class="container">
    <div class="row">
      <div class="span12">
     
        <div class="border">
          <h4 >Sign In</h4>
        </div>
        <br/>
        <ul>
        <li>Sign in using your email and password now.</li> 
        <li>You can also choose to connect through your Facebook or LinkedIn account.</li>
        <li>Be sure to keep your password secret and never share your log-on credentials with anyone.</li>
        <li>We will never ask for your credentials.</li>
        <li>Remember you guard your account.</li>
         <li>Contact us if you have any log-in difficulties.</li>
         </ul>
      </div>
      <div class="span4 left-0 indent-2"> <?php echo $this->Form->create('User');?>
        <div class="span1">Email</div>
        <div class="span2"><?php echo $this->Form->input('email', array('class' => 'validate[required,custom[email]]','type'=>'text','label'=>false));?></div>
        <div style="clear:both;height:10px;"></div>
        <div class="span1">Password</div>
        <div class="span2"> <?php echo $this->Form->input('password', array('class' => 'validate[required]','label'=>false));?> </div>
        <div class="span1 p2"> <?php echo $this->form->submit('Sign In',array('class'=>'btn btn_ btn-small_'));?></div>
		
        <div class="span"><a href="javascript:void(0);" onclick="lo();"><img src="<?=$this->Html->url('/')?>logo_images/f-a.png"  alt="" /></a></div>
        <div class="span"><a href="javascript:void(0);" onclick="lotwitter();"><img src="<?=$this->Html->url('/')?>logo_images/t-a.png"  alt="" /></a></div>
        <!--<div class="span2"> <?php echo $this->form->submit('Sign In',array('class'=>'btn btn_ btn-small_'));?></div>-->
        <div class="span1 p2"><script type="IN/Login"></script></div>
        <div id="profiles"></div>
        
        <div class="span4">
          <div style="font-weight:bold;color:#FF0000;font-size:13px;">Forgot Password ? <a id="fwd" href="<?php echo $this->Html->url('/forgot_password')?>" style="color:#3399FF">Click Here</a> </div>
          <div style="clear:both;height:10px;"></div>
          <div style="clear:both"></div>
          <?php echo $this->form->end();?> </div>
      </div>
      <div class="span8 indent-2 left-0">
        <div class="span4 left-0">
          <ul class="list">
            <li><i class="fa fa-check"></i> Keep your passwords secret</li>
            <li><i class="fa fa-check"></i> Dont share your credentials with other person</li>
            <li><i class="fa fa-check"></i> You are the guardian of your own account</li>
          </ul>
        </div>
        <div class="span4 left-0">
          <ul class="list">
            <li><i class="fa fa-check"></i> I-AIIM will never ask for your credentials</li>
            <li><i class="fa fa-check"></i> Avoid all spam mails if any</li>
            <li><i class="fa fa-check"></i> Contact us for any details</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</section>
