<section id="content">
    <div class="container">
        <div class="row">
            <div class="span12 indent-2">
                <div class="navbar navbar-inverse">
                    <div class="container">
                        <div class="span12">
                            <ul id="menu">
                                <li><a href="<?php echo $this->Html->url('/users/dashboard/'); ?>">Profile</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/inbox/'); ?>">Inbox</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/notification/'); ?>">Notification</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/bookshelf/'.$this->Session->read('Auth.User.id')); ?>">Book Shelf</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/dispensary/'.$this->Session->read('Auth.User.id')); ?>">Dispensary</a></li>
                                <li><a href="<?php echo $this->Html->url('/products/add/'); ?>">Add Products</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/review/'.$this->Session->read('Auth.User.id')); ?>">Reviews</a></li>
                                <li><a href="#">Educations</a>
                                    <ul class="sub-menu">
                                        <li><a href="<?php echo $this->Html->url('/users/publishing/'.$this->Session->read('Auth.User.id')); ?>">Publishing Academy </a></li>
                                        <li><a href="<?php echo $this->Html->url('/users/seminar/'.$this->Session->read('Auth.User.id')); ?>">Seminars</a></li>
                                        <li><a href="<?php echo $this->Html->url('/users/webinar/'.$this->Session->read('Auth.User.id')); ?>">Webinars</a></li>
                                        <li><a href="<?php echo $this->Html->url('/users/workshop/'.$this->Session->read('Auth.User.id')); ?>">Workshops</a></li>
                                        <li><a href="<?php echo $this->Html->url('/users/course/'.$this->Session->read('Auth.User.id')); ?>">Courses</a></li>
                                    </ul>
                                </li>
                                <li><a href="<?php echo $this->Html->url('/users/order/'); ?>">Order</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/approved/'); ?>">Approved Users</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/group/'.$this->Session->read('Auth.User.id')); ?>">Group</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/groupnotification/'); ?>">Group Notification</a></li>
                            </ul>
                        </div>
                    </div>
                    <div style="clear:both; height:10px; width:100%; background-color:#FFFFFF"></div>
                    <div class="container">
                        <div class="span12">
                            <ul id="menu">
                                <li><a href="<?php echo $this->Html->url('/users/workshop/'.$this->Session->read('Auth.User.id')); ?>">Workshops</a></li>
                                <li><a href="<?php echo $this->Html->url('/workshops/add'); ?>">ORGANIZE</a></li>
                                <li><a href="<?php echo $this->Html->url('/workshops/archive/'.$this->Session->read('Auth.User.id')); ?>">ARCHIVE</a></li>
                                <li><a href="<?php echo $this->Html->url('/workshops/registrants/'.$this->Session->read('Auth.User.id')); ?>">REGISTRANTS</a></li>
                                <li><a href="<?php echo $this->Html->url('/workshops/payments/'.$this->Session->read('Auth.User.id')); ?>">PAYMENTS</a></li>
                            </ul>
                        </div>
                    </div>                        
                </div>
            </div>
        </div>
    </div>
</section>
<section id="content" class="main-content">
    <div class="container">
        <div class="row">
            <?php if($go){
                    ?>
                    <script>
                        $(function(){
                            $('#frm').submit();
                        });
                    </script>
                    <div class="text_field">
                        <center>
                        <img src="<?=$this->Html->url('/img/loader.gif')?>">
                        </center>
                    </div>
                    <form id="frm" action="https:/www.sandbox.paypal.com/cgi-bin/webscr">
                        <!-- <input type="hidden" name="data[Seminar][semid]" value="<?=$seminar['Seminar']['id']; ?>" /> -->
                        <input type="hidden" name="cmd" value="_xclick" />
                        <input type="hidden" name="no_note" value="1" />
                        <input type="hidden" name="business" value="abhiry_1292754152_biz@gmail.com" />
                        <input type="hidden" name="currency_code" value="USD" />
                        <input type="hidden" name="item_name" value="<?=$title; ?>" />
                        <input type="hidden" name="description" value="Seminar fee" />
                        <input type="hidden" name="custom" value="<?=$id;?>" />
                        <input type="hidden" name="amount" value="<?=$reg_cost; ?>" />
                        <input type="hidden" name="rm" value="2" />
                        <input type="hidden" name="return" value="<?=DOMAIN_PATH?>workshops/thankyou/" />
                        <input type="hidden" name="notify_url" value="<?=DOMAIN_PATH?>workshops/notify/" />
                        <input type="hidden" name="cancel_return" value="<?=DOMAIN_PATH?>workshops/workshopdetail/" />
                    </form>
                    <?php } else{?>
                    <?php echo $this->Form->create('Workshop');?>
            <div class="span12">
                <div class="span9">
                    <?php if ($workshops): foreach ($workshops as $workshop) { ?>
                    <div class="span9 left-0">
                        <h3 class="user-name">
                            <input type="hidden" name="data[Workshop][workid]" value="<?=$workshop['Workshop']['id']; ?>" />
                            <input type="hidden" name="data[Workshop][reg_cost]" value="<?=$workshop['Workshop']['reg_cost']; ?>" />
                            <input type="hidden" name="data[Workshop][user_id]" value="<?=$workshop['Workshop']['user_id']; ?>" />
                            <input type="hidden" name="data[Workshop][title]" value="<?=$workshop['Workshop']['title']; ?>" />
                            <strong>
                                <font color="#168888">
                                    <?=$workshop['Workshop']['title']; ?>
                                </font>
                            </strong>
                        </h3>
                    </div>
                    <div class="span8 left-0">
                    </div>
                    <div class="span9 left-0 p3">
                        <ul class="list">
                            <li><i class="fa fa-book"></i> <strong>Topic :</strong> <?=$workshop['Workshop']['topic']; ?>  </li>
                            <li><i class="fa fa-book"></i> <strong>Details :</strong> <?=$workshop['Workshop']['description']; ?> </li>
                            <li><i class="fa fa-book"></i> <strong>Date :</strong><?=$workshop['Workshop']['work_date']; ?></li>
                            <li><i class="fa fa-book"></i> <strong>Fee :</strong><?=$workshop['Workshop']['reg_cost']; ?>$</li>
                        </ul>
                    </div>
                    <?php $time = date('Y-m-d h:i:s', strtotime('-5 minutes', strtotime($workshop['Workshop']['work_date']))); ?>
                    <?php if($id != $uid || $workshop['Workshop']['work_date'] > $time){ ?>
                    <div class="button">
                        <?php echo $this->Form->submit('submit.jpg');?>
                    </div>
                    <?php } else {echo "You can not register";} } endif; ?>
                    <?php echo $this->Form->end(); }?>
                </div>
            </div>
        </div>
    </div>
</section>