<script type="text/javascript">
$(document).ready(function() 
	{
		$("#UserIndexForm").validationEngine({scroll:true});
	});
</script>
<div class="content-box">
	<div class="content-box-header">
		<h3>User Reviews</h3>
		<ul class="content-box-tabs">
			<li><?php echo $this->Html->link(__('User Reviews', true), array('controller' => 'user_reviews', 'action' => 'index'), array('class' => 'default-tab')); ?> </li>
		</ul>
		<div class="clear"></div>
	</div>
	<div class="content-box-content">
		
		
		<?php echo $this->Form->create('UserReview', array('id' => 'UserReviewIndexForm', 'name' => 'UserReviewIndexForm'));?>
		
		<p><?php echo $this->Form->input('product_id', array('options' => $prod_options, 'empty' => 'Select', 'label' => 'Filter Product', 'onchange' => 'document.UserReviewIndexForm.submit()'));?></p>

		<?php echo $this->Form->end();?>

		<p>
			<?php echo $this->Form->create('UserReview', array('id' => 'UserIndexForm','action' => 'index'));?>
			<?php echo $this->Form->input('search', array('label' => 'Filter User','class' => 'validate[required] text-input small-input'));?>
			<div style="clear:both;height:10px;"></div>
			<span ><input type="radio" name="data[UserReview][user]" id="user1" checked="checked" value="user_id"></span>&nbsp;<span>Given To</span>

			<span style="margin-left:20px;"><input type="radio" name="data[UserReview][user]" id="user2" value="given_by" <?php echo ((isset($this->request->data['UserReview']['user']) && $this->request->data['UserReview']['user']=='given_by') ? 'checked="checked"':'');?>></span>&nbsp;<span>Given By</span>

			<div style="clear:both;height:10px;"></div>
			<?php echo $this->Form->submit('Search', array('class' => 'button'));?>
			<?php echo $this->Form->end();?>
		</p>
		
		<div class="tab-content default-tab" id="tab1">												
			<table>
				<thead>
					<tr>
						<!-- <th><?php echo $this->Paginator->sort('id'); ?></th> -->
						<th style="color:#e07b1f"><?php echo __('Product Name'); ?></th>
						<th style="width:80px;"><?php echo $this->Paginator->sort('review'); ?></th>
						<th style="color:#e07b1f"><?php echo __('Given To'); ?></th>
						<th style="color:#e07b1f"><?php echo __('Given By'); ?></th>
						<th><?php echo $this->Paginator->sort('given_date'); ?></th>
						<th><?php echo $this->Paginator->sort('comments'); ?></th>						
						<th style="color:#e07b1f"><?php echo __('Actions'); ?></th>
					</tr>									
				</thead>
				<?php
				if($userReviews)
				{
				?>
				<tbody>			
					<?php
					$i = 0;
					foreach ($userReviews as $userReview)
					{
						$class = null;
						if ($i++ % 2 == 0) {
							$class = ' class="altrow"';
						}
					?>
					<tr<?php echo $class;?>>
						<!-- <td valign="top"><?php echo $userReview['UserReview']['id']; ?>&nbsp;</td>	 -->	
						<td valign="top"><?php echo $userReview['Product']['product_name']; ?>&nbsp;</td>
						<td valign="top">
							<?php 
							$y = $userReview['UserReview']['review'];
							$x = 5-$y;
							echo str_repeat('<img src="'.DOMAIN_PATH.'img/s_reviews_small.png" width="15" height="15" border="0" alt="">', $y);
							echo str_repeat('<img src="'.DOMAIN_PATH.'img/s_reviews_small_gray.png" width="15" height="15" border="0" alt="">', $x);
							?>
						</td>
						<td valign="top"><?php echo $userReview['User']['first_name'].' '.$userReview['User']['last_name']; ?>&nbsp;</td>
						<td valign="top"><?php echo $userReview['GivenBy']['first_name'].' '.$userReview['GivenBy']['last_name']; ?>&nbsp;</td>
						<td valign="top"><?php echo $userReview['UserReview']['given_date']; ?>&nbsp;</td>
						<td valign="top"><?php echo $userReview['UserReview']['comments']; ?>&nbsp;</td>
						<td class="actions" valign="top">
							<!-- <?php echo $this->Html->link($this->Html->image('pencil.png'), array('action' => 'edit', $userReview['UserReview']['id']), array('escape' => false)); ?> -->
							<?php echo $this->Html->link($this->Html->image('cross.png', array('action' => 'Click to Delete')), array('action' => 'admin_delete', $userReview['UserReview']['id']), array('escape' => false, 'class' => 'ask')); ?>
						</td>
					</tr>
					<?php
					}
					?>
				</tbody>
				<?php 
				if($this->Paginator->numbers())
				{
				?>
				<tfoot>
					<tr>
						<td colspan="7">
							<div class="bulk-actions align-left"></div>
							<div class="pagination">

								<p>
								<?php
								echo $this->Paginator->counter(array('format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')));
								?>
								</p>

								<p>

								<?php echo $this->Paginator->prev('<< ' . __('previous', true), array(), null, array('class'=>'disabled'));?>
								<?php echo $this->Paginator->numbers(array('class'=>'number', 'separator' => ''));?>
								<?php echo $this->Paginator->next(__('next', true) . ' >>', array(), null, array('class' => 'disabled'));?>

								</p>

							</div>
							<div class="clear"></div>
						</td>
					</tr>
				</tfoot>	
				<?php
				}
				}
				else
				{
				?>
				<tbody><tr><td colspan="7"><?php echo '<font color="#FF0000"><b>No record found.</b></font>';?></td></tr></tbody>
				<?php
				}
				?>
			</table>
		</div>
	</div> 
	<div class="clear"></div>
</div>