<div class="userReviews index">
	<h2><?php echo __('User Reviews'); ?></h2>
	<table cellpadding="0" cellspacing="0">
	<tr>
			<th><?php echo $this->Paginator->sort('id'); ?></th>
			<th><?php echo $this->Paginator->sort('product_id'); ?></th>
			<th><?php echo $this->Paginator->sort('user_id'); ?></th>
			<th><?php echo $this->Paginator->sort('given_by'); ?></th>
			<th><?php echo $this->Paginator->sort('given_date'); ?></th>
			<th><?php echo $this->Paginator->sort('comments'); ?></th>
			<th><?php echo $this->Paginator->sort('review'); ?></th>
			<th class="actions"><?php echo __('Actions'); ?></th>
	</tr>
	<?php
	foreach ($userReviews as $userReview): ?>
	<tr>
		<td><?php echo h($userReview['UserReview']['id']); ?>&nbsp;</td>
		<td><?php echo h($userReview['UserReview']['product_id']); ?>&nbsp;</td>
		<td>
			<?php echo $this->Html->link($userReview['User']['id'], array('controller' => 'users', 'action' => 'view', $userReview['User']['id'])); ?>
		</td>
		<td><?php echo h($userReview['UserReview']['given_by']); ?>&nbsp;</td>
		<td><?php echo h($userReview['UserReview']['given_date']); ?>&nbsp;</td>
		<td><?php echo h($userReview['UserReview']['comments']); ?>&nbsp;</td>
		<td><?php echo h($userReview['UserReview']['review']); ?>&nbsp;</td>
		<td class="actions">
			<?php echo $this->Html->link(__('View'), array('action' => 'view', $userReview['UserReview']['id'])); ?>
			<?php echo $this->Html->link(__('Edit'), array('action' => 'edit', $userReview['UserReview']['id'])); ?>
			<?php echo $this->Form->postLink(__('Delete'), array('action' => 'delete', $userReview['UserReview']['id']), null, __('Are you sure you want to delete # %s?', $userReview['UserReview']['id'])); ?>
		</td>
	</tr>
<?php endforeach; ?>
	</table>
	<p>
	<?php
	echo $this->Paginator->counter(array(
	'format' => __('Page {:page} of {:pages}, showing {:current} records out of {:count} total, starting on record {:start}, ending on {:end}')
	));
	?>	</p>

	<div class="paging">
	<?php
		echo $this->Paginator->prev('< ' . __('previous'), array(), null, array('class' => 'prev disabled'));
		echo $this->Paginator->numbers(array('separator' => ''));
		echo $this->Paginator->next(__('next') . ' >', array(), null, array('class' => 'next disabled'));
	?>
	</div>
</div>
<div class="actions">
	<h3><?php echo __('Actions'); ?></h3>
	<ul>
		<li><?php echo $this->Html->link(__('New User Review'), array('action' => 'add')); ?></li>
		<li><?php echo $this->Html->link(__('List Users'), array('controller' => 'users', 'action' => 'index')); ?> </li>
		<li><?php echo $this->Html->link(__('New User'), array('controller' => 'users', 'action' => 'add')); ?> </li>
	</ul>
</div>
