<?php
App::uses('AppController', 'Controller');

class FunnelController extends AppController {
	
	public function index() {
		
	}
	public function admin_index(){
		$this->layout = 'admin';
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
//,9,10,11,12,13
					if (!empty($this->request->data)){} else{
	 	                     $this->paginate= array('conditions' => array('Cms.id !=' => array(1,2,3,4)));
		                     $this->set('cms', $this->paginate());
		                   }
	}
	function add(){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		 $result = $this->check_license(TAYAPRO_MODE,TAYAPRO_LICENSE_KEY);
 if( $result <=0 ){
     
     echo 'Tayapro license key is expired!';
     exit;
 }
		$fileName = '';
		$flag = true;
		if(!empty($this->request->data)){
			
			if($flag){
				$this->request->data['Funnel']['user_id'] = $this->Session->read('Auth.User.id');
				$this->request->data['Funnel']['status'] = '1';
				$this->Funnel->create();
				if($this->Funnel->save($this->request->data)){
					$this->Session->setFlash(__('Funnel has been updated successfully.', true),'default', array('class' => 'success'));
					$this->redirect('/taya_pro/');
				}
				else{
					$this->Session->setFlash(__('ERROR :: Funnel could not be updated. Please, try again.', true));
				}
			}
		}
	}
	function edit($id = null){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		 $result = $this->check_license(TAYAPRO_MODE,TAYAPRO_LICENSE_KEY);
 if( $result <=0 ){
     
     echo 'Tayapro license key is expired!';
     exit;
 }
		$flag = true;
		$fileName = '';
		if(!empty($this->request->data)){
			$flag = true;
			//pr($this->request->data);exit;
			
			$this->request->data['Funnel']['user_id'] = $this->Session->read('Auth.User.id');
			//$this->request->data['Product']['post_date'] = date('Y-m-d h:i:s');
			$this->request->data['Funnel']['status'] = 1;
						
			if($flag){
				$this->Funnel->create();
				if($this->Funnel->save($this->request->data)){
						$this->Session->setFlash(__('Funnel has been edited successfully.', true),'default', array('class' => 'success'));
						$this->redirect(array('controller' => 'taya_pro'));
						//$this->redirect(array('action' => ''));
				} else {
				  $this->Session->setFlash(__('ERROR :: Funnel could not be edited. Please, try again.', true));
				}
			}
		} else {
		
			$this->request->data = $this->Funnel->read(null, $id);
			//pr($book);exit;
			//$this->set(compact('prod'));
		}		
		
	}
	public function view($id = null) {
	     $result = $this->check_license(TAYAPRO_MODE,TAYAPRO_LICENSE_KEY);
 if( $result <=0 ){
     
     echo 'Tayapro license key is expired!';
     exit;
 }
		$funnel = $this->Funnel->find('first', array('conditions' => array('id' => $id, 'status' => '1')));
		$this->set(compact('funnel', 'id','my_user_detail', 'get_user_detail2'));
	}
	public function delete($id = null){
	     $result = $this->check_license(TAYAPRO_MODE,TAYAPRO_LICENSE_KEY);
 if( $result <=0 ){
     
     echo 'Tayapro license key is expired!';
     exit;
 }
		$this->Funnel->id = $id;
		if (!$this->Funnel->exists()){
			throw new NotFoundException(__('Invalid Record'));
		}
		$report = $this->Funnel->read(null, $id);

		if ($this->Funnel->delete()){
			$this->Session->setFlash(sprintf(__('The Funnel has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
		}
		
		$this->Session->setFlash(__('Funnel was not deleted'));
		$this->redirect(array('controller' => 'taya_pro'));
	}
	
public	function check_license($mode,$license_key){
$domainname = $_SERVER['SERVER_NAME']; 
$ip = getenv('HTTP_CLIENT_IP')?:getenv('HTTP_X_FORWARDED_FOR')?:getenv('HTTP_X_FORWARDED')?:getenv('HTTP_FORWARDED_FOR')?:getenv('HTTP_FORWARDED')?:getenv('REMOTE_ADDR');
$endpoint_url = 'http://tayapro.com/license_verify.php';

$ch = curl_init($endpoint_url);

$data = array(
    'domain_name' => $domainname,
    'licensekey' => $license_key,
    'ip'   => $ip,
	'mode'   => $mode,
);
$payload = json_encode(array("user" => $data));

curl_setopt($ch, CURLOPT_POSTFIELDS, $payload);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_HTTPHEADER, array('Content-Type:application/json'));

curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
return curl_exec($ch);
curl_close($ch);

}
	
}
?>