<?php
App::uses('AppController','Controller');
/**
 * Eventshome Controller
 *
 * @property Category $Category
 */
class SpeakerCatsController extends AppController {


var $uses = array('SpeakerCat');



/***********  event  url ************/

public function admin_index()
	{
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
		//$this->Eventshome->recursive = 0;
		//$this->paginate = array('order' => array('display_order' => 'asc'));		
		
	$sp_cat =	$this->SpeakerCat->find('all'); 
		
	//pr($sp_cat);exit;
		$this->set(compact('sp_cat'));
	}


/*********** admin index ************/

/***********  admin add  ************/
public function admin_add()
{
	
	
	if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		//$this->Eventurl->id = $id;
		//$event = $this->Eventurl->read();
		
		
		
		if (!empty($this->request->data)){
			$get_sp_cat = $this->SpeakerCat->find('first', array('conditions' => array('SpeakerCat.sp_cat_name' => $this->request->data['SpeakerCat']['sp_cat_name'])));
			if($get_sp_cat){
				$this->Session->setFlash(__('ERROR :: Same Speaker Category already exists.', true));
			}
			else{
				$this->SpeakerCat->create();
				//$display_order_exist=$this->Category->find('first',array('conditions'=>array('Category.display_order'=>$this->request->data['Category']['display_order'])));
				if ($this->SpeakerCat->save($this->request->data)){
					
					$this->Session->setFlash(__('The Speaker Category has been saved successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'admin_index'));
					
				    }
				else {
				$this->Session->setFlash(__('ERROR :: The Speaker Category could not be saved. Please, try again.', true));
				
				}
			  }	
		}
		 
		
	
}

/*********** admin add ************/

/*********** admin  edit ************/

public function admin_edit($id=null)
{
	if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
	$this->SpeakerCat->id = $id;
	$speaker  = $this->SpeakerCat->read();
		
		if (!$id && empty($this->request->data)){
			$this->Session->setFlash(__('ERROR :: Invalid Speaker Category.', true));
			$this->redirect(array('action' => 'admin_index'));
		}
		if (!empty($this->request->data)){			
			$get_speaker_cat = $this->SpeakerCat->find('first', array('conditions' => array('SpeakerCat.sp_cat_name' => $this->request->data['SpeakerCat']['sp_cat_name'], 'SpeakerCat.id <>' => $this->request->data['SpeakerCat']['id'])));
			if($get_speaker_cat){
				$this->Session->setFlash(__('ERROR :: Same Speaker Category already exists.', true));
			}
			else{
												
				$this->SpeakerCat->create();
				
				if ($this->SpeakerCat->save($this->request->data)){
										
					$this->Session->setFlash(__('The Speaker Category has been updated successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'admin_index'));
				   } 
				else{
					$this->Session->setFlash(__('ERROR :: The Speaker Category could not be updated. Please, try again.', true));
				}
			
		     }
	    }
		
		if (empty($this->request->data)) {
			$this->request->data = $this->SpeakerCat->read();
			
		}
		
	//	$this->set(compact('$speaker'));
	
	}



/***********  admin  edit ************/


/***********  admin  delete ************/

public function admin_delete($id=null)
{
	
	if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
		$this->SpeakerCat->id = $id;
		$event = $this->SpeakerCat->read();
		//pr($event); exit;
		if ($this->SpeakerCat->delete()){
			
						
				$this->Session->setFlash(sprintf(__('The Speaker Category has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('action' => 'admin_index'));
	  } 
}
/***********  admin  delete  ************/



}
?>