<?php
App::uses('AppController', 'Controller');
/**
* Products Controller
*
* @property Product $Product
*/
class CommentsController extends AppController {
	public $uses = array('Comment','Course',  'User', 'Transaction', 'Message','Section','Sectioncontent');
/* --------------------------------------------------------------- START :: ADMIN PANEL FUNCTIONS --------------------------------------- */
/*	function beforeFilter(){
    	$this->myRandomNumber = rand();
	}*/
/**
* index method
*
* @return void
*/


public function admin_index(){
		
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		
		if (!empty($this->request->data)){/*
			$conditions = '';
			if(isset($this->request->data['UserReview']['product_id']) && $this->request->data['UserReview']['product_id']){
				$conditions['UserReview.product_id'] = $this->request->data['UserReview']['product_id'];
			}
			if(isset($this->request->data['UserReview']['search']) && $this->request->data['UserReview']['search']){
				$temp=explode(' ', trim($this->request->data['UserReview']['search']));
				$whereClause="";
				for($i=0; $i<count($temp); $i++){
					$whereClause.='User.first_name like '."'%".$temp[$i]."%'".' OR User.last_name like '."'%".$temp[$i]."%'";
					if($i != count($temp)-1){
						$whereClause.=" OR ";
					}
				}
				$users=$this->User->find('list',array('conditions'=>array($whereClause)));
				if(empty($users)){
					$users=array('0'=>'0');
				}
				$conditions='UserReview.'.$this->request->data['UserReview']['user'].' IN ('.implode(',',$users).')';
			}
			$this->paginate = array('conditions' => $conditions, 'order' => array('UserReview.given_date' => 'DESC'));
		*/}
		else{
		     $this->Comment->recursive=2;
			$this->paginate = array('order' => array('Comment.comment_time' => 'DESC'));
		}
		$this->set('userReviews', $this->paginate());
	//	$prod_options = $this->Product->find('list', array('fields' => array('Product.id', 'Product.product_name')));
	//	$this->set('prod_options', $prod_options);
	//	$user_options = $this->User->find('superlist', array('fields' => array('User.id', 'User.first_name', 'User.last_name'), 'separator' => ' ', 'conditions' => array('User.user_type' => 4)));
	//	$this->set('user_options', $user_options);
	}
	
	
		public function admin_delete($id = null){
		
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		
		if (!$id){
			$this->Session->setFlash(__('ERROR :: Invalid Id for User Review', true));
			$this->redirect(array('action'=>'index'));
		}
		$this->request->data = $this->Comment->read(null, $id);
		if ($this->Comment->delete($id)){
			$this->Session->setFlash(__('The comment has been deleted successfully.', true), 'default', array('class' => 'success'));
			$this->redirect(array('action'=>'index'));
		}
		$this->Session->setFlash(__('ERROR :: The user review was not deleted.', true));
		$this->redirect(array('action' =>'index'));
	}
	
	
	public function admin_view($id = null){
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}




		$this->Comment->recursive = 2;
		$this->Comment->id = $id;
		if (!$this->Comment->exists()){
			throw new NotFoundException(__('Invalid review'));
		}
		
		$group = $this->Comment->find('first', array('conditions'=>array('Comment.id'=>$id)));
		
	
		
		
		$this->set(compact('group'));


	}
	
			public function admin_activate($id = null){
		
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		$report = $this->Comment->read(null, $id);
		if(!$report)
		{
			 $this->Session->setFlash(__('ERROR :: Invalid Group', true));
			$this->redirect(array('controller' => 'comments', 'action' => 'admin_index'));
		}
		
		$this->Comment->id = $id;
		if($this->Comment->saveField('status',1-$report['Comment']['status'])){
			$this->Session->setFlash(sprintf(__('The Comment has been successfully '.($report['Comment']['status'] ? 'deactivated' : 'activated') , true), ''), 'default', array('class' => 'success'));
			
		}
		else{
			$this->Session->setFlash(sprintf(__('The Review could not be '.($report['Comment']['status'] ? 'deactivated' : 'activated').'. Please try again!', true), ''), 'default', array('class' => ''));
			//$this->redirect(array('controller' => 'abuse_reports'));
			
		}
		$this->redirect(array('controller' => 'comments', 'action' => 'admin_index'));
	}
	


	public function givereview($id = null){
	   if(!$this->Session->read('Auth.User.id')){
			             $this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			             $this->redirect('/');
		         }
		
	 
				 
	   if (!empty($this->request->data)) {
	   
	                      $this->request->data['Comment']['user_id']           = $this->Session->read('Auth.User.id');
						  $this->request->data['Comment']['topic_id']            = $id;
						  $this->request->data['Comment']['status']            = 0;
						  $this->request->data['Comment']['comment_time']      = date("Y-m-d H:i:s");
						  $this->Comment->create();
						  if ($this->Comment->save($this->request->data)) {
						          $this->Session->setFlash(__('Comment has been successfully modarated for admin'));
					              $this->redirect(array('controller'=>'courses','action' => 'coursedetails/'.$id));
						  }else {
					        $this->Session->setFlash(__('Comment could not be saved. Please, try again.'));
			              }
	   }		 
	
	}
	

	
	
}