<?php
App::uses('AppController', 'Controller');
/**
* Products Controller
*
* @property Product $Product
*/
class CoursesController extends AppController {
	public $uses = array('Course',  'User', 'Transaction', 'Message','Section','Sectioncontent','Comment');
/* --------------------------------------------------------------- START :: ADMIN PANEL FUNCTIONS --------------------------------------- */
/*	function beforeFilter(){
    	$this->myRandomNumber = rand();
	}*/
/**
* index method
*
* @return void
*/
	public function admin_index(){
		$this->layout = 'admin';
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$this->Course->recursive = 0;
					if (!empty($this->request->data)){
			$conditions=array();
						
			if(isset($this->request->data['Course']['search']) && $this->request->data['Course']['search']){
				$temp=explode(' ',trim($this->request->data['Course']['search']));
				
				$whereClause="";
				for($i=0;$i<count($temp);$i++){
					$whereClause.='Course.title like '."'%".$temp[$i]."%'";
					if($i!=count($temp)-1){
						$whereClause.=" OR ";
					}
				}
			    $courses=$this->Course->find('list',array('conditions'=>array($whereClause)));
			    if(empty($courses)){
				$course=array('0'=>'0');
			   }
				$conditions=array_merge($conditions,array('Course.title IN ("'.implode(',',$courses).'")'));
			}
			//$this->paginate = array('conditions' =>$conditions, 'order' => array('Product.id' => 'ASC'));
			$this->paginate = array('conditions' => array($conditions, 'Course.status'=>array(0,1)), 'order' => array('Course.id' => 'ASC'));
			//pr($this->paginate);exit;
			$this->set('courses', $this->paginate());
		} else{
		$courses = $this->Course->find('all');
		$this->set('courses', $this->paginate());
		}
		//pr($courses);
		
	}
	
		public function admin_edit($id = null){
	if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$this->layout = 'admin';
		$this->Course->id = $id;
		if(!$this->Course->exists()){
			throw new NotFoundException(__('Invalid product'));
		}

		$fileName = '';
		if(!empty($this->request->data)){
			$flag = true;
			//pr($this->request->data);exit;
			
			
		
			
			
			$prev_video = $this->request->data['Course']['pre_video'];
			
			if(isset($this->request->data['Course']['video_file']['tmp_name']) && $this->request->data['Course']['video_file']['tmp_name']!='' && is_uploaded_file($this->request->data['Course']['video_file']['tmp_name'])){
				$extentioni = strtolower(strrchr($this->request->data['Course']['video_file']['name'], "."));
				$fileDetaili = $this->request->data['Course']['video_file'];
				$this->request->data['Course']['video_file'] = '';					
				if(!in_array($extentioni, $this->validVideoFormats)){
					$this->request->data['Course']['pre_video'] = $prev_video;
					$flag = false;
					$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
				}
				
			} else {
				$this->request->data['Course']['video_file'] = $this->request->data['Course']['pre_video'];
			}			
			
			//pr($this->request->data);exit;
		
			if($flag){
				$this->Course->create();
				if($this->Course->save($this->request->data)){
					if(isset($fileDetaili) && is_uploaded_file($fileDetaili['tmp_name'])){
						$fileNamei = $this->request->data['Course']['user_id'].$this->request->data['Course']['title'].$extentioni;
						move_uploaded_file($fileDetaili['tmp_name'], COURSE_FILES . $fileNamei);
						$this->Seminar->saveField('video_file', $fileNamei);
						if($this->request->data['Course']['pre_video'] != '' && $this->request->data['Course']['pre_video'] != $fileNamei){
							if(file_exists(COURSE_FILES . $this->request->data['Course']['prev_video'])){

								unlink(COURSE_FILES . $this->request->data['Course']['prev_video']);
							}
						}
						$this->request->data['Course']['video_file'] = $fileNamei;
					} 
					
						$this->Session->setFlash(__('Course has been edited successfully.', true),'default', array('class' => 'success'));
						$this->redirect(array('action' => 'index'));
				} else {
				  $this->Session->setFlash(__('ERROR :: Seminar could not be edited. Please, try again.', true));
				}
			}
		} 
			$this->request->data = $this->Course->read(null, $id);
			$this->request->data['Course']['pre_video'] = $this->request->data['Course']['video_file'];

	}	
	
	
	public function admin_activate($id=null){
if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$report = $this->Course->read(null, $id);
		
		$this->Course->id = $id;
		if($this->Course->saveField('status','1')){

				$this->Session->setFlash(sprintf(__('The Course has been successfully activated.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('controller' => 'courses', 'action' => 'index'));

		} else {
				$this->Session->setFlash(sprintf(__('The Course could not be deactivated.Please try again!', true), ''), 'default', array('class' => ''));
				$this->redirect(array('controller' => 'courses', 'action' => 'index'));
	
		}
	}

	public function admin_deactivate($id=null){
		
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$report = $this->Course->read(null, $id);
		//echo $id;exit;
		$this->Course->id = $id;
		if($this->Course->saveField('status','0')){
			$this->Session->setFlash(sprintf(__('The Course has been successfully deactivated.', true), ''), 'default', array('class' => 'success'));
			$this->redirect(array('controller' => 'courses', 'action' => 'index'));
		} else {
			$this->Session->setFlash(sprintf(__('The Course could not be deactivated.Please try again!', true), ''), 'default', array('class' => ''));
			$this->redirect(array('controller' => 'courses', 'action' => 'index'));
		}
	}	
	
	public function admin_delete($id = null){
		//echo $id;
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		/*if (!$this->request->is('post')){
			throw new MethodNotAllowedException();
		}*/
		$this->Course->id = $id;
		if (!$this->Course->exists()){
			throw new NotFoundException(__('Invalid product'));
		}
		
		
		$report = $this->Course->read(null, $id);
		//pr($report); exit;
		if ($this->Course->delete()){

			if($report['Course']['video_file'] != ""){
				if(file_exists(COURSE_FILES . $report['Course']['video_file'])){
					unlink(COURSE_FILES . $report['Course']['video_file']);
				}
			}
			
				$this->Session->setFlash(sprintf(__('The Course has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('controller' => 'courses', 'action' => 'index'));
		
		}
		
		$this->Session->setFlash(__('Seminar was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
	
	 	public function admin_add(){
		
		$this->layout = 'admin';
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
			if(!empty($this->request->data)){
			$flag = true;
			
			if(isset($this->request->data['Course']['video_file']['tmp_name']) && is_uploaded_file($this->request->data['Course']['video_file']['tmp_name'])){
					$extention = strtolower(strrchr($this->request->data['Course']['video_file']['name'],"."));
					$fileDetail = $this->request->data['Course']['video_file'];
					$this->request->data['Course']['video_file'] = "";
					if(!in_array($extention, $this->validVideoFormats)){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload Video only .', true), implode(", ", $this->validVideoFormats)));
					}
			} else {
				$this->request->data['Course']['video_file'] = '';
			}
			
			if($flag){
			  
				$this->Course->create();
				if($this->Course->save($this->request->data)){
					 
						if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])){
							$fileName = $this->request->data['Course']['user_id']."_".$this->request->data['Course']['title'].$extention;
							move_uploaded_file($fileDetail['tmp_name'], COURSE_FILES . $fileName);
							$this->Course->saveField('video_file', $fileName);
						}
				
					$this->Session->setFlash(__('Course has been updated successfully.', true),'default', array('class' => 'success'));
					$this->redirect(array('action' => 'index'));
				}
				else{
					$this->Session->setFlash(__('ERROR :: Course could not be updated. Please, try again.', true));
				}
			}			
			
		}
		
		$users=$this->User->find('list',array('conditions'=>array('User.status'=>1,'User.user_type'=>2),'fields'=>array('User.id','User.first_name')));
		
		//$users = $this->User->find('superlist', array('fields'=>array('User.id', 'User.first_name', 'User.last_name'), 
													//  'conditions' => array('User.user_type'=>2, 'User.suspend'=>0, 'User.status'=>1)));

		$this->set(compact('users'));
	}
	
		public function admin_sections($id = null){
			if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
			$sections = $this->Section->find('all', array('conditions' => array('Section.cousse_id' => $id )));
			//pr($sections);exit;
			$this->set('sections', $this->paginate());
			$this->set(compact('sections','id'));
		}
		
		public function admin_addsection($id = null){
			if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
			
			if (!empty($this->request->data)) {
			     $get_name = $this->Section->find('first', array('conditions' => array('Section.name' => trim($this->request->data['Section']['name']),'Section.cousse_id' => $id)));
				 if($get_name){
				     $this->Session->setFlash(__('ERROR :: Same name address already exists.', true));
					 }else{
					      
						  $userid=$this->Section->find('first',array('conditions'=>array('Section.cousse_id'=>$id)));
						  
						  
						  $this->request->data['Section']['cousse_id'] = $id;
						  $this->request->data['Section']['user_id'] = $userid['Section']['user_id'];
					      $this->Section->create();
				          if ($this->Section->save($this->request->data)) {
					             $this->Session->setFlash(__('Section has been successfully saved'));
					            $this->redirect(array('action' => 'sections/'.$id));
				          } else {
					        $this->Session->setFlash(__('Section could not be saved. Please, try again.'));
			           	}
					 }
			}
	        $this->set(compact('id'));
	}
	
	public function admin_sectionedit($id = null , $cid = null ){
   			if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
			
			$linkExist=$this->Section->read(null,$id);
		    if(!$linkExist){
			$this->Session->setFlash(__('ERROR :: Invalid Request', true));
			$this->redirect(array('action'=>'sections/'.$id));
			}
			
			if (!empty($this->request->data)) {
	                            	$get_name = $this->Section->find('first', array('conditions' => array('Section.name' => trim($this->request->data['Section']['name']),'Section.cousse_id' => $cid, 'Section.id <>' => $id)));
			                       if($get_name){
				                              $this->Session->setFlash(__('ERROR :: Same name address already exists.', true));
			                                    }else{
					                                     $this->Section->create();
				                                        if ($this->Section->save($this->request->data)) {
					                                        $this->Session->setFlash(__('Section has been successfully edited'));
					                                        $this->redirect(array('action' => 'sections/'.$cid));
				                                            } else {
					                                                $this->Session->setFlash(__('Section could not be saved. Please, try again.'));
			           	                                    }
												}
			}else{
			      $this->request->data=$linkExist;
			}
			$this->set(compact('id','cid'));
   }
   
   
   
   	public function admin_sctionactivate($id=null , $cid = null){
if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$report = $this->Section->read(null, $id);
		
		$this->Section->id = $id;
		if($this->Section->saveField('ststus','1')){

				$this->Session->setFlash(sprintf(__('The Section has been successfully activated.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('controller' => 'courses', 'action' => 'sections/'.$cid));

		} else {
				$this->Session->setFlash(sprintf(__('The Section could not be deactivated.Please try again!', true), ''), 'default', array('class' => ''));
				$this->redirect(array('controller' => 'courses', 'action' => 'sections/'.$cid));
	
		}
	}

	public function admin_sectiondeactivate($id=null , $cid = null){
		
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$report = $this->Section->read(null, $id);
		//echo $id;exit;
		$this->Section->id = $id;
		if($this->Section->saveField('ststus','0')){
			$this->Session->setFlash(sprintf(__('The Section has been successfully deactivated.', true), ''), 'default', array('class' => 'success'));
			$this->redirect(array('controller' => 'courses', 'action' => 'sections/'.$cid));
		} else {
			$this->Session->setFlash(sprintf(__('The Course could not be deactivated.Please try again!', true), ''), 'default', array('class' => ''));
			$this->redirect(array('controller' => 'courses', 'action' => 'sections/'.$cid));
		}
	}
	
	
		public function admin_sectiondelete($id = null , $cid = null){
		//echo $id;
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		/*if (!$this->request->is('post')){
			throw new MethodNotAllowedException();
		}*/
		$this->Section->id = $id;
		if (!$this->Section->exists()){
			throw new NotFoundException(__('Invalid product'));
		}
		
		
		$report = $this->Section->read(null, $id);
		//pr($report); exit;
		if ($this->Section->delete()){

		
			
				$this->Session->setFlash(sprintf(__('The Section has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('controller' => 'courses', 'action' => 'sections/'.$cid));
		
		}
		
		$this->Session->setFlash(__('sections was not deleted'));
		$this->redirect(array('action' => 'sections/'.$cid));
	}
	
	   	public function admin_sectionscontent($id = null , $cid = null , $uid = null){
		   if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
			$sectioncontent = $this->Sectioncontent->find('all', array('conditions' => array('Sectioncontent.section_id' => $id , 'Sectioncontent.course_id' => $cid,  'Sectioncontent.userid' => $uid)));
			//pr($sectioncontent);exit;
			$this->set('sectioncontent', $this->paginate());
			$this->set(compact('sectioncontent','id','cid','uid'));
		}	


public function admin_sectioncontentedit($id = null , $sid = null , $cid = null ){
   			 if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		     }
			
			$linkExist=$this->Sectioncontent->read(null,$id);
			//pr($linkExist);
		    if(!$linkExist){
			$this->Session->setFlash(__('ERROR :: Invalid Request', true));
			//$this->redirect(array('action'=>'sectionscontent/'.$id."/".$cid));
			}
			
			if (!empty($this->request->data)) {
	                            	$get_name = $this->Sectioncontent->find('first', array('conditions' => array('Sectioncontent.title' => trim($this->request->data['Sectioncontent']['title']),'Sectioncontent.course_id' => $cid, 'Sectioncontent.section_id' => $sid,'Sectioncontent.id <>' => $id)));
			                       if($get_name){
				                              $this->Session->setFlash(__('ERROR :: Same title address already exists.', true));
			                                    }else{
												
												
												if(isset($this->request->data['Sectioncontent']['file']['tmp_name']) && is_uploaded_file($this->request->data['Sectioncontent']['file']['tmp_name'])) {
					                            $extention = strtolower(strrchr($this->request->data['Sectioncontent']['file']['name'],"."));
												$fileDetail = $this->request->data['Sectioncontent']['file'];
												$this->request->data['Sectioncontent']['file'] = "";
												
												/*if(!in_array($extention, $this->validImageFormats)) {
													$flag = false;
													$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
												}*/
											} 
											else {
							
												$this->request->data['Sectioncontent']['file'] = $this->request->data['Sectioncontent']['pre_file'];
											}
											
											
											if(isset($this->request->data['Sectioncontent']['full_file']['tmp_name']) && is_uploaded_file($this->request->data['Sectioncontent']['full_file']['tmp_name'])) {
					                            $extention_full = strtolower(strrchr($this->request->data['Sectioncontent']['full_file']['name'],"."));
												$fileDetail_full = $this->request->data['Sectioncontent']['full_file'];
												$this->request->data['Sectioncontent']['full_file'] = "";
												
												/*if(!in_array($extention, $this->validImageFormats)) {
													$flag = false;
													$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
												}*/
											} 
											else {
							
												$this->request->data['Sectioncontent']['full_file'] = $this->request->data['Sectioncontent']['pre_full_file'];
											}
												
												
												
					                                     $this->Sectioncontent->create();
				                                        if ($this->Sectioncontent->save($this->request->data)) {
														
														if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) {
															$fileName = $this->Sectioncontent->id.str_replace(' ', '', stripslashes(trim($fileDetail['name'])));
															move_uploaded_file($fileDetail['tmp_name'], SECTIONCONTENT_IMAGES . $fileName);
															$this->Sectioncontent->saveField('file', $fileName);
									
															if($this->request->data['Sectioncontent']['file']!='' && $this->request->data['Sectioncontent']['file']!=$fileName)
															{
																if(file_exists(SECTIONCONTENT_IMAGES . $this->request->data['Sectioncontent']['file']))
																{
																	unlink(SECTIONCONTENT_IMAGES . $this->request->data['Sectioncontent']['file']);
																}
															}
															$this->request->data['Sectioncontent']['file'] = $fileName;
														}
														
														
														if(isset($fileDetail_full) && is_uploaded_file($fileDetail_full['tmp_name'])) {
															$fileName_full = "R".$this->Sectioncontent->id.str_replace(' ', '', stripslashes(trim($fileDetail_full['name'])));
															move_uploaded_file($fileDetail_full['tmp_name'], SECTIONCONTENT_IMAGES . $fileName_full);
															$this->Sectioncontent->saveField('full_file', $fileName_full);
									
															if($this->request->data['Sectioncontent']['full_file']!='' && $this->request->data['Sectioncontent']['full_file']!=$fileName_full)
															{
																if(file_exists(SECTIONCONTENT_IMAGES . $this->request->data['Sectioncontent']['full_file']))
																{
																	unlink(SECTIONCONTENT_IMAGES . $this->request->data['Sectioncontent']['full_file']);
																}
															}
															$this->request->data['Sectioncontent']['full_file'] = $fileName_full;
														}
														
														
					                                        $this->Session->setFlash(__('Content has been successfully edited'));
					                                        $this->redirect(array('action' => 'sectionscontent/'.$sid."/".$cid."/".$linkExist['Sectioncontent']['userid']));
				                                            } else {
					                                                $this->Session->setFlash(__('Section could not be saved. Please, try again.'));
			           	                                    }
												}
			}else{
			      $this->request->data=$linkExist;
				//  pr($linkExist);
			}
			$uid = $linkExist['Sectioncontent']['userid'];
			$this->set(compact('id','sid','cid','uid'));
   }
   
   
   public function admin_addsectioncontent($id = null , $cid = null , $uid = null){
			if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		     }
			
			if (!empty($this->request->data)) {
			
						     $get_name = $this->Sectioncontent->find('first', array('conditions' => array('Sectioncontent.title' => trim($this->request->data['Sectioncontent']['title']),'Sectioncontent.section_id' => $id , 'Sectioncontent.course_id' => $cid )));
				 if($get_name){
				     $this->Session->setFlash(__('ERROR :: Same name address already exists.', true));
					 }else{
			
			        if(isset($this->request->data['Sectioncontent']['file']['tmp_name']) && is_uploaded_file($this->request->data['Sectioncontent']['file']['tmp_name'])){
					$extention = strtolower(strrchr($this->request->data['Sectioncontent']['file']['name'],"."));
					 $fileDetail = $this->request->data['Sectioncontent']['file'];
					$this->request->data['Sectioncontent']['file'] = "";
					}
					
					if(isset($this->request->data['Sectioncontent']['full_file']['tmp_name']) && is_uploaded_file($this->request->data['Sectioncontent']['full_file']['tmp_name'])){
					$extention_full = strtolower(strrchr($this->request->data['Sectioncontent']['full_file']['name'],"."));
					$fileDetail_full = $this->request->data['Sectioncontent']['full_file'];
					$this->request->data['Sectioncontent']['full_file'] = "";
					}
					
					      $this->request->data['Sectioncontent']['course_id']  = $cid;
						  $this->request->data['Sectioncontent']['section_id'] = $id;
						  $this->request->data['Sectioncontent']['userid']     = $uid;
					      $this->Sectioncontent->create();
				          if ($this->Sectioncontent->save($this->request->data)) {
						  
						           if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) {
												$fileName = $this->Sectioncontent->id.str_replace(' ', '', stripslashes(trim($fileDetail['name'])));
												move_uploaded_file($fileDetail['tmp_name'], SECTIONCONTENT_IMAGES . $fileName);
												$this->Sectioncontent->saveField('file', $fileName);
											}
											
								   if(isset($fileDetail_full) && is_uploaded_file($fileDetail_full['tmp_name'])) {
												$fileName_full = "R".$this->Sectioncontent->id.str_replace(' ', '', stripslashes(trim($fileDetail_full['name'])));
												move_uploaded_file($fileDetail_full['tmp_name'], SECTIONCONTENT_IMAGES . $fileName_full);
												$this->Sectioncontent->saveField('full_file', $fileName_full);
											}			
					
					              $this->Session->setFlash(__('Content has been successfully saved'));
					              $this->redirect(array('action' => 'sectionscontent/'.$id.'/'. $cid . '/' . $uid));
				          } else {
					        $this->Session->setFlash(__('Section could not be saved. Please, try again.'));
			           	}
					}	
			}
	        $this->set(compact('id','cid','uid'));
	}	
   
   
   
     	public function admin_sctioncontentactivate($id=null , $sid = null , $cid = null , $uid = null){
	      if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		     }
		$report = $this->Sectioncontent->read(null, $id);
		
		$this->Sectioncontent->id = $id;
		if($this->Sectioncontent->saveField('ststus','1')){

				$this->Session->setFlash(sprintf(__('The Sectioncontent has been successfully activated.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('controller' => 'courses', 'action' => 'sectionscontent/'.$sid . "/" . $cid . "/" .$uid ));

		} else {
				$this->Session->setFlash(sprintf(__('The Sectioncontent could not be deactivated.Please try again!', true), ''), 'default', array('class' => ''));
				$this->redirect(array('controller' => 'courses', 'action' => 'sectionscontent/'.$sid . "/" . $cid . "/" .$uid ));
	
		}
	}

	public function admin_sectioncontentdeactivate($id=null , $sid = null , $cid = null , $uid = null){
		
	   if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		     }
		$report = $this->Sectioncontent->read(null, $id);
		//echo $id;exit;
		$this->Sectioncontent->id = $id;
		if($this->Sectioncontent->saveField('ststus','0')){
			$this->Session->setFlash(sprintf(__('The Sectioncontent has been successfully deactivated.', true), ''), 'default', array('class' => 'success'));
			$this->redirect(array('controller' => 'courses', 'action' => 'sectionscontent/'.$sid . "/" . $cid . "/" .$uid ));
		} else {
			$this->Session->setFlash(sprintf(__('The Sectioncontent could not be deactivated.Please try again!', true), ''), 'default', array('class' => ''));
			$this->redirect(array('controller' => 'courses', 'action' => 'sectionscontent/'.$sid . "/" . $cid . "/" .$uid ));
		}
	}
   
   
   	public function admin_sectioncontentdelete($id=null , $sid = null , $cid = null , $uid = null){
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		/*if (!$this->request->is('post')){
			throw new MethodNotAllowedException();
		}*/
		$this->Sectioncontent->id = $id;
		if (!$this->Sectioncontent->exists()){
			throw new NotFoundException(__('Invalid product'));
		}
		
		
		$report = $this->Sectioncontent->read(null, $id);
		//pr($report); exit;
		if ($this->Sectioncontent->delete()){

		
			
				$this->Session->setFlash(sprintf(__('The Sectioncontent has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('controller' => 'courses', 'action' => 'sectionscontent/'.$sid . "/" . $cid . "/" .$uid ));
		
		}
		
		$this->Session->setFlash(__('Sectioncontent was not deleted'));
		$this->redirect(array('controller' => 'courses', 'action' => 'sectionscontent/'.$sid . "/" . $cid . "/" .$uid ));
	}
   
	
/* --------------------------------------------------------------- END :: ADMIN PANEL FUNCTIONS --------------------------------------- */
	function add(){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		if(!empty($this->request->data)){
			
			//pr($this->request->data);exit;
			
			     $flag_video=true;$flag_pdf=true;$flag_ppt=true;
			     
				if(isset($this->request->data['Course']['image_file']['tmp_name']) && is_uploaded_file($this->request->data['Course']['image_file']['tmp_name'])){
				 $extention_img = strtolower(strrchr($this->request->data['Course']['image_file']['name'],"."));
					$fileDetail_img = $this->request->data['Course']['image_file'];
					$this->request->data['Course']['image_file'] = "";
					
					if(!in_array($extention_img, $this->validImageFormats)){
						$flag_img = false;
						
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload Pdf only .', true), implode(", ", $this->validImageFormats)));
					}
			      } else {
				       $this->request->data['Course']['image_file'] = '';
					  
				  }
				  
			if(isset($this->request->data['Course']['video_file']['tmp_name']) && is_uploaded_file($this->request->data['Course']['video_file']['tmp_name'])){
					$extention_video = strtolower(strrchr($this->request->data['Course']['video_file']['name'],"."));
					$fileDetail_video = $this->request->data['Course']['video_file'];
					$this->request->data['Course']['video_file'] = "";
					if(!in_array($extention_video, $this->validVideoFormats)){
						$flag_video = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload Video only .', true), implode(", ", $this->validVideoFormats)));
					}
			      } else {
				       $this->request->data['Course']['video_file'] = '';
			      }
				  
				  
/*				  if(isset($this->request->data['Course']['ppt_file']['tmp_name']) && is_uploaded_file($this->request->data['Course']['ppt_file']['tmp_name'])){
					$extention_ppt = strtolower(strrchr($this->request->data['Course']['ppt_file']['name'],"."));
					$fileDetail_ppt = $this->request->data['Course']['ppt_file'];
					$this->request->data['Course']['ppt_file'] = "";
					if(!in_array($extention_ppt, $this->validPptFormats)){
						$flag_ppt = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload PPT only .', true), implode(", ", $this->validPptFormats)));
					}
			      } else {
				       $this->request->data['Course']['ppt_file'] = '';
				  }
				  */
				  
				  
			
			if($flag_video==true && $flag_pdf==true && $flag_ppt==true){
				
			$this->request->data['Course']['user_id'] = $this->Session->read('Auth.User.id');
			$this->request->data['Course']['status'] = '1';
			$this->request->data['Course']['cou_date'] = date('Y-m-d H:i:s');
			$this->request->data['Course']['added_date'] = date('Y-m-d H:i:s');
			//pr($this->request->data);exit;
			$this->Course->create();
			if($this->Course->save($this->request->data)){
				
		
					
						if(isset($fileDetail_video) && is_uploaded_file($fileDetail_video['tmp_name'])){
							$fileName_video = rand(0,9999).$this->request->data['Course']['user_id']."_".$this->request->data['Course']['title'].$extention_video;
							move_uploaded_file($fileDetail_video['tmp_name'], COURSE_FILES . $fileName_video);
							$this->Course->saveField('video_file', $fileName_video);
						}
						
						if(isset($fileDetail_img) && is_uploaded_file($fileDetail_img['tmp_name'])){
							$fileName_img = rand(0,9999).$this->request->data['Course']['user_id']."_".$this->request->data['Course']['image_file'].$extention_img;
							move_uploaded_file($fileDetail_img['tmp_name'], COURSEIMG_FILES . $fileName_img);
							$this->Course->saveField('image_file', $fileName_img);
						}
						
					/*	if(isset($fileDetail_ppt) && is_uploaded_file($fileDetail_ppt['tmp_name'])){
							$fileName_ppt = rand(0,9999).$this->request->data['Course']['user_id']."_".$this->request->data['Course']['title'].$extention_ppt;
							move_uploaded_file($fileDetail_ppt['tmp_name'], COURSE_FILES . $fileName_ppt);
							$this->Course->saveField('ppt_file', $fileName_ppt);
						}
						*/
						
				$this->Session->setFlash(__('Course has been updated successfully.', true),'default', array('class' => 'success'));
				$this->redirect('/users/course/'.$this->Session->read('Auth.User.id'));
			}
			else{
				$this->Session->setFlash(__('ERROR :: Course could not be updated. Please, try again.', true));
			}
		}
	}
	}
	
	
	function coursedetail($id = null){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$courses = $this->Course->find('all', array('conditions' => array('Course.id' => $id, 'Course.status' => '1')));
		//pr($courses);exit;
		$this->set(compact('courses', 'id', 'uid', 'curdate'));
		$go = "";
		$uid = "";
		if(!empty($this->request->data)){
			$uid = $this->Session->read('Auth.User.id');
			$title = $this->request->data['Course']['title'];
			$reg_cost = $this->request->data['Course']['reg_cost'];
			$organizer = $this->request->data['Course']['user_id'];
			$go = 1;
			$id = $this->request->data['Course']['couid'];;
		}
		$this->set(compact('go', 'uid', 'id', 'title', 'reg_cost', 'organizer'));
	}
	
	function view_course($id = null){
		
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$courses = $this->Course->find('all', array('conditions' => array('Course.id' => $id, 'Course.status' => '1')));
		//pr($courses);exit;
		$this->set(compact('courses', 'id', 'uid', 'curdate'));
		$go = "";
		$uid = "";
		if(!empty($this->request->data)){
			$uid = $this->Session->read('Auth.User.id');
			$title = $this->request->data['Course']['title'];
			$reg_cost = $this->request->data['Course']['reg_cost'];
			$organizer = $this->request->data['Course']['user_id'];
			$go = 1;
			$id = $this->request->data['Course']['couid'];;
		}
		$this->set(compact('go', 'uid', 'id', 'title', 'reg_cost', 'organizer'));
	}
	
	function course_view($id = null ,$user_id = null){
		
		
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		
		$this->Course->recursive = 2;
			$linkExist=$this->Course->read(null,$id);
		    if(!$linkExist){
			$this->Session->setFlash(__('ERROR :: Invalid Request', true));
			$this->redirect(array('action'=>'sections/'.$id));
			}
			 $comment = $this->Comment->find('all',array('conditions' => array('Comment.topic_id' => $id,'Comment.status' => 1)));
	       // pr($comment);
		   
		//   $total = $this->Comment->find('all', array('Comment.rating' => array('SUM(Comment.rating) AS total' ),'group' => 'Comment.topic_id'));
		 
		  $total = $this->Comment->find('first', array('conditions'=>array('Comment.topic_id'=>$id,'Comment.status' => 1), 'fields'=>array('sum(Comment.rating) as total')));
		  $count = $this->Comment->find('count',array('conditions'=>array('Comment.topic_id'=>$id,'Comment.status' => 1)));  
		 if($count!=0 and $total!=0){
		 $rating = round($total[0]['total'] / $count);
		 }
		 $ttotal = $total[0]['total'];
		$rating5 = $this->Comment->find('count',array('conditions'=>array('Comment.topic_id'=>$id,'Comment.status' => 1, 'Comment.rating'=>5)));  
		 $rating4 = $this->Comment->find('count',array('conditions'=>array('Comment.topic_id'=>$id,'Comment.status' => 1, 'Comment.rating'=>4))); 
		 $rating3 = $this->Comment->find('count',array('conditions'=>array('Comment.topic_id'=>$id,'Comment.status' => 1, 'Comment.rating'=>3))); 
         
		 if($count>0){
		  $five  = ($rating5 / $count ) * 100 ;
		  }
		  else{
		  $five  =0;
		  }
		   if($count>0){
		  $four  = ($rating4 / $count ) * 100 ;
		  }
		  else{
		   $four  =0;
		  }
		   if($count>0){
		  $three = ($rating3 / $count ) * 100 ;
		   }
		  else{
		   $three  =0;
		  }
		  $get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $user_id)));
		$my_user_detail = $this->User->find('first',array('conditions' => array('User.id' => $uid)));
		
		$this->set(compact('my_user_detail', 'get_user_detail2'));
		 $this->set(compact('linkExist','id','comment','rating','rating5','rating4','rating3','five','four','three','order_id'));
	}
	
	
	public function thankyou(){
		if(!empty($_GET)){
			$id = explode("@", $_GET['cm']);
			$transaction = $_GET['tx'];
			$status = $_GET['st'];
			$paidon = date('Y-m-d h:i:s');
			$this->request->data['Transaction']['sem_id'] = '0';
			$this->request->data['Transaction']['web_id'] = '0';
			$this->request->data['Transaction']['work_id'] = '0';
			$this->request->data['Transaction']['pub_id'] = '0';
			$this->request->data['Transaction']['cou_id'] = $id[0];
			$this->request->data['Transaction']['ticket'] = $this->myRandomNumber;
			$this->request->data['Transaction']['type'] = '4';
			$this->request->data['Transaction']['user_id'] = $this->Session->read('Auth.User.id');
			$this->request->data['Transaction']['transaction_id'] = $transaction;
			$this->request->data['Transaction']['status'] = $status;
			$this->request->data['Transaction']['paidon'] = $paidon;
			$this->request->data['Transaction']['amount'] = $_GET['amt'];
			$this->request->data['User']['send_date'] = $paidon;
			$this->request->data['User']['from_user'] = $id[1];
			$this->request->data['User']['to_user'] = $this->Session->read('Auth.User.id');
			$this->request->data['User']['message'] = "Your ticket number for the Course is " . $this->request->data['Transaction']['ticket'];
			$this->Transaction->create();
		 	if($this->Transaction->save($this->request->data)){
				$this->Session->setFlash(__('Course has been updated successfully.', true),'default', array('class' => 'success'));
		 		$this->Message->create();
				if($this->Message->save($this->request->data['User'])){
				}
		 		$this->redirect('/users/dashboard/');
		 	}
		 	else{
		 		$this->Session->setFlash(__('ERROR :: Course could not be updated. Please, try again.', true));
		 	}
		}
	}
	public function notify(){
		$this->layout = false;
		if(!empty($_GET)){
			$id = $_GET['cm'];
			$transaction = $_GET['tx'];
			$status = $_GET['st'];
			$paidon = date('Y-m-d h:i:s');
			$this->request->data['Transaction']['sem_id'] = '0';
			$this->request->data['Transaction']['web_id'] = '0';
			$this->request->data['Transaction']['work_id'] = '0';
			$this->request->data['Transaction']['cou_id'] = '$id';
			$this->request->data['Transaction']['pub_id'] = '0';
			$this->request->data['Transaction']['type'] = '4';
			$this->request->data['Transaction']['user_id'] = $this->Session->read('Auth.User.id');
			$this->request->data['Transaction']['transaction_id'] = $transaction;
			$this->request->data['Transaction']['status'] = $status;
			$this->request->data['Transaction']['paidon'] = $paidon;
			$this->request->data['Transaction']['amount'] = $_GET['amt'];
			$this->Transaction->create();
		 	if($this->Transaction->save($this->request->data)){
				$this->Session->setFlash(__('Course has been updated successfully.', true),'default', array('class' => 'success'));
		 	}
		 	else{
		 		$this->Session->setFlash(__('ERROR :: Course could not be updated. Please, try again.', true));
		 	}
		}
		exit;
	}
	/*archive*/
	public function archive($id=null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		 $curdate = date('Y-m-d h:i:s');
/*	    $added_date=$this->Course->find('list',array('fields'=>array('Course.added_date'),'conditions'=>array('Course.user_id'=>$this->Session->read('Auth.User.id'))
		,'order'=>array('Course.added_date'=>'ASC'))); 
		// echo implode('-',$month);exit;
		$month=array();
		$i=0;
		foreach($added_date as $val)
		{
			 //pr($val);exit;
			 $ex=explode('-',$val);
			 
			 switch($ex[1])
			 {
				 case 01:$ex[1]='January';
				 break;
				 case 02:$ex[1]='February';
				 break;
				 case 03:$ex[1]='March';
				 break;
				 case 05:$ex[1]='April';
				 break;
				 case 05:$ex[1]='May';
				 break;
				 case 06:$ex[1]='June';
				 break;
				 case 07:$ex[1]='July';
				 break;
				 case 08:$ex[1]='August';
				 break;
				 case 09:$ex[1]='September';
				 break;
				 case 10:$ex[1]='October';
				 break;
				 case 11:$ex[1]='November';
				 break;
				 case 12:$ex[1]='December';
				 break;
			 }
			 $month[$i]=$ex[1].'-'.$ex[0];
			$month= array_unique($month);
			 $i++;
		}*/
		
		$archives = $this->Course->find('all',
													array(
													'conditions' => array('Course.user_id'=>$uid),
													'fields'=>array('DATE_FORMAT(Course.added_date, \'%Y %M\') AS  arch','count(Course.id) AS numblogs'),
													'order' => array('Course.added_date'=>'ASC'),
													'group'=>array('arch')
													));
													
	   //pr($archives);exit;
		
		$this->Transaction->recursive = 3;
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.type' => '5', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$dates = $this->Course->find('all', array('conditions' => array('Course.user_id' => $id, 'Course.status' => '1')));
		$this->set(compact('coursess', 'id', 'uid', 'get_user', 'curdate', 'reg_infos','archives'));
	}
	/*detail*/
	public function detail22($d = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$this->Transaction->recursive = 3;
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.type' => '5', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$dts = $this->Course->find('all', array('conditions' => array('Course.cou_date LIKE' => $d.'%')));
		$this->set(compact('coursess', 'id', 'uid', 'get_user', 'curdate', 'reg_infos', 'dts', 'd'));
	}
	
		public function detail($id = null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
				$date_var = explode("-", $id);
				if($date_var[1] == "January"){
					$d = $date_var[0]."-01";
				} else if($date_var[1] == "February"){
					$d = $date_var[0]."-02";
				} else if($date_var[1] == "March"){
					$d = $date_var[0]."-03";
				} else if($date_var[1] == "April"){
					$d = $date_var[0]."-04";
				} else if($date_var[1] == "May"){
					$d = $date_var[0]."-05";
				} else if($date_var[1] == "June"){
					$d = $date_var[0]."-06";
				} else if($date_var[1] == "July"){
					$d = $date_var[0]."-07";
				} else if($date_var[1] == "August"){
					$d = $date_var[0]."-08";
				} else if($date_var[1] == "September"){
					$d = $date_var[0]."-09";
				} else if($date_var[1] == "October"){
					$d = $date_var[0]."-10";
				} else if($date_var[1] == "November"){
					$d = $date_var[0]."-11";
				} else if($date_var[1] == "December"){
					$d = $date_var[0]."-12";
				}
		
		
		
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$this->Transaction->recursive = 3;
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.type' => '1', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$dts = $this->Course->find('all', array('conditions' => array('Course.added_date LIKE' => $d.'%','Course.user_id' => $uid)));
		
		//pr($dts);exit;
		
		
		$this->set(compact('seminars', 'id', 'uid', 'get_user', 'curdate', 'reg_infos', 'dts', 'd'));
	}
	
		function edit($id = null){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$flag = true;
		$fileName = '';
		if(!empty($this->request->data)){
			$flag = true;
			//pr($this->request->data);exit;
			
		
			
/*			if(isset($this->request->data['Course']['pdf_file']['tmp_name']) && is_uploaded_file($this->request->data['Course']['pdf_file']['tmp_name'])){
					$extention_pdf = strtolower(strrchr($this->request->data['Course']['pdf_file']['name'],"."));
					$fileDetail_pdf = $this->request->data['Course']['pdf_file'];
					$this->request->data['Course']['pdf_file'] = "";
					if(!in_array($extention_pdf, $this->validPdfFormats)){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload Pdf only .', true), implode(", ", $this->validPdfFormats)));
					}
			      } else {
				       $this->request->data['Course']['pdf_file'] = $this->request->data['Course']['pre_pdf'];
			      }*/
			
			/*	if(isset($this->request->data['Course']['video_file']['tmp_name']) && is_uploaded_file($this->request->data['Course']['video_file']['tmp_name'])){
					$extention_video = strtolower(strrchr($this->request->data['Course']['video_file']['name'],"."));
					$fileDetail_video = $this->request->data['Course']['video_file'];
					$this->request->data['Course']['video_file'] = "";
					if(!in_array($extention_video, $this->validVideoFormats)){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload Video only .', true), implode(", ", $this->validVideoFormats)));
					}
			      } else {
				       $this->request->data['Course']['video_file'] = $this->request->data['Course']['pre_video'];
			      }*/
				  
				if(isset($this->request->data['Course']['video_file']['tmp_name']) && is_uploaded_file($this->request->data['Course']['video_file']['tmp_name'])){
				$extention_video = strtolower(strrchr($this->request->data['Course']['video_file']['name'], "."));
				$fileDetail_video = $this->request->data['Course']['video_file'];
				$this->request->data['Course']['video_file'] = '';					
				if(!in_array($extention_video, $this->validVideoFormats)){
					$flag = false;
					$this->Session->setFlash(sprintf(__('ERROR :: Please upload video only having %s extensions.', true), implode(", ", $this->validVideoFormats)));
				}
			}
			else{
				$this->request->data['Course']['video_file'] = $this->request->data['Course']['pre_video'];
			}				
			
				  
				  
				  if(isset($this->request->data['Course']['image_file']['tmp_name']) && is_uploaded_file($this->request->data['Course']['image_file']['tmp_name'])){
					$extention_img = strtolower(strrchr($this->request->data['Course']['image_file']['name'],"."));
					$fileDetail_img = $this->request->data['Course']['image_file'];
					$this->request->data['Course']['image_file'] = "";
					if(!in_array($extention_img, $this->validImageFormats)){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload image file only .', true), implode(", ", $this->validImageFormats)));
					}
			      } else {
				       $this->request->data['Course']['image_file'] = $this->request->data['Course']['pre_img'];
				  }				
			
			
			
			
			$this->request->data['Course']['user_id'] = $this->Session->read('Auth.User.id');
			//$this->request->data['Product']['post_date'] = date('Y-m-d h:i:s');
			/*$this->request->data['Course']['blocked'] = 0;*/
			//pr($this->request->data);exit;
						
			if($flag){
			
				if($this->Course->save($this->request->data)){
			/*		if(isset($fileDetail_video) && is_uploaded_file($fileDetail_video['tmp_name'])){
						$fileName_video = rand(0,9999).$this->request->data['Course']['title'].$extention_video;
							move_uploaded_file($fileDetail_video['tmp_name'], COURSE_FILES . $fileName_video);
							$this->Course->saveField('video_file', $fileName_video);
						if($this->request->data['Course']['pre_video'] != '' && $this->request->data['Course']['pre_video'] != $fileName_video){
							
							if(file_exists(COURSE_FILES . $this->request->data['Course']['pre_video'])){
								unlink(COURSE_FILES . $this->request->data['Course']['pre_video']);
							}
						}
						$this->request->data['Course']['video_file'] = $fileName_video;
					}*/
					
						if(isset($fileDetail_video) && is_uploaded_file($fileDetail_video['tmp_name'])){
						$fileName_video = rand().$this->Session->read('Auth.User.id').$this->request->data['Course']['title'].$extention_video;
						move_uploaded_file($fileDetail_video['tmp_name'], COURSE_FILES . $fileName_video);
						$this->Course->saveField('video_file', $fileName_video);
						if($this->request->data['Course']['pre_video'] != '' && $this->request->data['Course']['pre_video'] != $fileName_video){
							if(file_exists(COURSE_FILES . $this->request->data['Course']['pre_video'])){
								unlink(COURSE_FILES . $this->request->data['Course']['pre_video']);
							}
						}
						$this->request->data['Course']['video_file'] = $fileName_video;
					} 
					
					
					
					if(isset($fileDetail_img) && is_uploaded_file($fileDetail_img['tmp_name'])){
						$fileName_img = rand(0,9999).$this->request->data['Course']['user_id']."_".$this->request->data['Course']['title'].$extention_img;
							move_uploaded_file($fileDetail_img['tmp_name'], COURSEIMG_FILES . $fileName_img);
							$this->Course->saveField('image_file', $fileName_img);
						if($this->request->data['Course']['pre_img'] != '' && $this->request->data['Course']['pre_img'] != $fileName_img){
							if(file_exists(COURSEIMG_FILES . $this->request->data['Course']['pre_img'])){
								unlink(COURSEIMG_FILES . $this->request->data['Course']['pre_img']);
							}
						}
						$this->request->data['Course']['image_file'] = $fileName_img;
					}
					
				/*	if(isset($fileDetail_pdf) && is_uploaded_file($fileDetail_pdf['tmp_name'])){
						$fileName_pdf = rand(0,9999).$this->request->data['Course']['user_id']."_".$this->request->data['Course']['title'].$extention_pdf;
							move_uploaded_file($fileDetail_pdf['tmp_name'], COURSE_FILES . $fileName_pdf);
							$this->Course->saveField('pdf_file', $fileName_pdf);
						if($this->request->data['Course']['pre_pdf'] != '' && $this->request->data['Course']['pre_pdf'] != $fileName_pdf){
							if(file_exists(COURSE_FILES . $this->request->data['Course']['pre_pdf'])){
								unlink(COURSE_FILES . $this->request->data['Course']['pre_pdf']);
							}
						}
						$this->request->data['Course']['pdf_file'] = $fileName_pdf;
					}
					*/
					
					 
					
						$this->Session->setFlash(__('Course has been edited successfully.', true),'default', array('class' => 'success'));
						$this->redirect(array('controller' => 'users', 'action' => 'course', $this->Session->read('Auth.User.id')));
						//$this->redirect(array('action' => ''));
				} else {
				  $this->Session->setFlash(__('ERROR :: Course could not be edited. Please, try again.', true));
				}
			}
		} else {
		
			$this->request->data = $this->Course->read(null, $id);
			//pr($this->request->data);
			//$this->request->data['Course']['pre_pdf'] = $this->request->data['Course']['pdf_file'];
			$this->request->data['Course']['pre_video'] = $this->request->data['Course']['video_file'];
			$this->request->data['Course']['pre_img'] = $this->request->data['Course']['image_file'];
			
			//pr($book);exit;
			$this->set(compact('prod'));
		}		
		
	}
	
	




public function delete($id = null){
		
		$this->Course->id = $id;
		if (!$this->Course->exists()){
			throw new NotFoundException(__('Invalid product'));
		}
		
		
		$report = $this->Course->read(null, $id);
		//pr($report); exit;
		if ($this->Course->delete()){

			if($report['Course']['video_file'] != ""){
				if(file_exists(COURSE_FILES . $report['Course']['video_file'])){
					unlink(COURSE_FILES . $report['Course']['video_file']);
				}
			}
			
				$this->Session->setFlash(sprintf(__('The Course has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				//$this->redirect(array('controller' => 'courses', 'action' => 'index'));
		
		}
		else{
		$this->Session->setFlash(__('Course was not deleted'));
		}
$this->redirect(array('controller' => 'users', 'action' => 'course', $this->Session->read('Auth.User.id')));
	}
	




	
	
	/*registrants*/
	public function registrants($id=null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$this->Transaction->recursive = 3;
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.type' => '5', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$courses = $this->Course->find('all', array('conditions' => array('Course.user_id' => $id, 'Course.status' => '1')));
		$this->set(compact('courses', 'id', 'uid', 'get_user', 'curdate', 'reg_infos'));
	}
	/*payments*/
	public function payments($id=null){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$reg_infos = $this->Transaction->find('all', array('conditions' => array('Transaction.type' => '5', 'Transaction.status' => 'Completed')));
		$total = $this->Transaction->find('list', array('fields' => 'Transaction.amount', 'conditions' => array('Transaction.type' => '5', 'Transaction.status' => 'Completed')));
		$get_user = $this->User->find('first', array('conditions' => array('User.id' => $uid)));
		$courses = $this->Course->find('all', array('conditions' => array('Course.user_id' => $id, 'Course.status' => '1')));
		$this->set(compact('courses', 'id', 'uid', 'get_user', 'curdate', 'reg_infos', 'total'));
	}
	
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	public function sections($id = null){
			if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
			}
			$sections = $this->Section->find('all', array('conditions' => array('Section.cousse_id' => $id , 'Section.user_id' => $this->Session->read('Auth.User.id'))));
			//pr($sections);exit;
			$this->set(compact('sections','id'));
		}
	
	public function addsection($id = null){
			if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
			}
			
			if (!empty($this->request->data)) {
			     $get_name = $this->Section->find('first', array('conditions' => array('Section.name' => trim($this->request->data['Section']['name']),'Section.cousse_id' => $id)));
				 if($get_name){
				     $this->Session->setFlash(__('ERROR :: Same name address already exists.', true));
					 }else{
					      $this->request->data['Section']['cousse_id'] = $id;
						  $this->request->data['Section']['user_id'] = $this->Session->read('Auth.User.id');
					      $this->Section->create();
				          if ($this->Section->save($this->request->data)) {
					             $this->Session->setFlash(__('Section has been successfully saved'));
					            $this->redirect(array('action' => 'sections/'.$id));
				          } else {
					        $this->Session->setFlash(__('Section could not be saved. Please, try again.'));
			           	}
					 }
			}
	        $this->set(compact('id'));
	}
	
	
   public function sectionedit($id = null , $cid = null ){
   			if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
			}
			
			$linkExist=$this->Section->read(null,$id);
		    if(!$linkExist){
			$this->Session->setFlash(__('ERROR :: Invalid Request', true));
			$this->redirect(array('action'=>'sections/'.$id));
			}
			
			if (!empty($this->request->data)) {
	                            	$get_name = $this->Section->find('first', array('conditions' => array('Section.name' => $this->request->data['Section']['name'],'Section.cousse_id' => $cid, 'Section.id <>' => $id)));
			                       if($get_name){
				                              $this->Session->setFlash(__('ERROR :: Same email address already exists.', true));
			                                    }else{
					                                     $this->Section->create();
				                                        if ($this->Section->save($this->request->data)) {
					                                        $this->Session->setFlash(__('Section has been successfully edited'));
					                                        $this->redirect(array('action' => 'sections/'.$cid));
				                                            } else {
					                                                $this->Session->setFlash(__('Section could not be saved. Please, try again.'));
			           	                                    }
												}
			}else{
			      $this->request->data=$linkExist;
			}
			$this->set(compact('id','cid'));
   }



public function secdelete($id = null,$cid= null){
		
		$this->Course->id = $id;
		if (!$this->Course->exists()){
			throw new NotFoundException(__('Invalid product'));
		}
		
		
		$report = $this->Section->read(null, $id);
		//pr($report); exit;
		if ($this->Section->delete()){

			
			
				$this->Session->setFlash(sprintf(__('The Section has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				//$this->redirect(array('controller' => 'courses', 'action' => 'index'));
		
		}
		else{
		$this->Session->setFlash(__('Section was not deleted'));
		}
$this->redirect(array('controller' => 'courses', 'action' => 'sections', $cid));
	}
   
   
   	public function sectioncontent($id = null , $cid = null){
			if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
			}
			$sectioncontent = $this->Sectioncontent->find('all', array('conditions' => array('Sectioncontent.section_id' => $id , 'Sectioncontent.course_id' => $cid,  'Sectioncontent.userid' => $this->Session->read('Auth.User.id'))));
			//pr($sections);exit;
			$this->set(compact('sectioncontent','id','cid'));
		}	
		
		
		public function addsectioncontent($id = null , $cid = null ){
			if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
			}
			
			if (!empty($this->request->data)) {
			
						     $get_name = $this->Sectioncontent->find('first', array('conditions' => array('Sectioncontent.title' => trim($this->request->data['Sectioncontent']['title']),'Sectioncontent.section_id' => $id , 'Sectioncontent.course_id' => $cid )));
				 if($get_name){
				     $this->Session->setFlash(__('ERROR :: Same name address already exists.', true));
					 }else{
			
			        if(isset($this->request->data['Sectioncontent']['file']['tmp_name']) && is_uploaded_file($this->request->data['Sectioncontent']['file']['tmp_name'])){
					$extention = strtolower(strrchr($this->request->data['Sectioncontent']['file']['name'],"."));
					$fileDetail = $this->request->data['Sectioncontent']['file'];
					$this->request->data['Sectioncontent']['file'] = "";
					}else{
					$this->request->data['Sectioncontent']['file'] = "";
					}
					
					
				    if(isset($this->request->data['Sectioncontent']['full_file']['tmp_name']) && is_uploaded_file($this->request->data['Sectioncontent']['full_file']['tmp_name'])){
					$extention_full = strtolower(strrchr($this->request->data['Sectioncontent']['full_file']['name'],"."));
					$fileDetail_full = $this->request->data['Sectioncontent']['full_file'];
					$this->request->data['Sectioncontent']['full_file'] = "";
					}else{
					$this->request->data['Sectioncontent']['full_file'] = "";
					}
					
						if(isset($this->request->data['Sectioncontent']['video_file']['tmp_name']) && is_uploaded_file($this->request->data['Sectioncontent']['video_file']['tmp_name'])){
					$extention_video = strtolower(strrchr($this->request->data['Sectioncontent']['video_file']['name'],"."));
					$fileDetail_video = $this->request->data['Sectioncontent']['video_file'];
					//$this->request->data['Sectioncontent']['video_file'] = "";
					if(!in_array(strtolower($extention_video), array('.mp4'))){
						$flag_video = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload Video only .', true), implode(", ", $this->validVideoFormats)));
					}
					$this->request->data['Sectioncontent']['video_file']=$this->request->data['Sectioncontent']['video_file']['name'];
					
			      } else {
				       $this->request->data['Sectioncontent']['video_file'] = '';
			      }
					
					
					
					
					      $this->request->data['Sectioncontent']['course_id']  = $cid;
						  $this->request->data['Sectioncontent']['section_id'] = $id;
						  $this->request->data['Sectioncontent']['userid']     = $this->Session->read('Auth.User.id');
					      $this->Sectioncontent->create();
				          if ($this->Sectioncontent->save($this->request->data)) {
						  
						           if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) {
												$fileName = $this->Sectioncontent->id.str_replace(' ', '', stripslashes(trim($fileDetail['name'])));
												move_uploaded_file($fileDetail['tmp_name'], SECTIONCONTENT_IMAGES . $fileName);
												$this->Sectioncontent->saveField('file', $fileName);
											}
											
											
								   if(isset($fileDetail_full) && is_uploaded_file($fileDetail_full['tmp_name'])) {
												$fileName_full = "R".$this->Sectioncontent->id.str_replace(' ', '', stripslashes(trim($fileDetail_full['name'])));
												move_uploaded_file($fileDetail_full['tmp_name'], SECTIONCONTENT_IMAGES . $fileName_full);
												$this->Sectioncontent->saveField('full_file', $fileName_full);
											}	
											
											
											
											if(isset($fileDetail_video) && is_uploaded_file($fileDetail_video['tmp_name'])) {
												$vfileName = $this->Sectioncontent->id.str_replace(' ', '', stripslashes(trim($fileDetail_video['name'])));
												move_uploaded_file($fileDetail_video['tmp_name'], SECTIONCONTENT_VIDEO . $vfileName);
												$this->Sectioncontent->saveField('video_file', $vfileName);
											}
					
					              $this->Session->setFlash(__('Content has been successfully saved'));
					              $this->redirect(array('action' => 'sectioncontent/'.$id.'/'. $cid));
				          } else {
					        $this->Session->setFlash(__('Section could not be saved. Please, try again.'));
			           	}
					}	
			}
	        $this->set(compact('id','cid'));
	}	
	
	
	   public function sectioncontentedit($id = null , $sid = null , $cid = null ){
   			if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
			}
			
			$linkExist=$this->Sectioncontent->read(null,$id);
		    if(!$linkExist){
			$this->Session->setFlash(__('ERROR :: Invalid Request', true));
			$this->redirect(array('action'=>'Sectioncontent/'.$sid."/".$cid));
			}
			
			if (!empty($this->request->data)) {
	                            	$get_name = $this->Sectioncontent->find('first', array('conditions' => array('Sectioncontent.title' => trim($this->request->data['Sectioncontent']['title']),'Sectioncontent.course_id' => $cid, 'Sectioncontent.section_id' => $sid,'Sectioncontent.id <>' => $id)));
			                       if($get_name){
				                              $this->Session->setFlash(__('ERROR :: Same title address already exists.', true));
			                                    }else{
												
												
												if(isset($this->request->data['Sectioncontent']['file']['tmp_name']) && is_uploaded_file($this->request->data['Sectioncontent']['file']['tmp_name'])) {
					                            $extention = strtolower(strrchr($this->request->data['Sectioncontent']['file']['name'],"."));
												$fileDetail = $this->request->data['Sectioncontent']['file'];
												$this->request->data['Sectioncontent']['file'] = "";
												
												/*if(!in_array($extention, $this->validImageFormats)) {
													$flag = false;
													$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
												}*/
											} 
											else {
							
												$this->request->data['Sectioncontent']['file'] = $this->request->data['Sectioncontent']['pre_file'];
											}
												
												
										   	if(isset($this->request->data['Sectioncontent']['full_file']['tmp_name']) && is_uploaded_file($this->request->data['Sectioncontent']['full_file']['tmp_name'])) {
					                            $extention_full = strtolower(strrchr($this->request->data['Sectioncontent']['full_file']['name'],"."));
												$fileDetail_full = $this->request->data['Sectioncontent']['full_file'];
												$this->request->data['Sectioncontent']['full_file'] = "";
												
												/*if(!in_array($extention, $this->validImageFormats)) {
													$flag = false;
													$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
												}*/
											} 
											else {
							
												$this->request->data['Sectioncontent']['full_file'] = $this->request->data['Sectioncontent']['pre_full_file'];
											}	
											
											
											
											
											if(isset($this->request->data['Sectioncontent']['video_file']['tmp_name']) && is_uploaded_file($this->request->data['Sectioncontent']['video_file']['tmp_name'])){
				$extention_video = strtolower(strrchr($this->request->data['Sectioncontent']['video_file']['name'], "."));
				$fileDetail_video = $this->request->data['Sectioncontent']['video_file'];
									
				if(!in_array(strtolower($extention_video), array('.mp4'))){
				    $this->request->data['Sectioncontent']['video_file'] = '';
					$flag = false;
					$this->Session->setFlash(sprintf(__('ERROR :: Please upload video only having %s extensions.', true), implode(", ", $this->validVideoFormats)));
				}
				else{
				 $this->request->data['Sectioncontent']['video_file'] = $this->request->data['Sectioncontent']['video_file']['name'];   
				    
				}
											}	
			else{
				$this->request->data['Sectioncontent']['video_file'] = $this->request->data['Sectioncontent']['pre_video'];
			}			
												
																		
							//print_r($this->request->data);
			
			//exit;					
												
					                                    // $this->Sectioncontent->create();
				                                        if ($this->Sectioncontent->save($this->request->data)) {
														
														if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) {
															$fileName = $this->Sectioncontent->id.str_replace(' ', '', stripslashes(trim($fileDetail['name'])));
															move_uploaded_file($fileDetail['tmp_name'], SECTIONCONTENT_IMAGES . $fileName);
															$this->Sectioncontent->saveField('file', $fileName);
									
															if($this->request->data['Sectioncontent']['file']!='' && $this->request->data['Sectioncontent']['file']!=$fileName)
															{
																if(file_exists(SECTIONCONTENT_IMAGES . $this->request->data['Sectioncontent']['file']))
																{
																	unlink(SECTIONCONTENT_IMAGES . $this->request->data['Sectioncontent']['file']);
																}
															}
															$this->request->data['Sectioncontent']['file'] = $fileName;
														}
														
														
														if(isset($fileDetail_full) && is_uploaded_file($fileDetail_full['tmp_name'])) {
															$fileName_full = "R".$this->Sectioncontent->id.str_replace(' ', '', stripslashes(trim($fileDetail_full['name'])));
															move_uploaded_file($fileDetail_full['tmp_name'], SECTIONCONTENT_IMAGES . $fileName_full);
															$this->Sectioncontent->saveField('full_file', $fileName_full);
									
															if($this->request->data['Sectioncontent']['full_file']!='' && $this->request->data['Sectioncontent']['full_file']!=$fileName_full)
															{
																if(file_exists(SECTIONCONTENT_IMAGES . $this->request->data['Sectioncontent']['full_file']))
																{
																	unlink(SECTIONCONTENT_IMAGES . $this->request->data['Sectioncontent']['full_file']);
																}
															}
															$this->request->data['Sectioncontent']['full_file'] = $fileName_full;
														}
														
														
																												if(isset($fileDetail_video) && is_uploaded_file($fileDetail_video['tmp_name'])) {
															$fileName_full = "R".$this->Sectioncontent->id.str_replace(' ', '', stripslashes(trim($fileDetail_video['name'])));
															move_uploaded_file($fileDetail_video['tmp_name'], SECTIONCONTENT_VIDEO . $fileName_full);
															$this->Sectioncontent->saveField('video_file', $fileName_full);
									
															if($this->request->data['Sectioncontent']['video_file']!='' && $this->request->data['Sectioncontent']['video_file']!=$fileDetail_video)
															{
																if(file_exists(SECTIONCONTENT_VIDEO . $this->request->data['Sectioncontent']['video_file']))
																{
																	unlink(SECTIONCONTENT_VIDEO . $this->request->data['Sectioncontent']['video_file']);
																}
															}
															$this->request->data['Sectioncontent']['video_file'] = $fileDetail_video;
														}
														
														
					                                        $this->Session->setFlash(__('Content has been successfully edited'));
					                                        $this->redirect(array('action' => 'sectioncontent/'.$sid."/".$cid));
				                                            } else {
					                                                $this->Session->setFlash(__('Section could not be saved. Please, try again.'));
			           	                                    }
												}
			}else{
			      $this->request->data=$linkExist;
				//  pr($linkExist);
			}
			$this->set(compact('id','sid','cid'));
   }
   
   public function sectioncontentvideodel(){
		
		$vdo_type = $_POST['vdo_type'];
	  $id = $_POST['contentid'];

			$report=$this->Sectioncontent->read(null,$id);
			$this->request->data['Sectioncontent']['video_file'] = '';
			if ($this->Sectioncontent->save($this->request->data)) {
		
		//pr($report); exit;

			if($report['Sectioncontent']['video_file'] != ""){
				if(file_exists(SECTIONCONTENT_VIDEO . $report['Sectioncontent']['video_file'])){
					unlink(SECTIONCONTENT_VIDEO . $report['Sectioncontent']['video_file']);
				}
			}
			

			echo '1';
		
		}
		else{
	
	echo '0';
		}
		exit;

	}
   
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
public function courselisting($id = null){
             /* if(!$this->Session->read('Auth.User.id')){
			             $this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		         }*/
				// $this->User->recursive = 2;
				 $get_user_detail2 = $this->User->find('first',array('conditions' => array('User.id' => $id)));
				 
				 $get_course_detail = $this->Course->find('all',array('conditions' => array('Course.user_id' => $id,'Course.status'=>1)));
				 //pr($get_course_detail);//exit;
				 
				  
				 $this->set('get_course_detail', $this->paginate());
				 
				//echo  $count = $this->Comment->find('count',array('conditions'=>array('Comment.topic_id'=>$get_course_detail['Course']['id']))); 
				 
				 
				  //$total = $this->Comment->find('first', array('conditions'=>array('Comment.topic_id'=>$id), 'fields'=>array('sum(Comment.rating) as total')));
		          
				 
				 
		        /*  if($count!=0 and $total!=0){
		          $rating = round($total[0]['total'] / $count);
		          }*/
				 
				 
				 $this->set(compact('get_course_detail','id','get_user_detail2','count'));
		

}



public function coursedetails($id = null,$order_id = null){
//echo $order_id;
          /*if(!$this->Session->read('Auth.User.id')){
			             $this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		         }*/
			$this->Course->recursive = 2;
			$linkExist=$this->Course->read(null,$id);
		    if(!$linkExist){
			$this->Session->setFlash(__('ERROR :: Invalid Request', true));
			$this->redirect(array('action'=>'sections/'.$id));
			}
			 $comment = $this->Comment->find('all',array('conditions' => array('Comment.topic_id' => $id,'Comment.status' => 1)));
	       // pr($comment);
		   
		//   $total = $this->Comment->find('all', array('Comment.rating' => array('SUM(Comment.rating) AS total' ),'group' => 'Comment.topic_id'));
		 
		  $total = $this->Comment->find('first', array('conditions'=>array('Comment.topic_id'=>$id,'Comment.status' => 1), 'fields'=>array('sum(Comment.rating) as total')));
		  $count = $this->Comment->find('count',array('conditions'=>array('Comment.topic_id'=>$id,'Comment.status' => 1)));  
		 if($count!=0 and $total!=0){
		 $rating = round($total[0]['total'] / $count);
		 }
		 $ttotal = $total[0]['total'];
		$rating5 = $this->Comment->find('count',array('conditions'=>array('Comment.topic_id'=>$id,'Comment.status' => 1, 'Comment.rating'=>5)));  
		 $rating4 = $this->Comment->find('count',array('conditions'=>array('Comment.topic_id'=>$id,'Comment.status' => 1, 'Comment.rating'=>4))); 
		 $rating3 = $this->Comment->find('count',array('conditions'=>array('Comment.topic_id'=>$id,'Comment.status' => 1, 'Comment.rating'=>3))); 
         
		 if($count>0){
		  $five  = ($rating5 / $count ) * 100 ;
		  }
		  else{
		  $five  =0;
		  }
		   if($count>0){
		  $four  = ($rating4 / $count ) * 100 ;
		  }
		  else{
		   $four  =0;
		  }
		   if($count>0){
		  $three = ($rating3 / $count ) * 100 ;
		   }
		  else{
		   $three  =0;
		  }
		 $this->set(compact('linkExist','id','comment','rating','rating5','rating4','rating3','five','four','three','order_id'));
}




function videodetails($fname = null){
		$this->layout = '';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		
		$this->set(compact('fname'));
	}






























//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	
}