<?php
App::uses('AppController','Controller');
/**
 * Eventshome Controller
 *
 * @property Category $Category
 */
class EventshomesController extends AppController {


var $uses = array('Eventshome','Country','Eventurl','Speaker','EventDelegate');

	/* --------------------------------------------------------------- START :: ADMIN PANEL FUNCTIONS --------------------------------------- */

	public function admin_index()
	{
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		/*$total_cat="";
		$total=$this->Category->find('count');
		for($i=1;$i<=$total;$i++){
			$total_cat[$i]=$i;
		}*/
		$this->Eventshome->recursive = 0;
		//$this->paginate = array('order' => array('display_order' => 'asc'));		
		
		//pr($cat);
		
		$event = $this->Eventshome->find('all');
		$this->set(compact('event'));
	}
/*****************************  admin add ******************************/





public function admin_add(){
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		/*$total_cat="";
		$total=$this->Category->find('count') +1;
		for($i=1;$i<=$total;$i++){
			$total_cat[$i]=$i;
		}*/
		$countryz = $this->Country->find('list', array('fields' =>array('id','name')));
		
		$sp = $this->Speaker->find('list', array('fields' =>array('id','name')));
		//pr($this->request->data);exit;
		
		if (!empty($this->request->data)){
			$get_event_name = $this->Eventshome->find('first', array('conditions' => array('Eventshome.event_title' => $this->request->data['Eventshome']['event_title'])));
			if($get_event_name){
				$this->Session->setFlash(__('ERROR :: Same event already exists.', true));
			}
			else{
				$flag = true;
				
				if($this->request->data['Eventshome']['speaker']!="")
				{
					$speaker = implode(',', $this->request->data['Eventshome']['speaker']);
					$this->request->data['Eventshome']['speaker'] = $speaker;
				//echo $speaker;exit;
				
				}
				else{
					$this->request->data['Eventshome']['speaker'] ='';
				}
				
				
				if(isset($this->request->data['Eventshome']['event_photo']['tmp_name']) && is_uploaded_file($this->request->data['Eventshome']['event_photo']['tmp_name'])) 
				{
					$extention = strtolower(strrchr($this->request->data['Eventshome']['event_photo']['name'],"."));
					$fileDetail = $this->request->data['Eventshome']['event_photo'];
					$this->request->data['Eventshome']['event_photo'] = "";
					
					if(!in_array($extention, $this->validImageFormats)) 
					{
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				} 
				else 
				{
					$this->request->data['Eventshome']['event_photo'] = '';
				}

          if($flag) 
			{
				$this->Eventshome->create();
				//$display_order_exist=$this->Category->find('first',array('conditions'=>array('Category.display_order'=>$this->request->data['Category']['display_order'])));
				if ($this->Eventshome->save($this->request->data)){					
					
					if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) 
						{						
							$fileName = $this->Eventshome->id.str_replace(' ', '_', stripslashes(trim($fileDetail['name'])));
							move_uploaded_file($fileDetail['tmp_name'], EVENTSHOME_PHOTOS . $fileName);
							$this->Eventshome->saveField('event_photo', $fileName);
						}	
					
					$this->Session->setFlash(__('The Event has been saved successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'index'));
				   } 
				else{
					$this->Session->setFlash(__('ERROR :: The Event could not be saved. Please, try again.', true));
				}
			}
		}
		

		/*if (empty($this->request->data)){
			$this->request->data['Category']['display_order']=$total;
		}*/
	//	pr($country);
		
	}

	$this->set(compact('countryz','sp'));

}

/**********************   admin add ********************/
	
/********************** admin edit ********************/
	
	
	public function admin_edit($id = null){
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}

		
		
		$this->Eventshome->id = $id;
		$event_detail = $this->Eventshome->read();
		
		
		$cntry = $this->Country->find('list', array('fields' =>array('id','name')));
		$sp = $this->Speaker->find('list', array('fields' =>array('id','name')));
		//pr($cntry);exit;
		//$event_detail = $this->Eventshome->read($id);
		//pr($event_detail);exit;
		
		if (!$id && empty($this->request->data)){
			$this->Session->setFlash(__('ERROR :: Invalid Event.', true));
			$this->redirect(array('action' => 'index'));
		}
		if (!empty($this->request->data)){			
			$get_event = $this->Eventshome->find('first', array('conditions' => array('Eventshome.event_title' => $this->request->data['Eventshome']['event_title'], 'Eventshome.id <>' => $this->request->data['Eventshome']['id'])));
			if($get_event){
				$this->Session->setFlash(__('ERROR :: Same Event already exists.', true));
			}
			else{
				
				$flag=true;
				
				if($this->request->data['Eventshome']['speaker']!="")
				{
					$speaker = implode(',', $this->request->data['Eventshome']['speaker']);
					$this->request->data['Eventshome']['speaker'] = $speaker;
				//echo $speaker;exit;
				
				}
				else{
					$this->request->data['Eventshome']['speaker'] ='';
				}
				
				if(isset($this->request->data['Eventshome']['event_photo']['tmp_name']) && is_uploaded_file($this->request->data['Eventshome']['event_photo']['tmp_name'])) 
				{
					$extention = strtolower(strrchr($this->request->data['Eventshome']['event_photo']['name'],"."));
					$fileDetail = $this->request->data['Eventshome']['event_photo'];
					$this->request->data['Eventshome']['event_photo'] = "";
					
					if(!in_array($extention, $this->validImageFormats)) 
					{
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				} 
				else 
				{
					$this->request->data['Eventshome']['event_photo'] = $event_detail['Eventshome']['event_photo'];
				}
				
			if($flag) 
			{
				$this->Eventshome->create();
				
				if ($this->Eventshome->save($this->request->data)){
					if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) 
						{						
							$fileName = $this->Eventshome->id.str_replace('', '_', stripslashes(trim($fileDetail['name'])));
							move_uploaded_file($fileDetail['tmp_name'], EVENTSHOME_PHOTOS . $fileName);
							$this->Eventshome->saveField('event_photo', $fileName);
							
							if($this->request->data['Eventshome']['event_photo'] != '' && $this->request->data['Eventshome']['event_photo'] != $fileName){
							if(file_exists(EVENTSHOME_PHOTOS . $event_detail['Eventshome']['event_photo'])){
								unlink(EVENTSHOME_PHOTOS . $event_detail['Eventshome']['event_photo']);
								}
							}
                          /*if($this->request->data['Eventshome']['event_photo']=='')
						  {
						  	
							$this->request->data['Eventshome']['event_photo'] =$event_detail['Eventshome']['event_photo'];
						  }*/
						  						$this->request->data['Eventshome']['event_photo'] = $fileName;
						}	
					
					$this->Session->setFlash(__('The Event has been updated successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'index'));
				   } 
				else{
					$this->Session->setFlash(__('ERROR :: The Event could not be updated. Please, try again.', true));
				}
			}
		}
	}
		if (empty($this->request->data)) {
			$this->request->data = $this->Eventshome->read();
			
		}
		
		$this->set(compact('cntry','event_detail','sp'));
	
	}
	
	
/********************************* admin edit ***********************************/

/***********admin delete ***********/

public function admin_delete($id=null)
{
	
if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		$this->Eventshome->id = $id;
	
		
		$event = $this->Eventshome->read(null, $id);
		//pr($report); exit;
		if ($this->Eventshome->delete()){
			
			
			if($event['Eventshome']['event_photo'] != ""){			
				if(file_exists(EVENTSHOME_PHOTOS . $event['Eventshome']['event_photo'])){
					unlink(EVENTSHOME_PHOTOS . $event['Eventshome']['event_photo']);
				}
			}
		
			
				$this->Session->setFlash(sprintf(__('The Event has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('controller' => 'eventshomes', 'action' => 'admin_index'));
	  } 
}
    


/************admin delete *******/

/***********  event  url ************/
/*
public function admin_eventurl_index($id=null)
	{
		if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
		//$this->Eventshome->recursive = 0;
		//$this->paginate = array('order' => array('display_order' => 'asc'));		
		
		//pr($cat);
		$this->Eventshome->id = $id;
		$ev = $this->Eventshome->read();
		//pr($ev);exit;
		//$eventurl = $this->Eventurl->find('all');
		//pr($eventurl);exit;
		$this->set(compact('eventurl','ev'));
	}



public function admin_eventurl_add($id=null)
{
	
	
	if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		//$this->Eventurl->id = $id;
		//$event = $this->Eventurl->read();
		
		$event = $this->Eventshome->find('first', array('fields' =>array('id','event_title'),'conditions'=>array('Eventshome.id'=>$id)));
		
		$this->set(compact('event'));
		//$this->set(compact('countryz'));
		
		if (!empty($this->request->data)){
			$get_ev_url = $this->Eventurl->find('first', array('conditions' => array('Eventurl.url_title' => $this->request->data['Eventurl']['url_title'], 'Eventurl.url' => $this->request->data['Eventurl']['url'])));
			if($get_ev_url){
				$this->Session->setFlash(__('ERROR :: Same Event Url already exists.', true));
			}
			else{
				$this->Eventurl->create();
				//$display_order_exist=$this->Category->find('first',array('conditions'=>array('Category.display_order'=>$this->request->data['Category']['display_order'])));
				if ($this->Eventurl->save($this->request->data)){
					
					$this->Session->setFlash(__('The Eventurl has been saved successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'eventurl_index',$id));
					
				    }
				else {
				$this->Session->setFlash(__('ERROR :: The Eventurl could not be saved. Please, try again.', true));
				
				}
			  }	
		}
		 
		
		
	
	
	
}



public function admin_eventurl_edit($id=null)
{
	if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
	//	$this->Eventhome->id = $id;
	//	$event_detail = $this->Eventhome->read();
		
		//$event_detail = $this->Eventshome->read($id);
		//pr($event_detail);exit;
		$this->Eventurl->id = $id;
		
		$url_detail = $this->Eventurl->read();
	//	pr($url_detail);exit;
		
		if (!$id && empty($this->request->data)){
			$this->Session->setFlash(__('ERROR :: Invalid Eventurl.', true));
			$this->redirect(array('action' => 'eventurl_index',$id));
		}
		if (!empty($this->request->data)){			
			$get_event = $this->Eventshome->find('first', array('conditions' => array('Eventurl.url_title' => $this->request->data['Eventurl']['url_title'], 'Eventurl.uid <>' => $this->request->data['Eventurl']['uid'])));
			if($get_event){
				$this->Session->setFlash(__('ERROR :: Same Event Url already exists.', true));
			}
			else{
				
					
			
				$this->Eventurl->create();
				
				if ($this->Eventurl->save($this->request->data)){
					
					
					$this->Session->setFlash(__('The Event Url has been updated successfully.', true), 'default', array('class' => 'success'));
					$this->redirect(array('action' => 'eventurl_index',$id));
				   } 
				else{
					$this->Session->setFlash(__('ERROR :: The Event Url could not be updated. Please, try again.', true));
				}
			
		     }
	    }
		
		if (empty($this->request->data)) {
			$this->request->data = $this->Eventurl->read();
			
		}
		
		$this->set(compact('url_detail'));
	
	}
//}



public function admin_eventurl_delete($id=null)
{
	
	if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
	
		$this->Eventurl->id = $id;
		$event = $this->Eventurl->read();
		//pr($event); exit;
		if ($this->Eventurl->delete()){
			
						
				$this->Session->setFlash(sprintf(__('The Event url has been deleted successfully.', true), ''), 'default', array('class' => 'success'));
				$this->redirect(array('controller' => 'eventshomes', 'action' => 'admin_eventurl_index'));
	  } 
}*/
/***********  event delete  url ************/
/* --------------------------------------------------------------- END :: ADMIN PANEL FUNCTIONS --------------------------------------- */

/**************** Frontend Functions ************/


public function index()
{
	
	$this->Eventshome->recursive = 0;
		
	$eventhome = $this->Eventshome->find('all');
	
	
	
	//$this->set(compact('event'));
}

public function details($url=null)
{
	
	//$this->Eventshome->recursive = 0;
		
	//$event_details = $this->Eventshome->read(null,$id);
  //$sp_details = $this->Eventshome->find('first',array('fields'=>array('id','speaker'),'conditions'=>array('Eventshome.event_seo_url'=>$id,'Eventshome.event_is_active'=>'1')));		
	$delegate = $this->EventDelegate->find('all',array('conditions'=>array('EventDelegate.is_active'=>'1')));
		
	$event_details = $this->Eventshome->find('first',array('conditions'=>array('Eventshome.event_seo_url'=>$url,'Eventshome.event_is_active'=>'1')));

	if(!empty($event_details['Eventshome']['speaker']))
	{	
	
		$sp_id = explode(',',$event_details['Eventshome']['speaker']);
	
		$sp_details = $this->Speaker->find('all',array('conditions'=>array('Speaker.id'=>$sp_id)));
	
	}
	
	//pr($sp_id);exit;	
	//pr($sp_details);exit;	
	
	
	$this->set(compact('event_details','sp_details','delegate'));
}


public function upcoming_events($id=null)
{
	$title='';
	if($id=='1')
	{
		$title = 'IAII Events Schedule - U.S.';
		
	}
	else {
		$title = 'IAII Events Schedule - International';
	}
	   $event_cat =  $this->Eventshome->find('all',array('conditions'=>array('date(Eventshome.event_from_date) >='=> date('Y-m-d'),'date(Eventshome.event_to_date) >='=> date('Y-m-d'),'Eventshome.event_is_active'=>'1','Eventshome.event_schedule'=>$id),'order'=>array('date(Eventshome.event_from_date) ASC')));
		//pr($event_cat);exit;
		$delegate = $this->EventDelegate->find('all',array('conditions'=>array('EventDelegate.is_active'=>'1')));
		
		//pr($delegate);exit;
		
		$this->set(compact('event_cat','title','delegate'));
}

public function past_events()
{
	$year =  $this->Eventshome->find('all',array('conditions'=>array('date(Eventshome.event_from_date) <'=> date('Y-m-d')),'group'=>'YEAR(Eventshome.event_from_date)'));
	// pr($year);exit();
		$past_event = $this->Eventshome->find('all',array('conditions'=>array('date(Eventshome.event_from_date) <'=> date('Y-m-d'),'date(Eventshome.event_to_date) < '=> date('Y-m-d'),'Eventshome.event_is_active'=>'1'),'order'=>array('date(Eventshome.event_from_date) DESC')));
		//pr($past_event);exit;
		$delegate = $this->EventDelegate->find('all',array('conditions'=>array('EventDelegate.is_active'=>'1')));
		$this->set(compact('past_event','delegate'));
}




/********************  Frontend  ***************/


}


?>