<?php
App::uses('AppController', 'Controller');
/**
* Products Controller
*
* @property Product $Product
*/
class GroupsController extends AppController {
	public $uses = array('Group', 'User', 'Approval', 'Message', 'Groupapproval', 'Groupmember', 'Grouppost', 'Like', 'Comment', 'Groupevent', 'Grouppostlike','Funnel');
	/* --------------------------------------------------------------- START :: ADMIN PANEL FUNCTIONS --------------------------------------- */
/**
* index method
*					
* @return void
*/
	public function admin_index(){
		
		    
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}		$this->Group->recursive = 2;
		
		if (!empty($this->request->data)){
			//pr($this->request->data);exit;
			$conditions=array();
			/*if(isset($this->request->data['Product']['category_id']) && $this->request->data['Product']['category_id']){
				$conditions=array_merge($conditions,array('Product.category_id' => $this->request->data['Product']['category_id']));
			}*/
			if(isset($this->request->data['Group']['search']) && $this->request->data['Group']['search']){
				$temp=explode(' ',trim($this->request->data['Group']['search']));
				$whereClause="";
				for($i=0;$i<count($temp);$i++){
					$whereClause.='User.first_name like '."'%".$temp[$i]."%'".' OR User.last_name like '."'%".$temp[$i]."%'";
					if($i!=count($temp)-1){
						$whereClause.=" OR ";
					}
				}
			$users=$this->User->find('list',array('conditions'=>array($whereClause)));
			if(empty($users)){
				$users=array('0'=>'0');
			}
				$conditions=array_merge($conditions,array('Group.user_id IN ('.implode(',',$users).')'));
			}
			$this->paginate = array('conditions' =>$conditions, 'order' => array('Group.id' => 'ASC'));
		} else {
			$this->paginate = array('order' => array('Group.id' => 'ASC'));
		}
		$this->set('group', $this->paginate());
		//$cat_options = $this->Category->find('list', array('fields' => array('Category.id', 'Category.category_name')));
		//$user_options=$this->User->find('list', array('fields' => array('User.id', 'User.username'),'conditions'=>array('User.user_type'=>4)));
		$users=$this->User->find('all', array('fields' => array('User.id', 'User.first_name','User.last_name'),'conditions'=>array('User.user_type'=>2)));
		$user_options="";
		if($users){
			foreach($users as $u){
				$user_options[$u['User']['id']]=$u['User']['first_name'].' '.$u['User']['last_name'];
			}
		}
		$this->set(compact('users'));
	}
/**
* view method
*
* @throws NotFoundException
* @param string $id
* @return void
*/
	/*public function view($id = null) {
		$this->Product->id = $id;
		if (!$this->Product->exists()) {
			throw new NotFoundException(__('Invalid product'));
		}
		$this->set('product', $this->Product->read(null, $id));
	}*/
/**
* add method
*
* @return void
*/

	public function admin_view($id = null){
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}




		$this->Group->recursive = 1;
		$this->Group->id = $id;
		if (!$this->Group->exists()){
			throw new NotFoundException(__('Invalid product'));
		}
		
		$group = $this->Group->find('first', array('conditions'=>array('Group.id'=>$id)));
		
		$this->Groupmember->recursive = 0;
		$group_member = $this->Groupmember->find('all', array('conditions'=>array('Groupmember.group_id'=>$id, 'Groupmember.status'=>1)));
		
		
		
		//pr($group); pr($group_member);exit;
		
		
		$this->set(compact('group','group_member'));


	}












	public function admin_add(){
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		if ($this->request->is('post')){
			//pr($_POST);exit;
			if(isset($this->request->data['Product']['image']['tmp_name']) && is_uploaded_file($this->request->data['Product']['image']['tmp_name'])){
				$extention = strtolower(strrchr($this->request->data['Product']['image']['name'],"."));
				$fileDetail = $this->request->data['Product']['image'];
				$this->request->data['Product']['image'] = "";
				if(!in_array($extention, $this->validImageFormats)){
					$flag = false;
					$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
				}
			}
			else{
				$flag = false;
			}
			$this->Product->create();
			if ($this->Product->save($this->request->data)){
				if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])){
					$fileName = $this->Product->id.str_replace(' ', '', stripslashes(trim($fileDetail['name'])));
					move_uploaded_file($fileDetail['tmp_name'], PROD_IMAGES . $fileName);
					//$this->Product->saveField('photo', $fileName);
				}
				$this->Session->setFlash(__('The product has been saved successfully'));
				$this->redirect(array('action' => 'index'));
			}
			else{
				$this->Session->setFlash(__('The product could not be saved . Please, try again.'));
			}
		}
		//$types = $this->Product->Type->find('list');
		//$categories = $this->Product->Category->find('list');
		$users = $this->Product->User->find('list');
		//$tags = $this->Product->Tag->find('list');
		//$categories = $this->Category->find('list',array('fields'=>array('Category.id','Category.category_name')));
		$this->set(compact('users'));
	}
/**
* edit method
*
* @throws NotFoundException
* @param string $id
* @return void
*/
	public function admin_edit($id = null){
		$this->Product->id = $id;
		if(!$this->Product->exists()){
			throw new NotFoundException(__('Invalid product'));
		}
		if($this->request->is('post') || $this->request->is('put')){
			if ($this->Product->save($this->request->data)) {
				$this->Session->setFlash(__('The product has been saved'));
				$this->redirect(array('action' => 'index'));
			}
			else{
				$this->Session->setFlash(__('The product could not be saved. Please, try again.'));
			}
		}
		else{
			$this->request->data = $this->Product->read(null, $id);
		}
		//$types = $this->Product->Type->find('list');
		//$categories = $this->Product->Category->find('list');
		$users = $this->Product->User->find('list');
		//$tags = $this->Product->Tag->find('list');
		$this->set(compact('users'));
	}
/**
* delete method
*
* @throws MethodNotAllowedException
* @throws NotFoundException
* @param string $id
* @return void
*/
	public function admin_delete($id = null){
		if (!$this->request->is('post')){
			throw new MethodNotAllowedException();
		}
		$this->Product->id = $id;
		if (!$this->Product->exists()){
			throw new NotFoundException(__('Invalid product'));
		}
		if ($this->Product->delete()){
			$this->Session->setFlash(__('Product deleted'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Product was not deleted'));
		$this->redirect(array('action' => 'index'));
	}
	
	public function admin_deactivate($id = null){
		$report = $this->Product->read(null, $id);
		//echo $id;exit;
		$this->Product->id = $id;
		if($this->Product->saveField('blocked','1')){
			$this->Session->setFlash(sprintf(__('The product has been successfully deactivated.', true), ''), 'default', array('class' => 'success'));
			//$this->redirect(array('controller' => 'abuse_reports'));
			$mail_To = $report['User']['email'];
			$mail_From = $this->Session->read('Auth.User.email');
			$mail_subject = "Product has been dectivated.";
			$mail_Body1 = "Dear ".$report['User']['first_name'].",<br>Your product has been deactivated.<br/>Product id : ".$report['Product']['id']."<br>Product name : ".$report['Product']['product_name'];
			$mail_Body =nl2Br($mail_Body1);
			$this->Send_HTML_Mail($mail_To, $mail_From,'', $mail_subject, $mail_Body);
			$this->redirect(array('controller' => 'products', 'action' => 'admin_index'));
		}
		else{
			$this->Session->setFlash(sprintf(__('The product could not be deactivated.Please try again!', true), ''), 'default', array('class' => ''));
			//$this->redirect(array('controller' => 'abuse_reports'));
			$this->redirect(array('controller' => 'products', 'action' => 'admin_index'));
		}
	}
/* --------------------------------------------------------------- END :: ADMIN PANEL FUNCTIONS --------------------------------------- */

	public function grouplike($id = 0){
		$this->Group->id = $id;
		if($this->Group->exists()){
			$likeexist=$this->Like->find('count', array('conditions'=>array('Like.topic_id' => $id,'Like.user_id' => $this->Session->read('Auth.User.id'))));
			if(!$likeexist){
				$data['Like']['topic_id'] = $id;
				$data['Like']['user_id'] = $this->Session->read('Auth.User.id');
				$data['Like']['like_time'] = date('Y-m-d h:i:s');
				$this->Like->create();
				$this->Like->save($data);
			}
			echo $this->Like->find('count', array('conditions'=>array('Like.topic_id' => $id)));
		}
		exit;
	}
	
	//Grouppostlike	Grouppost
	
	
	public function postlike($id = 0){
		
		$this->layout = '';
		$this->Grouppost->id = $id;
		if($this->Grouppost->exists()){
			$likeexist=$this->Grouppostlike->find('count', array('conditions'=>array('Grouppostlike.post_id' => $id,'Grouppostlike.user_id' => $this->Session->read('Auth.User.id'))));
			if(!$likeexist){
				//$this->request->data['Grouppostlike']['old_password']
				$data['Grouppostlike']['post_id'] = $id;
				$data['Grouppostlike']['user_id'] = $this->Session->read('Auth.User.id');
				$data['Grouppostlike']['like_time'] = date('Y-m-d h:i:s');
				$this->Grouppostlike->create();
				$this->Grouppostlike->save($data);
			}
			echo $this->Grouppostlike->find('count', array('conditions'=>array('Grouppostlike.post_id' => $id)));
		}
		exit;
		$this->AutoRender = false;
	}	
	
	
	
	public function add(){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id') && $this->Session->read('Auth.User.user_type')!=2){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$fileName = '';
		if(!empty($this->request->data)){
			$flag = true;
			//echo $this->Session->read('Auth.User.email');
			//pr($this->request->data);exit;
			
			$get_groupname = $this->Group->find('first', array('conditions' => array('Group.title' => $this->request->data['Group']['title'])));
			if($get_groupname){
				$flag = false;
				$this->Session->setFlash(__('ERROR :: Same Group Title already exists.', true));
			}
			
			$this->request->data['Group']['owners_email'] = $this->Session->read('Auth.User.email');
			
			if(isset($this->request->data['Group']['image']['tmp_name']) && is_uploaded_file($this->request->data['Group']['image']['tmp_name'])){
				
			$image_info = getimagesize($this->request->data['Group']['image']['tmp_name']);
			if($image_info[0] < 300){ $this->Session->setFlash(__('ERROR :: Image Width is sort upload not done.', true)); $flag = false; }
			if($image_info[1] < 300){ $this->Session->setFlash(__('ERROR :: Image Width is sort upload not done.', true)); $flag = false; }					
				
				$extention = strtolower(strrchr($this->request->data['Group']['image']['name'], "."));
				$fileDetail = $this->request->data['Group']['image'];
				$this->request->data['Group']['image'] = " ";
				if(!in_array($extention, $this->validImageFormats)){
					$flag = false;
					$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
				}
			} else {
				$this->request->data['Group']['image'] = "";
			}
			
			$this->request->data['Group']['user_id'] = $this->Session->read('Auth.User.id');
			$membersid = array();
			array_push($membersid, $this->request->data['Group']['user_id']);
			$this->request->data['Group']['admin_id'] = $this->Session->read('Auth.User.id');
			$this->request->data['Group']['members_id'] = implode(",", $membersid);
			$this->request->data['Group']['post_date'] = date('Y-m-d h:i:s');
			
			if($flag){
				$this->Group->create();
				if($this->Group->save($this->request->data)){
					
					if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])){
						$fileName = $this->User->id."_".$this->request->data['Group']['title'].$extention;
						
						$width = 250; $height = 250;
						$this->request->data['Product']['image'] = $fileDetail;
						list($w, $h) = getimagesize($this->request->data['Product']['image']['tmp_name']);
						/* calculate new image size with ratio */
						$ratio = max($width/$w, $height/$h);
						$h = ceil($height / $ratio);
						$x = ($w - $width / $ratio) / 2;
						$w = ceil($width / $ratio);
						/* new file name */
						$path = GROUP_IMAGES . $fileName;
						/* read binary data from image file */
						$imgString = file_get_contents($this->request->data['Product']['image']['tmp_name']);
						/* create image from string */
						$image = imagecreatefromstring($imgString);
						$tmp = imagecreatetruecolor($width, $height);
						imagecopyresampled($tmp, $image, 0, 0, $x, 0, $width, $height, $w, $h);
						/* Save image */
						switch ($this->request->data['Product']['image']['type']) {
							case 'image/jpeg':
								imagejpeg($tmp, $path, 100); break; 
							case 'image/png':
								imagepng($tmp, $path, 0); break;
							case 'image/gif':
								imagegif($tmp, $path); break;
							default:
								exit; break;
						}
						imagedestroy($image); imagedestroy($tmp);						
						
						//move_uploaded_file($fileDetail['tmp_name'], GROUP_IMAGES . $fileName);
						$this->Group->saveField('image', $fileName);
						
						/*if($this->request->data['Group']['image'] != ' ' && $this->request->data['Group']['image'] != $fileName){
							if(file_exists(GROUP_IMAGES . $this->request->data['Group']['image'])){
								unlink(GROUP_IMAGES . $this->request->data['Group']['image']);
								}
							}
						$this->request->data['Group']['image'] = $fileName;*/
					}
					$this->Session->setFlash(__('Group has been Created successfully.', true),'default', array('class' => 'success'));
					$this->redirect(array('controller' => 'users', 'action' => 'group'));
				} else {
					$this->Session->setFlash(__('ERROR :: Group could not be Created. Please, try again.', true));
				}			
			}
		}

$funnels = $this->Funnel->find('all', array('conditions' => array( 'Funnel.status' => '1')));
		$this->set(compact('funnels'));
	}
	
	
	
	
	
	public function groupdetail($id = null){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		$this->Group->recursive = 2;
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');
		$groups = $this->Group->find('first', array('conditions' => array('Group.id' => $id)));
		
		
		
$gr_mem=$this->Groupmember->find('first',array('conditions'=>array('Groupmember.group_id'=>$id,'Groupmember.sent_from'=>$this->Session->read('Auth.User.id'),'Groupmember.status'=>1)));
//pr($gr_mem);exit;
		
		$gaid = $groups['Group']['user_id'];
		$types = $groups['Group']['type'];
			
		$total_member = 1;
		foreach($groups['Groupmember'] as $mem){
			if($mem['status'] == 1){
				$total_member ++ ;
			}
		}

			
			
		
		
		//echo count($groups['Groupmember']);
		//pr($groups['Groupmember']);exit;
		
			$gr_admin = explode(",", $groups['Group']['admin_id']);
			//pr($gr_admin);exit;
			
			
			$count_gr_admin = count($gr_admin);
			foreach($gr_admin as $adm_member){
				$group_admin[] = $this->User->find('first', array('conditions' => array('User.id' => $adm_member)));
			}		
		
			$gr_member = explode(",", $groups['Group']['members_id']);
			$count_group_members = count($gr_member);
			foreach($gr_member as $member){
				$group_members[] = $this->User->find('first', array('conditions' => array('User.id' => $member)));
			}
			
			

		$gaid = $groups['Group']['user_id'];
		$count_post = count($groups['Grouppost']);

		//echo $count_post;
		//pr($groups);exit;
		$conditions['or'][] = array(
			'OR' => array(
				array('Approval.sent_to' => $gaid),
				array('Approval.sent_from' => $gaid)
				),
				'Approval.status' => '1'
			);
			
			
			
		$approved = $this->Approval->find('all', array('fields' => 'DISTINCT Approval.sent_from, SentFrom.id, SentFrom.first_name, SentFrom.last_name', 'conditions' => $conditions));
		
		//pr($approved);exit;
		
		
		if(!empty($this->request->data)){
			if (isset($this->request->data['Groupposts'])) {
			
			//pr($this->request->data['Groupposts']);exit;
				
				$fileName = '';

				
				
				$gr_id = $this->request->data['Groupposts']['group_id'];
				$flag = true;
				if(isset($this->request->data['Groupposts']['image']['tmp_name']) && is_uploaded_file($this->request->data['Groupposts']['image']['tmp_name'])){
					$extention = strtolower(strrchr($this->request->data['Groupposts']['image']['name'], "."));
					$fileDetail = $this->request->data['Groupposts']['image'];
					$this->request->data['Groupposts']['image'] = "";
					if(!in_array($extention, $this->validImageFormats)){
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				} else {
					$this->request->data['Grouppost']['image'] = "";
				}
				
				
				$this->request->data['Grouppost']['group_id'] = $this->request->data['Groupposts']['group_id'];
				$this->request->data['Grouppost']['content'] = $this->request->data['Groupposts']['content'];
				$this->request->data['Grouppost']['user_id'] = $uid;   ///////////////////////////////////////////it may be change in future.
				$this->request->data['Grouppost']['posted_on'] = date('Y-m-d h:i:s');
				//pr($this->request->data['Grouppost']);//exit;
				$this->Grouppost->create();
				if($this->Grouppost->save($this->request->data['Grouppost'])){
					if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])){
						$fileName = $this->Grouppost->id."_".$this->request->data['Grouppost']['group_id']."_".$this->request->data['Grouppost']['user_id'].$extention;
						move_uploaded_file($fileDetail['tmp_name'], GROUP_POST_IMAGES . $fileName);
						$this->Grouppost->saveField('image', $fileName);
						/*if($this->request->data['Grouppost']['image']!= ' ' && $this->request->data['Grouppost']['image'] != $fileName){
							if(file_exists(PROD_IMAGES . $this->request->data['Grouppost']['image'])){
								unlink(PROD_IMAGES . $this->request->data['Grouppost']['image']);
							}
						}
						$this->request->data['Grouppost']['image'] = $fileName;*/
					}
					$this->Session->setFlash(__('Post successfull.', true),'default', array('class' => 'success'));
					$this->redirect(array('controller' => 'groups', 'action' => 'groupdetail', $gr_id));
				}
				else{
					$this->Session->setFlash(__('ERROR :: Post not successfull. Please, try again.', true));
				}
			
			
			} else {
				if ($this->request->data['Groupjoin']['type'] == '1') {
				
				echo 1;
				pr($this->Session->read('Auth.User.id'));
				pr($this->request->data);exit;				
				
				
				
				
					$gid = $this->request->data['Groupjoin']['id'];
					$sendername = $this->User->find('first', array('fields' => 'User.id, User.first_name, User.last_name', 'conditions' => array('User.id' => $this->request->data['Groupjoin']['user_id'])));
					$receivername = $this->User->find('first', array('fields' => 'User.id, User.first_name, User.last_name', 'conditions' => array('User.id' => $this->request->data['Groupjoin']['to_user'])));
					$this->request->data['Message']['send_date'] = date('Y-m-d h:i:s');
					$this->request->data['Message']['to_user'] = $this->request->data['User']['to_user'];
					$this->request->data['Message']['from_user'] = $this->request->data['Groupjoin']['user_id'];
					$this->request->data['Message']['message'] = $sendername['User']['first_name'] . " " . $sendername['User']['last_name'] . " invited you to join in " . $this->request->data['Groupjoin']['name'] . "Group. Visit the group by clicking on the link: <a href='" . Router::URL('/groups/groupdetail/') . $gid . "'>" . $this->request->data['Groupjoin']['name'] . "</a>";
					$this->request->data['Grouppost']['group_id'] = $id;
					$this->request->data['Grouppost']['content'] = $sendername['User']['first_name'] . " " . $sendername['User']['last_name'] . " invited" . $receivername['User']['first_name'] . " " . $receivername['User']['last_name'] .  "to join in " . $this->request->data['Groupjoin']['name'] . "Group. ";
					$this->request->data['Grouppost']['user_id'] = $this->request->data['Groupjoin']['user_id'];
					$this->request->data['Grouppost']['posted_on'] = date('Y-m-d h:i:s');
					$this->request->data['Grouppost']['status'] = '1';
					//pr($this->request->data['Grouppost']);exit;
					$this->Grouppost->create();
					if($this->Grouppost->save($this->request->data['Grouppost'])){
						//pr($this->request->data['Message']);
						$this->request->data['Groupapproval']['sent_from'] = $this->request->data['Groupjoin']['user_id'];
						$this->request->data['Groupapproval']['sent_to'] = $this->request->data['User']['to_user'];
						$this->request->data['Groupapproval']['message'] = $sendername['User']['first_name'] . " " . $sendername['User']['last_name'] . " invited you to join in " . $this->request->data['Groupjoin']['name'] . "Group.";
						$this->request->data['Groupapproval']['sent_on'] = date('Y-m-d h:i:s');
						$this->Groupapproval->create();
						if($this->Groupapproval->save($this->request->data['Groupapproval'])){
							$this->Message->create();
							if($this->Message->save($this->request->data)){
								$this->request->data['Groupmember']['group_id'] = $gid;
								$this->request->data['Groupmember']['sent_to'] = $this->request->data['User']['to_user'];
								$this->request->data['Groupmember']['sent_from'] = $this->request->data['Groupjoin']['user_id'];
								$this->Groupmember->create();
								if($this->Groupmember->save($this->request->data['Groupmember'])){
									$this->redirect('/users/dashboard');
								}
							}
						}
					}
				}
				if ($this->request->data['Groupjoin']['type'] == '2') {
				
				
				echo 1;
				pr($this->Session->read('Auth.User.id'));
				pr($this->request->data);exit;					
				
					$this->request->data['Groupapproval']['sent_from'] = $uid;
					$this->request->data['Groupapproval']['sent_to'] = $this->request->data['Groupjoin']['user_id'];
					$this->request->data['Groupapproval']['message'] = "A user wants to join in Group " . $this->request->data['Groupjoin']['name'];
					$this->request->data['Groupapproval']['sent_on'] = date('Y-m-d h:i:s');
					$sendername = $this->User->find('first', array('fields' => 'User.id, User.first_name, User.last_name', 'conditions' => array('User.id' => $uid)));
					$this->Groupapproval->create();
					if($this->Groupapproval->save($this->request->data['Groupapproval'])){
						$this->request->data['Message']['send_date'] = $this->request->data['Groupapproval']['sent_on'];
						$this->request->data['Message']['to_user'] = $this->request->data['Groupapproval']['sent_to'];
						$this->request->data['Message']['from_user'] = $this->request->data['Groupapproval']['sent_from'];
						if ($this->request->data['Groupapproval']['message'] != "") {
							$this->request->data['Message']['message'] = $this->request->data['Groupapproval']['message'];
						}
						else{
							$this->request->data['Message']['message'] = "A user wants to join in Group " . $this->request->data['Groupjoin']['name'];
						}
						$this->request->data['Message']['approval_id'] = $this->Groupapproval->id;
						$this->request->data['Grouppost']['group_id'] = $id;
						$this->request->data['Grouppost']['content'] = $sendername['User']['first_name'] . " " . $sendername['User']['last_name'] . " wants to join in this Group. ";
						$this->request->data['Grouppost']['user_id'] = $this->request->data['Groupapproval']['sent_from'];
						$this->request->data['Grouppost']['posted_on'] = date('Y-m-d h:i:s');
						$this->request->data['Grouppost']['status'] = '1';
						//pr($this->request->data['Grouppost']);//exit;
						$this->Grouppost->create();
						if($this->Grouppost->save($this->request->data['Grouppost'])){
							$this->Message->create();
							if($this->Message->save($this->request->data['Message'])){
								$this->request->data['Groupmember']['group_id'] = $this->request->data['Groupjoin']['id'];
								$this->request->data['Groupmember']['sent_to'] = $this->request->data['Groupjoin']['user_id'];
								$this->request->data['Groupmember']['sent_from'] = $uid;
								$this->Groupmember->create();
								if($this->Groupmember->save($this->request->data['Groupmember'])){
									//$this->redirect('/users/dashboard');
								}
							}
						}
					}
				}
			}
			// $uid = $this->Session->read('Auth.User.id');
			// $title = $this->request->data['Course']['title'];
			// $reg_cost = $this->request->data['Course']['reg_cost'];
			// $organizer = $this->request->data['Course']['user_id'];
			// $go = 1;
			// $id = $this->request->data['Course']['couid'];
		}		
		
		$funnel = $this->Funnel->find('first', array('conditions' => array('Funnel.id' => $groups['Group']['funnel_id'], 'Funnel.status' => '1')));
		$this->set(compact('approved', 'gaid','gr_mem'));
		$this->set(compact('groups', 'id', 'uid', 'curdate', 'members', 'posts', 'grpmembers', 'types','count_post','funnel'));

		$this->set(compact('go', 'title', 'reg_cost', 'organizer','gr_admin','total_member'));
	}
	
	
	
	
	
	public function delete_member($id = null, $gid = null){
	    if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}		
		//echo $id; echo "<br/>";echo $gid;exit;
		$this->request->data = $this->Groupmember->read(null, $id);
		$this->Groupmember->id = $this->request->data['Groupmember']['id'];
		//echo $this->Groupmember->id;
		//pr($this->request->data);exit;
		
		if ($this->Groupmember->saveField('status', 2)){
			$this->Session->setFlash(__('Group member deleted successfully'));
			$this->redirect(array('controller' => 'groups', 'action' => 'groupdetail', $gid));
		} else {		
			$this->Session->setFlash(__('Group member not deleted'));
			$this->redirect(array('controller' => 'groups', 'action' => 'groupdetail', $gid));		
		}
	}	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
					
	public function delete_post($id = null, $gid = null){
	    if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}		
		
		//echo $id; echo "<br/>";echo $gid;exit;
		
		$this->request->data = $this->Grouppost->read(null, $id);
		//pr($this->request->data);exit;
		
		if ($this->Grouppost->delete($id)){
		
			if($this->request->data['Grouppost']['image']!=''){
			
				if(file_exists(GROUP_POST_IMAGES . $this->request->data['Grouppost']['image'])){
					unlink(GROUP_POST_IMAGES . $this->request->data['Grouppost']['image']);
				}
				
			}
			
			$this->Session->setFlash(__('Post deleted'));
			$this->redirect(array('controller' => 'groups', 'action' => 'groupdetail', $gid));
		} else {		
		
		$this->Session->setFlash(__('Post was not deleted'));
		$this->redirect(array('controller' => 'groups', 'action' => 'groupdetail', $gid));		
		}
	}	
		
	public function groupmembers($id = null){
	    if($this->Session->read('Auth.User.id') == ""){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$groups = $this->Group->find('first', array('conditions' => array('Group.id' => $id)));
		$grpmembers = explode(",", $groups['Group']['members_id']);
		$members = $groups['Group']['user_id'];
		//pr($members);
		// foreach ($members as $member) {
		// 	//do{
		// 	pr($member);
		// 	// $conditions['or'][] = array(
		// 	// 	'OR' => array(
		// 	// 		array('Groupmember.sent_to' => $member),
		// 	// 		array('Groupmember.sent_from' => $member)
		// 	// 		),
		// 	// 		'Groupmember.group_id' => $id
		// 	// 	);
		// 	$users = $this->User->find('first', array('conditions' => array('User.id' => $member)));
		// 	pr($users);
		// 	$this->set(compact('users'));
		// 	//}while ( $member);
			
		//     //$groupmembers = $this->Groupmember->find('all',array('conditions' => $conditions));
		// }
		// $conditions['or'][] = array(
		// 	'OR' => array(
		// 		array('Groupmember.sent_to' => $this->Session->read('Auth.User.id')),
		// 		array('Groupmember.sent_from' => $this->Session->read('Auth.User.id'))
		// 		),
		// 		'Groupmember.group_id' => $id
		// 	);
			//$users = $this->User->find('all', array('conditions'=> $conditions));
		$conditions = array(
			// 'OR' => array(
			// 	array('Groupmember.sent_to' => $this->Session->read('Auth.User.id')),
			// 	array('Groupmember.sent_from' => $this->Session->read('Auth.User.id'))
			// 	)
			'Groupmember.sent_to' => $members,
			'Groupmember.group_id' => $id
			);
	    $groupmembers = $this->Groupmember->find('all',array('conditions' => $conditions));
	    $this->set(compact('groups', 'groupmembers', 'id', 'uid', 'grpmembers'));

	    //$this->set(compact('members','groups', 'id', 'uid'));

	    //pr($groupmembers);
	    //exit;
	    if(!empty($this->request->data)){
		   	//pr($this->request->data); //exit;
			$gid = $this->request->data['Group']['id'];
			//$gstatus = $this->request->data['Group']['status'];
			//$orders=$this->Order->find('first',array('conditions'=>array('Order.id'=>$oid, 'Order.order_confirmation' =>$ostatus)));
			//pr($orders);
			if(array_key_exists('confirm', $this->request->data)) {
			 	//$this->Groupapproval->updateAll(array('Groupapproval.status' => '1'), array('Groupapproval.id' => $gid));
			 	$this->Groupmember->updateAll(array('Groupmember.is_admin' => '1'), array('Groupmember.id' => $gid));
			 }
			else if(array_key_exists('cancel', $this->request->data)) {
				//$this->Groupapproval->updateAll(array('Groupapproval.status' => '2'), array('Groupapproval.id' => $gid));
				$this->Groupmember->updateAll(array('Groupmember.is_admin' => '0'), array('Groupmember.id' => $gid));
			}
	    }
	}
	/*search*/
	public function group_search(){
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}		
		
		
		$cond=array();
		if(!empty($this->request->data)){
			//$type = $this->request->data['User']['user_type'];
			$title = $this->request->data['Group']['title'];
			//$location = $this->request->data['User']['location'];
			//$speciality = $this->request->data['User']['speciality'];
			$conditions = array(array('Group.title LIKE' => "%" . $title . "%", 'Group.status' => 1));
			$groups = $this->Group->find('all', array('conditions'=> $conditions));
			//pr($conditions); exit();
			//echo $this->Group->getLastQuery();
			$this->set(compact('groups'));
		}
		if(empty($this->request->data)){
			//$conditions = array('User.user_type' => '2, 3, 4, 5');
			$this->paginate =array('conditions'=>array('Group.status'=>1));
			$this->set('groups', $this->paginate());
		}
		$id = $this->Session->read('Auth.User.id');
		$curuser = $this->User->find('first', array('conditions' => array('User.id' => $id)));
		$this->Approval->recursive = 2;
		$approvals = $this->Approval->find('all', array('conditions' => array('Approval.status' => '1', 'Approval.sent_from' => $id)));
		$this->set(compact('approvals', 'id', 'curuser'));
	}
	/*event*/
	function eventadd($id = null){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		if(!empty($this->request->data)){
			$this->request->data['Groupevent']['user_id'] = $this->Session->read('Auth.User.id');
			$this->request->data['Groupevent']['status'] = '1';
			$this->request->data['Groupevent']['group_id'] = $id;
			$this->Groupevent->create();
			if($this->Groupevent->save($this->request->data)){
				$this->Session->setFlash(__('Event has been updated successfully.', true),'default', array('class' => 'success'));
				$this->redirect('/users/dashboard/');
			}
			else{
				$this->Session->setFlash(__('ERROR :: Event could not be updated. Please, try again.', true));
			}
		}
	}
	// public function admin_delete($id = 0){

	// 	if($this->Session->read('Auth.User.user_type') != 1)

	// 	{

	// 		$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));

	// 		$this->redirect('/admin');

	// 	}



	// 	$property=$this->Property->read(null,$id);

	// 	//pr($property);exit;

	// 	if (!$property) 

	// 	{

	// 		$this->Session->setFlash(sprintf(__('ERROR :: Invalid id for property', true), ''));

	// 		$this->redirect(array('action'=>'index'));

	// 	}

	// 	if ($this->Property->delete($id)) 

	// 	{

	// 		if($property['PropertyImage']){

	// 			foreach($property['PropertyImage'] as $p){

	// 				if(file_exists(Property.$p['image_name'])){

	// 					unlink(Property.$p['image_name']);



	// 				}

	// 				$this->PropertyImage->delete($p['id']);

	// 			}

	// 		}



	// 		$this->Session->setFlash(sprintf(__('Property deleted', true), ''), 'default', array('class' => 'success'));

	// 		$this->redirect(array('action'=>'index'));

	// 	}

	// 	$this->Session->setFlash(sprintf(__('ERROR :: Property was not deleted', true), ''));

	// 	$this->redirect(array('action' => 'index'));

	// }

	// function admin_delete($id = null, $rd=null) 
	// {
	// 	if($this->Session->read('Auth.Admin.user_type')!=1)
	// 	{
	// 		$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
	// 		$this->redirect('/admin');
	// 	}

		


	// 	if (!$id) 
	// 	{
	// 		$this->Session->setFlash(__('ERROR :: Invalid Id for user.', true));
	// 		$this->redirect(array('action'=>'index'));
	// 	}

	// 	$this->request->data = $this->User->read(null, $id);
	// 	if ($this->User->delete($id)) 
	// 	{
	// 		if($this->request->data['User']['photo']!='')
	// 		{
	// 			if(file_exists(USER_IMAGES . $this->request->data['User']['photo']))
	// 			{
	// 				unlink(USER_IMAGES . $this->request->data['User']['photo']);
	// 			}
	// 		}
	// 		$this->Session->setFlash(__('user has been deleted successfully.', true), 'default', array('class' => 'success'));
	// 		$this->redirect(array('action'=>'index'));
	// 	}
	// 	$this->Session->setFlash(__('ERROR :: The user was not deleted.', true));
	// 	$this->redirect(array('action' => 'index'));
	// }
	/*function tag_field($id=null){
		$this->layout=false;
		$inp="";
		if($id){
			$tags=$this->TagType->find('all',array('fields'=>array('TagType.tag_type','TagType.id'),'conditions'=>array('category_id'=>$id)));
			if($tags){
				foreach($tags as $tag){
					$inp.='<input type="text" id="ProductTag" name="data[Product][tags]['.$tag['TagType']['id'].']" class="name_field_bg placeholder validate[required]" placeholder="Add '.$tag['TagType']['tag_type'].'">';
				}
				$inp.='<div class="clr"></div>';
			}
		}
		echo $inp;
		exit;
	}*/
	
	
	
////########################################################################################################################	
////########################################################################################################################	
////########################################################################################################################	
////########################################################################################################################	
//	public function groupdetail($id = null){
//		$this->layout = 'default';
//		if(!$this->Session->read('Auth.User.id')){
//			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
//			$this->redirect('/');
//		}
//		
//		$this->Group->recursive = 2;
//		$uid = $this->Session->read('Auth.User.id');
//		$curdate = date('Y-m-d h:i:s');
//		$groups = $this->Group->find('first', array('conditions' => array('Group.id' => $id)));
//		//pr($groups);exit;
//			$gaid = $groups['Group']['user_id'];
//			$types = $groups['Group']['type'];
//		
//		
//		
//		//echo count($groups['Groupmember']);
//		//pr($groups['Groupmember']);exit;
//		
//			$gr_admin = explode(",", $groups['Group']['admin_id']);
//			//pr($gr_admin);exit;
//			
//			
//			$count_gr_admin = count($gr_admin);
//			foreach($gr_admin as $adm_member){
//				$group_admin[] = $this->User->find('first', array('conditions' => array('User.id' => $adm_member)));
//			}		
//		
//			$gr_member = explode(",", $groups['Group']['members_id']);
//			$count_group_members = count($gr_member);
//			foreach($gr_member as $member){
//				$group_members[] = $this->User->find('first', array('conditions' => array('User.id' => $member)));
//			}
//			
//			$total_member = 1 + count($groups['Groupmember']);
//		
//		
//		//pr($group_admin);pr($group_members); exit;
//		
//		
//		//$types = $groups['Group']['type'];
//		//$grpmembers = explode(",", $groups['Group']['members_id']);
//		//$members = count(explode(",", $groups['Group']['members_id']));
//		//$posts = $this->Grouppost->find('all', array('conditions' => array('Grouppost.group_id' => $id)));
//		$gaid = $groups['Group']['user_id'];
//		$count_post = count($groups['Grouppost']);
//
//		//echo $count_post;
//		//pr($groups);exit;
//		$conditions['or'][] = array(
//			'OR' => array(
//				array('Approval.sent_to' => $gaid),
//				array('Approval.sent_from' => $gaid)
//				),
//				'Approval.status' => '1'
//			);
//			
//			
//			
//		$approved = $this->Approval->find('all', array('fields' => 'DISTINCT Approval.sent_from, SentFrom.id, SentFrom.first_name, SentFrom.last_name', 'conditions' => $conditions));
//		
//		//pr($approved);exit;
//		$this->set(compact('approved', 'gaid'));
//		$this->set(compact('groups', 'id', 'uid', 'curdate', 'members', 'posts', 'grpmembers', 'types','count_post'));
//		
//		
//		
//		
//		
//		
//		
//		
//		
//		if(!empty($this->request->data)){
//			if (isset($this->request->data['Groupposts'])) {
//				
//				$fileName = '';
//				
//				//pr($this->request->data);exit;
//				$gr_id = $this->request->data['Groupposts']['group_id'];
//				$flag = true;
//				if(isset($this->request->data['Groupposts']['image']['tmp_name']) && is_uploaded_file($this->request->data['Groupposts']['image']['tmp_name'])){
//					$extention = strtolower(strrchr($this->request->data['Groupposts']['image']['name'], "."));
//					$fileDetail = $this->request->data['Groupposts']['image'];
//					$this->request->data['Groupposts']['image'] = "";
//					if(!in_array($extention, $this->validImageFormats)){
//						$flag = false;
//						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
//					}
//				} else {
//					$this->request->data['Grouppost']['image'] = "";
//				}
//				
//				
//				$this->request->data['Grouppost']['group_id'] = $this->request->data['Groupposts']['group_id'];
//				$this->request->data['Grouppost']['content'] = $this->request->data['Groupposts']['content'];
//				$this->request->data['Grouppost']['user_id'] = $uid;   ///////////////////////////////////////////it may be change in future.
//				$this->request->data['Grouppost']['posted_on'] = date('Y-m-d h:i:s');
//				//pr($this->request->data['Grouppost']);//exit;
//				$this->Grouppost->create();
//				if($this->Grouppost->save($this->request->data['Grouppost'])){
//					if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])){
//						$fileName = $this->Grouppost->id."_".$this->request->data['Grouppost']['group_id']."_".$this->request->data['Grouppost']['user_id'].$extention;
//						move_uploaded_file($fileDetail['tmp_name'], GROUP_POST_IMAGES . $fileName);
//						$this->Grouppost->saveField('image', $fileName);
//						/*if($this->request->data['Grouppost']['image']!= ' ' && $this->request->data['Grouppost']['image'] != $fileName){
//							if(file_exists(PROD_IMAGES . $this->request->data['Grouppost']['image'])){
//								unlink(PROD_IMAGES . $this->request->data['Grouppost']['image']);
//							}
//						}
//						$this->request->data['Grouppost']['image'] = $fileName;*/
//					}
//					$this->Session->setFlash(__('Post successfull.', true),'default', array('class' => 'success'));
//					$this->redirect(array('controller' => 'groups', 'action' => 'groupdetail', $gr_id));
//				}
//				else{
//					$this->Session->setFlash(__('ERROR :: Post not successfull. Please, try again.', true));
//				}
//			
//			
//			} else {
//				if ($this->request->data['Groupjoin']['type'] == '0') {
//					$gid = $this->request->data['Groupjoin']['id'];
//					$sendername = $this->User->find('first', array('fields' => 'User.id, User.first_name, User.last_name', 'conditions' => array('User.id' => $this->request->data['Groupjoin']['user_id'])));
//					$receivername = $this->User->find('first', array('fields' => 'User.id, User.first_name, User.last_name', 'conditions' => array('User.id' => $this->request->data['Groupjoin']['to_user'])));
//					$this->request->data['Message']['send_date'] = date('Y-m-d h:i:s');
//					$this->request->data['Message']['to_user'] = $this->request->data['User']['to_user'];
//					$this->request->data['Message']['from_user'] = $this->request->data['Groupjoin']['user_id'];
//					$this->request->data['Message']['message'] = $sendername['User']['first_name'] . " " . $sendername['User']['last_name'] . " invited you to join in " . $this->request->data['Groupjoin']['name'] . "Group. Visit the group by clicking on the link: <a href='" . Router::URL('/groups/groupdetail/') . $gid . "'>" . $this->request->data['Groupjoin']['name'] . "</a>";
//					$this->request->data['Grouppost']['group_id'] = $id;
//					$this->request->data['Grouppost']['content'] = $sendername['User']['first_name'] . " " . $sendername['User']['last_name'] . " invited" . $receivername['User']['first_name'] . " " . $receivername['User']['last_name'] .  "to join in " . $this->request->data['Groupjoin']['name'] . "Group. ";
//					$this->request->data['Grouppost']['user_id'] = $this->request->data['Groupjoin']['user_id'];
//					$this->request->data['Grouppost']['posted_on'] = date('Y-m-d h:i:s');
//					$this->request->data['Grouppost']['status'] = '1';
//					//pr($this->request->data['Grouppost']);exit;
//					$this->Grouppost->create();
//					if($this->Grouppost->save($this->request->data['Grouppost'])){
//						//pr($this->request->data['Message']);
//						$this->request->data['Groupapproval']['sent_from'] = $this->request->data['Groupjoin']['user_id'];
//						$this->request->data['Groupapproval']['sent_to'] = $this->request->data['User']['to_user'];
//						$this->request->data['Groupapproval']['message'] = $sendername['User']['first_name'] . " " . $sendername['User']['last_name'] . " invited you to join in " . $this->request->data['Groupjoin']['name'] . "Group.";
//						$this->request->data['Groupapproval']['sent_on'] = date('Y-m-d h:i:s');
//						$this->Groupapproval->create();
//						if($this->Groupapproval->save($this->request->data['Groupapproval'])){
//							$this->Message->create();
//							if($this->Message->save($this->request->data)){
//								$this->request->data['Groupmember']['group_id'] = $gid;
//								$this->request->data['Groupmember']['sent_to'] = $this->request->data['User']['to_user'];
//								$this->request->data['Groupmember']['sent_from'] = $this->request->data['Groupjoin']['user_id'];
//								$this->Groupmember->create();
//								if($this->Groupmember->save($this->request->data['Groupmember'])){
//									$this->redirect('/users/dashboard');
//								}
//							}
//						}
//					}
//				}
//				if ($this->request->data['Groupjoin']['type'] == '1') {
//					$this->request->data['Groupapproval']['sent_from'] = $uid;
//					$this->request->data['Groupapproval']['sent_to'] = $this->request->data['Groupjoin']['user_id'];
//					$this->request->data['Groupapproval']['message'] = "A user wants to join in Group " . $this->request->data['Groupjoin']['name'];
//					$this->request->data['Groupapproval']['sent_on'] = date('Y-m-d h:i:s');
//					$sendername = $this->User->find('first', array('fields' => 'User.id, User.first_name, User.last_name', 'conditions' => array('User.id' => $uid)));
//					$this->Groupapproval->create();
//					if($this->Groupapproval->save($this->request->data['Groupapproval'])){
//						$this->request->data['Message']['send_date'] = $this->request->data['Groupapproval']['sent_on'];
//						$this->request->data['Message']['to_user'] = $this->request->data['Groupapproval']['sent_to'];
//						$this->request->data['Message']['from_user'] = $this->request->data['Groupapproval']['sent_from'];
//						if ($this->request->data['Groupapproval']['message'] != "") {
//							$this->request->data['Message']['message'] = $this->request->data['Groupapproval']['message'];
//						}
//						else{
//							$this->request->data['Message']['message'] = "A user wants to join in Group " . $this->request->data['Groupjoin']['name'];
//						}
//						$this->request->data['Message']['approval_id'] = $this->Groupapproval->id;
//						$this->request->data['Grouppost']['group_id'] = $id;
//						$this->request->data['Grouppost']['content'] = $sendername['User']['first_name'] . " " . $sendername['User']['last_name'] . " wants to join in this Group. ";
//						$this->request->data['Grouppost']['user_id'] = $this->request->data['Groupapproval']['sent_from'];
//						$this->request->data['Grouppost']['posted_on'] = date('Y-m-d h:i:s');
//						$this->request->data['Grouppost']['status'] = '1';
//						//pr($this->request->data['Grouppost']);//exit;
//						$this->Grouppost->create();
//						if($this->Grouppost->save($this->request->data['Grouppost'])){
//							$this->Message->create();
//							if($this->Message->save($this->request->data['Message'])){
//								$this->request->data['Groupmember']['group_id'] = $this->request->data['Groupjoin']['id'];
//								$this->request->data['Groupmember']['sent_to'] = $this->request->data['Groupjoin']['user_id'];
//								$this->request->data['Groupmember']['sent_from'] = $uid;
//								$this->Groupmember->create();
//								if($this->Groupmember->save($this->request->data['Groupmember'])){
//									//$this->redirect('/users/dashboard');
//								}
//							}
//						}
//					}
//				}
//			}
//			// $uid = $this->Session->read('Auth.User.id');
//			// $title = $this->request->data['Course']['title'];
//			// $reg_cost = $this->request->data['Course']['reg_cost'];
//			// $organizer = $this->request->data['Course']['user_id'];
//			// $go = 1;
//			// $id = $this->request->data['Course']['couid'];
//		}
//		$this->set(compact('go', 'uid', 'id', 'title', 'reg_cost', 'organizer','gr_admin','total_member'));
//	}	
	
	public function admin_activate($id = null){
		
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		
		$report = $this->Group->read(null, $id);
		if(!$report)
		{
			 $this->Session->setFlash(__('ERROR :: Invalid Group', true));
			 $this->redirect('/groups');
		}
		
		$this->Group->id = $id;
		if($this->Group->saveField('status',1-$report['Group']['status'])){
			$this->Session->setFlash(sprintf(__('The Group has been successfully '.($report['Group']['status'] ? 'deactivated' : 'activated') , true), ''), 'default', array('class' => 'success'));
			
		}
		else{
			$this->Session->setFlash(sprintf(__('The Group could not be '.($report['Group']['status'] ? 'deactivated' : 'activated').'. Please try again!', true), ''), 'default', array('class' => ''));
			//$this->redirect(array('controller' => 'abuse_reports'));
			
		}
		$this->redirect(array('controller' => 'groups', 'action' => 'admin_index'));
	}
	
	
		public function my_groups(){
		
		
		$uid=$this->Session->read('Auth.User.id');
		$this->paginate=array('conditions' => array('Group.user_id' => $uid),'limit'=>3); //,'Group.status' => 1
		$userdetails = $this->User->find('first', array('fields' => 'User.user_type', 'conditions' => array('User.id' => $uid)));
		$this->set(compact('userdetails'));
		//pr($this->paginate());exit;
		$this->set('groups',$this->paginate());
		
	
	}

public function publish($id = null){
		
		
		$uid=$this->Session->read('Auth.User.id');
		$report = $this->Group->read(null, $id);
		if(!$report)
		{
			 $this->Session->setFlash(__('ERROR :: Invalid Group', true));
			 $this->redirect('/groups/my_groups');
		}
		
		$this->Group->id = $id;
		if($this->Group->saveField('status',1-$report['Group']['status'])){
			$this->Session->setFlash(sprintf(__('The Group has been successfully '.($report['Group']['status'] ? 'deactivated' : 'activated') , true), ''), 'default', array('class' => 'success'));
			
		}
		else{
			$this->Session->setFlash(sprintf(__('The Group could not be '.($report['Group']['status'] ? 'deactivated' : 'activated').'. Please try again!', true), ''), 'default', array('class' => ''));
			//$this->redirect(array('controller' => 'abuse_reports'));
			
		}
$this->redirect('/groups/my_groups');
		
	
	}
	
		public function joined_groups(){
		
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$uid=$this->Session->read('Auth.User.id');
		$this->Groupmember->recursive = 2;
		$this->paginate= array('conditions' => array('Groupmember.sent_from' => $uid, 'Groupmember.status' => 1),'limit'=>3);
		$userdetails = $this->User->find('first', array('fields' => 'User.user_type', 'conditions' => array('User.id' => $uid)));
		$this->set(compact('userdetails'));
		$this->set('group_member',$this->paginate('Groupmember'));
		
	
	}
	
	
	
}