<?php
App::uses('AppController', 'Controller');
/**
 * ProductTypes Controller
 *
 * @property ProductType $ProductType
 */
class TestimonialsController extends AppController {
public $uses = array('Testimonial');

	/* --------------------------------------------------------------- START :: ADMIN PANEL FUNCTIONS --------------------------------------- */

/**
 * index method
 *
 * @return void
 */
	public function admin_index() {
	
	if($this->Session->read('Auth.Admin.user_type')!=1)
		{
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		$this->Testimonial->recursive = 0;
		$this->set('data', $this->paginate());
		
	}


public function admin_add() {
		if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}
		if ($this->request->is('post')) {
		/*	$EscapeExist=$this->Escape->find('first',array('conditions'=>array('Escape.name'=>trim($this->request->data['Escape']['name']))));
			if($EscapeExist){
				$this->Session->setFlash('Escapes  already exist');
			}else{*/
			
			        if(isset($this->request->data['Testimonial']['photo']['tmp_name']) && is_uploaded_file($this->request->data['Testimonial']['photo']['tmp_name'])){
					$extention = strtolower(strrchr($this->request->data['Testimonial']['photo']['name'],"."));
					 $fileDetail = $this->request->data['Testimonial']['photo'];
					//pr($fileDetail);
					//exit;
					$this->request->data['Testimonial']['photo'] = "";
					
					if(!in_array($extention, $this->validImageFormats)) {
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
					} 
					else {
						$this->request->data['Testimonial']['photo'] = '';
					}
			
			
				$this->Testimonial->create();
				if ($this->Testimonial->save($this->request->data)) {
				
				    	if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) {
						$fileName = $this->Testimonial->id.str_replace(' ', '', stripslashes(trim($fileDetail['name'])));
						move_uploaded_file($fileDetail['tmp_name'], TESTOMONIAL_IMAGE . $fileName);
						$this->Testimonial->saveField('photo', $fileName);
					}
					$this->Session->setFlash(__('Testimonial has been successfully saved'));
					$this->redirect(array('action' => 'index'));
				} else {
					$this->Session->setFlash(__('Testimonial could not be saved. Please, try again.'));
				}
			//}
		}
	}

/**
 * edit method
 *
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function admin_edit($id=0) {
		
             if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}

		$testiExist=$this->Testimonial->read(null,$id);
		if(!$testiExist){
			$this->Session->setFlash(__('ERROR :: Invalid Request', true));
			$this->redirect(array('action'=>'index'));
		}

		//if ($this->request->is('post')) {
		if (!empty($this->request->data)){
			/*$EscapeExist=$this->Escape->find('first',array('conditions'=>array('Escape.name'=>trim($this->request->data['Escape']['name']),'Escape.id !='=>$this->request->data['Escape']['id'])));
			if($EscapeExist){
				$this->Session->setFlash('Escapes already exist');
			}else{*/
			
			        if(isset($this->request->data['Testimonial']['photo']['tmp_name']) && is_uploaded_file($this->request->data['Testimonial']['photo']['tmp_name'])) {
					$extention = strtolower(strrchr($this->request->data['Testimonial']['photo']['name'],"."));
					$fileDetail = $this->request->data['Testimonial']['photo'];
					$this->request->data['Testimonial']['photo'] = "";
					
					if(!in_array($extention, $this->validImageFormats)) {
						$flag = false;
						$this->Session->setFlash(sprintf(__('ERROR :: Please upload photo only having %s extensions.', true), implode(", ", $this->validImageFormats)));
					}
				} 
				else {

					$this->request->data['Testimonial']['photo'] = $this->request->data['Testimonial']['photo_old'];
				}
			
			
				
				if ($this->Testimonial->save($this->request->data)) {
						if(isset($fileDetail) && is_uploaded_file($fileDetail['tmp_name'])) {
						$fileName = $this->Testimonial->id.str_replace(' ', '', stripslashes(trim($fileDetail['name'])));
						move_uploaded_file($fileDetail['tmp_name'], TESTOMONIAL_IMAGE . $fileName);
						$this->Testimonial->saveField('photo', $fileName);

						if($this->request->data['Testimonial']['photo']!='' && $this->request->data['Testimonial']['photo']!=$fileName)
						{
							if(file_exists(ESCAPE_IMAGES . $this->request->data['Testimonial']['photo']))
							{
								unlink(ESCAPE_IMAGES . $this->request->data['Testimonial']['photo']);
							}
						}
						$this->request->data['Testimonial']['photo'] = $fileName;
					}
					$this->Session->setFlash(__('Testimonial has been successfully saved'));
					$this->redirect(array('action' => 'index'));
				} else {
					$this->Session->setFlash(__('Testimonial could not be saved. Please, try again.'));
				}
			//}
		}

		if(empty($this->request->data)){
			$this->request->data=$testiExist;
		}
		$this->set(compact('id'));
	
	
	}

/**
 * delete method
 *
 * @throws MethodNotAllowedException
 * @throws NotFoundException
 * @param string $id
 * @return void
 */
	public function admin_delete($id = null) {
	  if($this->Session->read('Auth.Admin.user_type')!=1){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/admin');
		}

		$this->Testimonial->id = $id;
		if (!$this->Testimonial->exists()) {
			$this->Session->setFlash(__('Invalid Escapes', true));
		}
		if ($this->Testimonial->delete()) {
			$this->Session->setFlash(__('Testimonial deleted successfully'));
			$this->redirect(array('action' => 'index'));
		}
		$this->Session->setFlash(__('Testimonial  was not deleted'));
		$this->redirect(array('action' => 'index'));
	}


	public function admin_deactivate($id=0)
	{
		$testiExist=$this->Testimonial->read('id,status',$id);
		if(!$testiExist){
			$this->Session->setFlash(__('ERROR :: Invalid Request', true));
			$this->redirect(array('action'=>'index'));
		}

		//pr($countryExist);exit;
		$testiExist['Testimonial']['status']=1-$testiExist['Testimonial']['status'];

		if($this->Testimonial->save($testiExist)){
			$this->Session->setFlash(__('Testimonial successfully '.($testiExist['Testimonial']['status'] ? 'actvated' : 'deactivated')));
			
		}else{
			$this->Session->setFlash(__('Sorry, Testimonial is not '.($testiExist['Testimonial']['status'] ? 'actvated' : 'deactivated').'. Please try again'));
		}
		
		$this->redirect(array('action'=>'index'));


	
	}
	
		public function admin_activate($id=0)
	{
		$testiExist=$this->Testimonial->read('id,status',$id);
		if(!$testiExist){
			$this->Session->setFlash(__('ERROR :: Invalid Request', true));
			$this->redirect(array('action'=>'index'));
		}

		//pr($countryExist);exit;
		$testiExist['Testimonial']['status']=1-$testiExist['Testimonial']['status'];

		if($this->Testimonial->save($testiExist)){
			$this->Session->setFlash(__('Testimonial successfully '.($testiExist['Testimonial']['status'] ? 'actvated' : 'deactivated')));
			
		}else{
			$this->Session->setFlash(__('Sorry, Escapes is not '.($testiExist['Testimonial']['status'] ? 'actvated' : 'deactivated').'. Please try again'));
		}
		
		$this->redirect(array('action'=>'index'));


	
	}

	/* --------------------------------------------------------------- END :: ADMIN PANEL FUNCTIONS --------------------------------------- */
}

