<?php
App::uses('AppController', 'Controller');
require 'vendor/autoload.php';
use \Firebase\JWT\JWT;
class UsersController extends AppController {
	
	public $api_url = 'https://api.zoom.us/v2/';
		
	public $zoom_api_key = 'bSOEbo7mQrOgeW6dBy8XZg';

	public $zoom_api_secret = '5vXowr6VKvK3yp5TlLguvF9BU8I1VE2qGZRs';
	public function index() {
		
	}
	function create(){
		$this->layout = 'default';
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to that location', true));
			$this->redirect('/');
		}
		
		$UserEmail = $this->Session->read('Auth.User.email');
		$UserFirstName = $this->Session->read('Auth.User.first_name');
		$UserLastName = $this->Session->read('Auth.User.last_name');
		$type = '1';
		
		$createAUserArray              = array();
		$createAUserArray['action']    = 'create';
		$createAUserArray['user_info'] = array(
			'email'      => $UserEmail,
			'type'       => $type,
			'first_name' => $UserFirstName,
			'last_name'  => $UserLastName,
			'password'  => time(),
		);
		
		
		$UserObj = $this->createUser($createAUserArray);
		
		if(isset($UserObj->id) && $UserObj->id != '')
		{
			$this->Session->setFlash(__('Please check your email and click on link to confirm zoom account.', true),'default', array('class' => 'success'));
			$this->redirect('/zoom/');	
		}
		else
		{
			$this->Session->setFlash(__('ERROR :: There is some error in creating your account on zoom.', true));
			$this->redirect('/zoom/');	
		}
	}
	
	function generateJWTKey() {
		$key    = $this->zoom_api_key;
		$secret = $this->zoom_api_secret;

		$token = array(
			"iss" => $key,
			"exp" => time() + 60 //60 seconds as suggested
		);

		return JWT::encode( $token, $secret );
	}
	
	function createUser($UserDetails) {
		//list users endpoint GET https://api.zoom.us/v2/users
		
		$payload = json_encode($UserDetails);
		
		$ch = curl_init($this->api_url.'/users');
		
		curl_setopt($ch, CURLOPT_POST, 1);
		
		curl_setopt( $ch, CURLOPT_POSTFIELDS, $payload );
		
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	  
		// add token to the authorization header
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Authorization: Bearer ' . $this->generateJWTKey(),
			'Content-Type: application/json',                                                                                
			'Content-Length: ' . strlen($payload)
		));
		$response = curl_exec($ch);
		$response = json_decode($response);
		return $response;
	}
}
?>