<?php
App::uses('AppController', 'Controller');
require 'vendor/autoload.php';
use \Firebase\JWT\JWT;
class ZoomController extends AppController {
	
	public $api_url = 'https://api.zoom.us/v2/';
		
	public $zoom_api_key = 'bSOEbo7mQrOgeW6dBy8XZg';

	public $zoom_api_secret = '5vXowr6VKvK3yp5TlLguvF9BU8I1VE2qGZRs';
	
	
	public function index() {
			
		if(!$this->Session->read('Auth.User.id')){
			$this->Session->setFlash(__('ERROR :: You are not authorized to access this section.', true));
			$this->redirect('/');
		}
		$uid = $this->Session->read('Auth.User.id');
		$curdate = date('Y-m-d h:i:s');	
		
		$UserEmail = $this->Session->read('Auth.User.email');
		//$UserEmail = 'drbtano@integrativeimmunity.com';
		
		
		$User = ClassRegistry::init('User');
		
		$get_user_detail2 = $User->find('first',array('conditions' => array('User.id' => $uid)));
		$my_user_detail = $User->find('first',array('conditions' => array('User.id' => $uid)));
		
		//pr($my_user_detail);
		//pr($get_user_detail);exit;

		$this->set(compact('my_user_detail', 'get_user_detail2'));
		$this->set(compact( 'id', 'uid', 'get_user', 'curdate', 'reg_infos','energys'));
		
		$UserDetails = $this->checkUserExist($UserEmail);
		
		if(isset($UserDetails->code) && $UserDetails->code == 1010)
		{
			$this->set('UserExist', 0);
		}
		elseif(isset($UserDetails->code) && $UserDetails->code == 1001)
		{
			$this->set('UserExist', 2);
		}
		else{
			$this->set('UserExist', 1);
			$Meetings = $this->getUserMeetings($UserEmail);
			if(isset($Meetings->meetings))
			{
				$this->set('base_url', 'http://'.$_SERVER['SERVER_NAME']);
				$this->set('ZoomMeetings', $Meetings->meetings);
				$this->set('UserVerified', $UserDetails->verified);
			}
			else
			{
				$this->set('ZoomMeetings', array());
				$this->set('UserVerified', $UserDetails->verified);	
			}
		}

			
	}
	
	
	
	function generateJWTKey() {
		$key    = $this->zoom_api_key;
		$secret = $this->zoom_api_secret;

		$token = array(
			"iss" => $key,
			"exp" => time() + 60 //60 seconds as suggested
		);

		return JWT::encode( $token, $secret );
	}
	
	function getUsers () {
		//list users endpoint GET https://api.zoom.us/v2/users
		$ch = curl_init($this->api_url.'/users');
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	  
		// add token to the authorization header
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Authorization: Bearer ' . $this->generateJWTKey()
		));
		$response = curl_exec($ch);
		$response = json_decode($response);
		return $response;
	}
	
	function getUserMeetings($UserID){
		$ch = curl_init($this->api_url.'/users/'.$UserID.'/meetings');
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	  
		// add token to the authorization header
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Authorization: Bearer ' . $this->generateJWTKey()
		));
		$response = curl_exec($ch);
		$response = json_decode($response);
		return $response;
	}
	
	function checkUserExist($Useremail){
		$ch = curl_init($this->api_url.'/users/'.$Useremail);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	  
		// add token to the authorization header
		curl_setopt($ch, CURLOPT_HTTPHEADER, array(
			'Authorization: Bearer ' . $this->generateJWTKey()
		));
		$response = curl_exec($ch);
		$response = json_decode($response);
		return $response;
	}
	
	
}
?>