<?php
/**
 * AbuseReportFixture
 *
 */
class AbuseReportFixture extends CakeTestFixture {

/**
 * Fields
 *
 * @var array
 */
	public $fields = array(
		'id' => array('type' => 'integer', 'null' => false, 'default' => null, 'key' => 'primary'),
		'product_id' => array('type' => 'integer', 'null' => false, 'default' => '0'),
		'user_id' => array('type' => 'integer', 'null' => false, 'default' => null),
		'abused_by' => array('type' => 'integer', 'null' => false, 'default' => null),
		'view' => array('type' => 'integer', 'null' => false, 'default' => '0'),
		'status' => array('type' => 'integer', 'null' => false, 'default' => '1', 'length' => 1, 'comment' => '1- New / 2- Pending / 3 - Resolved'),
		'abuse_type' => array('type' => 'string', 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'comments' => array('type' => 'text', 'null' => false, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
		'abused_on' => array('type' => 'date', 'null' => false, 'default' => null),
		'resolved_on' => array('type' => 'date', 'null' => true, 'default' => null),
		'last_updated_on' => array('type' => 'date', 'null' => true, 'default' => null),
		'is_sent_mail' => array('type' => 'boolean', 'null' => false, 'default' => '0'),
		'indexes' => array(
			'PRIMARY' => array('column' => 'id', 'unique' => 1)
		),
		'tableParameters' => array('charset' => 'utf8', 'collate' => 'utf8_general_ci', 'engine' => 'MyISAM')
	);

/**
 * Records
 *
 * @var array
 */
	public $records = array(
		array(
			'id' => 1,
			'product_id' => 1,
			'user_id' => 1,
			'abused_by' => 1,
			'view' => 1,
			'status' => 1,
			'abuse_type' => 'Lorem ipsum dolor sit amet',
			'comments' => 'Lorem ipsum dolor sit amet, aliquet feugiat. Convallis morbi fringilla gravida, phasellus feugiat dapibus velit nunc, pulvinar eget sollicitudin venenatis cum nullam, vivamus ut a sed, mollitia lectus. Nulla vestibulum massa neque ut et, id hendrerit sit, feugiat in taciti enim proin nibh, tempor dignissim, rhoncus duis vestibulum nunc mattis convallis.',
			'abused_on' => '2014-01-11',
			'resolved_on' => '2014-01-11',
			'last_updated_on' => '2014-01-11',
			'is_sent_mail' => 1
		),
	);

}
