<script language="JavaScript">
	$(document).ready(function(){
		$("#ProductAdminAddForm").validationEngine({scroll:true});
	});
</script>
<div class="page-header">
	<div class="header-links hidden-xs">
		<a href="<?= DOMAIN_PATH;?>" target="__blank"><i class="icon-external-link"></i>Visit Site</a>
		<a href="<?=DOMAIN_PATH?>admin/users/change_password"><i class="icon-lock"></i>Change Password</a>
		<a href="<?= DOMAIN_PATH.'admin/users/logout';?>"><i class="icon-signout"></i> Logout</a>
	</div>
	<h1><i class="icon-group"></i>Manage Products</h1>
</div>
<ol class="breadcrumb">
	<li><a href="<?= DOMAIN_PATH.'admin/products/index';?>">List Products</a></li>
</ol>
<div class="main-content">
	<div class="widget">
		<h3 class="section-title first-title"><i class="icon-user"></i>Add Product</h3>
		<div class="padded">
			<?php echo $this->Form->create('Product', array('enctype' => 'multipart/form-data'));?>
			<?php echo $this->Form->hidden('blocked', array('value' => 0));?>
			<?php echo $this->Form->hidden('description_modified', array('value' => date('Y-m-d h:i:s'))); ?>
			<?php echo $this->Form->hidden('post_date', array('value' => date('Y-m-d h:i:s'))); ?>
			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('product_name ', array('class' => 'validate[required] form-control'));?>
					</div>
				</div>
				<div style="clear:both"></div>
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('description ', array('class' => 'validate[required] form-control', 'type' => 'textarea'));?>
					</div>
				</div>
				<div style="clear:both"></div>
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('image', array('class' => 'validate[required] form-control', 'type' => 'file'));?>
					</div>
				</div>
				<div style="clear:both"></div>
				<div class="col-md-6">
					<div class="form-group">
						<select name="data[Product][product_type_id]" class="form-control validate[required]" id="type">
							<option value="">Choose Type</option>
							<option value="1">Bookshelf</option>
							<option value="2">Dispensary</option>
						</select>
					</div>
				</div>
				<div style="clear:both"></div>
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('price', array('class' => 'validate[required] form-control'));?>
					</div>
				</div>
				<div style="clear:both"></div>
				<?php echo $this->Form->submit('Submit', array('class' => 'btn btn-primary'));?>
				<?php echo $this->Form->end();?>
			</div>
		</div>
	</div>
</div>