<section id="content">
    <div class="container">
        <div class="row">
            <div class="span12 indent-2">
                <div class="navbar navbar-inverse">
                    <div class="container">
                        <div class="span12">
                            <ul id="menu">
                                <li><a href="<?php echo $this->Html->url('/users/dashboard/'); ?>">Profile</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/inbox/'); ?>">Inbox</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/notification/'); ?>">Notification</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/bookshelf/'.$this->Session->read('Auth.User.id')); ?>">Book Shelf</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/dispensary/'.$this->Session->read('Auth.User.id')); ?>">Dispensary</a></li>
                                <li><a href="<?php echo $this->Html->url('/products/add/'); ?>">Add Products</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/review/'.$this->Session->read('Auth.User.id')); ?>">Reviews</a></li>
                                <li><a href="#">Educations</a>
                                    <ul class="sub-menu">
                                        <li><a href="<?php echo $this->Html->url('/users/publishing/'.$this->Session->read('Auth.User.id')); ?>">Publishing Academy </a></li>
                                        <li><a href="<?php echo $this->Html->url('/users/seminar/'.$this->Session->read('Auth.User.id')); ?>">Seminars</a></li>
                                        <li><a href="<?php echo $this->Html->url('/users/webinar/'.$this->Session->read('Auth.User.id')); ?>">Webinars</a></li>
                                        <li><a href="<?php echo $this->Html->url('/users/workshop/'.$this->Session->read('Auth.User.id')); ?>">Workshops</a></li>
                                        <li><a href="<?php echo $this->Html->url('/users/course/'.$this->Session->read('Auth.User.id')); ?>">Courses</a></li>
                                    </ul>
                                </li>
                                <li><a href="<?php echo $this->Html->url('/users/order/'); ?>">Order</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/approved/'); ?>">Approved Users</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/group/'.$this->Session->read('Auth.User.id')); ?>">Group</a></li>
                                <li><a href="<?php echo $this->Html->url('/users/groupnotification/'); ?>">Group Notification</a></li>
                            </ul>
                        </div>
                    </div>
                    <div style="clear:both; height:10px; width:100%; background-color:#FFFFFF"></div>
                    <div class="container">
                        <div class="span12">
                            <ul id="menu">
                                <li><a href="<?php echo $this->Html->url('/users/webinar/'.$this->Session->read('Auth.User.id')); ?>">Webinars</a></li>
                                <li><a href="<?php echo $this->Html->url('/webinars/add'); ?>">ORGANIZE</a></li>
                                <li><a href="<?php echo $this->Html->url('/webinars/archive/'.$this->Session->read('Auth.User.id')); ?>">ARCHIVE</a></li>
                                <li><a href="<?php echo $this->Html->url('/webinars/registrants/'.$this->Session->read('Auth.User.id')); ?>">REGISTRANTS</a></li>
                                <li><a href="<?php echo $this->Html->url('/webinars/payments/'.$this->Session->read('Auth.User.id')); ?>">PAYMENTS</a></li>
                            </ul>
                        </div>
                    </div>                        
                </div>
            </div>
        </div>
    </div>
</section>
<section id="content" class="main-content">
    <div class="container">
        <div class="row">
            <div class="span12">
                <div class="span3 left-0">
                    <div class="span3 left-0 drop-shadow p2">
                        <div class="span3">
                            <?php if($get_user['User']['photo']!=''){ ?>
                            <div id="chng_image"><div style="height:89px;"></div><a href="javascript:void(0)">Change Image</a></div>
                            <?php
                                echo $this->Html->image(DOMAIN_PATH.USER_IMAGES_URL.$get_user['User']['photo'],
                                array('width' => '177', 'height' => '190', 'style' => 'border:1px solid gray')); }
                                else{
                            ?>
                            <div id="chng_image"><div style="height:89px;"></div><a href="javascript:void(0);">Upload Image</a></div>
                            <?php
                                echo $this->Html->image(DOMAIN_PATH.'img/dr.jpg', array('width' => '177', 'height' => '190',
                                'style' => 'border:1px solid gray')); }
                            ?>
                        </div>
                        <div class="span3">
                            <h5 class="name"><?=$get_user['User']['first_name'].' '.$get_user['User']['last_name']?></h5>
                        </div>
                        <div class="span3">
                        </div>
                    </div>
                </div>
                <div class="span9">
                    <table class="table table-bordered">
                            <tr class="active">
                                <td>Event Title</td>
                                <td>Registant Name</td>
                                <td>Registered On</td>
                            </tr>
                            <?php if ($reg_infos){ foreach ($reg_infos as $reg_info) { ?>
                                <tr>
                                    <td><?=$reg_info['Webinar']['title']; ?></td>
                                    <td><?=$reg_info['User']['first_name'] . " " . $reg_info['User']['last_name']; ?></td>
                                    <td><?=$reg_info['Transaction']['paidon']; ?></td>
                                </tr>
                            <?php } } ?>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>