<?php
App::import('Helper', 'Html', 'Router');
class ShortcodeHelper extends AppHelper {
    public $shortcodes = array( 
        'TayaFunnel' => '/(\[TayaFunnel=)(.+?)(\])(.+?)(\[\/TayaFunnel\])/'
    ); 
    public $returncodes = array( 
        //'slideshow' => $this->render('/elements/slideshow', array('id'=>'\\2'))
        'TayaVideo' => '<strong rel="\\2">\\4</strong>' 
    ); 

    public function render($content, $render=null) {
        $shortcodes = $this->shortcodes;
        $returncodes = $this->returncodes;
		
        if(isset($render)) {
                $temp_shortcodes = array(); 
                $temp_returncodes = array(); 
                foreach ($render as $key => $value) { 
                    $temp_shortcodes[$key] = $shortcodes[$value]; 
                    $temp_returncodes[$key] = $returncodes[$value]; 
                } 
                $returncodes = $temp_returncodes; 
                $shortcodes = $temp_shortcodes; 

        }
        preg_match_all('/(\[TayaFunnel=)(.+?)(\])(.+?)(\[\/TayaFunnel\])/', $content,  $resultfunnel); 
		preg_match_all('/(\[TayaVideo=)(.+?)(\])(.+?)(\[\/TayaVideo\])/', $content,  $resultvideo); 
		$return = $content;
		$script = '<script src="https://noelboss.github.io/featherlight/assets/javascripts/jquery-1.7.0.min.js"></script>
		<script src="https://noelboss.github.io/featherlight/release/featherlight.min.js" type="text/javascript" charset="utf-8"></script>';
		$script .= '<link href="../thickbox.css" media="screen" type="text/css">';
		$return = $script.$return;
		
		if(isset($resultfunnel[2][0]))
		{
			$FunnelID = $resultfunnel[2][0];
			$FunnelName = $resultfunnel[4][0];
			$result = ClassRegistry::init('Funnel')->find('all', array('conditions' => array('Funnel.id' => $FunnelID, 'Funnel.status' => '1')));
			$returncodes = '<h3>'.$FunnelName.'</h3><p style="text-align:right; width:90%"><a class="btn btn-default" href="'.$result[0]['Funnel']['funnel_url'].'" data-featherlight="iframe" data-featherlight-iframe-allowfullscreen="true" data-featherlight-iframe-width="500" data-featherlight-iframe-height="281">Full Screen</a></p><iframe src="'.$result[0]['Funnel']['funnel_url'].'" id="iframe_funnel" frameborder="0" width="90%" height="auto" style="min-height:400px;overflow:hidden" frameBorder="0"></iframe>';
			$return = preg_replace('/(\[TayaFunnel=)(.+?)(\])(.+?)(\[\/TayaFunnel\])/', $returncodes,  $return); 
		}
		
		if(isset($resultvideo[2][0]))
		{
			$VideoID = $resultvideo[2][0];
			$FunnelName2 = $resultvideo[4][0];
			$resultvideo = ClassRegistry::init('Funnel')->find('all', array('conditions' => array('Funnel.id' => $VideoID, 'Funnel.status' => '1')));
			$returncodevideo = '<h3>'.$FunnelName2.'</h3><p style="text-align:right; width:90%"><a class="btn btn-default" href="'.$resultvideo[0]['Funnel']['video_url'].'" data-featherlight="iframe" data-featherlight-iframe-allowfullscreen="true" data-featherlight-iframe-width="500" data-featherlight-iframe-height="281">Full Screen</a></p><iframe src="'.$resultvideo[0]['Funnel']['video_url'].'" frameborder="0" width="90%" height="auto" allow="autoplay; encrypted-media"  style="min-height:400px;overflow:hidden" frameBorder="0"></iframe>';
			$return = preg_replace('/(\[TayaVideo=)(.+?)(\])(.+?)(\[\/TayaVideo\])/', $returncodevideo,  $return); 
		}
		
		return $this->output($return); 
		
    }
}
?>