<?php
/**
 *
 * PHP 5
 *
 * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
 * Copyright 2005-2012, Cake Software Foundation, Inc. (http://cakefoundation.org)
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2005-2012, Cake Software Foundation, Inc. (http://cakefoundation.org)
 * @link          http://cakephp.org CakePHP(tm) Project
 * @package       Cake.View.Layouts
 * @since         CakePHP(tm) v 0.10.0.1076
 * @license       MIT License (http://www.opensource.org/licenses/mit-license.php)
 */

//$cakeDescription = __d('cake_dev', 'CakePHP: the rapid development php framework');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php //echo $this->Facebook->html(); ?>
<head>
	<?php echo $this->Html->charset(); ?>
	<title>
		<?php //echo $cakeDescription ?>
		<?php //echo $title_for_layout; ?>
		Welcome to SWAPSCAN.COM
	</title>
	<?php
		echo $this->Html->meta('icon');
		echo $this->Html->css(array('front', 'validationEngine.jquery', 'notifyBar', 'colorbox'));

		echo $this->fetch('meta');
		echo $this->fetch('css');
		echo $this->fetch('script');
	?>

	<!-- Internet Explorer Fixes Stylesheet -->
	
	<!--[if lte IE 7]>
		<?php echo $this->Html->css('ie'); ?>
	<![endif]-->
	
	<?php echo $this->Html->script(array('jquery-1.3.2.min', 'jquery.notifyBar', 'jquery.validationEngine-en', 'jquery.validationEngine', 'jconfirmaction.jquery', 'farbtastic', 'searchfield', 'jquery.colorbox')); ?>
		
	<script language="JavaScript">
	<!--
		$(document).ready(function() {
			$('.ask').jConfirmAction();
		});

		$(function(){
			if($.browser.msie) {
				$('.placeholder').each(function(){
				
				if($(this).val()==''){
					$(this).wrap('<span class="wrap">');
					$(this).before('<span class="holder_div" >'+$(this).attr('placeholder')+'</span>');
					//alert($('.wrap').html())
					if($(this).attr('id')=='UserFirstName' || $(this).attr('id')=='UserLastName'){
						$(this).parents('.wrap').css('float','left');
					}
				}

			});

			$('.placeholder').focus(function(){
				if($(this).val()==''){

					$(this).parents('.wrap').children('.holder_div').text('');
				}
			});

			$('.placeholder').blur(function(){
				if($(this).val()==''){
					$(this).parents('.wrap').children('.holder_div').text($(this).attr('placeholder'));
				}
			});
			}
		});
	//-->
	</script>

	<script src="http://platform.twitter.com/anywhere.js?id=MRgZG9I5xgLHKnVFVZIUg&v=1" type="text/javascript"></script>

	<script language="JavaScript">
	<!--
		twttr.anywhere(function (T) {
			T.bind("authComplete", function (e, user) {});
			T.bind("signOut", function (e) {			  
			  window.location.href = '<?= DOMAIN_PATH ?>users/logout';
			});
		});

		function custom_twitter_signout()
		{
			twttr.anywhere.signOut();
		}

		function signup_open_colorbox()
		{
			$.colorbox({href:"<?php echo(DOMAIN_PATH); ?>users/signup/", width:"620", height:"380", iframe:true, escKey:false, overlayClose:false, onClosed: function(){ window.location.reload(); }, onLoad: function() { $('#cboxClose').remove(); }});
		}

		function login_open_colorbox()
		{
			$.colorbox({href:"<?php echo(DOMAIN_PATH); ?>users/custom_login/", width:"620", height:"380", iframe:true, escKey:true, overlayClose:true, onLoad: function() { $('#cboxClose').remove(); }});
		}

		function editlocatoin_open_colorbox()
		{
			$.colorbox({href:"<?php echo(DOMAIN_PATH); ?>users/editlocation/", width:"620", height:"380", iframe:true, escKey:true, overlayClose:true, onLoad: function() { $('#cboxClose').remove(); }});
		}

		function verifyphone_open_colorbox()
		{
			$.colorbox({href:"<?php echo(DOMAIN_PATH); ?>users/verifyphone/", width:"620", height:"380", iframe:true, escKey:true, overlayClose:true, onLoad: function() { $('#cboxClose').remove(); }});
		}

		function updatephoto_open_colorbox()
		{
			$.colorbox({href:"<?php echo(DOMAIN_PATH); ?>users/update_profile_photo/", width:"620", height:"380", iframe:true, escKey:true, overlayClose:true,onClosed: function(){ window.location.reload(); },onLoad: function() { $('#cboxClose').remove(); }});
		}

		function common_colorbox(url,h,w)
		{
			
			$.colorbox({href:"<?php echo(DOMAIN_PATH); ?>"+url, width:w, height:h, iframe:true, escKey:false, overlayClose:false,onClosed: function(){ window.location.reload(); },onLoad: function() { $('#cboxClose').remove(); }});
		}

		jQuery(function() {
			jQuery.support.placeholder = false;
			test = document.createElement('input');
			if('placeholder' in test) jQuery.support.placeholder = true;
		});
	//-->
	</script>

</head>

<body>

	<div id="inner_bg">
		
		<?php echo $this->element('frontend_header'); ?>
		
		<div class="clr"></div>

		<?php echo $this->fetch('content'); ?>

		<div class="clr"></div>
		
		<?php echo $this->element('frontend_footer'); ?>
		
	</div>

</body>
<?php //echo $this->Facebook->init(); ?>
<?php //echo $this->element('sql_dump'); ?>

</html>

<!-- ========== custom notify bar message =========== -->
<?php
if($this->params['controller'] == 'users' && ($this->params['action'] == 'login'))
{
	$notifyMessage = isset($this->params['data']['User']) && $this->params['data']['User']['username']!='' ? $this->Session->read('Message.auth.message') : '';
}
else
{
	$notifyMessage = $this->Session->flash();
}

preg_match('`success(.*)$`', $notifyMessage, $matches);
if(isset($matches[0]))
{
?>
<script type="text/javascript">
	showSuccess('<?php echo($notifyMessage); ?>');
</script>
<?php
}
else
{
?>
<script type="text/javascript">
	showError('<?php echo($notifyMessage); ?>');
</script>
<?php
}
?>
<!-- ========== custom notify bar message =========== -->