<div class="content-box">
	<div class="content-box-header">
		<h3>Manage Messages</h3>
		<ul class="content-box-tabs">
			<li><?php echo $this->Html->link(__('List Messages', true), array('controller' => 'messages', 'action' => 'index'), array('class' => 'default-tab'));?></li>
			<li><?php echo $this->Html->link(__('Add Message', true), array('controller' => 'messages', 'action' => 'add'));?></li>
		</ul>
		<div class="clear"></div>
	</div>
	<div class="content-box-content">
		<div class="tab-content default-tab" id="tab1">												
			<table>
				<thead>
					<tr>
						<th style="width:50px;"><?php echo $this->Paginator->sort('id');?></th>
						<th style="width:200px;"><?php echo $this->Paginator->sort('from_user');?></th>
						<th style="width:200px;"><?php echo $this->Paginator->sort('to_user');?></th>
						<th style="width:200px;"><?php echo $this->Paginator->sort('message');?></th>
						<th style="width:200px;"><?php echo $this->Paginator->sort('send_date');?></th>
						<th>Action</th>
					</tr>									
				</thead>
				<?php if($messages){ ?>
				<tbody>			
					<?php
					$i = 0;
					foreach ($messages as $message){
						$class = null;
						if ($i++ % 2 == 0){
							$class = ' class="altrow"';
						}
					?>
					<tr<?php echo $class;?>>
						<td valign="top" style="width:50px;"><?php echo $message['Message']['id']; ?>&nbsp;</td>
						<td valign="top" style="width:50px;"><?php echo $message['Sender']['email']; ?>&nbsp;</td>
						<td valign="top" style="width:50px;"><?php echo $message['Reciever']['email']; ?>&nbsp;</td>
						<td valign="top" style="width:50px;"><?php echo $message['Message']['message']; ?>&nbsp;</td>
						<td valign="top" style="width:50px;"><?php echo date('d M Y h:ia',strtotime($message['Message']['send_date'])); ?>&nbsp;</td>						
						<td class="actions" valign="top">
							<?php echo $this->Html->link($this->Html->image('pencil.png'), array('action' => 'admin_edit', $message['Message']['id']), array('escape' => false)); ?>
							<?php echo $this->Html->link($this->Html->image('cross.png'), array('action' => 'admin_delete', $message['Message']['id']), array('escape' => false, 'class' => 'ask')); ?>
						</td>
					</tr>
					<?php } ?>
				</tbody>
				<?php 
				if($this->Paginator->numbers()){
				?>
				<tfoot>
					<tr>
						<td colspan="4">
							<div class="bulk-actions align-left"></div>
							<div class="pagination">
								<p>
								<?php
								echo $this->Paginator->counter(array(
								'format' => __('Page %page% of %pages%, showing %current% records out of %count% total, starting on record %start%, ending on %end%', true)
								));
								?>
								</p>
								<p>
								<?php echo $this->Paginator->prev('<< ' . __('previous', true), array(), null, array('class'=>'disabled'));?>
								<?php echo $this->Paginator->numbers(array('class'=>'number', 'separator' => ''));?>
								<?php echo $this->Paginator->next(__('next', true) . ' >>', array(), null, array('class' => 'disabled'));?>
								</p>
							</div>
							<div class="clear"></div>
						</td>
					</tr>
				</tfoot>	
				<?php } } else { ?>
				<tbody><tr><td colspan="6"><?php echo '<font color="#FF0000"><b>No record found.</b></font>';?></td></tr></tbody>
				<?php } ?>
			</table>
		</div>
	</div> 
	<div class="clear"></div>
</div>