<script language="JavaScript">
	$(document).ready(function(){
		$("#SeminarAdminEditForm").validationEngine({scroll:true});
	});
</script>
<div class="page-header">
	<div class="header-links hidden-xs">
		<a href="<?= DOMAIN_PATH;?>" target="__blank"><i class="icon-external-link"></i>Visit Site</a>
		<a href="<?=DOMAIN_PATH?>admin/users/change_password"><i class="icon-lock"></i>Change Password</a>
		<a href="<?= DOMAIN_PATH.'admin/users/logout';?>"><i class="icon-signout"></i> Logout</a>
	</div>
	<h1><i class="icon-group"></i>Manage Seminer</h1>
</div>
<ol class="breadcrumb">
	<li><a href="<?= DOMAIN_PATH.'admin/seminars';?>">Seminer</a></li>
	<li><a href="<?= DOMAIN_PATH.'admin/seminars/add';?>">Add Seminer</a></li>
</ol>
<div class="main-content">
	<div class="widget">
		<h3 class="section-title first-title"><i class="icon-user"></i>Edit Seminer</h3>
		<div class="padded">
			<?php echo $this->Form->create('Seminar', array('enctype' => 'multipart/form-data'));?>
			<?php echo $this->Form->input('id');?>
			<?php echo $this->Form->hidden('prev_video', array('value' => $this->data['Seminar']['pre_video']));?>

			<div class="row">
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('title', array('class' => 'validate[required] form-control'));?>
					</div>
				</div>
				<div style="clear:both"></div>
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('description', array('class' => 'validate[required] form-control', 'type' => 'textarea'));?>
					</div>
				</div>
				<div style="clear:both"></div>
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('user_id', array('class' => 'validate[required] form-control', 'options'=>$users, 
														'empty'=>'Choose User'));?>
					</div>
				</div>                 
				<div style="clear:both"></div>
				<div class="col-md-6">
					<div class="form-group">
                    	<?php echo $this->Form->input('youtube_link', array('class' => 'validate[required] form-control'));?>
					</div>
				</div>                
				<div style="clear:both"></div>
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('video', array('class' => 'form-control', 'type' => 'file'));?>
					</div>
				</div>
				<div style="clear:both"></div>
				<div class="col-md-6">
					<div class="form-group">
						<?php echo $this->Form->input('price', array('class' => 'validate[required] form-control'));?>
					</div>
				</div>
				<div style="clear:both"></div>
				<?php echo $this->Form->submit('Submit', array('class' => 'btn btn-primary'));?>
				<?php echo $this->Form->end();?>
			</div>
		</div>
	</div>